# --
# Copyright (C) 2001-2019 OTRS AG, https://otrs.com/
# Copyright (C) 2010 Milorad Jovanovic <j.milorad at gmail.com>
# --
# This software comes with ABSOLUTELY NO WARRANTY. For details, see
# the enclosed file COPYING for license information (GPL). If you
# did not receive this file, see https://www.gnu.org/licenses/gpl-3.0.txt.
# --

#
# THIS FILE IS AUTOGENERATED FROM sr_Cyrl WITH BY TRANSLITERATION.
#   See TranslationsUpdate.pm for details.
#

package Kernel::Language::sr_Latn;

use strict;
use warnings;
use utf8;

sub Data {
    my $Self = shift;

    # $$START$$
    # possible charsets
    $Self->{Charset} = ['utf-8', ];
    # date formats (%A=WeekDay;%B=LongMonth;%T=Time;%D=Day;%M=Month;%Y=Year;)
    $Self->{DateFormat}          = '%D.%M.%Y %T';
    $Self->{DateFormatLong}      = '%T - %D.%M.%Y';
    $Self->{DateFormatShort}     = '%D.%M.%Y';
    $Self->{DateInputFormat}     = '%D.%M.%Y';
    $Self->{DateInputFormatLong} = '%D.%M.%Y - %T';
    $Self->{Completeness}        = 0.934398854961832;

    # csv separator
    $Self->{Separator}         = ';';

    $Self->{DecimalSeparator}  = ',';
    $Self->{ThousandSeparator} = ' ';
    $Self->{Translation} = {

        # Template: AdminACL
        'ACL Management' => 'Upravljanje ACL',
        'Actions' => 'Akcije',
        'Create New ACL' => 'Kreiraj novu ACL listu',
        'Deploy ACLs' => 'Rasporedi ACL liste',
        'Export ACLs' => 'Izvezi ACL liste',
        'Filter for ACLs' => 'Filter za ACL',
        'Just start typing to filter...' => 'Počnite sa kucanjem za filter...',
        'Configuration Import' => 'Uvoz konfiguracije',
        'Here you can upload a configuration file to import ACLs to your system. The file needs to be in .yml format as exported by the ACL editor module.' =>
            'Ovde možete poslati konfiguracionu datoteku za uvoz ACL lista u vaš sistem. Datoteka mora biti u .yml formatu ako se izvozi od strane ACL editor modula.',
        'This field is required.' => 'Ovo polje je obavezno.',
        'Overwrite existing ACLs?' => 'Prepiši preko postojećih ACL lista?',
        'Upload ACL configuration' => 'Otpremi ACL konfiguraciju',
        'Import ACL configuration(s)' => 'Uvezi ACL konfiguraciju',
        'Description' => 'Opis',
        'To create a new ACL you can either import ACLs which were exported from another system or create a complete new one.' =>
            'Da biste kreirali novu ACL možete ili uvesti ACL liste koje su izvezene iz drugog sistema ili napraviti kompletno novu.',
        'Changes to the ACLs here only affect the behavior of the system, if you deploy the ACL data afterwards. By deploying the ACL data, the newly made changes will be written to the configuration.' =>
            'Promene na ACL listama ovde samo utiču na ponašanje sistema, ukoliko naknadno upotrebite sve ACL podatke.',
        'ACLs' => 'ACL liste',
        'Please note: This table represents the execution order of the ACLs. If you need to change the order in which ACLs are executed, please change the names of the affected ACLs.' =>
            'Napomena: Ova tabela predstavlja redosled izvršavanja u ACL listama. Ako je potrebno da promenite redosled kojim se izvršavaju ACL liste, molimo promenite imena tih ACL lista.',
        'ACL name' => 'Naziv ACL',
        'Comment' => 'Komentar',
        'Validity' => 'Važnost',
        'Export' => 'Izvoz',
        'Copy' => 'Kopija',
        'No data found.' => 'Ništa nije pronađeno.',
        'No matches found.' => 'Ništa nije pronađeno.',

        # Template: AdminACLEdit
        'Edit ACL %s' => 'Uredi ACL %s',
        'Edit ACL' => 'Uredi ACL',
        'Go to overview' => 'Idi na pregled',
        'Delete ACL' => 'Obriši ACL',
        'Delete Invalid ACL' => 'Obriši nevažeću ACL',
        'Match settings' => 'Uskladi podešavanja',
        'Set up matching criteria for this ACL. Use \'Properties\' to match the current screen or \'PropertiesDatabase\' to match attributes of the current ticket that are in the database.' =>
            'Podesite usklađene kriterijume za ovu ACL listu. Koristite Properties tako da odgovara postojećem prikazu ekrana ili PropertiesDatabase da bi odgovarao atributima postojećeg tiketa koji su u bazi podataka.',
        'Change settings' => 'Promeni podešavanja',
        'Set up what you want to change if the criteria match. Keep in mind that \'Possible\' is a white list, \'PossibleNot\' a black list.' =>
            'Podesite ono što želite da menjate ako se kriterijumi slažu. Imajte na umu da je \'Possible\' bela lista, \'PossibleNot\' crna lista.',
        'Check the official %sdocumentation%s.' => 'Pročitajte zvaničnu %sdokumentaciju%s.',
        'Show or hide the content' => 'Pokaži ili sakrij sadržaj',
        'Edit ACL Information' => 'Uredi informacije o ACL',
        'Name' => 'Naziv',
        'Stop after match' => 'Zaustavi posle poklapanja',
        'Edit ACL Structure' => 'Uredi strukturu ACL',
        'Save ACL' => 'Sačuvaj ACL',
        'Save' => 'Sačuvaj',
        'or' => 'ili',
        'Save and finish' => 'Sačuvaj i završi',
        'Cancel' => 'Otkaži',
        'Do you really want to delete this ACL?' => 'Da li stvarno želite da obrišete ovu ACL listu?',

        # Template: AdminACLNew
        'Create a new ACL by submitting the form data. After creating the ACL, you will be able to add configuration items in edit mode.' =>
            'Kreirajte novu ACL listu podnošenjem obrasca sa podacima. Nakon kreiranja ACL liste, bićete u mogućnosti da dodate konfiguracione stavke u modu izmene.',

        # Template: AdminAppointmentCalendarManage
        'Calendar Management' => 'Upravljanje kalendarima',
        'Add Calendar' => 'Dodaj kalendar',
        'Edit Calendar' => 'Izmeni kalendar',
        'Calendar Overview' => 'Pregled kalendara',
        'Add new Calendar' => 'Dodaj novi kalendar',
        'Import Appointments' => 'Uvezi termine',
        'Calendar Import' => 'Uvoz kalendara',
        'Here you can upload a configuration file to import a calendar to your system. The file needs to be in .yml format as exported by calendar management module.' =>
            'Ovde možete učitati konfiguracionu datoteku za uvoz kalendara u vaš sistem. Datoteka mora biti u .yml formatu izvezena od strane modula za upravljanje kalendarima.',
        'Overwrite existing entities' => 'Napiši preko postojećih entiteta',
        'Upload calendar configuration' => 'Učitaj konfiguraciju kalendara',
        'Import Calendar' => 'Uvezi kalendar',
        'Filter for Calendars' => 'Filter za kalendare',
        'Filter for calendars' => 'Filter za kalendare',
        'Depending on the group field, the system will allow users the access to the calendar according to their permission level.' =>
            'U zavisnosti od polja grupe, sistem će dozvoliti pristup kalendaru operaterima prema njihovom nivou pristupa.',
        'Read only: users can see and export all appointments in the calendar.' =>
            'RO: operateri mogu pregledati i eksportovati sve termine u kalendaru.',
        'Move into: users can modify appointments in the calendar, but without changing the calendar selection.' =>
            'Premesti u: operateri mogu modifikovati termine u kalendaru, ali bez promene kom kalendaru pripadaju.',
        'Create: users can create and delete appointments in the calendar.' =>
            'Kreiranje: operateri mogu kreirati i brisati termine u kalendaru.',
        'Read/write: users can manage the calendar itself.' => 'RW: operateri mogu administrirati i sam kalendar.',
        'Group' => 'Grupa',
        'Changed' => 'Izmenjeno',
        'Created' => 'Kreirano',
        'Download' => 'Preuzimanje',
        'URL' => 'Adresa',
        'Export calendar' => 'Izvezi kalendar',
        'Download calendar' => 'Preuzmi kalendar',
        'Copy public calendar URL' => 'Iskopiraj javnu adresu kalendara (URL)',
        'Calendar' => 'Kalendar',
        'Calendar name' => 'Naziv kalendara',
        'Calendar with same name already exists.' => 'Kalendar sa istim nazivom već postoji.',
        'Color' => 'Boja',
        'Permission group' => 'Grupa pristupa',
        'Ticket Appointments' => 'Termini tiketa',
        'Rule' => 'Pravilo',
        'Remove this entry' => 'Ukloni ovaj unos',
        'Remove' => 'Ukloni',
        'Start date' => 'Datum početka',
        'End date' => 'Datum kraja',
        'Use options below to narrow down for which tickets appointments will be automatically created.' =>
            'Koristeći opcije ispod izaberite za koje tikete će termini biti automatski kreirani.',
        'Queues' => 'Redovi',
        'Please select a valid queue.' => 'Molimo da odaberete važeći red.',
        'Search attributes' => 'Atributi pretrage',
        'Add entry' => 'Dodaj unos',
        'Add' => 'Dodati',
        'Define rules for creating automatic appointments in this calendar based on ticket data.' =>
            'Definišite pravila za kreiranje automatskih termina u ovom kalendaru na osnovu tiketa.',
        'Add Rule' => 'Dodaj pravilo',
        'Submit' => 'Pošalji',

        # Template: AdminAppointmentImport
        'Appointment Import' => 'Uvoz termina',
        'Go back' => 'Idi nazad',
        'Uploaded file must be in valid iCal format (.ics).' => 'Poslati fajl mora biti u ispravnom iCal formatu (.ics).',
        'If desired Calendar is not listed here, please make sure that you have at least \'create\' permissions.' =>
            'Ukoliko željeni kalendar nije izlistan, proverite da li imate nivo pristupa \'kreiranje\' za grupu kalendara.',
        'Upload' => 'Otpremanje',
        'Update existing appointments?' => 'Osveži postojeće termine?',
        'All existing appointments in the calendar with same UniqueID will be overwritten.' =>
            'Svi postojeći termini u kalendaru sa istim UniqueID poljem će biti prebrisani.',
        'Upload calendar' => 'Pošalji kalendar',
        'Import appointments' => 'Uvezi termine',

        # Template: AdminAppointmentNotificationEvent
        'Appointment Notification Management' => 'Upravljanje obaveštenjima o terminima',
        'Add Notification' => 'Dodaj Obaveštenje',
        'Edit Notification' => 'Uredi obaveštenje',
        'Export Notifications' => 'Obaveštenja o izvozu',
        'Filter for Notifications' => 'Filter za obaveštenja',
        'Filter for notifications' => 'Filter za obaveštenja',
        'Here you can upload a configuration file to import appointment notifications to your system. The file needs to be in .yml format as exported by the appointment notification module.' =>
            'Ovde možete poslati konfiguracionu datoteku za uvoz obaveštenja o terminu u vaš sistem. Datoteka mora biti u istom .yml formatu koji je moguće dobiti izvozom u ekranu upravljanja obaveštenjima o terminima.',
        'Overwrite existing notifications?' => 'Prepiši preko postojećih obaveštenja?',
        'Upload Notification configuration' => 'Otpremi konfiguraciju obaveštavanja',
        'Import Notification configuration' => 'Uvezi konfiguraciju obaveštenja',
        'List' => 'Lista',
        'Delete' => 'Izbrisati',
        'Delete this notification' => 'Obriši ovo obaveštenje',
        'Show in agent preferences' => 'Prikazano u operaterskim postavkama.',
        'Agent preferences tooltip' => 'Poruka za operaterska podešavanja',
        'This message will be shown on the agent preferences screen as a tooltip for this notification.' =>
            'Ova poruka će biti prikazana na ekranu operaterskih podešavanja kao ispomoć.',
        'Toggle this widget' => 'Preklopi ovaj dodatak',
        'Events' => 'Događaji',
        'Event' => 'Događaj',
        'Here you can choose which events will trigger this notification. An additional appointment filter can be applied below to only send for appointments with certain criteria.' =>
            'Ovde možete izabrati koji događaji će pokrenuti obaveštavanje. Dodatni filter za termine može biti primenjen radi slanja samo za termine po određenom kriterijumu.',
        'Appointment Filter' => 'Filter termina',
        'Type' => 'Tip',
        'Title' => 'Naslov',
        'Location' => 'Lokacija',
        'Team' => 'Tim',
        'Resource' => 'Resurs',
        'Recipients' => 'Primaoci',
        'Send to' => 'Pošalji za ',
        'Send to these agents' => 'Pošalji ovim operaterima',
        'Send to all group members (agents only)' => 'Pošalji svim članovima grupe (samo operaterima)',
        'Send to all role members' => 'Pošalji svim pripadnicima uloge',
        'Send on out of office' => 'Pošalji i kad je van kancelarije',
        'Also send if the user is currently out of office.' => 'Takođe pošalji i kada je korisnik van kancelarije.',
        'Once per day' => 'Jednom dnevno',
        'Notify user just once per day about a single appointment using a selected transport.' =>
            'Obavesti korisnika samo jednom dnevno o pojedinačnom terminu korišćenjem izabranog transporta.',
        'Notification Methods' => 'Metode obaveštavanja',
        'These are the possible methods that can be used to send this notification to each of the recipients. Please select at least one method below.' =>
            'Ovo su moguće metode koje se mogu koristiti za slanje obaveštenja svakom primaocu. Molimo vas da izaberete bar jednu metodu od ponuđenih.',
        'Enable this notification method' => 'Aktiviraj ovaj metod obaveštavanja',
        'Transport' => 'Transport',
        'At least one method is needed per notification.' => 'Neophodan je najmanje jedan metod po obaveštenju.',
        'Active by default in agent preferences' => ' Podrazumevano aktivno u operaterskim postavkama.',
        'This is the default value for assigned recipient agents who didn\'t make a choice for this notification in their preferences yet. If the box is enabled, the notification will be sent to such agents.' =>
            'Ovo je podrazumevana vrednost za pridružene operatere primaoce koji za ovo obaveštenje u svojim postavkama nisu još napravili izbor. Ako je boks aktiviran, obaveštenje će biti poslato takvim operaterima.',
        'This feature is currently not available.' => 'Ovo svojstvo trenutno nije dostupno.',
        'Upgrade to %s' => 'Unapredi na %s',
        'Please activate this transport in order to use it.' => 'Molimo aktivirajte ovaj transport pre korišćenja.',
        'No data found' => 'Ništa nije pronađeno',
        'No notification method found.' => 'Nije pronađena metoda obaveštavanja.',
        'Notification Text' => 'Tekst obaveštenja',
        'This language is not present or enabled on the system. This notification text could be deleted if it is not needed anymore.' =>
            'Ovaj jezik nije prisutan ili uključen na sistemu. Ovo obaveštenje može biti izbrisano ukoliko više nije neophodno.',
        'Remove Notification Language' => 'Ukloni jezik obaveštenja',
        'Subject' => 'Predmet',
        'Text' => 'Tekst',
        'Message body' => 'Sadržaj poruke',
        'Add new notification language' => 'Ukloni novi jezik obaveštenja',
        'Save Changes' => 'Sačuvaj promene',
        'Tag Reference' => 'Referenca oznake',
        'Notifications are sent to an agent.' => 'Obaveštenje će biti poslato operateru.',
        'You can use the following tags' => 'Možete koristiti sledeće oznake',
        'To get the first 20 character of the appointment title.' => 'Da vidite prvih 20 karaktera naslova termina.',
        'To get the appointment attribute' => 'Da vidite atribute termina',
        ' e. g.' => 'npr.',
        'To get the calendar attribute' => 'Da vidite atribute kalendara',
        'Attributes of the recipient user for the notification' => 'Atributi korisnika primaoca za obaveštenje',
        'Config options' => 'Konfiguracione opcije',
        'Example notification' => 'Primer obaveštenja',

        # Template: AdminAppointmentNotificationEventTransportEmailSettings
        'Additional recipient email addresses' => 'Imejl adresa dodatnog primaoca',
        'This field must have less then 200 characters.' => 'Ovo polje ne sme biti duže od 200 karaktera.',
        'Article visible for customer' => 'Članak vidljiv klijentima',
        'An article will be created if the notification is sent to the customer or an additional email address.' =>
            'Članak je kreiran i obaveštenje poslato klijentu ili na drugu imejl adresu.',
        'Email template' => 'Imejl šablon',
        'Use this template to generate the complete email (only for HTML emails).' =>
            'Upotrebite ovaj šablon za generisanje kompletnog imejla (samo za HTML imejlove).',
        'Enable email security' => 'Aktivirajte bezbednost imejla',
        'Email security level' => 'Nivo bezbednosti imejla',
        'If signing key/certificate is missing' => 'Ako potpisivanje ključa/sertifikata nedostaje',
        'If encryption key/certificate is missing' => 'Ako ključa/sertifikat za šifriranje nedostaje',

        # Template: AdminAttachment
        'Attachment Management' => 'Upravljanje prilozima',
        'Add Attachment' => 'Dodaj prilog',
        'Edit Attachment' => 'Uredi prilog',
        'Filter for Attachments' => 'Filter za priloge',
        'Filter for attachments' => 'Filter za priloge',
        'Filename' => 'Naziv datoteke',
        'Download file' => 'Preuzmi datoteku',
        'Delete this attachment' => 'Obriši ovaj prilog',
        'Do you really want to delete this attachment?' => 'Da li stvarno želite da obrišete ovaj prilog?',
        'Attachment' => 'Prilog',

        # Template: AdminAutoResponse
        'Auto Response Management' => 'Upravljanje automatskim odgovorima',
        'Add Auto Response' => 'Dodaj Automatski Odgovor',
        'Edit Auto Response' => 'Uredi Automatski Odgovor',
        'Filter for Auto Responses' => 'Filter za automatske odgovore',
        'Filter for auto responses' => 'Filter za automatske odgovore',
        'Response' => 'Odgovor',
        'Auto response from' => 'Automatski odgovor od',
        'Reference' => 'Referenca',
        'To get the first 20 character of the subject.' => 'Da vidite prvih 20 slova predmeta',
        'To get the first 5 lines of the email.' => 'Da vidite prvih 5 linija imejla.',
        'To get the name of the ticket\'s customer user (if given).' => 'Da pribavite naziv klijenta korisnika za tiket (ako je dat).',
        'To get the article attribute' => 'Da vidite atribute članka',
        'Options of the current customer user data' => 'Opcije podataka o aktuelnom klijentu korisniku',
        'Ticket owner options' => 'Opcije vlasnika tiketa',
        'Ticket responsible options' => 'Opcije odgovornog za tiket',
        'Options of the current user who requested this action' => 'Opcije aktuelnog korisnika koji je tražio ovu akciju',
        'Options of the ticket data' => 'Opcije podataka o tiketu',
        'Options of ticket dynamic fields internal key values' => 'Opcije za vrednosti internih ključeva dinamičkih polja tiketa.',
        'Options of ticket dynamic fields display values, useful for Dropdown and Multiselect fields' =>
            'Opcije za prikazane vrednosti dinamičkih polja tiketa, korisno za polja Dropdown i Multiselect',
        'Example response' => 'Primer odgovora',

        # Template: AdminCloudServiceSupportDataCollector
        'Cloud Service Management' => 'Upravljanje servisima u oblaku',
        'Support Data Collector' => 'Sakupljač podataka podrške',
        'Support data collector' => 'Sakupljač podataka podrške',
        'Hint' => 'Savet',
        'Currently support data is only shown in this system.' => 'Aktuelni podaci podrške se prikazuju samo na ovom sistemu.',
        'It is sometimes recommended to send this data to the OTOBO team in order to get better support.' =>
            '',
        'Configuration' => 'Konfiguracija',
        'Send support data' => 'Pošalji podatke za podršku',
        'This will allow the system to send additional support data information to the OTOBO team.' =>
            '',
        'Update' => 'Ažuriranje',
        'System Registration' => 'Registracija sistema',
        'To enable data sending, please register your system with the OTOBO team or update your system registration information (make sure to activate the \'send support data\' option.)' =>
            '',
        'Register this System' => 'Registruj ovaj sistem',
        'System Registration is disabled for your system. Please check your configuration.' =>
            'Sistemska registracije je deaktivirana za vaš sistem. Molimo da proverite vašu konfiguraciju.',

        # Template: AdminCloudServices
        'System registration is a service of OTOBO team, which provides a lot of advantages!' =>
            '',
        'Please note that the use of OTOBO cloud services requires the system to be registered.' =>
            'Napominjemo da korišćenje OTOBO servisa u oblaku zahtevaju da sistem bude registrovan.',
        'Register this system' => 'Registruj ovaj sistem',
        'Here you can configure available cloud services that communicate securely with %s.' =>
            'Ovde možete podesiti da dostupni servisi u oblaku koriste sigurnu komunikaciju preko %s.',
        'Available Cloud Services' => 'Raspoloživi servisi u oblaku',

        # Template: AdminCommunicationLog
        'Communication Log' => 'Komunikacioni log',
        'Time Range' => 'Vremenski opseg',
        'Show only communication logs created in specific time range.' =>
            'Prikaži samo komunikacione logove kreirane u određenom vremenskom periodu.',
        'Filter for Communications' => 'Filter za komunikacije',
        'Filter for communications' => 'Filter za komunikacije',
        'In this screen you can see an overview about incoming and outgoing communications.' =>
            'U ovom ekranu možete pregledati sve dolazne i odlazne komunikacije.',
        'You can change the sort and order of the columns by clicking on the column header.' =>
            'Možete izmeniti redosled sortiranja kolona klikom na naslove kolona.',
        'If you click on the different entries, you will get redirected to a detailed screen about the message.' =>
            'Ukoliko kliknete na pojedinačne stavke, bićete redirektovani na ekran detalja u vezi poruke.',
        'Status for: %s' => 'Status za: %s',
        'Failing accounts' => 'Nalozi sa greškama',
        'Some account problems' => 'Par problema sa nalozima',
        'No account problems' => 'Bez problema sa nalozima',
        'No account activity' => 'Bez aktivnosti naloga',
        'Number of accounts with problems: %s' => 'Broj naloga sa problemima: %s',
        'Number of accounts with warnings: %s' => 'Broj naloga sa upozorenjima: %s',
        'Failing communications' => 'Neuspele komunikacije',
        'No communication problems' => 'Bez problema sa komunikacijama',
        'No communication logs' => 'Bez komunikacionih logova',
        'Number of reported problems: %s' => 'Broj prijavljenih problema: %s',
        'Open communications' => 'Otvorene komunikacije',
        'No active communications' => 'Bez aktivnih komunikacija',
        'Number of open communications: %s' => 'Broj otvorenih komunikacija: %s',
        'Average processing time' => 'Prosečno vreme obrade',
        'List of communications (%s)' => 'Lista komunikacija (%s)',
        'Settings' => 'Podešavanja',
        'Entries per page' => 'Unosa po strani',
        'No communications found.' => 'Nisu pronađene komunikacije.',
        '%s s' => '%s s',

        # Template: AdminCommunicationLogAccounts
        'Account Status' => 'Status naloga',
        'Back to overview' => 'Idi nazad na pregled',
        'Filter for Accounts' => 'Filter za naloge',
        'Filter for accounts' => 'Filter za naloge',
        'You can change the sort and order of those columns by clicking on the column header.' =>
            'Možete izmeniti redosled sortiranja kolona klikom na naslove kolona.',
        'Account status for: %s' => 'Status naloga za: %s',
        'Status' => 'Status',
        'Account' => 'Nalog',
        'Edit' => 'Urediti',
        'No accounts found.' => 'Nisu pronađeni nalozi.',
        'Communication Log Details (%s)' => 'Detalji komunikacionog loga (%s)',
        'Direction' => 'Smer',
        'Start Time' => 'Vreme početka',
        'End Time' => 'Vreme završetka',
        'No communication log entries found.' => 'Nisu pronađene stavke komunikacionog loga.',

        # Template: AdminCommunicationLogCommunications
        'Duration' => 'Trajanje',

        # Template: AdminCommunicationLogObjectLog
        '#' => '#',
        'Priority' => 'Prioritet',
        'Module' => 'Modul',
        'Information' => 'Informacija',
        'No log entries found.' => 'Nisu pronađene stavke loga.',

        # Template: AdminCommunicationLogZoom
        'Detail view for %s communication started at %s' => 'Detaljni prikaz za komunikaciju %s započetu u %s',
        'Filter for Log Entries' => 'Filter za log stavke',
        'Filter for log entries' => 'Filter za log stavke',
        'Show only entries with specific priority and higher:' => 'Prikaži samo stavke sa odgovarajućim prioritetom i više:',
        'Communication Log Overview (%s)' => 'Pregled komunikacionih logova (%s)',
        'No communication objects found.' => 'Nisu pronađeni komunikacioni objekti.',
        'Communication Log Details' => 'Detalji komunikacionog loga',
        'Please select an entry from the list.' => 'Molimo izaberite stavku iz liste.',

        # Template: AdminContactWD
        'Contact with data management' => '',
        'Contact with data' => 'Kontakt sa podacima',
        'Add contact with data' => '',
        'Edit contact with data' => '',
        'Back to search results' => 'Vrati se na rezultate pretrage',
        'Select' => 'Izaberi',
        'Search' => 'Traži',
        'Wildcards like \'*\' are allowed.' => 'Džokerski znaci kao \'*\' su dozvoljeni',
        'Please enter a search term to look for contacts with data.' => '',
        'Valid' => 'Važeći',

        # Template: AdminCustomerCompany
        'Customer Management' => 'Upravljanje klijentima',
        'Add Customer' => 'Dodaj klijenta',
        'Edit Customer' => 'Izmeni klijenta',
        'List (only %s shown - more available)' => 'Lista (samo %s je prikazano - raspoloživo više)',
        'total' => 'ukupno',
        'Please enter a search term to look for customers.' => 'Molimo unesite pojam pretrage za pronalaženje klijenata.',
        'Customer ID' => 'ID klijenta',
        'Please note' => 'Napominjemo',
        'This customer backend is read only!' => 'Ovaj izvor klijenata se može samo pregledati.',

        # Template: AdminCustomerGroup
        'Manage Customer-Group Relations' => 'Upravljanje relacijama klijent-grupa',
        'Notice' => 'Napomena',
        'This feature is disabled!' => 'Ova funkcija je isključena!',
        'Just use this feature if you want to define group permissions for customers.' =>
            'Upotrebite ovu funkciju ako želite da definišete grupne dozvole za klijente.',
        'Enable it here!' => 'Aktivirajte je ovde!',
        'Edit Customer Default Groups' => 'Uredi podrazumevane grupe za klijenta',
        'These groups are automatically assigned to all customers.' => 'Ove grupe su automatski dodeljene svim klijentima.',
        'You can manage these groups via the configuration setting "CustomerGroupCompanyAlwaysGroups".' =>
            'Možete upravljati ovim grupama preko konfiguracionog podešavanja CustomerGroupCompanyAlwaysGroups.',
        'Filter for Groups' => 'Filter za grupe',
        'Select the customer:group permissions.' => 'Izaberi klijent:grupa dozvole.',
        'If nothing is selected, then there are no permissions in this group (tickets will not be available for the customer).' =>
            'Ako ništa nije izabrano, onda nema dozvola u ovoj grupi (tiketi neće biti dostupni klijentu).',
        'Search Results' => 'Rezultat pretrage',
        'Customers' => 'Klijenti',
        'Groups' => 'Grupe',
        'Change Group Relations for Customer' => 'Promeni veze sa grupama za klijenta',
        'Change Customer Relations for Group' => 'Promeni veze sa klijentima za grupu',
        'Toggle %s Permission for all' => 'Promeni %s dozvole za sve',
        'Toggle %s permission for %s' => 'Promeni %s dozvole za %s',
        'Customer Default Groups:' => 'Podrazumevane grupe za klijenta:',
        'No changes can be made to these groups.' => 'Na ovim grupama promene nisu moguće.',
        'ro' => 'ro',
        'Read only access to the ticket in this group/queue.' => 'Pristup ograničen samo na čitanje za tikete u ovim grupama/redovima.',
        'rw' => 'rw',
        'Full read and write access to the tickets in this group/queue.' =>
            'Pristup bez ograničenja za tikete u ovim grupama/redovima.',

        # Template: AdminCustomerUser
        'Customer User Management' => 'Upravljanje klijentima klijentima',
        'Add Customer User' => 'Dodaj klijenta korisnika',
        'Edit Customer User' => 'Uredi klijenta korisnika',
        'Customer user are needed to have a customer history and to login via customer panel.' =>
            'Klijent klijent treba da ima klijentski istorijat i da se prijavi preko klijentskog panela.',
        'List (%s total)' => 'Lista (%s ukupno)',
        'Username' => 'Korisničko ime',
        'Email' => 'Imejl',
        'Last Login' => 'Poslednja prijava',
        'Login as' => 'Prijavi se kao',
        'Switch to customer' => 'Pređi na klijenta',
        'This customer backend is read only, but the customer user preferences can be changed!' =>
            'Ovaj izvor klijenata se može samo pregledati, ali klijentska podešavanja se mogu izmeniti!',
        'This field is required and needs to be a valid email address.' =>
            'Ovo je obavezno polje i mora da bude ispravna imejl adresa.',
        'This email address is not allowed due to the system configuration.' =>
            'Ova imejl adresa nije dozvoljena zbog sistemske konfiguracije.',
        'This email address failed MX check.' => 'Ova imejl adresa ne zadovoljava MX proveru.',
        'DNS problem, please check your configuration and the error log.' =>
            'DNS problem, molimo proverite konfiguraciju i greške u logu.',
        'The syntax of this email address is incorrect.' => 'Sintaksa ove imejl adrese je neispravna.',
        'This CustomerID is invalid.' => 'Ovaj ID klijenta je neispravan.',
        'Effective Permissions for Customer User' => 'Efektivne dozvole za klijent korisnika',
        'Group Permissions' => 'Dozvole za grupu',
        'This customer user has no group permissions.' => 'Ovaj klijent korisnik nema dozvole za grupe.',
        'Table above shows effective group permissions for the customer user. The matrix takes into account all inherited permissions (e.g. via customer groups). Note: The table does not consider changes made to this form without submitting it.' =>
            'Tabela iznad prikazuje efektivne dozvole za grupe klijent korisnika. Matrica uzima u obzir sve nasleđene dozvole (npr. putem klijent grupa). Napomena: tabela ne uzima u obzir izmene na ovoj formi bez slanja iste.',
        'Customer Access' => 'Pristup klijentu',
        'Customer' => 'Klijent',
        'This customer user has no customer access.' => 'Ovaj klijent korisnik nema pristup klijentu.',
        'Table above shows granted customer access for the customer user by permission context. The matrix takes into account all inherited access (e.g. via customer groups). Note: The table does not consider changes made to this form without submitting it.' =>
            'Tabela iznad prikazuje dodeljeni pristup klijentu za klijent korisnika prema kontekstu dozvole. Matrica uzima u obzir sav nasleđeni pristup (npr. putem klijent grupa). Napomena: tabela ne uzima u obzir izmene na ovoj formi bez slanja iste.',

        # Template: AdminCustomerUserCustomer
        'Manage Customer User-Customer Relations' => 'Upravljanje relacijama klijent korisnik-klijent',
        'Select the customer user:customer relations.' => 'Odaberite klijent korisnik:klijent relacije.',
        'Customer Users' => 'Klijenti korisnici',
        'Change Customer Relations for Customer User' => 'Promeni relacije sa klijentima za klijent korisnika',
        'Change Customer User Relations for Customer' => 'Promeni relacije sa klijent korisnicima za klijenta',
        'Toggle active state for all' => 'Promeni aktivno stanje za sve',
        'Active' => 'Aktivno',
        'Toggle active state for %s' => 'Promeni aktivno stanje za %s',

        # Template: AdminCustomerUserGroup
        'Manage Customer User-Group Relations' => 'Upravljanje relacijama klijent korisnik-grupa',
        'Just use this feature if you want to define group permissions for customer users.' =>
            'Upotrebite ovu funkciju ako želite da definišete grupne dozvole za klijent korisnike.',
        'Edit Customer User Default Groups' => 'Uredi podrazumevane grupe za klijent korisnike',
        'These groups are automatically assigned to all customer users.' =>
            'Ove grupe su automatski dodeljene svim klijent korisnicima.',
        'You can manage these groups via the configuration setting "CustomerGroupAlwaysGroups".' =>
            'Možete upravljati ovim grupama preko konfiguracionih podešavanja CustomerGroupAlwaysGroups.',
        'Filter for groups' => 'Filter za grupe',
        'Select the customer user - group permissions.' => 'Izaberi klijent korisnik:grupa dozvole.',
        'If nothing is selected, then there are no permissions in this group (tickets will not be available for the customer user).' =>
            'Ako ništa nije izabrano, onda nema dozvola u ovoj grupi (tiketi neće biti dostupni klijent korisniku).',
        'Customer User Default Groups:' => 'Podrazumevane grupe za klijent korisnika:',

        # Template: AdminCustomerUserService
        'Manage Customer User-Service Relations' => 'Upravljanje relacijama klijent korisnici-servisi',
        'Edit default services' => 'Uredi podrazumevane usluge',
        'Filter for Services' => 'Filter za servise',
        'Filter for services' => 'Filter za servise',
        'Services' => 'Usluge',

        # Template: AdminDynamicField
        'Dynamic Fields Management' => 'Upravljanje dinamičkim poljima',
        'Add new field for object' => 'Dodaj novo polje objektu',
        'Filter for Dynamic Fields' => 'Filter za dinamička polja',
        'Filter for dynamic fields' => 'Filter za dinamička polja',
        'New OTOBO Community  Fields' => '',
        'Would you like to benefit from additional dynamic field types? You have full access to the following field types:' =>
            '',
        'Database' => 'Baza podataka',
        'Use external databases as configurable data sources for this dynamic field.' =>
            'Koristite eksterne baze podataka kao izvor podataka za ovo dinamičko polje.',
        'Web service' => 'Veb servis',
        'External web services can be configured as data sources for this dynamic field.' =>
            'Eksterni veb servisi se mogu konfigurisati kao izvor podataka za ovo dinamičko polje.',
        'This feature allows to add (multiple) contacts with data to tickets.' =>
            'Ova funkcija vam omogućava da dodate (višestruke) kontakte sa podacima tiketima.',
        'To add a new field, select the field type from one of the object\'s list, the object defines the boundary of the field and it can\'t be changed after the field creation.' =>
            'Za dodavanje novog polja izaberite tip polja iz jedne od lista objekata. Objekt definiše granice polja i posle kreiranja polja se ne može menjati.',
        'Dynamic Fields List' => 'Lista dinamičkih polja',
        'Dynamic fields per page' => 'Broj dinamičkih polja po strani',
        'Label' => 'Oznaka',
        'Order' => 'Sortiranje',
        'Object' => 'Objekat',
        'Delete this field' => 'Obriši ovo polje',

        # Template: AdminDynamicFieldAdvanced
        'Import / Export' => '',
        'Here you can upload a configuration file to import dynamic fields to your system. The file needs to be in .yml format as exported by dynamic field management module.' =>
            '',
        'DynamicFields Import' => '',
        'DynamicFields Export' => '',
        'Dynamic Fields Screens' => '',
        'Here you can manage the dynamic fields in the respective screens.' =>
            '',

        # Template: AdminDynamicFieldCheckbox
        'Dynamic Fields' => 'Dinamička polja',
        'Go back to overview' => 'Idi nazad na pregled',
        'General' => 'Opšte',
        'This field is required, and the value should be alphabetic and numeric characters only.' =>
            'Ovo polje je obavezno i može sadržati samo od slova i brojeve.',
        'Must be unique and only accept alphabetic and numeric characters.' =>
            'Mora biti jedinstveno i prihvata samo slova i brojeve.',
        'Changing this value will require manual changes in the system.' =>
            'Izmena ovog polja će zahtevati ručne promene u sistemu.',
        'This is the name to be shown on the screens where the field is active.' =>
            'Ovo je naziv koji će se prikazivati na ekranima gde je polje aktivno.',
        'Field order' => 'Redosled polja',
        'This field is required and must be numeric.' => 'Ovo polje je obavezno i mora biti numeričko.',
        'This is the order in which this field will be shown on the screens where is active.' =>
            'Ovo je redosled po kom će polja biti prikazana na ekranima gde su aktivna.',
        'Is not possible to invalidate this entry, all config settings have to be changed beforehand.' =>
            'Nije moguće obeležiti ovu stavku kao nevažeću, sva podešavanja moraju biti prvo izmenjena.',
        'Field type' => 'Tip polja',
        'Object type' => 'Tip objekta',
        'Internal field' => 'Interno polje',
        'This field is protected and can\'t be deleted.' => 'Ovo polje je zaštićeno i ne može biti obrisano.',
        'This dynamic field is used in the following config settings:' =>
            'Ovo dinamičko polje je upotrebljeno u sledećim postavkama:',
        'Field Settings' => 'Podešavanje polja',
        'Default value' => 'Podrazumevana vrednost',
        'This is the default value for this field.' => 'Ovo je podrazumevana vrednost za ovo polje.',

        # Template: AdminDynamicFieldContactWD
        'Add or edit contacts' => '',
        'To add contacts to this field please fill out all the needed information and save it.' =>
            '',
        'Click on the field name from the overview to edit it and find the corresponding action in the sidebar or from the \'Tickets\' menu.' =>
            '',
        'Name Field' => '',
        'ValidID Field' => '',
        'Other Fields' => '',
        'Key' => 'Ključ',
        'Value' => 'Vrednost',
        'Remove value' => 'Ukloni vrednost',
        'Add Field' => '',
        'Add value' => 'Dodaj vrednost',
        'These are the possible data attributes for contacts.' => '',
        'Mandatory fields' => '',
        'Comma separated list of mandatory keys (optional). Keys \'Name\' and \'ValidID\' are always mandatory and doesn\'t have to be listed here.' =>
            '',
        'Sorted fields' => '',
        'Comma separated list of keys in sort order (optional). Keys listed here come first, all remaining fields afterwards and sorted alphabetically.' =>
            '',
        'Searchable fields' => '',
        'Comma separated list of searchable keys (optional). Key \'Name\' is always searchable and doesn\'t have to be listed here.' =>
            '',
        'Translatable values' => 'Prevodljive vrednosti',
        'If you activate this option the values will be translated to the user defined language.' =>
            'Ako aktivirate ovu opciju vrednosti će biti prevedene na izabrani jezik.',
        'Note' => 'Napomena',
        'You need to add the translations manually into the language translation files.' =>
            'Ove prevode morate ručno dodati u datoteke prevoda.',

        # Template: AdminDynamicFieldDB
        'Possible values' => 'Moguće vrednosti',
        'Datatype' => '',
        'Filter' => 'Filter',
        'Searchfield' => '',
        'Listfield' => '',
        'Show link' => 'Pokaži vezu',
        'Here you can specify an optional HTTP link for the field value in Overviews and Zoom screens.' =>
            'Ovde možete da unesete opcionu HTTP vezu za vrednost polja u ekranima pregleda.',
        'Example' => 'Primer',
        'Link for preview' => 'Veza za pregled',
        'If filled in, this URL will be used for a preview which is shown when this link is hovered in ticket zoom. Please note that for this to work, the regular URL field above needs to be filled in, too.' =>
            'Ako je popunjeno, ovaj URL će se koristiti za pregled koji se prikazuje kada je pokazivač iznad veze u detaljima tiketa. Uzmite u obzir, da bi ovo radilo, normalno URL polje iznad, mora takođe da bude popunjeno.',
        'SID' => 'SID',
        'Driver' => '',
        'Server' => '',
        'Port' => 'Port',
        'Table / View' => '',
        'User' => 'Korisnik',
        'Password' => 'Lozinka',
        'Identifier' => 'Identifikator',
        'Must be unique column from the table entered in Table/View.' => '',
        'Multiselect' => 'Višestruki izbor',
        'CacheTTL' => '',
        'Searchprefix' => '',
        'Searchsuffix' => '',
        'Result Limit' => '',
        'Case Sensitive' => '',

        # Template: AdminDynamicFieldDateTime
        'Default date difference' => 'Podrazumevana razlika datuma',
        'This field must be numeric.' => 'Ovo polje mora biti numeričko.',
        'The difference from NOW (in seconds) to calculate the field default value (e.g. 3600 or -60).' =>
            'Razlika (u sekundama) od SADA, za izračunavanje podrazumevane vrednosti polja (npr. 3600 ili -60).',
        'Define years period' => 'Definiši peroiod  u godinama',
        'Activate this feature to define a fixed range of years (in the future and in the past) to be displayed on the year part of the field.' =>
            'Aktivirajte ovu opciju radi definisanja fiksnog opsega godina (u budućnost i prošlost) za prikaz pri izboru godina u polju.',
        'Years in the past' => 'Godine u prošlosti',
        'Years in the past to display (default: 5 years).' => 'Godine u prošlosti za prikaz (podrazumevano je 5 godina).',
        'Years in the future' => 'Godine u budućnosti',
        'Years in the future to display (default: 5 years).' => 'Godine u budućnosti za prikaz (podrazumevano je 5 godina).',
        'If special characters (&, @, :, /, etc.) should not be encoded, use \'url\' instead of \'uri\' filter.' =>
            'Ukoliko specijalni karakteri (&, @, :, /, itd) ne treba da budu enkodirani, koristite \'url\' filter umesto \'uri\'.',
        'Restrict entering of dates' => 'Ograniči unos datuma',
        'Here you can restrict the entering of dates of tickets.' => 'Ovde možete ograničiti unos datuma za tikete.',

        # Template: AdminDynamicFieldDropdown
        'Add Value' => 'Dodaj Vrednost',
        'Add empty value' => 'Dodaj bez vrednosti',
        'Activate this option to create an empty selectable value.' => 'Aktiviraj ovu opciju za kreiranje izbora bez vrednosti.',
        'Tree View' => 'Prikaz u obliku stabla',
        'Activate this option to display values as a tree.' => 'Aktiviraj ovu opciju za prikaz vrednosti u obliku stabla.',

        # Template: AdminDynamicFieldImportExport
        '%s - %s' => '',
        'Select the items you want to ' => '',
        'Select the desired elements and confirm the import with \'import\'.' =>
            '',
        'Here you can export a configuration file of dynamic fields and dynamic field screens to import these on another system. The configuration file is exported in yml format.' =>
            '',
        'The following dynamic fields can not be imported because of an invalid backend.' =>
            '',
        'Toggle all available elements' => '',
        'Fields' => 'Polja',
        'Screens' => '',

        # Template: AdminDynamicFieldScreen
        'Management of Dynamic Fields <-> Screens' => '',
        'Overview' => 'Pregled',
        'Default Columns Screens' => '',
        'Add DynamicField' => '',
        'You can assign elements to this Screen/Field by dragging the elements with the mouse from the left list to the right list.' =>
            '',
        'Ordering the elements within the list is also possible by drag \'n\' drop.' =>
            'Menjanje redosleda elemenata unutar liste je, takođe, moguće prevračenjem elemenata i puštanjem.',
        'Filter available elements' => '',
        'selected to available elements' => '',
        'Available Elements' => '',
        'Filter disabled elements' => '',
        'selected to disabled elements' => '',
        'Toggle all disabled elements' => '',
        'Disabled Elements' => '',
        'Filter assigned elements' => '',
        'selected to assigned elements' => '',
        'Toggle all assigned elements' => '',
        'Assigned Elements' => '',
        'Filter assigned required elements' => '',
        'selected to assigned required elements' => '',
        'Toggle all assigned required elements' => '',
        'Assigned Required Elements' => '',
        'Reset' => 'Poništi',

        # Template: AdminDynamicFieldText
        'Number of rows' => 'Broj redova',
        'Specify the height (in lines) for this field in the edit mode.' =>
            'Unesi visinu (u linijama) za ovo polje u modu obrade.',
        'Number of cols' => 'Broj kolona',
        'Specify the width (in characters) for this field in the edit mode.' =>
            'Unesi širinu (u znakovima) za ovo polje u modu uređivanja.',
        'Check RegEx' => 'Proveri regularne izraze',
        'Here you can specify a regular expression to check the value. The regex will be executed with the modifiers xms.' =>
            'Ovde možete da definišete regularni izraz za proveru vrednosti. Izraz će biti izvršen sa modifikatorima za xms.',
        'RegEx' => 'Regularni izraz',
        'Invalid RegEx' => 'Nevažeći regularni izraz',
        'Error Message' => 'Poruka o grešci',
        'Add RegEx' => 'Dodaj regularni izraz',

        # Template: AdminDynamicFieldTitle
        'Template' => 'Šablon',
        'Style' => '',
        'bold' => '',
        'italic' => '',
        'underline' => '',
        'Font style of the label.' => '',
        'Size' => 'Veličina',
        'Font size of the label.' => '',
        'Color in hex.' => '',

        # Template: AdminDynamicFieldWebService
        'This field is required' => 'Ovo polje je obavezno.',
        'The web service to be executed for possible values.' => '',
        'Invoker' => '',
        'The invoker to be used to perform requests (invoker needs to be of type \'Generic::PassThrough\').' =>
            '',
        'Activate this option to allow multiselect on results.' => '',
        'Cache TTL' => '',
        'Cache time to live (in minutes), to save the retrieved possible values.' =>
            '',
        'Here you can specify an optional HTTP link for the field value in Overviews and Zoom screens. Optional HTTP link works only for single-select fields.' =>
            '',

        # Template: AdminEmail
        'Admin Message' => 'Administrativna poruka',
        'With this module, administrators can send messages to agents, group or role members.' =>
            'Sa ovim modulom, administratori mogu slati poruke operaterima, grupama ili pripadnicima uloge.',
        'Create Administrative Message' => 'Kreiraj administrativnu poruku',
        'Your message was sent to' => 'Vaša poruka je poslata',
        'From' => 'Od',
        'Send message to users' => 'Pošalji poruku korisnicima',
        'Send message to group members' => 'Pošalji poruku članovima grupe',
        'Group members need to have permission' => 'Članovi grupe treba da imaju dozvolu',
        'Send message to role members' => 'Pošalji poruku pripadnicima uloge',
        'Also send to customers in groups' => 'Takođe pošalji klijentima u grupama',
        'Body' => 'Sadržaj',
        'Send' => 'Šalji',

        # Template: AdminGenericAgent
        'Generic Agent Job Management' => 'Upravljanje poslovima generičkog operatera',
        'Edit Job' => 'Uredi posao',
        'Add Job' => 'Dodaj posao',
        'Run Job' => 'Pokreni posao',
        'Filter for Jobs' => 'Filter za poslove',
        'Filter for jobs' => 'Filter za poslove',
        'Last run' => 'Poslednje pokretanje',
        'Run Now!' => 'Pokreni sad!',
        'Delete this task' => 'Obriši ovaj posao',
        'Run this task' => 'Pokreni ovaj posao',
        'Job Settings' => 'Podešavanje posla',
        'Job name' => 'Naziv posla',
        'The name you entered already exists.' => 'Naziv koje ste uneli već postoji.',
        'Automatic Execution (Multiple Tickets)' => 'Automatsko izvršenje (višestruki tiketi)',
        'Execution Schedule' => 'Raspored izvršenja',
        'Schedule minutes' => 'Planirano minuta',
        'Schedule hours' => 'Planirano sati',
        'Schedule days' => 'Planirano dana',
        'Automatic execution values are in the system timezone.' => 'Vremena automatskog izvršavanja su u sistemskoj vremenskoj zoni.',
        'Currently this generic agent job will not run automatically.' =>
            'Trenutno ovaj posao generički operatera neće biti izvršen automatski.',
        'To enable automatic execution select at least one value from minutes, hours and days!' =>
            'Da biste omogućili automatsko izvršavanje izaberite bar jednu vrednost od minuta, sati i dana!',
        'Event Based Execution (Single Ticket)' => 'Izvršenje zasnovano na događaju (pojedinačni tiket)',
        'Event Triggers' => 'Okidači događaja',
        'List of all configured events' => 'Lista svih konfigurisanih događaja',
        'Delete this event' => 'Obriši ovaj događaj',
        'Additionally or alternatively to a periodic execution, you can define ticket events that will trigger this job.' =>
            'Dodatno ili alternativno za periodično izvršenje, možete definisati događaje tiketa koji će pokrenuti ovaj posao.',
        'If a ticket event is fired, the ticket filter will be applied to check if the ticket matches. Only then the job is run on that ticket.' =>
            'Ukoliko je događaj tiketa otkazao, biće primenjen tiket filter da potvrdi da li tiket odgovara. Samo tada će se posao na tiketu pokrenuti.',
        'Do you really want to delete this event trigger?' => 'Da li stvarno želite da obrišete ovaj okidač događaja?',
        'Add Event Trigger' => 'Dodaj okidač događaja',
        'To add a new event select the event object and event name' => 'Za dodavanje novog događaja izaberite objekat i naziv događaja',
        'Select Tickets' => 'Izaberi tikete',
        '(e. g. 10*5155 or 105658*)' => 'npr. 10*5144 ili 105658*',
        '(e. g. 234321)' => 'npr. 234321',
        'Customer user ID' => 'ID klijenta korisnika',
        '(e. g. U5150)' => '(npr. U5150)',
        'Fulltext-search in article (e. g. "Mar*in" or "Baue*").' => 'Tekstualna pretraga u članku (npr. "Mar*in" ili "Baue*")',
        'To' => 'Za',
        'Cc' => 'Cc',
        'Service' => 'Usluga',
        'Service Level Agreement' => 'Sporazum o nivou usluge',
        'Queue' => 'Red',
        'State' => 'Stanje',
        'Agent' => 'Operater',
        'Owner' => 'Vlasnik',
        'Responsible' => 'Odgovoran',
        'Ticket lock' => 'Tiket zaključan',
        'Dynamic fields' => 'Dinamička polja',
        'Add dynamic field' => '',
        'Create times' => 'Vremena otvaranja',
        'No create time settings.' => 'Nema podešavanja vremena otvaranja.',
        'Ticket created' => 'Tiket otvoren',
        'Ticket created between' => 'Tiket otvoren između',
        'and' => 'i',
        'Last changed times' => 'Vreme zadnje promene',
        'No last changed time settings.' => 'Nije podešeno vreme poslednje promene.',
        'Ticket last changed' => 'Vreme zadnje promene tiketa',
        'Ticket last changed between' => 'Zadnja promena tiketa između',
        'Change times' => 'Promena vremena',
        'No change time settings.' => 'Nema promene vremena',
        'Ticket changed' => 'Promenjen tiket',
        'Ticket changed between' => 'Tiket promenjen između',
        'Close times' => 'Vremena zatvaranja',
        'No close time settings.' => 'Nije podešeno vreme zatvaranja.',
        'Ticket closed' => 'Tiket zatvoren',
        'Ticket closed between' => 'Tiket zatvoren između',
        'Pending times' => 'Vremena čekanja',
        'No pending time settings.' => 'Nema podešavanja vremena čekanja',
        'Ticket pending time reached' => 'Dostignuto vreme čekanja tiketa',
        'Ticket pending time reached between' => 'Vreme čekanja tiketa dostignuto između',
        'Escalation times' => 'Vremena eskalacije',
        'No escalation time settings.' => 'Nema podešavanja vremena eskalacije',
        'Ticket escalation time reached' => 'Dostignuto vreme eskalacije tiketa',
        'Ticket escalation time reached between' => 'Vreme eskalacije tiketa dostignuto između',
        'Escalation - first response time' => 'Eskalacija - vreme prvog odziva',
        'Ticket first response time reached' => 'Dostignuto vreme prvog odziva na tiket',
        'Ticket first response time reached between' => 'Vreme prvog odziva na tiket dostignuto između',
        'Escalation - update time' => 'Eskalacija - vreme ažuriranja',
        'Ticket update time reached' => 'Dostignuto vreme ažuriranja tiketa',
        'Ticket update time reached between' => 'Vreme ažuriranja tiketa dostignuto između',
        'Escalation - solution time' => 'Eskalacija - vreme rešavanja',
        'Ticket solution time reached' => 'Dostignuto vreme rešavanja tiketa',
        'Ticket solution time reached between' => 'Vreme rešavanja tiketa dostignuto između',
        'Archive search option' => 'Opcije pretrage arhiva',
        'Update/Add Ticket Attributes' => 'Ažuriraj/Dodaj atribute tiketa',
        'Set new service' => 'Postavi nove usluge',
        'Set new Service Level Agreement' => 'Postavi novi Sporazum o nivou usluga',
        'Set new priority' => 'Postavi novi prioritet',
        'Set new queue' => 'Postavi novi red',
        'Set new state' => 'Postavi novo stanje',
        'Pending date' => 'Čekanje do',
        'Set new agent' => 'Postavi novog operatera',
        'new owner' => 'novi vlasnik',
        'new responsible' => 'novi odgovorni',
        'Set new ticket lock' => 'Postavi novo zaključavanje tiketa',
        'New customer user ID' => 'Novi ID klijent korisnika',
        'New customer ID' => 'Novi ID klijenta',
        'New title' => 'Novi naslov',
        'New type' => 'Novi tip',
        'Archive selected tickets' => 'Arhiviraj izabrane tikete',
        'Add Note' => 'Dodaj napomenu',
        'Visible for customer' => 'Vidljivo klijentu',
        'Time units' => 'Vremenske jedinice',
        'Execute Ticket Commands' => 'Izvrši komande tiketa',
        'Send agent/customer notifications on changes' => 'Pošalji obaveštenja operateru/klijentu pri promenama',
        'CMD' => 'CMD',
        'This command will be executed. ARG[0] will be the ticket number. ARG[1] the ticket id.' =>
            'Ova naredba će biti izvršena. ARG[0] je broj tiketa, a ARG[1] ID tiketa.',
        'Delete tickets' => 'Obriši tikete',
        'Warning: All affected tickets will be removed from the database and cannot be restored!' =>
            'UPOZORENJE: Svi obuhvaćeni tiketi će biti nepovratno uklonjeni iz baze!',
        'Execute Custom Module' => 'Pokreni izvršavanje posebnog modula',
        'Param %s key' => 'Ključ parametra %s',
        'Param %s value' => 'Vrednost parametra %s',
        'Results' => 'Rezultati',
        '%s Tickets affected! What do you want to do?' => '%s tiketa je obuhvaćeno. Šta želite da uradite?',
        'Warning: You used the DELETE option. All deleted tickets will be lost!' =>
            'UPOZORENJE: Upotrebili ste opciju za brisanje. Svi obrisani tiketi će biti izgubljeni!',
        'Warning: There are %s tickets affected but only %s may be modified during one job execution!' =>
            'Upozorenje: Obuhvaćeno je %s tiketa ali samo %s može biti izmenjeno tokom jednog izvršavanja posla!',
        'Affected Tickets' => 'Obuhvaćeni tiketi',
        'Age' => 'Starost',

        # Template: AdminGenericInterfaceDebugger
        'GenericInterface Web Service Management' => 'Upravljanje oštim interfejsom veb servisa',
        'Web Service Management' => 'Upravljanje veb servisima',
        'Debugger' => 'Program za otklanjanje grešaka',
        'Go back to web service' => 'Idi nazad na veb servis',
        'Clear' => 'Očisti',
        'Do you really want to clear the debug log of this web service?' =>
            'Da li stvarno želite da očistite otklanjanje grešaka u logu ovog veb servisa?',
        'Request List' => 'Lista zahteva',
        'Time' => 'Vreme',
        'Communication ID' => 'ID komunikacije',
        'Remote IP' => 'Udaljena IP adresa',
        'Loading' => 'Učitavam...',
        'Select a single request to see its details.' => 'Izaberite jedan zahtev da bi videli njegove detalje.',
        'Filter by type' => 'Filter po tipu',
        'Filter from' => 'Filter od',
        'Filter to' => 'Filter do',
        'Filter by remote IP' => 'Filter po udaljenoj IP adresi',
        'Limit' => 'Ograničenje',
        'Refresh' => 'Osvežavanje',

        # Template: AdminGenericInterfaceErrorHandlingDefault
        'Add ErrorHandling' => 'Dodaj obradu greške',
        'Edit ErrorHandling' => 'Uredi obradu greške',
        'Do you really want to delete this error handling module?' => 'Da li stvarno želite da obrišete ovaj modul za obradu greške?',
        'All configuration data will be lost.' => 'Svi konfiguracioni podaci će biti izgubljeni.',
        'General options' => 'Opšta podešavanja',
        'The name can be used to distinguish different error handling configurations.' =>
            'Naziv se može koristiti za pravljenje razlike između pojedinačnih konfiguracija za obradu greške.',
        'Please provide a unique name for this web service.' => 'Molimo da obezbedite jedinstveni naziv za ovaj veb servis.',
        'Error handling module backend' => 'Modul za obradu greške',
        'This OTOBO error handling backend module will be called internally to process the error handling mechanism.' =>
            'Ovaj modul za otklanjanje grešaka će biti pozvan interno da obradi grešku.',
        'Processing options' => 'Podešavanja obrade',
        'Configure filters to control error handling module execution.' =>
            'Konfigurišite filtere za kontrolu modula za obradu greške.',
        'Only requests matching all configured filters (if any) will trigger module execution.' =>
            'Samo zahtevi koji odgovaraju podešenim filterima (ukoliko ih ima) će rezultirati u pozivanju modula.',
        'Operation filter' => 'Filter operacije',
        'Only execute error handling module for selected operations.' => 'Izvrši modul za obradu greške samo za odgovarajuće operacije.',
        'Note: Operation is undetermined for errors occuring while receiving incoming request data. Filters involving this error stage should not use operation filter.' =>
            'Napomena: operacija za greške prilikom prijema zahteva nije definisana. Filteri za ovaj nivo obrade ne bi trebalo da koriste filter operacije.',
        'Invoker filter' => 'Filter pozivaoca',
        'Only execute error handling module for selected invokers.' => 'Izvrši modul za obradu greške samo za odgovarajuće pozivaoce.',
        'Error message content filter' => 'Filter sadržaja poruke o grešci',
        'Enter a regular expression to restrict which error messages should cause error handling module execution.' =>
            'Unesite regularni izraz za ograničenje koje poruke o grešci će rezultirati u pozivanju modula.',
        'Error message subject and data (as seen in the debugger error entry) will considered for a match.' =>
            'Naslov i sadržaj poruke o grešci (kako su prikazani u programu za otklanjanje grešaka) koji će biti smatrani kao zadovoljen uslov.',
        'Example: Enter \'^.*401 Unauthorized.*\$\' to handle only authentication related errors.' =>
            'Primer: unesite \'^.*401 Unauthorized.*\$\' za obradu samo grešaka u vezi autentikacije.',
        'Error stage filter' => 'Filter greške u odgovarućoj fazi',
        'Only execute error handling module on errors that occur during specific processing stages.' =>
            'Izvrši modul za obradu greške samo ukoliko se dogode tokom odgovarajuće faze u toku zahteva.',
        'Example: Handle only errors where mapping for outgoing data could not be applied.' =>
            'Primer: obradi samo greške kada nije moguće bilo mapirati odlazne podatke.',
        'Error code' => 'Kod greške',
        'An error identifier for this error handling module.' => 'Identifikator ovog modula za obradu grešaka.',
        'This identifier will be available in XSLT-Mapping and shown in debugger output.' =>
            'Ovaj identifikator će biti dostupan u XSLT mapiranju i prikazan u programu za otklanjanje grešaka.',
        'Error message' => 'Poruka o grešci',
        'An error explanation for this error handling module.' => 'Objašnjenje ovog modula za obradu grešaka.',
        'This message will be available in XSLT-Mapping and shown in debugger output.' =>
            'Ova poruka će biti dostupna u XSLT mapiranju i prikazana u programu za otklanjanje grešaka.',
        'Define if processing should be stopped after module was executed, skipping all remaining modules or only those of the same backend.' =>
            'Definiše da li procesiranje treba da bude zaustavljeno nakon što je modul izvršen, prilikom toka preskačući sve ostale module ili samo one istog tipa.',
        'Default behavior is to resume, processing the next module.' => 'Podrazumevano ponašanje je da se nastavi procesiranje sledećeg modula.',

        # Template: AdminGenericInterfaceErrorHandlingRequestRetry
        'This module allows to configure scheduled retries for failed requests.' =>
            'Ovaj modul omogućava konfiguraciju planiranih ponovnih pokušaja za neuspele zahteve.',
        'Default behavior of GenericInterface web services is to send each request exactly once and not to reschedule after errors.' =>
            'Podrazumevano ponašanje veb servisa je da pošalje svaki zahtev samo jedanput i da ne planira ponovno izvršavanje u slučaju greške.',
        'If more than one module capable of scheduling a retry is executed for an individual request, the module executed last is authoritative and determines if a retry is scheduled.' =>
            'Ukoliko je više od jednog modula sposobno da ponovo izvrši pojedinačni zahtev, samo poslednji modul će biti uzet u obzir i odrediće da li će biti ponovnog pokušaja.',
        'Request retry options' => 'Podešavanja ponovnih pokušaja',
        'Retry options are applied when requests cause error handling module execution (based on processing options).' =>
            'Ponovni pokušaji će biti planirani kada se izvrši modul za obradu greške (na osnovu podešavanja istih).',
        'Schedule retry' => 'Ponovni pokušaj',
        'Should requests causing an error be triggered again at a later time?' =>
            'Da li zahtevi koji rezultuju u greškama treba da budu ponovo izvršeni?',
        'Initial retry interval' => 'Početni interval ponovnih pokušaja',
        'Interval after which to trigger the first retry.' => 'Vremenski interval nakon koga će biti izvršen prvi ponovni pokušaj.',
        'Note: This and all further retry intervals are based on the error handling module execution time for the initial request.' =>
            'Napomena: ovaj i svi naredni intervali ponovnih pokušaja su zasnovani na vremenu izvršavanja modula za obradu greške početnog zahteva.',
        'Factor for further retries' => 'Faktor intervala ponovnih pokušaja',
        'If a request returns an error even after a first retry, define if subsequent retries are triggered using the same interval or in increasing intervals.' =>
            'Ukoliko zahtev rezultira greškom i posle prvog ponovnog pokušaja, definiše da li su sledeći pokušaji izvršeni u istom ili uvećavajućem intervalu.',
        'Example: If a request is initially triggered at 10:00 with initial interval at \'1 minute\' and retry factor at \'2\', retries would be triggered at 10:01 (1 minute), 10:03 (2*1=2 minutes), 10:07 (2*2=4 minutes), 10:15 (2*4=8 minutes), ...' =>
            'Primer: ukoliko je zahtev pokrenut u 10:00 sa početnim intervalom od jednog minuta i faktorom intervala 2, ponovni pokušaji će biti izvršeni u 10:01 (1 minut), 10:03 (2*1=2 minuta), 10:07 (2*2=4 minuta), 10:15 (2*4=8 minuta), ...',
        'Maximum retry interval' => 'Maksimalni interval ponovnih pokušaja',
        'If a retry interval factor of \'1.5\' or \'2\' is selected, undesirably long intervals can be prevented by defining the largest interval allowed.' =>
            'Ukoliko je odabran faktor intervala ponovnih pokušaja od 1.5 ili 2, moguće je sprečiti isuviše duge intervale definisanjem maksimalno dozvoljenog intervala.',
        'Intervals calculated to exceed the maximum retry interval will then automatically be shortened accordingly.' =>
            'Interval koji prelazi maksimalno dozvoljeni interval će automatski biti skraćen.',
        'Example: If a request is initially triggered at 10:00 with initial interval at \'1 minute\', retry factor at \'2\' and maximum interval at \'5 minutes\', retries would be triggered at 10:01 (1 minute), 10:03 (2 minutes), 10:07 (4 minutes), 10:12 (8=>5 minutes), 10:17, ...' =>
            'Primer: ukoliko je zahtev pokrenut u 10:00 sa početnim intervalom od jednog minuta, faktorom intervala 2 i maksimalnim intervalom od 5 minuta, ponovni pokušaji će biti izvršeni u 10:01 (1 minut), 10:03 (2*1=2 minuta), 10:07 (2*2=4 minuta), 10:12 (8=> 5 minuta), 10:17, ... ',
        'Maximum retry count' => 'Maksimalni broj ponovnih pokušaja',
        'Maximum number of retries before a failing request is discarded, not counting the initial request.' =>
            'Maksimalni dozvoljeni broj ponovnih pokušaja pre nego što je neuspeli zahtevo odbačen, ne računajući početni zahtev.',
        'Example: If a request is initially triggered at 10:00 with initial interval at \'1 minute\', retry factor at \'2\' and maximum retry count at \'2\', retries would be triggered at 10:01 and 10:02 only.' =>
            'Primer: ukoliko je zahtev pokrenut u 10:00 sa početnim intervalom od jednog minuta, faktorom intervala 2 i maksimalnim brojem ponovnih pokušaja 2, ponovni pokušaji će biti izvršeni samo u 10:01 i 10:03.',
        'Note: Maximum retry count might not be reached if a maximum retry period is configured as well and reached earlier.' =>
            'Napomena: maksimalni dozvoljenih broj ponovnih pokušaja ne mora biti dostignut ukoliko je podešen maksimalni period ponovnih pokušaja i dostignut ranije.',
        'This field must be empty or contain a positive number.' => 'Ovo polje mora da bude prazno ili pozitivan broj.',
        'Maximum retry period' => 'Maksimalni period ponovnih pokušaja',
        'Maximum period of time for retries of failing requests before they are discarded (based on the error handling module execution time for the initial request).' =>
            'Maksimalni dozvoljeni vremenski period ponovih pokušaja pre nego što je neuspeli zahtev odbačen (zasnovan na vremenu izvršavanja modula za obradu greške početnog zahteva).',
        'Retries that would normally be triggered after maximum period is elapsed (according to retry interval calculation) will automatically be triggered at maximum period exactly.' =>
            'Ponovni pokušaji koji bi standardno bili izvršeni posle maksimalnog vremenskog perioda (na osnovu izračunatog intervala) će automatski biti izvršeni tačno u maksimalnom periodu.',
        'Example: If a request is initially triggered at 10:00 with initial interval at \'1 minute\', retry factor at \'2\' and maximum retry period at \'30 minutes\', retries would be triggered at 10:01, 10:03, 10:07, 10:15 and finally at 10:31=>10:30.' =>
            'Primer: ukoliko je zahtev pokrenut u 10:00 sa početnim intervalom od jednog minuta, faktorom intervala 2 i maksimalnim periodom od 30 minuta, ponovni pokušaji će biti izvršeni u 10:01, 10:03, 10:07, 10:15 i konačno u 10:31=>10:30.',
        'Note: Maximum retry period might not be reached if a maximum retry count is configured as well and reached earlier.' =>
            'Napomena: maksimalni dozvoljeni period ne mora biti dostignut ukoliko je podešen maksimalni broj ponovnih pokušaja i dostignut ranije.',

        # Template: AdminGenericInterfaceInvokerDefault
        'Add Invoker' => 'Dodaj pozivaoca',
        'Edit Invoker' => 'Uredi pozivaoca',
        'Do you really want to delete this invoker?' => 'Da li stvarno želite da izbrišete ovog pozivaoca?',
        'Invoker Details' => 'Detalji pozivaoca',
        'The name is typically used to call up an operation of a remote web service.' =>
            'Naziv se obično koristi za pokretanje operacije udaljenog veb servisa.',
        'Invoker backend' => 'Modul pozivaoca',
        'This OTOBO invoker backend module will be called to prepare the data to be sent to the remote system, and to process its response data.' =>
            'Ovaj modul pozivaoca biće pozvan da pripremi podatke za slanje na udaljeni sistem i da obradi podatke njegovog odgovora.',
        'Mapping for outgoing request data' => 'Mapiranje za izlazne podatke zahteva',
        'Configure' => 'Podesi',
        'The data from the invoker of OTOBO will be processed by this mapping, to transform it to the kind of data the remote system expects.' =>
            'Podaci iz OTOBO pozivaoca biće obrađeni ovim mapiranjem, da bi ih transformisali u tipove podataka koje udaljeni sistem očekuje.',
        'Mapping for incoming response data' => 'Mapiranje za ulazne podatke odgovora',
        'The response data will be processed by this mapping, to transform it to the kind of data the invoker of OTOBO expects.' =>
            'Podaci odgovora iz OTOBO pozivaoca biće obrađeni ovim mapiranjem, da bi ih transformisali u tipove podataka koje udaljeni sistem očekuje..',
        'Asynchronous' => 'Asinhroni',
        'Condition' => 'Uslov',
        'Edit this event' => 'Uredi ovaj događaj',
        'This invoker will be triggered by the configured events.' => 'Ovaj pozivaoc će biti aktiviran preko podešenih događaja.',
        'Add Event' => 'Dodaj događaj',
        'To add a new event select the event object and event name and click on the "+" button' =>
            'Za dodavanje novog događaja izaberite objekat i naziv događaja pa kliknite na "+" dugme',
        'Asynchronous event triggers are handled by the OTOBO Scheduler Daemon in background (recommended).' =>
            'Asinhronim okidačima događaja upravlja planer OTOBO sistemskog servisa u pozadini (preporučeno).',
        'Synchronous event triggers would be processed directly during the web request.' =>
            'Sinhroni okidači događaja biće obrađeni direktno tokom veb zahteva.',

        # Template: AdminGenericInterfaceInvokerEvent
        'GenericInterface Invoker Event Settings for Web Service %s' => 'Podešavanja pozivaoca događaja u opštem interfejsu za veb servis %s',
        'Go back to' => 'Idi nazad na',
        'Delete all conditions' => 'Izbriši sve uslove',
        'Do you really want to delete all the conditions for this event?' =>
            'Da li stvarno želite da obrišete sve uslove ovog događaja?',
        'General Settings' => 'Opšta podešavanja',
        'Event type' => 'Tip događaja',
        'Conditions' => 'Uslovi',
        'Conditions can only operate on non-empty fields.' => 'Uslovi mogu da se primene samo sa polja koja nisu prazna.',
        'Type of Linking between Conditions' => 'Tip veze između uslova',
        'Remove this Condition' => 'Ukloni ovaj uslov',
        'Type of Linking' => 'Tip veze',
        'Add a new Field' => 'Dodaj novo polje',
        'Remove this Field' => 'Ukloni ovo polje',
        'And can\'t be repeated on the same condition.' => 'I se ne može ponoviti u istom uslovu.',
        'Add New Condition' => 'Dodaj novi uslov',

        # Template: AdminGenericInterfaceMappingSimple
        'Mapping Simple' => 'Jednostavno mapiranje',
        'Default rule for unmapped keys' => 'Podrazumevano pravilo za nemapirane ključeve',
        'This rule will apply for all keys with no mapping rule.' => 'Ovo pravilo će se primenjivati za sve ključeve bez pravila mapiranja.',
        'Default rule for unmapped values' => 'Podrazumevano pravilo za nemapirane vrednosti',
        'This rule will apply for all values with no mapping rule.' => 'Ovo pravilo će se primenjivati za sve vrednosti bez pravila mapiranja.',
        'New key map' => 'Novo mapiranje ključa',
        'Add key mapping' => 'Dodaj mapiranje ključa',
        'Mapping for Key ' => 'Mapiranje za ključ',
        'Remove key mapping' => 'Ukloni mapiranje ključa',
        'Key mapping' => 'Mapiranje ključa',
        'Map key' => 'Mapiraj ključ',
        'matching the' => 'Podudaranje sa',
        'to new key' => 'na novi ključ',
        'Value mapping' => 'Vrednosno mapiranje',
        'Map value' => 'Mapiraj vrednost',
        'to new value' => 'na novu vrednost',
        'Remove value mapping' => 'Ukloni mapiranje vrednosti',
        'New value map' => 'Novo mapiranje vrednosti',
        'Add value mapping' => 'Dodaj mapiranu vrednost',
        'Do you really want to delete this key mapping?' => 'Da li stvarno želite da obrišete ovo mapiranje ključa?',

        # Template: AdminGenericInterfaceMappingXSLT
        'General Shortcuts' => 'Opšte prečice',
        'MacOS Shortcuts' => 'MacOS prečice',
        'Comment code' => 'Dodaj komentar koda',
        'Uncomment code' => 'Ukloni komentar koda',
        'Auto format code' => 'Formatiraj kod automatski',
        'Expand/Collapse code block' => 'Proširi/smanji blok koda',
        'Find' => 'Pronađi',
        'Find next' => 'Pronađi sledeće',
        'Find previous' => 'Pronađi prethodno',
        'Find and replace' => 'Pronađi i zameni',
        'Find and replace all' => 'Pronađi i zameni sve',
        'XSLT Mapping' => 'XSLT mapiranje',
        'XSLT stylesheet' => 'XSLT opis stilova',
        'The entered data is not a valid XSLT style sheet.' => 'Uneti podaci nisu ispravan XSLT opis stilova.',
        'Here you can add or modify your XSLT mapping code.' => 'Ovde može dodati i izmeniti kod XSLT mapiranja.',
        'The editing field allows you to use different functions like automatic formatting, window resize as well as tag- and bracket-completion.' =>
            'Polje za uređivanje vam omogućava da koristite funkcije kao što su automatsko formatiranje, promena veličine prozora i automatsko dopunjavanje komandi i zagrada.',
        'Data includes' => 'Podaci uključuju',
        'Select one or more sets of data that were created at earlier request/response stages to be included in mappable data.' =>
            'Odaberite jedan ili više skupova podataka koji su kreirani u ranijoj fazi zahteva/odgovora za uključivanje u podatke za mapiranje.',
        'These sets will appear in the data structure at \'/DataInclude/<DataSetName>\' (see debugger output of actual requests for details).' =>
            'Ovi skupovi će biti uključeni u strukturu na putanji \'/DataInclude/<DataSetName>\' (vidite program za otklanjanje grešaka za detalje).',
        'Data key regex filters (before mapping)' => 'Filteri regularnih izraza (pre mapiranja)',
        'Data key regex filters (after mapping)' => 'Filteri regularnih izraza (posle mapiranja)',
        'Regular expressions' => 'Regularni izrazi',
        'Replace' => 'Zameni',
        'Remove regex' => 'Ukloni regularni izraz',
        'Add regex' => 'Dodaj regularni izraz',
        'These filters can be used to transform keys using regular expressions.' =>
            'Ovi filteri se mogu koristi za transformaciju ključeva korišćenjem regularnih izraza.',
        'The data structure will be traversed recursively and all configured regexes will be applied to all keys.' =>
            'Struktura podataka će biti procesirana rekurzivno i svi podešeni regularni izrazi će biti primenjeni na sve ključeve.',
        'Use cases are e.g. removing key prefixes that are undesired or correcting keys that are invalid as XML element names.' =>
            'Primeri korišćenja su npr. uklanjanjen nepoželjnih prefiksa iz ključeva ili ispravljanje ključeva koji su neispravni kao XML nazivi.',
        'Example 1: Search = \'^jira:\' / Replace = \'\' turns \'jira:element\' into \'element\'.' =>
            'Primer 1: pronađi = \'^jira:\' / zameni = \'\' pretvara \'jira:element\' u \'element\'.',
        'Example 2: Search = \'^\' / Replace = \'_\' turns \'16x16\' into \'_16x16\'.' =>
            'Primer 2: pronađi = \'^\' / zameni = \'_\' pretvara \'16x16\' u \'_16x16\'.',
        'Example 3: Search = \'^(?<number>\d+) (?<text>.+?)\$\' / Replace = \'_\$+{text}_\$+{number}\' turns \'16 elementname\' into \'_elementname_16\'.' =>
            'Primer 3: Search = \'^(?\d+) (?.+?)\$\' / Replace = \'_\$+{text}_\$+{number}\' pretvara \'16 elementname\' u \'_elementname_16\'.',
        'For information about regular expressions in Perl please see here:' =>
            'Za informacije o Perl regularnim izrazima, molimo posetite:',
        'Perl regular expressions tutorial' => 'Priručnih Perl regularnih izraza',
        'If modifiers are desired they have to be specified within the regexes themselves.' =>
            'Ukoliko su vam neophodni modifikatori, moraćete da ih definišete u okviru samih regularnih izraza.',
        'Regular expressions defined here will be applied before the XSLT mapping.' =>
            'Regularni izrazi definisani ovde biće primenjeni pre XSLT mapiranja.',
        'Regular expressions defined here will be applied after the XSLT mapping.' =>
            'Regularni izrazi definisani ovde biće primenjeni posle XSLT mapiranja.',

        # Template: AdminGenericInterfaceOperationDefault
        'Add Operation' => 'Dodaj operaciju',
        'Edit Operation' => 'Uredi operaciju',
        'Do you really want to delete this operation?' => 'Da li stvarno želite da obrišete ovu operaciju?',
        'Operation Details' => 'Detalji operacije',
        'The name is typically used to call up this web service operation from a remote system.' =>
            'Naziv se obično koristi za pozivanje operacije veb servisa iz udaljenog sistema.',
        'Operation backend' => 'Modul operacije',
        'This OTOBO operation backend module will be called internally to process the request, generating data for the response.' =>
            'Ovaj modul operacije će biti interno pozvan da obradi zahtev, generisanjem podataka za odgovor.',
        'Mapping for incoming request data' => 'Mapiranje za dolazne podatke zahteva',
        'The request data will be processed by this mapping, to transform it to the kind of data OTOBO expects.' =>
            'Podaci zahteva će biti obrađeni kroz mapiranje, radi transformacije u oblik koji OTOBO očekuje.',
        'Mapping for outgoing response data' => 'Mapiranje za izlazne podatke odgovora',
        'The response data will be processed by this mapping, to transform it to the kind of data the remote system expects.' =>
            'Podaci odgovora će biti obrađeni kroz ovo mapiranje, radi transformacije u oblik koji udaljeni sistem očekuje.',
        'Include Ticket Data' => 'Uključi podatke tiketa',
        'Include ticket data in response.' => 'Uključi podatke tiketa u odgovoru.',

        # Template: AdminGenericInterfaceTransportHTTPREST
        'Network Transport' => 'Mrežni transport',
        'Properties' => 'Svojstva',
        'Route mapping for Operation' => 'Mapiranje rute za operaciju',
        'Define the route that should get mapped to this operation. Variables marked by a \':\' will get mapped to the entered name and passed along with the others to the mapping. (e.g. /Ticket/:TicketID).' =>
            'Definiše rutu koja će biti mapirana na ovu operaciju. Promenljive obeležene sa \':\' će biti mapirane za uneti naziv i prosleđene sa ostalima (npr. /Ticket/:TicketID).',
        'Valid request methods for Operation' => 'Važeće metode zahteva za operaciju',
        'Limit this Operation to specific request methods. If no method is selected all requests will be accepted.' =>
            'Ograniči ovu opreaciju na pojedine metode zahteva. Ako ni jedna metoda nije izabrana svi zahtevi će biti prihvaćeni.',
        'Maximum message length' => 'Najveća dužina poruke',
        'This field should be an integer number.' => 'Ovo polje treba da bude ceo broj.',
        'Here you can specify the maximum size (in bytes) of REST messages that OTOBO will process.' =>
            'Ovde možete uneti maksimalnu veličinu (u bajtima) REST poruka koje će OTOBO da obradi.',
        'Send Keep-Alive' => 'Pošalji Keep-Alive',
        'This configuration defines if incoming connections should get closed or kept alive.' =>
            'Konfiguracija definiše da li dolazna konekcija treba da se zatvori i održava.',
        'Additional response headers' => 'Dodatna zaglavlja u odgovorima',
        'Add response header' => 'Dodaj zaglavlje u odgovoru',
        'Endpoint' => 'Krajnja tačka',
        'URI to indicate specific location for accessing a web service.' =>
            'URI za identifikaciju specifične lokacije za pristup servisu. ',
        'e.g https://www.otobo.ch:10745/api/v1.0 (without trailing backslash)' =>
            '',
        'Timeout' => 'Vremensko ograničenje',
        'Timeout value for requests.' => 'Vremensko ograničenje za zahteve.',
        'Authentication' => 'Autentifikacija',
        'An optional authentication mechanism to access the remote system.' =>
            'Opcioni mehanizam autentifikacije za pristup udaljenom sistemu.',
        'BasicAuth User' => 'BasicAuth korisnik',
        'The user name to be used to access the remote system.' => 'Korisničko ime koje će biti korišćeno za pristup udaljenom sistemu.',
        'BasicAuth Password' => 'BasicAuth lozinka',
        'The password for the privileged user.' => 'Lozinka za privilegovanog korisnika.',
        'Use Proxy Options' => 'Koristi Proxy podešavanja',
        'Show or hide Proxy options to connect to the remote system.' => 'Prikaži ili sakrij Proxy opcije za povezivanje sa udaljenim sistemom.',
        'Proxy Server' => 'Proxy server',
        'URI of a proxy server to be used (if needed).' => 'URI od proxy servera da bude korišćen (ako je potrebno).',
        'e.g. http://proxy_hostname:8080' => 'npr. http://proxy_hostname:8080',
        'Proxy User' => 'Proxy korisnik',
        'The user name to be used to access the proxy server.' => 'Korisničko ime koje će se koristiti za pristup proxy serveru.',
        'Proxy Password' => 'Proxy lozinka',
        'The password for the proxy user.' => 'Lozinka za proxy korisnika',
        'Skip Proxy' => 'Ignoriši Proxy',
        'Skip proxy servers that might be configured globally?' => 'Da li želite da ignorišete Proxy servere koji su možda podešeni globalno?',
        'Use SSL Options' => 'Koristi SSL opcije',
        'Show or hide SSL options to connect to the remote system.' => 'Prikaži ili sakrij SSL opcije za povezivanje sa udaljenim sistemom.',
        'Client Certificate' => 'Klijentski sertifikat',
        'The full path and name of the SSL client certificate file (must be in PEM, DER or PKCS#12 format).' =>
            'Cela putanja i naziv za datoteku SSL sertifikata (mora biti u PEM, DER ili PKCS#12 formatu).',
        'e.g. /opt/otobo/var/certificates/SOAP/certificate.pem' => 'npr. /opt/otobo/var/certificates/SOAP/certificate.pem',
        'Client Certificate Key' => 'Ključ klijentskog sertifikata',
        'The full path and name of the SSL client certificate key file (if not already included in certificate file).' =>
            'Cela putanja i naziv za datoteku ključa SSL sertifikata (ukoliko nije uključen u datoteku sertifikata).',
        'e.g. /opt/otobo/var/certificates/SOAP/key.pem' => 'npr. /opt/otobo/var/certificates/SOAP/key.pem',
        'Client Certificate Key Password' => 'Lozinka ključa klijentskog sertifikata',
        'The password to open the SSL certificate if the key is encrypted.' =>
            'Lozinka za otvaranje SSL sertifikata ukoliko je ključ šifrovan.',
        'Certification Authority (CA) Certificate' => 'Sertifikat sertifikacionog tela (CA)',
        'The full path and name of the certification authority certificate file that validates SSL certificate.' =>
            'Cela putanja i naziv sertifikacionog tela koje provera ispravnost SSL sertifikata.',
        'e.g. /opt/otobo/var/certificates/SOAP/CA/ca.pem' => 'npr. /opt/otobo/var/certificates/SOAP/CA/ca.pem',
        'Certification Authority (CA) Directory' => 'Direktorijum sertifikacionog tela (CA)',
        'The full path of the certification authority directory where the CA certificates are stored in the file system.' =>
            'Cela putanja direktorijuma sertifikacionog tela gde se skladište CA sertifikati u sistemu datoteka.',
        'e.g. /opt/otobo/var/certificates/SOAP/CA' => 'npr. /opt/otobo/var/certificates/SOAP/CA',
        'SSL hostname verification.' => '',
        'Abort the request if the hostname cannot be verified. Disable with caution! Skipping verification is a security risk! Mainly for testing purposes in case of self-signed SSL certificates, or if you know what you are doing.' =>
            '',
        'Controller mapping for Invoker' => 'Mapiranje kontrolera za pozivaoca',
        'The controller that the invoker should send requests to. Variables marked by a \':\' will get replaced by the data value and passed along with the request. (e.g. /Ticket/:TicketID?UserLogin=:UserLogin&Password=:Password).' =>
            'Kontroler kome će pozivalac prosleđivati zahteve. Promenljive obeležene sa \':\' će biti zamenjene njihovim vrednostima i prosleđene zajedno sa zahtevom (npr. /Ticket/:TicketID?UserLogin=:UserLogin&Password=:Password).',
        'Valid request command for Invoker' => 'Važeća komanda zahteva za pozivaoca',
        'A specific HTTP command to use for the requests with this Invoker (optional).' =>
            'Specifična HTTP komanda za primenu na zahteve sa ovim pozivaocem (neobavezno).',
        'Default command' => 'Podrazumevana komanda',
        'The default HTTP command to use for the requests.' => 'Podrazumevena HTTP komanda za zahteve.',

        # Template: AdminGenericInterfaceTransportHTTPSOAP
        'e.g. https://local.otrs.com:8000/Webservice/Example' => 'npr. https://local.otrs.com:8000/Webservice/Example',
        'Set SOAPAction' => 'Definiši SOAPAction',
        'Set to "Yes" in order to send a filled SOAPAction header.' => 'Izaberi "Da" za slanje popunjenog SOAPAction zaglavlja.',
        'Set to "No" in order to send an empty SOAPAction header.' => 'Izaberi "Ne" za slanje praznog SOAPAction zaglavlja.',
        'Set to "Yes" in order to check the received SOAPAction header (if not empty).' =>
            'Izaberi "Da" za proveru primljenog SOAPAction zaglavlja (ukoliko nije prazno).',
        'Set to "No" in order to ignore the received SOAPAction header.' =>
            'Izaberi "Ne" za ignorisanje primljenog SOAPAction zaglavlja.',
        'SOAPAction scheme' => 'SOAPAction šema',
        'Select how SOAPAction should be constructed.' => 'Izaberite kako će biti konstruisan SOAPAction.',
        'Some web services require a specific construction.' => 'Pojedini veb servisi zahtevaju specifičnu konstrukciju.',
        'Some web services send a specific construction.' => 'Pojedini veb servisi šalju specifičnu konstrukciju.',
        'SOAPAction separator' => 'Separator SOAP akcije',
        'Character to use as separator between name space and SOAP operation.' =>
            'Znak koji će se koristiti kao separator između zaglavlja i SOAP metode.',
        'Usually .Net web services use "/" as separator.' => '.Net veb servisi obično koriste "/" kao separator.',
        'SOAPAction free text' => 'SOAPAction slobodan tekst',
        'Text to be used to as SOAPAction.' => 'Tekst koji će se koristiti kao SOAPAction.',
        'Namespace' => 'Vrsta zahteva',
        'URI to give SOAP methods a context, reducing ambiguities.' => 'URI koji daje kontekst SOAP metodama, smanjuje dvosmislenosti.',
        'e.g urn:otobo-com:soap:functions or http://www.otrs.com/GenericInterface/actions' =>
            'npr. urn:otobo-com:soap:functions ili http://www.otrs.com/GenericInterface/actions',
        'Request name scheme' => 'Zahtev za šemu naziva',
        'Select how SOAP request function wrapper should be constructed.' =>
            'Izaberite kako će biti konstruisan omotač funkcije SOAP zahteva.',
        '\'FunctionName\' is used as example for actual invoker/operation name.' =>
            '\'FunctionName\' se koristi kao primer za stvaran naziv pozivaoca/operacije.',
        '\'FreeText\' is used as example for actual configured value.' =>
            '\'FreeText\' se koristi kao primer za stvarnu podešenu vrednost.',
        'Request name free text' => 'Slobodan tekst naziva zahteva',
        'Text to be used to as function wrapper name suffix or replacement.' =>
            'Tekst koji će biti korišten kao nastavak naziva ili zamena omotača funkcije.',
        'Please consider XML element naming restrictions (e.g. don\'t use \'<\' and \'&\').' =>
            'Molimo da uzmete u obzir XML oganičenja imenovanja (npr. nemojte koristiti \'<\' i \'&\').',
        'Response name scheme' => 'Šema naziva odgovora',
        'Select how SOAP response function wrapper should be constructed.' =>
            'Izaberite kako će biti konstruisan omotač funkcije SOAP odgovora.',
        'Response name free text' => 'Slobodan tekst naziva odgovora',
        'Here you can specify the maximum size (in bytes) of SOAP messages that OTOBO will process.' =>
            'Ovde možete uneti maksimalnu veličinu (u bajtima) SOAP poruka koje će OTOBO da obradi.',
        'Encoding' => 'Kodni raspored',
        'The character encoding for the SOAP message contents.' => 'Kodni raspored znakova za sadržaj SOAP poruke.',
        'e.g utf-8, latin1, iso-8859-1, cp1250, Etc.' => 'npr. utf-8, latin1, iso-8859-1, cp1250, ...',
        'Sort options' => 'Opcije sortiranja',
        'Add new first level element' => 'Dodaj novi element prvog nivoa',
        'Element' => 'Element',
        'Outbound sort order for xml fields (structure starting below function name wrapper) - see documentation for SOAP transport.' =>
            'Odlazni redosled sortiranja za XML polja (struktura ispod naziva omotača funkcije) - pogledajte dokumentaciju za SOAP transport.',

        # Template: AdminGenericInterfaceWebservice
        'Add Web Service' => 'Dodaj veb servis',
        'Edit Web Service' => 'Uredi veb servis',
        'Clone Web Service' => 'Kloniraj veb servis',
        'The name must be unique.' => 'Naziv mora biti jedinstven.',
        'Clone' => 'Kloniraj',
        'Export Web Service' => 'Izvezi veb servis',
        'Import web service' => 'Uvezi veb servis',
        'Configuration File' => 'Konfiguraciona datoteka',
        'The file must be a valid web service configuration YAML file.' =>
            'Datoteka mora da bude važeća YAML konfiguraciona datoteka veb servisa.',
        'Here you can specify a name for the webservice. If this field is empty, the name of the configuration file is used as name.' =>
            'Ovde možete definisati naziv veb servisa. Ukoliko je ovo polje prazno, biće korišćen naziv konfiguracione datoteke.',
        'Import' => 'Uvezi',
        'Configuration History' => 'Istorijat konfiguracije',
        'Delete web service' => 'Obriši veb servis',
        'Do you really want to delete this web service?' => 'Da li stvarno želite da obrišete ovaj veb servis?',
        'Ready2Adopt Web Services' => 'Ready2Adopt veb servisi',
        'Here you can activate Ready2Adopt web services showcasing our best practices that are a part of %s.' =>
            'Ovde možete aktivirati Ready2Adopt veb servise spremne za upotrebu koji oslikavaju našu najbolju praksu koja je deo %s.',
        'Please note that these web services may depend on other modules only available with certain %s contract levels (there will be a notification with further details when importing).' =>
            'Molimo da imate na umu da veb servisi mogu da zavise od drugih modula koji su dostupni  u okviru određenih %s nivoa ugovora (postoji obavešetenje sa dodatnim detaljima pri uvozu).',
        'Import Ready2Adopt web service' => 'Uvezi Ready2Adopt veb servis',
        'Would you like to benefit from web services created by experts? Upgrade to %s to import some sophisticated Ready2Adopt web services.' =>
            'Da li želite da iskoristite veb servise kreirane od strane eksperata? Unapredite na %s da bi mogli da uvezete sofisticirane Ready2Adopt veb servise spremne za upotrebu.',
        'After you save the configuration you will be redirected again to the edit screen.' =>
            'Nakon snimanja konfiguracije bićete ponovo preusmereni na prikaz ekrana za uređivanje.',
        'If you want to return to overview please click the "Go to overview" button.' =>
            'Ako želite da se vratite na pregled, molimo da kliknete na dugme \'Idi na pregled\'.',
        'Remote system' => 'Udaljeni sistem',
        'Provider transport' => 'Transport provajdera',
        'Requester transport' => 'Transport potražioca',
        'Debug threshold' => 'Prag uklanjanja grešaka',
        'In provider mode, OTOBO offers web services which are used by remote systems.' =>
            'U režimu provajdera, OTOBO nudi veb servise koji se koriste od strane udaljenih sistema.',
        'In requester mode, OTOBO uses web services of remote systems.' =>
            'U režimu naručioca, OTOBO koristi veb servise udaljenih sistema.',
        'Network transport' => 'Mrežni transport',
        'Error Handling Modules' => 'Moduli za obradu greške',
        'Error handling modules are used to react in case of errors during the communication. Those modules are executed in a specific order, which can be changed by drag and drop.' =>
            'Moduli za obradu greške se koriste za reakciju u slučuja grešaka u toku komunikacije. Ovi moduli se izvršavaju u odgovarajućem redosledu, koji može biti izmenjen prevlačenjem.',
        'Backend' => 'Modul',
        'Add error handling module' => 'Dodaj modul za obradu greške',
        'Operations are individual system functions which remote systems can request.' =>
            'Operacije su individualne sistemske funkcije koje udaljeni sistemi mogu da zahtevaju.',
        'Invokers prepare data for a request to a remote web service, and process its response data.' =>
            'Pozivaoci pripremaju podatke za zahtev na udaljenom web servisu i obrađuju podatke njegovih odgovora.',
        'Controller' => 'Kontroler',
        'Inbound mapping' => 'Ulazno mapiranje',
        'Outbound mapping' => 'Izlazno mapiranje',
        'Delete this action' => 'Obriši ovu akciju',
        'At least one %s has a controller that is either not active or not present, please check the controller registration or delete the %s' =>
            'Najmanje jedan %s ima kontroler koji ili nije aktivan ili nije prisutan, molimo proverite registraciju kontrolera ili izbrišite %s',

        # Template: AdminGenericInterfaceWebserviceHistory
        'History' => 'Istorija',
        'Go back to Web Service' => 'Vratite se na veb servis',
        'Here you can view older versions of the current web service\'s configuration, export or even restore them.' =>
            'Ovde možete videti starije verzije konfiguracije aktuelnog veb servisa, eksportovati ih ili ih obnoviti.',
        'Configuration History List' => 'Lista - istorijat konfiguracije',
        'Version' => 'Verzija',
        'Create time' => 'Vreme kreiranja',
        'Select a single configuration version to see its details.' => 'Izaberi samo jednu konfiguracionu verziju za pregled njenih detalja.',
        'Export web service configuration' => 'Izvezi konfiguraciju veb servisa',
        'Restore web service configuration' => 'Obnovi konfiguraciju veb servisa',
        'Do you really want to restore this version of the web service configuration?' =>
            'Da li stvarno želite da vratite ovu verziju konfiguracije veb servisa?',
        'Your current web service configuration will be overwritten.' => 'Aktuelna konfiguracija veb servisa biće prepisana.',

        # Template: AdminGroup
        'Group Management' => 'Upravljanje grupama',
        'Add Group' => 'Dodaj grupu',
        'Edit Group' => 'Uredi grupu',
        'The admin group is to get in the admin area and the stats group to get stats area.' =>
            '\'admin\' grupa služi za pristup administracionom prostoru, a \'stats\' grupa statistikama.',
        'Create new groups to handle access permissions for different groups of agent (e. g. purchasing department, support department, sales department, ...). ' =>
            'Napravi nove grupe za rukovanje pravima pristupa raznim grupama operatera (npr. odeljenje nabavke, tehnička podrška, prodaja, ...).',
        'It\'s useful for ASP solutions. ' => 'Korisno ASP rešenja.',

        # Template: AdminLog
        'System Log' => 'Sistemski dnevnik',
        'Here you will find log information about your system.' => 'Ovde ćete naći log informacije o vašem sistemu.',
        'Hide this message' => 'Sakrij ovu poruku',
        'Recent Log Entries' => 'Poslednji log unosi',
        'Facility' => 'Instalacija',
        'Message' => 'Poruka',

        # Template: AdminMailAccount
        'Mail Account Management' => 'Upravljanje imejl nalozima',
        'Add Mail Account' => 'Dodaj imejl nalog',
        'Edit Mail Account for host' => 'Uredi imejl nalog za server',
        'and user account' => 'i korisnički nalog',
        'Filter for Mail Accounts' => 'Filter za imejl naloge',
        'Filter for mail accounts' => 'Filter za imejl naloge',
        'All incoming emails with one account will be dispatched in the selected queue.' =>
            'Sve dolazne poruke sa jednog imejl naloga će biti usmerene u izabrani red.',
        'If your account is marked as trusted, the X-OTOBO headers already existing at arrival time (for priority etc.) will be kept and used, for example in PostMaster filters.' =>
            'Ako je vaš nalog od poverenja, postojeća X-OTOBO zaglavlja u trenutku prijema (za prioritet, itd.) će biti sačuvana korišćena, npr. u PostMaster filterima.',
        'Outgoing email can be configured via the Sendmail* settings in %s.' =>
            'Podešavanja odlazećih imejl poruka mogu biti konfigurisana putem Sendmail* opcija u %s.',
        'System Configuration' => 'Konfiguracija sistema',
        'Host' => 'Domaćin',
        'Delete account' => 'Obriši nalog',
        'Fetch mail' => 'Preuzmi poštu',
        'Do you really want to delete this mail account?' => 'Da li stvarno želite da obrišete ovaj imejl nalog?',
        'Example: mail.example.com' => 'Primer: mail.example.com',
        'IMAP Folder' => 'IMAP folder',
        'Only modify this if you need to fetch mail from a different folder than INBOX.' =>
            'Ovo izmenite samo ako je potrebno primiti poštu iz drugog foldera, a ne iz INBOX-a.',
        'Trusted' => 'Od poverenja',
        'Dispatching' => 'Otprema',
        'Edit Mail Account' => 'Uredi imejl nalog',

        # Template: AdminNavigationBar
        'Administration Overview' => 'Administrativni pregled',
        'Filter for Items' => 'Filter za stavke',
        'Favorites' => 'Omiljene',
        'You can add favorites by moving your cursor over items on the right side and clicking the star icon.' =>
            'Možete dodati omiljene prevlačenjem kursora preko stavke sa desne strane i klikom na ikonicu zvezde.',
        'Links' => 'Veze',
        'View the admin manual on Github' => 'Pregledajte uputstvo za administratore na Github',
        'No Matches' => 'Ništa nije pronađeno',
        'Sorry, your search didn\'t match any items.' => 'Žao nam je, vaša pretraga nije vratila rezultate.',
        'Set as favorite' => 'Stavi u omiljene',

        # Template: AdminNotificationEvent
        'Ticket Notification Management' => 'Upravljanje obaveštenjima o tiketima',
        'Here you can upload a configuration file to import Ticket Notifications to your system. The file needs to be in .yml format as exported by the Ticket Notification module.' =>
            'Ovde možete poslati konfiguracionu datoteku za uvoz obaveštenja o tiketu u vaš sistem. Datoteka mora biti u .yml formatu ako se izvozi od strane modula za obaveštenja o tiketu.',
        'Here you can choose which events will trigger this notification. An additional ticket filter can be applied below to only send for ticket with certain criteria.' =>
            'Ovde možete izabrati koji događaji će pokrenuti obaveštavanje. Dodatni filter za tikete može biti primenjen radi slanja samo za tikete po određenom kriterijumu.',
        'Ticket Filter' => 'Filter tiketa',
        'Lock' => 'Zaključaj',
        'SLA' => 'SLA',
        'Customer User ID' => 'ID klijenta korisnika',
        'Article Filter' => 'Filter članka',
        'Only for ArticleCreate and ArticleSend event' => 'Samo za događaj kreiranje članka i slanje članka',
        'Article sender type' => 'Tip pošiljaoca članka',
        'If ArticleCreate or ArticleSend is used as a trigger event, you need to specify an article filter as well. Please select at least one of the article filter fields.' =>
            'Ako se koriste događaji kreiranje članka i slanje članka, neophodno je definisati filter članka. Molim vas selektujte bar jedno polje za filter članka.',
        'Customer visibility' => 'Vidljivo klijentima',
        'Communication channel' => 'Komunikacioni kanal',
        'Include attachments to notification' => 'Uključi priloge uz obavštenje',
        'Notify user just once per day about a single ticket using a selected transport.' =>
            'Obaveti korisnika samo jednom dnevno o pojedinom tiketu korišćenjem izabranog transporta.',
        'This field is required and must have less than 4000 characters.' =>
            'Ovo polje je obavezno i ne sme biti duže od 4000 karaktera.',
        'Notifications are sent to an agent or a customer.' => 'Obaveštenje poslato operateru ili klijentu.',
        'To get the first 20 character of the subject (of the latest agent article).' =>
            'Da vidite prvih 20 slova predmeta (poslednjeg članka operatera).',
        'To get the first 5 lines of the body (of the latest agent article).' =>
            'Da vidite prvih 5 linija poruke (poslednjeg članka operatera).',
        'To get the first 20 character of the subject (of the latest customer article).' =>
            'Da vidite prvih 20 slova predmeta (poslednjeg članka klijenta).',
        'To get the first 5 lines of the body (of the latest customer article).' =>
            'Da vidite prvih 5 linija poruke (poslednjeg članka klijenta).',
        'Attributes of the current customer user data' => 'Atributi podataka aktuelnog klijenta korisnika',
        'Attributes of the current ticket owner user data' => 'Atributi podataka korisnika vlasnika aktuelnog tiketa',
        'Attributes of the current ticket responsible user data' => 'Atributi podataka odgovornog korisnika aktuelnog tiketa',
        'Attributes of the current agent user who requested this action' =>
            'Atributi aktuelnog korisnika operatera koji je tražio ovu akciju',
        'Attributes of the ticket data' => 'Atributi podataka tiketa',
        'Ticket dynamic fields internal key values' => 'Vrednosti internih ključeva dinamičkih polja tiketa',
        'Ticket dynamic fields display values, useful for Dropdown and Multiselect fields' =>
            'Prikazane vrednosti dinamičkih polja, korisno za padajuća i polja sa višestrukim izborom.',

        # Template: AdminNotificationEventTransportEmailSettings
        'Use comma or semicolon to separate email addresses.' => 'Koristite zarez ili tačku-zarez za odvajanje imejl adresa.',
        'You can use OTOBO-tags like <OTOBO_TICKET_DynamicField_...> to insert values from the current ticket.' =>
            'Možete koristiti OTOBO tagove kao <OTOBO_TICKET_DynamicField_...> za umetanje vrednosti iz trenutnog tiketa.',

        # Template: AdminPGP
        'PGP Management' => 'Upravljanje PGP ključevima',
        'Add PGP Key' => 'Dodaj PGP ključ',
        'PGP support is disabled' => 'PGP podrška je onemogućena',
        'To be able to use PGP in OTOBO, you have to enable it first.' =>
            'Da bi mogli da koristite PGP u OTOBO, morate ga prvo omogućiti.',
        'Enable PGP support' => 'Omogući PGP podršku',
        'Faulty PGP configuration' => 'Neispravna PGP konfiguracija',
        'PGP support is enabled, but the relevant configuration contains errors. Please check the configuration using the button below.' =>
            'PGP podrška ja omogućena ali relevantna konfiguracija sadrži greške. Molimo da proverite konfiguraciju pritiskom na dugme ispod.',
        'Configure it here!' => 'Podesite to ovde!',
        'Check PGP configuration' => 'Proveri PGP konfiguraciju',
        'In this way you can directly edit the keyring configured in SysConfig.' =>
            'Na ovaj način možete direktno uređivati komplet ključeva podešen u SysConfig (sistemskim konfiguracijama).',
        'Introduction to PGP' => 'Uvod u PGP',
        'Bit' => 'Bit',
        'Fingerprint' => 'Otisak',
        'Expires' => 'Ističe',
        'Delete this key' => 'Obriši ovaj ključ',
        'PGP key' => 'PGP ključ',

        # Template: AdminPackageManager
        'Package Manager' => 'Upravljanje paketima',
        'Uninstall Package' => 'Deinstaliraj paket',
        'Uninstall package' => 'Deinstaliraj paket',
        'Do you really want to uninstall this package?' => 'Da li stvarno želite da deinstalirate ovaj paket?',
        'Reinstall package' => 'Instaliraj ponovo paket',
        'Do you really want to reinstall this package? Any manual changes will be lost.' =>
            'Da li stvarno želite da ponovo instalirate ovaj paket? Sve ručne promene će biti izgubljene.',
        'Go to updating instructions' => 'Idi na uputstvo za ažuriranje',
        'Go to the OTOBO customer portal' => 'Idi na OTOBO korisnički portal',
        'package information' => 'Informacije o paketu',
        'Package installation requires a patch level update of OTOBO.' =>
            'Instalacija paketa zahteva ažuriranu verziju OTOBO.',
        'Package update requires a patch level update of OTOBO.' => 'Ažuriranje paketa zahteva ažuriranu verziju OTOBO.',
        'Please note that your installed OTOBO version is %s.' => 'Trenutno instalirana OTOBO verzija je %s.',
        'To install this package, you need to update OTOBO to version %s or newer.' =>
            'Da biste instalirali ovaj paket, neophodno je da ažurirate vaš OTOBO na verziju %s ili noviju.',
        'This package can only be installed on OTOBO version %s or older.' =>
            'Ovaj paket se može instalirati samo na OTOBO verziju%s ili stariju.',
        'This package can only be installed on OTOBO version %s or newer.' =>
            'Ovaj paket se može instalirati samo na OTOBO verziju%s ili noviju.',
        'Why should I keep OTOBO up to date?' => 'Zašto bi trebalo da OTOBO uvek bude ažuriran?',
        'You will receive updates about relevant security issues.' => 'Dobićete ažuriranja odgovarajućih bezbednosnih izdanja.',
        'You will receive updates for all other relevant OTOBO issues.' =>
            'Dobićete ažuriranja svih drugih relevantnih OTOBO izdanja.',
        'How can I do a patch level update if I don’t have a contract?' =>
            'Kako mogu da ažuriram verziju OTRS ukoliko nemam ugovor?',
        'Please find all relevant information within the updating instructions at %s.' =>
            'Molimo pronađite sve relevantne informacije u okviru instrukcija za ažuriranje na %s.',
        'In case you would have further questions we would be glad to answer them.' =>
            'U slučaju da imate dodtana pitanja, biće nam zadovoljstvo da odgovorimo na njih.',
        'Please visit our customer portal and file a request.' => 'Molimo posetite naš korisnički portal i podnesite zahtev.',
        'Install Package' => 'Instaliraj paket',
        'Update Package' => 'Ažuriraj paket',
        'Continue' => 'Nastavi',
        'Please make sure your database accepts packages over %s MB in size (it currently only accepts packages up to %s MB). Please adapt the max_allowed_packet setting of your database in order to avoid errors.' =>
            'Molimo vas da budete sigurni da vaša baza podataka prihvata pakete veličine preko %s MB (trenutno prihvata samo pakete do %s MB). Molimo vas da prilagodite podešavanja \'max_allowed_packet\' na vašoj bazi podataka, da bi ste izbegli greške.',
        'Install' => 'Instaliraj',
        'Update repository information' => 'Ažuriraj informacije o spremištu',
        'Cloud services are currently disabled.' => 'Servisi u oblaku su trenutno deaktivirani.',
        'OTOBO Verify can not continue!' => 'OTOBO Verify ne može da nastavi!',
        'Enable cloud services' => 'Aktiviraj servise u oblaku',
        'Update all installed packages' => 'Ažuriraj sve instalirane pakete',
        'Online Repository' => 'Mrežno spremište',
        'Vendor' => 'Prodavac',
        'Action' => 'Akcija',
        'Module documentation' => 'Dokumentacija modula',
        'Local Repository' => 'Lokalno spremište',
        'This package is verified by OTOBOverify (tm)' => 'Ovaj paket je verifikovan od strane OTOBOverify (tm)',
        'Uninstall' => 'Deinstaliraj',
        'Package not correctly deployed! Please reinstall the package.' =>
            'Paket nije korektno instaliran! Instalirajte ga ponovo.',
        'Reinstall' => 'Instaliraj ponovo',
        'Features for %s customers only' => 'Svojstva samo za %s klijente',
        'With %s, you can benefit from the following optional features. Please make contact with %s if you need more information.' =>
            'Sa %s možete imati koristi od sledećih opcionih funkcija. Molimo da kontaktirate %s ukoliko su vam potrebne dodatne informacije.',
        'Package Information' => 'Informacije o paketu',
        'Download package' => 'Preuzmi paket',
        'Rebuild package' => 'Obnovi paket(rebuild)',
        'Metadata' => 'Meta podaci',
        'Change Log' => 'Promeni log',
        'Date' => 'Datum',
        'List of Files' => 'Spisak datoteka',
        'Permission' => 'Dozvola',
        'Download file from package!' => 'Preuzmi datoteku iz paketa!',
        'Required' => 'Obavezno',
        'Primary Key' => 'Primarni ključ',
        'Auto Increment' => 'Auto uvećanje',
        'SQL' => 'SQL',
        'File Differences for File %s' => 'Razlike za datoteku %s',
        'File differences for file %s' => 'Razlike za datoteku %s',

        # Template: AdminPerformanceLog
        'Performance Log' => 'Performansa log-a',
        'Range' => 'Opseg',
        'last' => 'poslednje',
        'This feature is enabled!' => 'Ova funkcija je aktivna!',
        'Just use this feature if you want to log each request.' => 'Aktivirati ovu mogućnost samo ako želite da zabeležite svaki zahtev.',
        'Activating this feature might affect your system performance!' =>
            'Aktiviranje ove funkcije može uticati na performanse sistema.',
        'Disable it here!' => 'Isključite je ovde!',
        'Logfile too large!' => 'Log datoteka je prevelika!',
        'The logfile is too large, you need to reset it' => 'Log datoteka je prevelika, treba da je resetujete',
        'Interface' => 'Interfejs',
        'Requests' => 'Zahtevi',
        'Min Response' => 'Min odziv',
        'Max Response' => 'Maks odziv',
        'Average Response' => 'Prosečan odziv',
        'Period' => 'Period',
        'minutes' => 'minuti',
        'Min' => 'Min',
        'Max' => 'Maks',
        'Average' => 'Prosek',

        # Template: AdminPostMasterFilter
        'PostMaster Filter Management' => 'Upravljanje PostMaster filterima',
        'Add PostMaster Filter' => 'Dodaj PostMaster filter',
        'Edit PostMaster Filter' => 'Uredi PostMaster filter',
        'Filter for PostMaster Filters' => 'Filter za PostMaster filtere',
        'Filter for PostMaster filters' => 'Filter za PostMaster filtere',
        'To dispatch or filter incoming emails based on email headers. Matching using Regular Expressions is also possible.' =>
            'Radi otpreme ili filtriranja dolaznih imejlova na osnovu zaglavlja. Poklapanje pomoću regularnih izraza je takođe moguće.',
        'If you want to match only the email address, use EMAILADDRESS:info@example.com in From, To or Cc.' =>
            'Ukoliko želite poklapanje samo sa imejl adresom, koristite EMAILADDRESS:info@example.com u From, To ili Cc.',
        'If you use Regular Expressions, you also can use the matched value in () as [***] in the \'Set\' action.' =>
            'Ukoliko koristite regularne izraze, takođe možete koristiti i upateru vrednost u () kao (***) u \'Set\' action.',
        'You can also use named captures %s and use the names in the \'Set\' action %s (e.g. Regexp: %s, Set action: %s). A matched EMAILADDRESS has the name \'%s\'.' =>
            'Možete koristiti i imenovane skupove %s i referencirati nazive u polju \'na vrednost\' %s (npr. regularni izraz: %s, na vrednost: %s). Prepoznate imejl adrese imaju naziv \'%s\'.',
        'Delete this filter' => 'Obriši ovaj filter',
        'Do you really want to delete this postmaster filter?' => 'Da li stvarno želite da obrišete ovaj postmaster filter?',
        'A postmaster filter with this name already exists!' => 'PostMaster filter sa ovim nazivom već postoji!',
        'Filter Condition' => 'Uslov filtriranja',
        'AND Condition' => 'AND uslov',
        'Search header field' => 'Pretraži zaglavlje imejla',
        'for value' => 'za vrednost',
        'The field needs to be a valid regular expression or a literal word.' =>
            'Ovo polje treba da bude važeći regularni izraz ili doslovno reč.',
        'Negate' => 'Negirati',
        'Set Email Headers' => 'Podesi zaglavlja imejla',
        'Set email header' => 'Podesi zaglavlje imejla',
        'with value' => 'na vrednost',
        'The field needs to be a literal word.' => 'Ovo polje treba da bude doslovno reč.',
        'Header' => 'Zaglavlje',

        # Template: AdminPriority
        'Priority Management' => 'Upravljanje prioritetima',
        'Add Priority' => 'Dodaj Prioritet',
        'Edit Priority' => 'Uredi Prioritet',
        'Filter for Priorities' => 'Filter za prioritete',
        'Filter for priorities' => 'Filter za prioritete',
        'This priority is present in a SysConfig setting, confirmation for updating settings to point to the new priority is needed!' =>
            'Ovaj prioritet se koristi u sistemskoj konfiguraciji, neophodna je dodatna potvrda za promenu podešavanja na novu vrednost!',
        'This priority is used in the following config settings:' => 'Ovaj prioritet se koristi u sledećim sistemskim podešavanjima:',

        # Template: AdminProcessManagement
        'Process Management' => 'Upravljanje procesima',
        'Filter for Processes' => 'Filter procesa',
        'Filter for processes' => 'Filter procesa',
        'Create New Process' => 'Kreiraj novi proces',
        'Deploy All Processes' => 'Rasporedi sve procese',
        'Here you can upload a configuration file to import a process to your system. The file needs to be in .yml format as exported by process management module.' =>
            'Ovde možete učitati konfiguracionu datoteku za uvoz procesa u vaš sistem. Datoteka mora biti u .yml formatu izvezena od strane modula za upravljanje procesom.',
        'Upload process configuration' => 'Učitaj konfiguraciju procesa',
        'Import process configuration' => 'Uvezi konfiguraciju procesa',
        'Ready2Adopt Processes' => 'Ready2Adopt procesi',
        'Here you can activate Ready2Adopt processes showcasing our best practices. Please note that some additional configuration may be required.' =>
            'Ovde možete aktivirati Ready2Adopt procese primera najbolje prakse koji su spremni za upotrebu. Molimo obratite pažnju da je možda neophodna dodatna konfiguracija.',
        'Import Ready2Adopt process' => 'Uvezi Ready2Adopt proces',
        'To create a new Process you can either import a Process that was exported from another system or create a complete new one.' =>
            'Za kreiranje novog procesa možete ili uvesti proces koji je izvezen iz drugog sistema ili kreirati kompletno nov.',
        'Changes to the Processes here only affect the behavior of the system, if you synchronize the Process data. By synchronizing the Processes, the newly made changes will be written to the Configuration.' =>
            'Promene u procesima jedino utiču na ponašanje sistema, ako sinhronizujete podatke procesa. Sinhronizovanjem procesa, novonapravljene promene će biti upisane u konfiguraciju.',
        'Processes' => 'Procesi',
        'Process name' => 'Naziv procesa',
        'Print' => 'Štampaj',
        'Export Process Configuration' => 'Izvezi konfiguraciju procesa',
        'Copy Process' => 'Kopiraj proces',

        # Template: AdminProcessManagementActivity
        'Cancel & close' => 'Poništi & zatvori',
        'Go Back' => 'Vrati se nazad',
        'Please note, that changing this activity will affect the following processes' =>
            'Napominjemo da će izmene ove aktivnosti uticati na prateće procese.',
        'Activity' => 'Aktivnost',
        'Activity Name' => 'Naziv aktivnosti',
        'Activity Dialogs' => 'Dijalozi aktivnosti',
        'You can assign Activity Dialogs to this Activity by dragging the elements with the mouse from the left list to the right list.' =>
            'Dijaloge aktivnosti možete dodeliti ovoj aktivnosti prevlačenjem elemenata mišem od leve liste do desne liste.',
        'Filter available Activity Dialogs' => 'Filtriraj slobodne dijaloge aktivnosti',
        'Available Activity Dialogs' => 'Slobodni dijalozi aktivnosti',
        'Name: %s, EntityID: %s' => 'Naziv: %s,  ID entiteta: %s',
        'Create New Activity Dialog' => 'Kreiraj nov dijalog aktivnosti',
        'Assigned Activity Dialogs' => 'Dodeljeni dijalozi aktivnosti',

        # Template: AdminProcessManagementActivityDialog
        'Please note that changing this activity dialog will affect the following activities' =>
            'Napominjemo da će promena ovog dijaloga aktivnosti uticati na prateće aktivnosti.',
        'Please note that customer users will not be able to see or use the following fields: Owner, Responsible, Lock, PendingTime and CustomerID.' =>
            'Napominjemo da klijenti korisnici nisu u mogućnosti da vide ili koriste sledeća polja: Owner, Responsible, Lock, PendingTime i CustomerID.',
        'The Queue field can only be used by customers when creating a new ticket.' =>
            'Polje u redu jedino može biti korišćeno od strane klijenta kada kreiraju novi tiket.',
        'Activity Dialog' => 'Dijalog aktivnosti',
        'Activity dialog Name' => 'Naziv dijaloga aktivnosti',
        'Available in' => 'Raspoloživo u',
        'Description (short)' => 'Opis (kratak)',
        'Description (long)' => 'Opis (dugačak)',
        'The selected permission does not exist.' => 'Izabrana ovlašćenja ne postoje.',
        'Required Lock' => 'Obavezno zaključaj',
        'The selected required lock does not exist.' => 'Odabrano zahtevano zaključavanje ne postoji.',
        'Submit Advice Text' => 'Pošalji tekst saveta',
        'Submit Button Text' => 'Pošalji tekst dugmeta',
        'You can assign Fields to this Activity Dialog by dragging the elements with the mouse from the left list to the right list.' =>
            'Polja možete dodeliti u ovom dijalogu aktivnosti prevlačenjem elemenata mišem iz leve liste u desnu listu.',
        'Filter available fields' => 'Filtriraj raspoloživa polja',
        'Available Fields' => 'Raspoloživa polja',
        'Assigned Fields' => 'Dodeljena polja',
        'Communication Channel' => 'Komunikacioni kanal',
        'Is visible for customer' => 'Vidljivo klijentu',
        'Display' => 'Prikaži',

        # Template: AdminProcessManagementPath
        'Path' => 'Putanja',
        'Edit this transition' => 'Uredite ovu tranziciju',
        'Transition Actions' => 'Tranzicione akcije',
        'You can assign Transition Actions to this Transition by dragging the elements with the mouse from the left list to the right list.' =>
            'Možete dodeliti tranzicione aktivnosti u ovoj tranziciji prevlačenjem elemenata mišem iz leve liste u desnu listu.',
        'Filter available Transition Actions' => 'Filtriraj raspoložive tranzicione aktivnosti',
        'Available Transition Actions' => 'Raspoložive tranzicione akcije',
        'Create New Transition Action' => 'Kreiraj novu tranzicionu aktivnost',
        'Assigned Transition Actions' => 'Dodeljene tranzicione aktivnosti',

        # Template: AdminProcessManagementProcessAccordion
        'Activities' => 'Aktivnosti',
        'Filter Activities...' => 'Filtriraj aktivnosti ...',
        'Create New Activity' => 'Kreiraj novu aktivnost',
        'Filter Activity Dialogs...' => 'Filtriraj dijaloge aktivnosti ...',
        'Transitions' => 'Tranzicije',
        'Filter Transitions...' => 'Filtriraj tranzicije ...',
        'Create New Transition' => 'Kreiraj novu tranziciju',
        'Filter Transition Actions...' => 'Filtriraj tranzicione aktivnosti ...',

        # Template: AdminProcessManagementProcessEdit
        'Edit Process' => 'Uredi proces',
        'Print process information' => 'Štampaj informacije procesa',
        'Delete Process' => 'Izbriši proces',
        'Delete Inactive Process' => 'Izbriši neaktivan proces',
        'Available Process Elements' => 'Raspoloživi elementi procesa',
        'The Elements listed above in this sidebar can be moved to the canvas area on the right by using drag\'n\'drop.' =>
            'Elementi, navedeni gore u izdvojenom odeljku, mogu da se pomeraju po površini na desnu stranu korišćenjem prevuci i pusti tehnike.',
        'You can place Activities on the canvas area to assign this Activity to the Process.' =>
            'Možete postaviti aktivnosti na povrsinu kako bi dodeliti ovu aktivnost procesu.',
        'To assign an Activity Dialog to an Activity drop the Activity Dialog element from this sidebar over the Activity placed in the canvas area.' =>
            'Za dodeljivanje Dijaloga Aktivnosti nekoj aktivnosti, prevucite element dijaloga aktivnosti iz izdvojenog dela, preko aktivnosti smeštene na površini.',
        'You can start a connection between two Activities by dropping the Transition element over the Start Activity of the connection. After that you can move the loose end of the arrow to the End Activity.' =>
            'Vezu između dve aktivnosti možete započeti prevlačenjem elementa tranzicije preko početka aktivnosti veze. Nakon toga možete da premestite slobodan kraj strelice do kraja aktivnosti',
        'Actions can be assigned to a Transition by dropping the Action Element onto the label of a Transition.' =>
            'Aktivnost može biti dodeljena tranziciji prevlačenjem elementa aktivnosti na oznaku tranzicije.',
        'Edit Process Information' => 'Uredi informacije o procesu',
        'Process Name' => 'Naziv procesa',
        'The selected state does not exist.' => 'Odabrani status ne postoji.',
        'Add and Edit Activities, Activity Dialogs and Transitions' => 'Dodaj i uredi aktivosti, dijaloge aktivnosti i tranzicije',
        'Show EntityIDs' => 'Pokaži ID entiteta',
        'Extend the width of the Canvas' => 'Proširi širinu prostora',
        'Extend the height of the Canvas' => 'Produži visinu prostora',
        'Remove the Activity from this Process' => 'Ukloni aktivnost iz ovog procesa',
        'Edit this Activity' => 'Uredi ovu aktivnost',
        'Save Activities, Activity Dialogs and Transitions' => 'Sačuvaj aktivosti, dijaloge aktivnosti i tranzicije',
        'Do you really want to delete this Process?' => 'Da li stvarno želite da obrišete ovaj proces?',
        'Do you really want to delete this Activity?' => 'Da li stvarno želite da obrišete ovu aktivnost?',
        'Do you really want to delete this Activity Dialog?' => 'Da li stvarno želite da obrišete ovaj dijalog aktivnosti?',
        'Do you really want to delete this Transition?' => 'Da li stvarno želite da obrišete ovu tranziciju?',
        'Do you really want to delete this Transition Action?' => 'Da li stvarno želite da obrišete ovu tranzicionu aktivnost?',
        'Do you really want to remove this activity from the canvas? This can only be undone by leaving this screen without saving.' =>
            'Da li stvarno želite da uklonite ovu aktivnost sa površine? Ovo jedino može da se opozove ukoliko napustite ekran, a da prethodno ne sačuvate izmene.',
        'Do you really want to remove this transition from the canvas? This can only be undone by leaving this screen without saving.' =>
            'Da li stvarno želite da uklonite ovu tranziciju sa površine? Ovo jedino može da se opozove ukoliko napustite ekran, a da prethodno ne sačuvate izmene.',

        # Template: AdminProcessManagementProcessNew
        'In this screen, you can create a new process. In order to make the new process available to users, please make sure to set its state to \'Active\' and synchronize after completing your work.' =>
            'U ovom ekranu možete kreirati novi proces. Da bi novi proces bio dostupan korisnicima, molimo vas da postavite status na \'Active\' i uradite sinhronizaciju nakon završetka vašeg rada.',

        # Template: AdminProcessManagementProcessPrint
        'cancel & close' => 'poništi & zatvori',
        'Start Activity' => 'Početak aktivnosti',
        'Contains %s dialog(s)' => 'Sadrži %s dijaloga',
        'Assigned dialogs' => 'Dodeljeni dijalozi',
        'Activities are not being used in this process.' => 'Aktivnosti se ne koriste u ovom procesu.',
        'Assigned fields' => 'Dodeljena polja',
        'Activity dialogs are not being used in this process.' => 'Dijalozi aktivnosti se ne koriste u ovom procesu.',
        'Condition linking' => 'Uslov povezivanja',
        'Transitions are not being used in this process.' => 'Tranzicije se ne koriste u ovom procesu.',
        'Module name' => 'Naziv modula',
        'Transition actions are not being used in this process.' => 'Tranzicione aktivnosti se ne koriste u ovom procesu.',

        # Template: AdminProcessManagementTransition
        'Please note that changing this transition will affect the following processes' =>
            'Napominjemo da bi menjenje ove tranzicije uticalo na prateće procese',
        'Transition' => 'Tranzicija',
        'Transition Name' => 'Naziv tranzicije',

        # Template: AdminProcessManagementTransitionAction
        'Please note that changing this transition action will affect the following processes' =>
            'Napominjemo da bi menjenje ove tranzicione aktivnosti uticalo na prateće procese',
        'Transition Action' => 'Tranziciona aktivnost',
        'Transition Action Name' => 'Naziv tranzicione aktivnosti',
        'Transition Action Module' => 'Modul tranzicione aktivnosti',
        'Config Parameters' => 'Konfiguracioni parametri',
        'Add a new Parameter' => 'Dodaj novi parametar',
        'Remove this Parameter' => 'Ukloni ovaj parametar',

        # Template: AdminQueue
        'Queue Management' => 'Upravljanje redovima',
        'Add Queue' => 'Dodaj Red',
        'Edit Queue' => 'Uredi Red',
        'Filter for Queues' => 'Filter za redove',
        'Filter for queues' => 'Filter za redove',
        'A queue with this name already exists!' => 'Red sa ovim nazivom već postoji!',
        'This queue is present in a SysConfig setting, confirmation for updating settings to point to the new queue is needed!' =>
            'Ovaj red se koristi u sistemskoj konfiguraciji, neophodna je dodatna potvrda za promenu podešavanja na novu vrednost!',
        'Sub-queue of' => 'Pod-red od',
        'Unlock timeout' => 'Vreme do otključavanja',
        '0 = no unlock' => '0 = nema otključavanja',
        'hours' => 'sati',
        'Only business hours are counted.' => 'Računa se samo radno vreme.',
        'If an agent locks a ticket and does not close it before the unlock timeout has passed, the ticket will unlock and will become available for other agents.' =>
            'Ako operater zaključa tiket i ne otključa ga pre isteka vremena otključavanja, tiket će se otključati i postati dostupan drugim zaposlenima.',
        'Notify by' => 'Obavešten od',
        '0 = no escalation' => '0 = nema eskalacije',
        'If there is not added a customer contact, either email-external or phone, to a new ticket before the time defined here expires, the ticket is escalated.' =>
            'Ako kontakt sa klijentom, bilo spoljašnji imejl ili poziv, nije dodat na novi tiket pre isticanja definisanog vremena, tiket će eskalirati.',
        'If there is an article added, such as a follow-up via email or the customer portal, the escalation update time is reset. If there is no customer contact, either email-external or phone, added to a ticket before the time defined here expires, the ticket is escalated.' =>
            'Ako postoji dodat članak, kao npr. nastavak preko imejl poruke ili klijentskog portala, vreme ažuriranja eskalacije se resetuje. Ako ne postoje kontakt podaci o klijentu, bilo imejl ili poziv dodati na tiket pre isticanja ovde definisanog vremena, tiket će eskalirati.',
        'If the ticket is not set to closed before the time defined here expires, the ticket is escalated.' =>
            'Ako se tiket ne zatvori pre ovde definisanog vremena, tiket eskalira.',
        'Follow up Option' => 'Opcije nastavka',
        'Specifies if follow up to closed tickets would re-open the ticket, be rejected or lead to a new ticket.' =>
            'Definišite da li nastavak na zatvoreni tiket ponovo otvara tiket ili otvara novi.',
        'Ticket lock after a follow up' => 'Zaključavanje tiketa posle nastavka',
        'If a ticket is closed and the customer sends a follow up the ticket will be locked to the old owner.' =>
            'Ako je tiket zatvoren, a klijent pošalje nastavak, tiket će biti zaključan na starog vlasnika.',
        'System address' => 'Sistemska adresa',
        'Will be the sender address of this queue for email answers.' => 'Biće adresa pošiljaoca za imejl odgovore iz ovog reda.',
        'Default sign key' => 'Podrazumevani ključ potpisa',
        'To use a sign key, PGP keys or S/MIME certificates need to be added with identifiers for selected queue system address.' =>
            'Za korišćenje svojstva potpisivanja, PGP ključevi ili S/MIME sertifikati identiteta moraju biti dodati za sistemsku adresu odabranog reda.',
        'Salutation' => 'Pozdrav',
        'The salutation for email answers.' => 'Pozdrav za imejl odgovore.',
        'Signature' => 'Potpis',
        'The signature for email answers.' => 'Potpis za imejl odgovore.',
        'This queue is used in the following config settings:' => 'Ovaj red se koristi u sledećim sistemskim podešavanjima:',

        # Template: AdminQueueAutoResponse
        'Manage Queue-Auto Response Relations' => 'Upravljanje vezama red-automatski odgovor',
        'Change Auto Response Relations for Queue' => 'Promeni relacije sa automatskim odgovorima za red',
        'This filter allow you to show queues without auto responses' => 'Ovaj filter vam omogućava prikaz redova bez automatskih odgovora',
        'Queues without Auto Responses' => 'Redovi bez automatskih odgovora',
        'This filter allow you to show all queues' => 'Ovaj filter vam omogućava prikaz svih redova',
        'Show All Queues' => 'Prikaži sve redove',
        'Auto Responses' => 'Automatski odgovori',

        # Template: AdminQueueTemplates
        'Manage Template-Queue Relations' => 'Upravljanje odnosom šablon-red',
        'Filter for Templates' => 'Filter za šablone',
        'Filter for templates' => 'Filter za šablone',
        'Templates' => 'Šabloni',

        # Template: AdminRegistration
        'System Registration Management' => 'Upravljanje sistemom registracije',
        'Edit System Registration' => 'Uredi registraciju sistema',
        'System Registration Overview' => 'Pregled registracije sistema',
        'Register System' => 'Registruj sistem',
        'Validate OTOBO-ID' => 'Proveri važnost OTOBO-ID',
        'Deregister System' => 'Isključi sistem iz registra',
        'Edit details' => 'Uredi detalje',
        'Show transmitted data' => 'Pokaži poslate podatke',
        'Deregister system' => 'Odjavi sistem',
        'Overview of registered systems' => 'Pregled registrovanih sistema',
        'This system is registered with OTOBO Team.' => 'Ovaj sistem je registrovan u OTRS grupi.',
        'System type' => 'Tip sistema',
        'Unique ID' => 'Jedinstveni ID',
        'Last communication with registration server' => 'Poslednja komunikacija sa registracionim serverom',
        'System Registration not Possible' => 'Registracija sistema nije moguća',
        'Please note that you can\'t register your system if OTOBO Daemon is not running correctly!' =>
            'Molimo da obratite pažnju da ne možete registrovati vaš sistem ako OTOBO sistemski proces ne radi korektno!',
        'Instructions' => 'Instrukcije',
        'System Deregistration not Possible' => 'Odjava sistema nije moguća',
        'OTOBO-ID Login' => 'OTOBO-ID prijava',
        'System registration is a service of OTOBO Team, which provides a lot of advantages!' =>
            'Registracija sistema je usluga OTRS grupe, koja obezbeđuje mnoge prednosti!',
        'Read more' => 'Pročitaj više',
        'You need to log in with your OTOBO-ID to register your system.' =>
            'Potrebno je da se prijavite sa vašim OTOBO-ID da registrujete vaš sistem.',
        'Your OTOBO-ID is the email address you used to sign up on the OTOBO.com webpage.' =>
            'Vaš OTOBO-ID je imejl adresa koju koristite za prijavu na veb stranu OTOBO.com.',
        'Data Protection' => 'Zaštita podataka',
        'What are the advantages of system registration?' => 'Koje su prednosti registracije sistema?',
        'You will receive updates about relevant security releases.' => 'Dobićete ažuriranja odgovarajućih bezbednosnih izdanja.',
        'With your system registration we can improve our services for you, because we have all relevant information available.' =>
            'Sa registracijom sistema možemo poboljšati naše usluge za vas, jer mi imamo dostupne sve relevantne informacije.',
        'This is only the beginning!' => 'Ovo je samo početak!',
        'We will inform you about our new services and offerings soon.' =>
            'Informisaćemo vas o našim novim uslugama i ponudama uskoro!',
        'Can I use OTOBO without being registered?' => 'Da li mogu da koristim OTOBO ukoliko nisam registrovan?',
        'System registration is optional.' => 'Registracija sistema je opcionalna.',
        'You can download and use OTOBO without being registered.' => 'Možete preuzeti OTOBO i ukoliko niste registrovani.',
        'Is it possible to deregister?' => 'Da li je moguća odjava?',
        'You can deregister at any time.' => 'Možete se odjaviti u bilo koje doba.',
        'Which data is transfered when registering?' => 'Koji podaci se prenose prilikom registracije?',
        'A registered system sends the following data to OTOBO Team:' => 'Registrovani sistem šalje sledeće podatke OTRS grupi:',
        'Fully Qualified Domain Name (FQDN), OTOBO version, Database, Operating System and Perl version.' =>
            'Puno kvalifikovano ime domena (FQDN), OTOBO verzija, baza podataka, operativni sistem i Perl verzija.',
        'Why do I have to provide a description for my system?' => 'Zašto moram da prosledim opis mog sistema?',
        'The description of the system is optional.' => 'Opis sistema je opcioni.',
        'The description and system type you specify help you to identify and manage the details of your registered systems.' =>
            'Navedeni opis i tip sistema pomažu vam da identifikujete i upravljate detaljima registrovanog sistema.',
        'How often does my OTOBO system send updates?' => 'Koliko često će moj OTOBO sistem slati ažuriranja?',
        'Your system will send updates to the registration server at regular intervals.' =>
            'Vaš sistem će u redovnim vremenskim intervalima slati ažuriranja registracionom serveru.',
        'Typically this would be around once every three days.' => 'Obično je to jednom u svaka tri dana.',
        'If you deregister your system, you will lose these benefits:' =>
            'Ako deregistrujete vaš sistem, izgubićete sledeće olakšice:',
        'You need to log in with your OTOBO-ID to deregister your system.' =>
            'Da bi ste ođavili vaš sistem, morate da se prijavite sa vašim OTOBO-ID',
        'OTOBO-ID' => 'OTOBO-ID',
        'You don\'t have an OTOBO-ID yet?' => 'Još uvek nemate OTOBO-ID?',
        'Sign up now' => 'Registrujte se sada',
        'Forgot your password?' => 'Zaboravili ste lozinku?',
        'Retrieve a new one' => 'Preuzmi novu',
        'Next' => 'Sledeće',
        'This data will be frequently transferred to OTOBO Team when you register this system.' =>
            'Ovi podaci će biti poslati OTRS grupi kada registrujete ovaj sistem.',
        'Attribute' => 'Atribut',
        'FQDN' => 'FQDN',
        'OTOBO Version' => 'OTOBO verzija',
        'Operating System' => 'Operativni sistem',
        'Perl Version' => 'Perl verzija',
        'Optional description of this system.' => 'Opcioni opis ovog sistema.',
        'This will allow the system to send additional support data information to OTOBO Team.' =>
            'Ovo će omogućiti sistemu da pošalje dodatne informacije o podacima podrške OTRS grupi.',
        'Register' => 'Registruj',
        'Continuing with this step will deregister the system from OTOBO Team.' =>
            'Nastavljanje ovog koraka će odjaviti sistem iz OTRS grupe.',
        'Deregister' => 'Isključi iz registra',
        'You can modify registration settings here.' => 'Ovde možete izmeniti registraciona podešavanja.',
        'Overview of Transmitted Data' => 'Pregled poslatih podataka',
        'There is no data regularly sent from your system to %s.' => 'Nema podataka koji su redovno slati sa vašeg sistema za %s.',
        'The following data is sent at minimum every 3 days from your system to %s.' =>
            'Sledeći podaci su slati barem svaka 3 dana sa vašeg sistema za %s.',
        'The data will be transferred in JSON format via a secure https connection.' =>
            'Podaci će biti poslati u JSON formatu preko sigurne https veze. ',
        'System Registration Data' => 'Podaci o registraciji sistema',
        'Support Data' => 'Podaci podrške',

        # Template: AdminRole
        'Role Management' => 'Upravljanje ulogama',
        'Add Role' => 'Dodaj Ulogu',
        'Edit Role' => 'Uredi Ulogu',
        'Filter for Roles' => 'Filter za uloge',
        'Filter for roles' => 'Filter za uloge',
        'Create a role and put groups in it. Then add the role to the users.' =>
            'Napravi ulogu i dodaj grupe u nju. Onda dodaj ulogu korisnicima.',
        'There are no roles defined. Please use the \'Add\' button to create a new role.' =>
            'Nema definisanih uloga. upotrebite dugme \'Add\' za kreiranje nove uloge.',

        # Template: AdminRoleGroup
        'Manage Role-Group Relations' => 'Upravljanje vezama uloga-grupa',
        'Roles' => 'Uloge',
        'Select the role:group permissions.' => 'Izaberi dozvole za ulogu:grupu',
        'If nothing is selected, then there are no permissions in this group (tickets will not be available for the role).' =>
            'Ukoliko ništa nije izabrano, onda nema dozvola u ovoj grupi (tiketi neće biti dostupni za ovu ulogu).',
        'Toggle %s permission for all' => 'Promeni %s dozvole za sve',
        'move_into' => 'premesti u',
        'Permissions to move tickets into this group/queue.' => 'Dozvole da se tiketi premeste u ovu grupu/red.',
        'create' => 'kreiraj',
        'Permissions to create tickets in this group/queue.' => 'Dozvola da se tiket kreira u ovu grupu/red.',
        'note' => 'napomena',
        'Permissions to add notes to tickets in this group/queue.' => 'Dozvole za dodavanje napomena na tikete u ovoj grupi/redu.',
        'owner' => 'vlasnik',
        'Permissions to change the owner of tickets in this group/queue.' =>
            'Dozvole za promenu vlasnika tiketa u ovoj grupi/redu.',
        'priority' => 'prioritet',
        'Permissions to change the ticket priority in this group/queue.' =>
            'Dozvola da se menja prioritet tiketa u ovoj grupi/redu.',

        # Template: AdminRoleUser
        'Manage Agent-Role Relations' => 'Upravljanje vezama operater-uloga',
        'Add Agent' => 'Dodaj Operatera',
        'Filter for Agents' => 'Filter za operatere',
        'Filter for agents' => 'Filter za operatere',
        'Agents' => 'Operateri',
        'Manage Role-Agent Relations' => 'Upravljanje relacijama uloga-operater',

        # Template: AdminSLA
        'SLA Management' => 'Upravljanje SLA',
        'Edit SLA' => 'Uredi SLA',
        'Add SLA' => 'Dodaj SLA',
        'Filter for SLAs' => 'Filter za SLA',
        'Please write only numbers!' => 'Molimo pišite samo brojeve!',

        # Template: AdminSMIME
        'S/MIME Management' => 'S/MIME upravljanje',
        'Add Certificate' => 'Dodaj sertifikat',
        'Add Private Key' => 'Dodaj privatni ključ',
        'SMIME support is disabled' => 'SMIME podrška je onemogućena',
        'To be able to use SMIME in OTOBO, you have to enable it first.' =>
            'Da bi mogli da koristite SMIME u OTOBO, morate je prvo omogućiti.',
        'Enable SMIME support' => 'Omogući SMIME podršku',
        'Faulty SMIME configuration' => 'Neispravna SMIME konfiguracija',
        'SMIME support is enabled, but the relevant configuration contains errors. Please check the configuration using the button below.' =>
            'SMIME podrška ja omogućena ali relevantna konfiguracija sadrži greške. Molimo da proverite konfiguraciju pritiskom na dugme ispod.',
        'Check SMIME configuration' => 'Proveri SMIME konfiguraciju',
        'Filter for Certificates' => 'Filter za sertifikate',
        'Filter for certificates' => 'Filter za sertifikate',
        'To show certificate details click on a certificate icon.' => 'Za prikazivanje detalja sertifikata klikni na ikonicu sertifikat.',
        'To manage private certificate relations click on a private key icon.' =>
            'Za upravljanje vezama privatnog sertifikata kliknite na ikonicu privatni ključ.',
        'Here you can add relations to your private certificate, these will be embedded to the S/MIME signature every time you use this certificate to sign an email.' =>
            'Ovde možete dodati veze na vaš privatni sertifikat, što će biti ugrađeno u S/MIME potpis svaki put kad upotrebite ovaj sertifikat za potpis imejla.',
        'See also' => 'Pogledaj još',
        'In this way you can directly edit the certification and private keys in file system.' =>
            'Na ovaj način možete direktno da uređujete sertifikate i privatne ključeve u sistemu datoteka.',
        'Hash' => 'Hash',
        'Create' => 'Kreiraj',
        'Handle related certificates' => 'Rukovanje povezanim sertifikatima',
        'Read certificate' => 'Čitaj sertifikat',
        'Delete this certificate' => 'Obriši ovaj sertifikat',
        'File' => 'Datoteka',
        'Secret' => 'Tajna',
        'Related Certificates for' => 'Povezani sertifikati za',
        'Delete this relation' => 'Obriši ovu vezu',
        'Available Certificates' => 'Raspoloživi sertifikati',
        'Filter for S/MIME certs' => 'Filter za S/MIME sertifikate',
        'Relate this certificate' => 'Poveži ovaj sertifikat',

        # Template: AdminSMIMECertRead
        'S/MIME Certificate' => 'S/MIME sertifikat',
        'Certificate Details' => 'Detalji sertifikata',
        'Close this dialog' => 'Zatvori ovaj dijalog',

        # Template: AdminSalutation
        'Salutation Management' => 'Upravljanje pozdravima',
        'Add Salutation' => 'Dodaj Pozdrav',
        'Edit Salutation' => 'Uredi Pozdrav',
        'Filter for Salutations' => 'Filter za pozdrave',
        'Filter for salutations' => 'Filter za pozdrave',
        'e. g.' => 'npr.',
        'Example salutation' => 'Primer pozdrava',

        # Template: AdminSecureMode
        'Secure Mode Needs to be Enabled!' => 'Potrebno je da siguran mod bude uključen!',
        'Secure mode will (normally) be set after the initial installation is completed.' =>
            'Siguran mod će (uobičajeno) biti podešen nakon inicijalne instalacije.',
        'If secure mode is not activated, activate it via SysConfig because your application is already running.' =>
            'Ukoliko siguran mod nije aktiviran, pokrenite ga kroz sistemsku konfiguraciju jer je vaša aplikacija već pokrenuta.',

        # Template: AdminSelectBox
        'SQL Box' => 'SQL Boks',
        'Filter for Results' => 'Filter za rezultate',
        'Filter for results' => 'Filter za rezultate',
        'Here you can enter SQL to send it directly to the application database. It is not possible to change the content of the tables, only select queries are allowed.' =>
            'Ovde možete uneti SQL komande i poslati ih direktno aplikacionoj bazi podataka. Nije moguće menjati sadržaj tabela, dozvoljen je jedino \'select\' upit.',
        'Here you can enter SQL to send it directly to the application database.' =>
            'Ovde možete uneti SQL komande i poslati ih direktno aplikacionoj bazi podataka.',
        'Options' => 'Opcije',
        'Only select queries are allowed.' => 'Dozvoljeni su samo \'select\' upiti.',
        'The syntax of your SQL query has a mistake. Please check it.' =>
            'Postoji greška u sintaksi vašeg SQL upita. Molimo proverite.',
        'There is at least one parameter missing for the binding. Please check it.' =>
            'Najmanje jedan parametar nedostaje za povezivanje. Molimo proverite.',
        'Result format' => 'Format rezultata',
        'Run Query' => 'Pokreni upit',
        '%s Results' => '%s Rezultati',
        'Query is executed.' => 'Upit je izvršen.',

        # Template: AdminService
        'Service Management' => 'Upravljanje uslugama',
        'Add Service' => 'Dodaj uslugu',
        'Edit Service' => 'Uredi uslugu',
        'Service name maximum length is 200 characters (with Sub-service).' =>
            'Maksimalna dužina naziva usluge je 200 karaktera (sa pod-uslugom).',
        'Sub-service of' => 'Pod-usluga od',

        # Template: AdminSession
        'Session Management' => 'Upravljanje sesijama',
        'Detail Session View for %s (%s)' => 'Detaljni prikaz sesije za %s (%s)',
        'All sessions' => 'Sve sesije',
        'Agent sessions' => 'Sesije operatera',
        'Customer sessions' => 'Sesije klijenata',
        'Unique agents' => 'Jedinstveni operateri',
        'Unique customers' => 'Jedinstveni klijenti',
        'Kill all sessions' => 'Ugasi sve sesije',
        'Kill this session' => 'Ugasi ovu sesiju',
        'Filter for Sessions' => 'Filter za sesije',
        'Filter for sessions' => 'Filter za sesije',
        'Session' => 'Sesija',
        'Kill' => 'Ugasi',
        'Detail View for SessionID: %s - %s' => 'Detaljni pregled za ID sesije: %s - %s',

        # Template: AdminSignature
        'Signature Management' => 'Upravljanje potpisima',
        'Add Signature' => 'Dodaj Potpis',
        'Edit Signature' => 'Uredi Potpis',
        'Filter for Signatures' => 'Filter za potpise',
        'Filter for signatures' => 'Filter za potpise',
        'Example signature' => 'Primer potpisa',

        # Template: AdminState
        'State Management' => 'Upravljanje statusima',
        'Add State' => 'Dodaj Status',
        'Edit State' => 'Uredi Status',
        'Filter for States' => 'Filter za stanja',
        'Filter for states' => 'Filter za stanja',
        'Attention' => 'Pažnja',
        'Please also update the states in SysConfig where needed.' => 'Molimo da ažurirate stause i u sistemskoj konfiguraciji gde je to potrebno.',
        'This state is present in a SysConfig setting, confirmation for updating settings to point to the new type is needed!' =>
            'Ovo stanje se koristi u sistemskoj konfiguraciji, neophodna je dodatna potvrda za promenu podešavanja na novu vrednost! ',
        'State type' => 'Tip statusa',
        'It\'s not possible to invalidate this entry because there is no other merge states in system!' =>
            'Nije moguće obeležiti ovu stavku kao nevažeću jer ne postoji više statusa spojenih tiketa u sistemu!',
        'This state is used in the following config settings:' => 'Ovo stanje se koristi u sledećim sistemskim podešavanjima: ',

        # Template: AdminSupportDataCollector
        'Sending support data to OTOBO Team is not possible!' => 'Slanje podataka za podršku OTRS grupi nije moguće!',
        'Enable Cloud Services' => 'Aktiviraj servise u oblaku',
        'This data is sent to OTOBO Team on a regular basis. To stop sending this data please update your system registration.' =>
            'Ovi podaci se šalju OTRS grupi u regularnom intervalu. Da zaustavite slanje ovih podataka molimo vas da ažurirate registraciju.',
        'You can manually trigger the Support Data sending by pressing this button:' =>
            'Možete manuelno aktivirati slanje podržanih podataka pritiskanjem ovog dugmeta:',
        'Send Update' => 'Pošalji ažuriranje',
        'Currently this data is only shown in this system.' => 'Trenutno su ovi podaci prikazani samo u ovom sistemu.',
        'It is highly recommended to send this data to OTOBO Team in order to get better support.' =>
            'Preporučuje se da ove podatke pošaljete OTRS grupi da bi ste dobili bolju podršku.',
        'To enable data sending, please register your system with OTOBO Team or update your system registration information (make sure to activate the \'send support data\' option.)' =>
            'Da bi ste omogućili slanje podataka, molimo vas da registrujete vaš sistem u OTRS grupi ili da ažurirate informacije sistemske registracije (budite sigurni da ste aktivirali opciju "Pošalji podatke za podršku").',
        'A support bundle (including: system registration information, support data, a list of installed packages and all locally modified source code files) can be generated by pressing this button:' =>
            'Paket za podršku (uključujući: informacije o registraciji sistema, podatke za podršku, listu instaliranih paketa i svih lokalno modifikovanih datoteka izvornog koda) može biti generisan pritiskom na ovo dugme:',
        'Generate Support Bundle' => 'Generiši paket podrške',
        'The Support Bundle has been Generated' => 'Paket podrške je generisan',
        'Please choose one of the following options.' => 'Molimo izaberite jednu od ponuđenih opcija.',
        'Send by Email' => 'Poslato imejlom',
        'The support bundle is too large to send it by email, this option has been disabled.' =>
            'Paket podrške je prevelik za slanje putem imejla, ova opcija je onemogućena.',
        'The email address for this user is invalid, this option has been disabled.' =>
            'Imejl adresa ovog korisnika je nevažeća, ova opcija je isključena.',
        'Sending' => 'Slanje',
        'The support bundle will be sent to OTOBO Team via email automatically.' =>
            'Paket podrške će biti automatski poslat imejlom OTRS grupi.',
        'Download File' => 'Preuzmi datoteku',
        'A file containing the support bundle will be downloaded to the local system. Please save the file and send it to the OTOBO Team, using an alternate method.' =>
            'Datoteka koja sadrži paket za podršku će biti preuzeta na lokalni računar. Molimo vas da sačuvate datoteku i da je pošaljete na neki drugi način OTRS grupi.',
        'Error: Support data could not be collected (%s).' => 'Podržani podaci ne mogu biti prikupljeni (%s).',
        'Details' => 'Detalji',

        # Template: AdminSystemAddress
        'System Email Addresses Management' => 'Upravljanje sistemskom imejl adresom',
        'Add System Email Address' => 'Dodaj sistemsku imejl adresu',
        'Edit System Email Address' => 'Uredi sistemsku imejl adresu',
        'Add System Address' => 'Dodaj sistemsku adresu',
        'Filter for System Addresses' => 'Filter za sistemske adrese',
        'Filter for system addresses' => 'Filter za sistemske adrese',
        'All incoming email with this address in To or Cc will be dispatched to the selected queue.' =>
            'Sve dolazne poruke sa ovom adresom u polju To ili Cc biće otpremljene u izabrani red.',
        'Email address' => 'Imejl adresa',
        'Display name' => 'Prikaži naziv',
        'This email address is already used as system email address.' => 'Ova imejl adresa je već upotrebljena kao sistemska imejl adresa.',
        'The display name and email address will be shown on mail you send.' =>
            'Prikazano ime i imejl adresa će biti prikazani na poruci koju ste poslali.',
        'This system address cannot be set to invalid.' => 'Ova sistemska adresa se ne može označiti kao nevažeća.',
        'This system address cannot be set to invalid, because it is used in one or more queue(s) or auto response(s).' =>
            'Ova sistemska adresa se ne može označiti kao nevažeća jer se koristi u jednom ili više automatskih odgovora.',

        # Template: AdminSystemConfiguration
        'online administrator documentation' => 'priručnika za administratore',
        'System configuration' => 'Sistemska konfiguracija',
        'Navigate through the available settings by using the tree in the navigation box on the left side.' =>
            'Pregledajte dostupna podešavanjea korišćenjem navigacije sa leve strane.',
        'Find certain settings by using the search field below or from search icon from the top navigation.' =>
            'Pretražite odgovarajuća podešavanja korišćenjem polja za pretragu ispod ili preko ikonice za pretragu na gornjoj navigaciji.',
        'Find out how to use the system configuration by reading the %s.' =>
            'Saznajte kako da koristite sistemsku konfiguraciju čitanjem %s.',
        'Search in all settings...' => 'Pretražite sva podešavanja...',
        'There are currently no settings available. Please make sure to run \'otobo.Console.pl Maint::Config::Rebuild\' before using the software.' =>
            'Trenutno nema dostupnih podešavanja. Molimo proverite da li ste pokrenuli skript \'otobo.Console.pl Maint::Config::Rebuild\' pre korišćenja aplikacije.',

        # Template: AdminSystemConfigurationDeployment
        'Changes Deployment' => 'Raspored promena',
        'Help' => 'Pomoć',
        'This is an overview of all settings which will be part of the deployment if you start it now. You can compare each setting to its former state by clicking the icon on the top right.' =>
            'Ovo je pregled svih podešavanja koja će biti deo rasporeda ukoliko ga pokrenete. Moćete ih uporediti sa prethodnim stanjem klikom na ikonicu u gornjem desnom uglu.',
        'To exclude certain settings from a deployment, click the checkbox on the header bar of a setting.' =>
            'Za izuzimanje pojedinačnih podešavanja iz rasporeda, aktivirajte kućicu u zaglavlju podešavanja.',
        'By default, you will only deploy settings which you changed on your own. If you\'d like to deploy settings changed by other users, too, please click the link on top of the screen to enter the advanced deployment mode.' =>
            'Podrazumevano, biće raspoređena samo podešavanja koja ste vi izmenili. Ukoliko želite da rasporedite i podešavanja izmenjena od strane drugih korisnika, molimo kliknite na vezu pri vrhu ekrana za pristup ekranu naprednog rasporeda.',
        'A deployment has just been restored, which means that all affected setting have been reverted to the state from the selected deployment.' =>
            'Raspored je obnovljen, što znači da su sva podešavanja postavljena na vrednosti iz odabranog rasporeda.',
        'Please review the changed settings and deploy afterwards.' => 'Molimo pregledajte izmenjena podešavanja i rasporedite ih.',
        'An empty list of changes means that there are no differences between the restored and the current state of the affected settings.' =>
            'Prazna lista promena znači da nema promena između obnovljenog i trenutnog stanja vrednosti podešavanja.',
        'Changes Overview' => 'Pregled promena',
        'There are %s changed settings which will be deployed in this run.' =>
            'Ukupno %s promenjenih podešavanja će biti raspoređeno.',
        'Switch to basic mode to deploy settings only changed by you.' =>
            'Pređite na osnovni mod za raspored podešavanja koje ste samo vi promenili.',
        'You have %s changed settings which will be deployed in this run.' =>
            'Imate %s promenjenih podešavanja koja će biti raspoređena.',
        'Switch to advanced mode to deploy settings changed by other users, too.' =>
            'Pređite na napredni mod za raspored podešavanja koje su promenili i ostali korisnici.',
        'There are no settings to be deployed.' => 'Nema podešavanja koja se mogu rasporediti.',
        'Switch to advanced mode to see deployable settings changed by other users.' =>
            'Prežite na napredni mod da vidite koja podešavanja promenjena od strane ostalih korisnika mogu biti raspoređena.',
        'Deploy selected changes' => 'Rasporedi označene promene',

        # Template: AdminSystemConfigurationDeploymentHistory
        'Deployment History' => '',
        'Filter for Deployments' => '',
        'Recent Deployments' => '',
        'Restore' => '',
        'View Details' => '',
        'Restore this deployment.' => '',
        'Export this deployment.' => '',

        # Template: AdminSystemConfigurationDeploymentHistoryDetails
        'Deployment Details' => '',
        'by' => 'od',
        'No settings have been deployed in this run.' => '',

        # Template: AdminSystemConfigurationGroup
        'This group doesn\'t contain any settings. Please try navigating to one of its sub groups.' =>
            'Ova kategorija ne sadrži nijedno podešavanje. Molimo probajte neku od pod-grupa.',

        # Template: AdminSystemConfigurationImportExport
        'Import & Export' => 'Uvoz & izvoz',
        'Upload a file to be imported to your system (.yml format as exported from the System Configuration module).' =>
            'Otpremite datoteku za uvoz u vaš sistem (.yml format izvezen iz modula sistemske konfiguracije).',
        'Upload system configuration' => 'Otpremi sistemsku konfiguraciju',
        'Import system configuration' => 'Uvezi sistemsku konfiguraciju',
        'Download current configuration settings of your system in a .yml file.' =>
            'Preuzmite trenutnu konfiguraciju vašeg sistema kao .yml datoteku.',
        'Include user settings' => 'Uključi korisnička podešavanja',
        'Export current configuration' => 'Izvezi trenutnu konfiguraciju',

        # Template: AdminSystemConfigurationSearch
        'Search for' => 'Traži za',
        'Search for category' => 'Traži za kategoriju',
        'Settings I\'m currently editing' => 'Podešavanja koja trenutno menjate',
        'Your search for "%s" in category "%s" did not return any results.' =>
            'Vaša pretraga za "%s" u kategoriji "%s" nije vratila rezultate.',
        'Your search for "%s" in category "%s" returned one result.' => 'Vaša pretraga za "%s" u kategoriji "%s" je vratila jedan rezultat.',
        'Your search for "%s" in category "%s" returned %s results.' => 'Vaša pretraga za "%s" u kategoriji "%s" je vratila %s rezultat(a).',
        'You\'re currently not editing any settings.' => 'Trenutno ne menjate nijedno podešavanje.',
        'You\'re currently editing %s setting(s).' => 'Trenutno menjate %s podešavanje/a.',

        # Template: AdminSystemConfigurationSearchDialog
        'Category' => 'Kategorija',
        'Run search' => 'Pokreni pretragu',

        # Template: AdminSystemConfigurationSettingHistoryDetails
        'Change History' => '',
        'Change History of %s' => '',
        'No modified values for this setting, the default value is used.' =>
            '',

        # Template: AdminSystemConfigurationUserModifiedDetails
        'Review users setting value' => '',
        'Users Value' => '',
        'For' => '',
        'Delete all user values.' => '',
        'No user value for this setting.' => '',

        # Template: AdminSystemConfigurationView
        'View a custom List of Settings' => 'Pregled liste podešavanja',
        'View single Setting: %s' => 'Pregled pojedinačnog podešavanja: %s',
        'Go back to Deployment Details' => 'Nazad na detalje raspoređivanja',

        # Template: AdminSystemMaintenance
        'System Maintenance Management' => 'Upravljanje sistemom održavanja',
        'Schedule New System Maintenance' => 'Planiraj novo oržavanje sistema.',
        'Filter for System Maintenances' => 'Filter za održavanja sistema',
        'Filter for system maintenances' => 'Filter za održavanja sistema',
        'Schedule a system maintenance period for announcing the Agents and Customers the system is down for a time period.' =>
            'Planiranje perioda održavanja sistema radi obaveštavanja operatera i klijenata da je sistem isključen u tom periodu. ',
        'Some time before this system maintenance starts the users will receive a notification on each screen announcing about this fact.' =>
            'Neko vreme pre nego otpočne održavanje sistema, korisnici će dobiti obaveštenje koje najavljuje ovaj događaj na svaki ekran.',
        'Stop date' => 'Datum završetka',
        'Delete System Maintenance' => 'Obriši održavanje sistema',

        # Template: AdminSystemMaintenanceEdit
        'Edit System Maintenance' => 'Uredi održavanje sistema',
        'Edit System Maintenance Information' => 'Uredi održavanje sistema',
        'Date invalid!' => 'Neispravan datum',
        'Login message' => 'Poruka prijave',
        'This field must have less then 250 characters.' => 'Ovo polje ne sme biti duže od 250 karaktera.',
        'Show login message' => 'Pokaži poruku prijave',
        'Notify message' => 'Poruka obaveštenja',
        'Manage Sessions' => 'Upravljanje sesijama',
        'All Sessions' => 'Sve sesije',
        'Agent Sessions' => 'Sesije operatera',
        'Customer Sessions' => 'Sesije klijenata',
        'Kill all Sessions, except for your own' => 'Prekini sve sesije, osim sopstvene',

        # Template: AdminTemplate
        'Template Management' => 'Upravljanje šablonima',
        'Add Template' => 'Dodaj Šablon',
        'Edit Template' => 'Uredi Šablon',
        'A template is a default text which helps your agents to write faster tickets, answers or forwards.' =>
            'Šablon je podrazumevani tekst koji pomaže vašim agentima da brže ispišu tikete, odgovore ili prosleđene poruke.',
        'Don\'t forget to add new templates to queues.' => 'Ne zaboravite da dodate novi šablon u redu.',
        'Attachments' => 'Prilozi',
        'Delete this entry' => 'Obriši ovaj unos',
        'Do you really want to delete this template?' => 'Da li stvarno želite da obrišete ovaj šablon?',
        'A standard template with this name already exists!' => 'Standardni šablon sa ovim nazivom već postoji!',
        'Create type templates only supports this smart tags' => 'Kreiraj tip šablona koji podržavaju samo ove pametne oznake.',
        'Example template' => 'Primer šablona',
        'The current ticket state is' => 'Trenutni staus tiketa je',
        'Your email address is' => 'Vaša imejl adresa je',

        # Template: AdminTemplateAttachment
        'Manage Template-Attachment Relations' => 'Upravljanje relacijama šabloni-prilozi',
        'Toggle active for all' => 'Promeni stanje u aktivan za sve',
        'Link %s to selected %s' => 'Poveži %s sa izabranim %s',

        # Template: AdminType
        'Type Management' => 'Upravljanje tipovima',
        'Add Type' => 'Dodaj Tip ',
        'Edit Type' => 'Uredi Tip',
        'Filter for Types' => 'Filter za tipove',
        'Filter for types' => 'Filter za tipove',
        'A type with this name already exists!' => 'Tip sa ovim nazivom već postoji!',
        'This type is present in a SysConfig setting, confirmation for updating settings to point to the new type is needed!' =>
            'Ovaj tip se koristi u sistemskoj konfiguraciji, neophodna je dodatna potvrda za promenu podešavanja na novu vrednost!',
        'This type is used in the following config settings:' => 'Ovaj tip se koristi u sledećim sistemskim podešavanjima:',

        # Template: AdminUser
        'Agent Management' => 'Upravljanje operaterima',
        'Edit Agent' => 'Uredi Operatera',
        'Edit personal preferences for this agent' => 'Uredite lična podešavanja za ovog operatera',
        'Agents will be needed to handle tickets.' => 'Biće potrebni operateri za obradu tiketa.',
        'Don\'t forget to add a new agent to groups and/or roles!' => 'Ne zaboravite da dodate novog operatera u grupe i/ili uloge!',
        'Please enter a search term to look for agents.' => 'Molimo unesite pojam za pretragu radi nalaženja operatera.',
        'Last login' => 'Prethodna prijava',
        'Switch to agent' => 'Pređi na operatera',
        'Title or salutation' => 'Naslov pozdrava',
        'Firstname' => 'Ime',
        'Lastname' => 'Prezime',
        'A user with this username already exists!' => 'Ovo korisničko ime je već upotrebljeno!',
        'Will be auto-generated if left empty.' => 'Biće automatski generisano ako se ostavi prazno.',
        'Mobile' => 'Mobilni',
        'Effective Permissions for Agent' => 'Efektivne dozole za operatera',
        'This agent has no group permissions.' => 'Ovaj operater nema dozvole za grupe.',
        'Table above shows effective group permissions for the agent. The matrix takes into account all inherited permissions (e.g. via roles).' =>
            'Tabela iznad prikazuje efektivne dozvole za grupe operatera. Matrica uzima u obzir sve nasleđene dozvole (npr. putem uloga).',

        # Template: AdminUserGroup
        'Manage Agent-Group Relations' => 'Upravljanje relacijama operater-grupa',

        # Template: AgentAppointmentAgendaOverview
        'Agenda Overview' => 'Pregled dnevnog reda',
        'Manage Calendars' => 'Upravljanje kalendarima',
        'Add Appointment' => 'Dodaj termin',
        'Today' => 'Danas',
        'All-day' => 'Celodnevno',
        'Repeat' => 'Ponavljanje',
        'Notification' => 'Obaveštenje',
        'Yes' => 'Da',
        'No' => 'Ne',
        'No calendars found. Please add a calendar first by using Manage Calendars page.' =>
            'Nije pronađen nijedan kalendar. Molimo prvo dodajte kalendar korišćenjem ekrana Upravljanje kalendarima.',

        # Template: AgentAppointmentCalendarOverview
        'Add new Appointment' => 'Dodaj novi termin',
        'Calendars' => 'Kalendari',

        # Template: AgentAppointmentEdit
        'Basic information' => 'Osnovne informacije',
        'Date/Time' => 'Datum/vreme',
        'Invalid date!' => 'Nevažeći datum!',
        'Please set this to value before End date.' => 'Molimo postavite ovaj datum pre kraja.',
        'Please set this to value after Start date.' => 'Molimo postavite ovaj datum posle početka.',
        'This an occurrence of a repeating appointment.' => 'Ovo je termin koji se ponavlja.',
        'Click here to see the parent appointment.' => 'Kliknite ovde za pregled matičnog termina.',
        'Click here to edit the parent appointment.' => 'Kliknite ovde za izmenu matičnog termina.',
        'Frequency' => 'Učestalost',
        'Every' => 'Svakog(e)',
        'day(s)' => 'dan(i)',
        'week(s)' => 'nedelja(e)',
        'month(s)' => 'mesec(i)',
        'year(s)' => 'godina(e)',
        'On' => 'Uključeno',
        'Monday' => 'ponedeljak',
        'Mon' => 'pon',
        'Tuesday' => 'utorak',
        'Tue' => 'uto',
        'Wednesday' => 'sreda',
        'Wed' => 'sre',
        'Thursday' => 'četvrtak',
        'Thu' => 'čet',
        'Friday' => 'petak',
        'Fri' => 'pet',
        'Saturday' => 'subota',
        'Sat' => 'sub',
        'Sunday' => 'nedelja',
        'Sun' => 'ned',
        'January' => 'januar',
        'Jan' => 'Jan',
        'February' => 'februar',
        'Feb' => 'Feb',
        'March' => 'mart',
        'Mar' => 'Mar',
        'April' => 'april',
        'Apr' => 'Apr',
        'May_long' => 'maj',
        'May' => 'Maj',
        'June' => 'jun',
        'Jun' => 'Jun',
        'July' => 'jul',
        'Jul' => 'Jul',
        'August' => 'avgust',
        'Aug' => 'Avg',
        'September' => 'septembar',
        'Sep' => 'Sep',
        'October' => 'oktobar',
        'Oct' => 'Okt',
        'November' => 'novembar',
        'Nov' => 'Nov',
        'December' => 'decembar',
        'Dec' => 'Dec',
        'Relative point of time' => 'Relativno vreme',
        'Link' => 'Poveži',
        'Remove entry' => 'Ukloni unos',

        # Template: AgentCustomerInformationCenter
        'Customer Information Center' => 'Klijentski informativni centar',

        # Template: AgentCustomerInformationCenterSearch
        'Customer User' => 'Klijent korisnik',

        # Template: AgentCustomerTableView
        'Note: Customer is invalid!' => 'Napomena: klijent je nevažeći!',
        'Start chat' => 'Počni ćaskanje',
        'Video call' => 'Video poziv',
        'Audio call' => 'Audio poziv',

        # Template: AgentCustomerUserAddressBook
        'Customer User Address Book' => 'Adresar klijent korisnika',
        'Search for recipients and add the results as \'%s\'.' => 'Pretražite za primaoce i dodajte rezultate kao \'%s\'.',
        'Search template' => 'Šablon pretrage',
        'Create Template' => 'Napravi šablon',
        'Create New' => 'Napravi nov',
        'Save changes in template' => 'Sačuvaj promene u šablonu',
        'Filters in use' => 'Filteri u upotrebi',
        'Additional filters' => 'Dodatni filteri',
        'Add another attribute' => 'Dodaj još jedan atribut',
        'The attributes with the identifier \'(Customer)\' are from the customer company.' =>
            'Atributi sa identifikatorom \'(Customer)\' dolaze iz klijent firmi.',
        '(e. g. Term* or *Term*)' => '(npr. Term* ili *Term*)',

        # Template: AgentCustomerUserAddressBookOverview
        'Select all' => 'Izaberi sve',
        'The customer user is already selected in the ticket mask.' => 'Klijent korisnik je već odabran u formi tiketa.',
        'Select this customer user' => 'Označi ovog klijent korisnika',
        'Add selected customer user to' => 'Dodaj označenog klijent korisnika u',

        # Template: AgentCustomerUserAddressBookOverviewNavBar
        'Change search options' => 'Promeni opcije pretrage',

        # Template: AgentCustomerUserInformationCenter
        'Customer User Information Center' => 'Klijent-korisnički informativni centar',

        # Template: AgentDaemonInfo
        'The OTOBO Daemon is a daemon process that performs asynchronous tasks, e.g. ticket escalation triggering, email sending, etc.' =>
            'OTOBO servis je sistemski proces koji izvršava asinhrone poslove, npr. okidanje eskalacija tiketa, slanje imejlova, itd.',
        'A running OTOBO Daemon is mandatory for correct system operation.' =>
            'Pokrenut OTOBO sistemski servis je neophodan za ispravno funkcionisanje sistema.',
        'Starting the OTOBO Daemon' => 'Pokretanje OTOBO sistemskog servisa',
        'Make sure that the file \'%s\' exists (without .dist extension). This cron job will check every 5 minutes if the OTOBO Daemon is running and start it if needed.' =>
            'Osigurava da datoteka \'%s\' postoji (bez .dist ekstenzije). Ovaj kron posao će proveravati svakih 5 minuta da li OTOBO sistemski servis radi i pokreće ga ako je potrebno.',
        'Execute \'%s start\' to make sure the cron jobs of the \'otobo\' user are active.' =>
            'Izvršite \'%s start\' da bi bili sigurni da su kron poslovi za OTRS korisnika uvek aktivni.',
        'After 5 minutes, check that the OTOBO Daemon is running in the system (\'bin/otobo.Daemon.pl status\').' =>
            'Posle 5 minuta, proverava da li OTOBO sistemski servis funkcioniše u sistemu (\'bin/otobo.Daemon.pl status\').',

        # Template: AgentDashboard
        'Dashboard' => 'Komandna tabla',

        # Template: AgentDashboardAppointmentCalendar
        'New Appointment' => 'Novi termin',
        'Tomorrow' => 'Sutra',
        'Soon' => 'Uskoro',
        '5 days' => '5 dana',
        'Start' => 'Početak',
        'none' => 'ni jedan',

        # Template: AgentDashboardCalendarOverview
        'in' => 'u',

        # Template: AgentDashboardCommon
        'Save settings' => 'Sačuvaj podešavanja',
        'Close this widget' => 'Zatvori ovaj dodatak',
        'more' => 'još',
        'Available Columns' => 'Raspoložive kolone',
        'Visible Columns (order by drag & drop)' => 'Vidljive kolone (redosled prema prevuci i pusti)',

        # Template: AgentDashboardCustomerIDList
        'Change Customer Relations' => 'Promeni relacije klijenata',
        'Open' => 'Otvoreno',
        'Closed' => 'Zatvoreni',
        '%s open ticket(s) of %s' => '%s otvorenih tiketa od %s',
        '%s closed ticket(s) of %s' => '%s zatvorenih tiketa od %s',
        'Edit customer ID' => 'Uredi ID klijenta',

        # Template: AgentDashboardCustomerIDStatus
        'Escalated tickets' => 'Eskalirani tiketi',
        'Open tickets' => 'Otvoreni tiketi',
        'Closed tickets' => 'Zatvoreni tiketi',
        'All tickets' => 'Svi tiketi',
        'Archived tickets' => 'Arhivirani tiketi',

        # Template: AgentDashboardCustomerUserInformation
        'Note: Customer User is invalid!' => 'Napomena: klijent korisnik je nevažeći!',

        # Template: AgentDashboardCustomerUserList
        'Customer user information' => 'Informacije o klijent korisniku',
        'Phone ticket' => 'Tiket poziva',
        'Email ticket' => 'Imejl tiket',
        'New phone ticket from %s' => 'Novi tiket poziva od %s',
        'New email ticket to %s' => 'Novi imejl tiket od %s',

        # Template: AgentDashboardProductNotify
        '%s %s is available!' => '%s %s je dostupan!',
        'Please update now.' => 'Molimo ažurirajte sada.',
        'Release Note' => 'Napomena uz izdanje',
        'Level' => 'Nivo',

        # Template: AgentDashboardRSSOverview
        'Posted %s ago.' => 'Poslato pre %s.',

        # Template: AgentDashboardStats
        'The configuration for this statistic widget contains errors, please review your settings.' =>
            'Konfiguracija za ovaj statistički dodatak sadrži greške, molimo proverite vaša podešavanja.',
        'Download as SVG file' => 'Preuzmi kao SVG datoteku',
        'Download as PNG file' => 'Preuzmi kao PNG datoteku',
        'Download as CSV file' => 'Preuzmi kao CSV datoteku',
        'Download as Excel file' => 'Preuzmi kao Excel datoteku',
        'Download as PDF file' => 'Preuzmi kao PDF datoteku',
        'Please select a valid graph output format in the configuration of this widget.' =>
            'Molimo da u konfiguraciji ovog dodatka izaberete važeći izlazni format grafikona.',
        'The content of this statistic is being prepared for you, please be patient.' =>
            'Sadržaj ove statistike se priprema za vas, molimo budite strpljivi.',
        'This statistic can currently not be used because its configuration needs to be corrected by the statistics administrator.' =>
            'Ova statistika se trenutno ne može koristiti zato što administrator statistike treba da koriguje njenu konfiguraciju.',

        # Template: AgentDashboardTicketGeneric
        'Assigned to customer user' => 'Dodeljeni klijent korisnik',
        'Accessible for customer user' => 'Dozvoljen pristup za klijent korisnika',
        'My locked tickets' => 'Moji zaključani tiketi',
        'My watched tickets' => 'Moji praćeni tiketi',
        'My responsibilities' => 'Odgovoran sam za',
        'Tickets in My Queues' => 'Tiketi u mojim redovima',
        'Tickets in My Services' => 'Tiketi u mojim uslugama',
        'Service Time' => 'Vreme usluge',

        # Template: AgentDashboardTicketQueueOverview
        'Total' => 'Ukupno',

        # Template: AgentDashboardUserOnline
        'out of office' => 'van kancelarije',

        # Template: AgentDashboardUserOutOfOffice
        'until' => 'dok',

        # Template: AgentDynamicFieldDBDetailedSearch
        'Back' => 'Nazad',
        'Detailed search' => '',
        'Add an additional attribute' => '',

        # Template: AgentDynamicFieldDBDetails
        'Details view' => '',

        # Template: AgentElasticsearchQuickResult
        'Ticketnumber' => '',

        # Template: AgentInfo
        'To accept some news, a license or some changes.' => 'Da bi prihvatili neke vesti, dozvole ili neke promene.',
        'Yes, accepted.' => 'Da, prihvaćeno.',

        # Template: AgentLinkObject
        'Manage links for %s' => 'Uredi veze za %s',
        'Create new links' => 'Napravi nove veze',
        'Manage existing links' => 'Uredi postojeće veze',
        'Link with' => 'Poveži sa',
        'Start search' => 'Započni pretragu',
        'There are currently no links. Please click \'Create new Links\' on the top to link this item to other objects.' =>
            'Trenutno nema veza. Molimo kliknite na \'Dodaj nove veze\' pri vrhu da biste povezali ovaj objekat sa ostalim.',

        # Template: AgentPassword
        'Password Policy' => '',
        'Your current password is older than %s days. You need to set a new one.' =>
            '',
        'Change password' => 'Promena lozinke',
        'Current password' => 'Sadašnja lozinka',
        'New password' => 'Nova lozinka',
        'Repeat new password' => '',
        'Password needs to be renewed every %s days.' => '',
        'Password history is active, you can\'t use a password which was used the last %s times.' =>
            '',
        'Password length must be at least %s characters.' => '',
        'Password requires at least two lower- and two uppercase characters.' =>
            '',
        'Password requires at least two characters.' => '',
        'Password requires at least one digit.' => '',
        'Change config options' => '',
        'Admin permissions are required!' => '',

        # Template: AgentPreferences
        'Edit your preferences' => 'Uredi lične postavke',
        'Personal Preferences' => 'Lična podešavanja',
        'Preferences' => 'Podešavanja',
        'Please note: you\'re currently editing the preferences of %s.' =>
            'Napomena: trenutno menjate podešavanja od %s.',
        'Go back to editing this agent' => 'Nazad na uređivanje ovog operatera',
        'Set up your personal preferences. Save each setting by clicking the checkmark on the right.' =>
            'Podesite svoja lična podešavanja. Sačuvajte svako podešavanje štikliranjem sa desne strane.',
        'You can use the navigation tree below to only show settings from certain groups.' =>
            'Možete koristiti navigaciju ispod za prikaz podešavanja koja pripadaju određenim grupama.',
        'Dynamic Actions' => 'Dinamičke akcije',
        'Filter settings...' => 'Izfiltrirajte podešavanja...',
        'Filter for settings' => 'Filter za podešavanja',
        'Save all settings' => 'Sačuvajte sva podešavanja',
        'Avatars have been disabled by the system administrator. You\'ll see your initials instead.' =>
            'Prikaz avatar sličice je onemogućen od strane sistem administratora. Umesto sličice biće prikazani vaši inicijali.',
        'You can change your avatar image by registering with your email address %s at %s. Please note that it can take some time until your new avatar becomes available because of caching.' =>
            'Vašu avatar sličicu možete promeniti registracijom vaše imejl adrese %s na %s. Molimo obratite pažnju da je zbog keširanja neophodno da prođe neko vreme pre nego što vaš novi avatar postane vidljiv.',
        'Off' => 'Isključeno',
        'End' => 'Kraj',
        'This setting can currently not be saved.' => 'Ovo podešavanje trenutno ne može biti sačuvano.',
        'This setting can currently not be saved' => 'Ovo podešavanje trenutno ne može biti sačuvano',
        'Save this setting' => 'Sačuvaj ovo podešavanje',
        'Did you know? You can help translating OTOBO at %s.' => 'Da li ste znali? Možete da pomognete u prevođenju OTOBO na %s.',

        # Template: SettingsList
        'Reset to default' => 'Poništi na podrazumevanu vrednost',

        # Template: AgentPreferencesOverview
        'Choose from the groups on the right to find the settings you\'d wish to change.' =>
            'Izaberite grupu sa desne strane za prikaz podešavanja dostupnih za promene.',
        'Did you know?' => 'Da li ste znali?',
        'You can change your avatar by registering with your email address %s on %s' =>
            'Vašu avatar sličicu možete promeniti registracijom vaše imejl adrese %s na %s',

        # Template: AgentSplitSelection
        'Target' => 'Cilj',
        'Process' => 'Proces',
        'Split' => 'Podeli',

        # Template: AgentStatisticsAdd
        'Statistics Management' => 'Upravljanje statistikama',
        'Add Statistics' => 'Dodaj statistiku',
        'Read more about statistics in OTOBO' => 'Pročitajte više o statistikama u OTOBO',
        'Dynamic Matrix' => 'Dinamička matrica',
        'Each cell contains a singular data point.' => 'Svaka ćelija sadrži pojedinačni podatak.',
        'Dynamic List' => 'Dinamička lista',
        'Each row contains data of one entity.' => 'Svaki red sadrži podatke pojedinačnog objekta.',
        'Static' => 'Statički',
        'Non-configurable complex statistics.' => 'Kompleksne statistike koje nije moguće konfigurisati.',
        'General Specification' => 'Opšta specifikacija',
        'Create Statistic' => 'Kreiraj statistiku',

        # Template: AgentStatisticsEdit
        'Edit Statistics' => 'Uređivanje statistika',
        'Run now' => 'Pokreni sad',
        'Statistics Preview' => 'Pregled statistike',
        'Save Statistic' => 'Sačuvaj statistiku',

        # Template: AgentStatisticsImport
        'Import Statistics' => 'Uvoz statistika',
        'Import Statistics Configuration' => 'Uvezi konfiguraciju statistike',

        # Template: AgentStatisticsOverview
        'Statistics' => 'Statistike',
        'Run' => 'Pokreni',
        'Edit statistic "%s".' => 'Izmeni statistiku "%s".',
        'Export statistic "%s"' => 'Izvezi statistiku "%s"',
        'Export statistic %s' => 'Izmeni statistiku %s',
        'Delete statistic "%s"' => 'Obriši statistiku "%s"',
        'Delete statistic %s' => 'Obriši statistiku %s',

        # Template: AgentStatisticsView
        'Statistics Overview' => 'Pregled statistika',
        'View Statistics' => 'Pregled statistika',
        'Statistics Information' => 'Informacije o statistici',
        'Created by' => 'Kreirao',
        'Changed by' => 'Izmenio',
        'Sum rows' => 'Zbir redova',
        'Sum columns' => 'Zbir kolona',
        'Show as dashboard widget' => 'Prikaži kao dodatak kontrolne table',
        'Cache' => 'Keš',
        'This statistic contains configuration errors and can currently not be used.' =>
            'Ova statistika sadrži konfiguracione greške i sad se ne može koristiti.',

        # Template: AgentTicketActionCommon
        'Change Free Text of %s%s%s' => 'Promeni slobodni tekst za %s%s%s',
        'Change Owner of %s%s%s' => 'Promeni vlasnika za %s%s%s',
        'Close %s%s%s' => 'Zatvori %s%s%s',
        'Add Note to %s%s%s' => 'Dodaj napomenu %s%s%s',
        'Set Pending Time for %s%s%s' => 'Postavi vreme čekanja za %s%s%s',
        'Change Priority of %s%s%s' => 'Promeni prioritet za %s%s%s',
        'Change Responsible of %s%s%s' => 'Promeni odgovornog za %s%s%s',
        'The ticket has been locked' => 'Tiket je zaključan.',
        'Undo & close' => 'Odustani & zatvori',
        'Ticket Settings' => 'Podešavanje tiketa',
        'Queue invalid.' => 'Nevažeći red.',
        'Service invalid.' => 'Nevažeća usluga.',
        'SLA invalid.' => 'Nevažeći SLA.',
        'New Owner' => 'Novi vlasnik',
        'Please set a new owner!' => 'Molimo da odredite novog vlasnika!',
        'Owner invalid.' => ' Nevažeći vlasnik.',
        'New Responsible' => 'Novi odgovorni',
        'Please set a new responsible!' => 'Molimo da odredite novog odgovornog!',
        'Responsible invalid.' => 'Nevažeći odgovoran.',
        'Next state' => 'Sledeći status',
        'State invalid.' => 'Nevažeće stanje.',
        'For all pending* states.' => 'Za sva stanja* čekanja.',
        'Add Article' => 'Dodaj članak',
        'Create an Article' => 'Kreiraj članak',
        'Inform agents' => 'Obavesti operatere',
        'Inform involved agents' => 'Obavesti uključene operatere',
        'Here you can select additional agents which should receive a notification regarding the new article.' =>
            'Ovde možete izabrati dodatne operatere koji treba da primaju obaveštenja u vezi sa novim člankom.',
        'Text will also be received by' => 'Tekst će takođe primiti i:',
        'Text Template' => 'Šablon teksta',
        'Setting a template will overwrite any text or attachment.' => 'Podešavanje šablona će prepisati svaki tekst ili prilog.',
        'Invalid time!' => 'Nevažeće vreme!',

        # Template: AgentTicketBounce
        'Bounce %s%s%s' => 'Odbaci %s%s%s',
        'Bounce to' => 'Preusmeri na',
        'You need a email address.' => 'Potrebna vam je imejl adresa.',
        'Need a valid email address or don\'t use a local email address.' =>
            'Ispravna imejl adresa je neophodna, ali ne koristite lokalnu adresu!',
        'Next ticket state' => 'Naredni status tiketa',
        'Inform sender' => 'Obavesti pošiljaoca',
        'Send mail' => 'Pošalji imejl!',

        # Template: AgentTicketBulk
        'Ticket Bulk Action' => 'Masovne akcije na tiketima',
        'Send Email' => 'Pošalji imejl',
        'Merge' => 'Spoji',
        'Merge to' => 'Objedini sa',
        'Invalid ticket identifier!' => 'Nevažeći identifikator tiketa!',
        'Merge to oldest' => 'Objedini sa najstarijom',
        'Link together' => 'Poveži zajedno',
        'Link to parent' => 'Poveži sa nadređenim',
        'Unlock tickets' => 'Otključaj tikete',
        'Execute Bulk Action' => 'Izvrši masovnu akciju',

        # Template: AgentTicketCompose
        'Compose Answer for %s%s%s' => 'Napiši odgovor za %s%s%s',
        'This address is registered as system address and cannot be used: %s' =>
            'Ova adresa je registrovana kao sistemska i ne može biti korišćena: %s',
        'Please include at least one recipient' => 'Molimo da uključite bar jednog primaoca',
        'Select one or more recipients from the customer user address book.' =>
            'Odaberite jednog ili više primaoca iz adresara klijent korisnika.',
        'Customer user address book' => 'Adresar klijent korisnika',
        'Remove Ticket Customer' => 'Ukloni klijent sa tiketa **',
        'Please remove this entry and enter a new one with the correct value.' =>
            'Molimo da uklonite ovaj unos i unesete nov sa ispravnom vrednošću.',
        'This address already exists on the address list.' => 'Ova adresa već postoji u listi.',
        'Remove Cc' => 'Ukloni Cc',
        'Bcc' => 'Bcc',
        'Remove Bcc' => 'Ukloni Bcc',
        'Date Invalid!' => 'Neispravan datum!',

        # Template: AgentTicketCustomer
        'Change Customer of %s%s%s' => 'Promeni klijenta za %s%s%s',
        'Customer Information' => 'Informacije o klijentu',
        'Customer user' => 'Klijent korisnik',

        # Template: AgentTicketEmail
        'Create New Email Ticket' => 'Otvori novi imejl tiket',
        'Example Template' => 'Primer šablona',
        'To customer user' => 'Za klijenta korisnika',
        'Please include at least one customer user for the ticket.' => 'Molimo vas uključite barem jednog klijenta korisnika za tiket.',
        'Select this customer as the main customer.' => 'Označi ovog klijenta kao glavnog klijenta.',
        'Remove Ticket Customer User' => 'Ukloni tiket klijenta korisnika **',
        'From queue' => 'iz reda',
        'Get all' => 'Uzmi sve',

        # Template: AgentTicketEmailOutbound
        'Outbound Email for %s%s%s' => 'Odlazni imejl za %s%s%s',

        # Template: AgentTicketEmailResend
        'Resend Email for %s%s%s' => 'Pošalji ponovo imejl za %s %s %s',

        # Template: AgentTicketEscalation
        'Ticket %s: first response time is over (%s/%s)!' => 'Tiket %s: vreme odziva je isteklo (%s/%s)!',
        'Ticket %s: first response time will be over in %s/%s!' => 'Tiket %s: vreme odziva će isteći za %s/%s!',
        'Ticket %s: update time is over (%s/%s)!' => 'Tiket %s: vreme ažuriranja je preko (%s/%s)!',
        'Ticket %s: update time will be over in %s/%s!' => 'Tiket %s: vreme ažuriranja ističe za %s/%s!',
        'Ticket %s: solution time is over (%s/%s)!' => 'Tiket %s: vreme rešavanja je isteklo (%s/%s)!',
        'Ticket %s: solution time will be over in %s/%s!' => 'Tiket %s: vreme rešavanja ističe za %s/%s!',

        # Template: AgentTicketForward
        'Forward %s%s%s' => 'Prosledi %s%s%s',

        # Template: AgentTicketHistory
        'History of %s%s%s' => 'Istorijat od %s%s%s',
        'Filter for history items' => 'Filter za stavke istorijata',
        'Expand/collapse all' => 'Proširi/skupi sve',
        'CreateTime' => 'Vreme kreiranja',
        'Article' => 'Članak',

        # Template: AgentTicketMerge
        'Merge %s%s%s' => 'Spoji %s%s%s',
        'Merge Settings' => 'Podešavanja spajanja',
        'You need to use a ticket number!' => 'Molimo vas da koristite broj tiketa!',
        'A valid ticket number is required.' => 'Neophodan je ispravan broj tiketa.',
        'Try typing part of the ticket number or title in order to search by it.' =>
            'Unesite deo broja ili naslova tiketa za pretragu.',
        'Limit the search to tickets with same Customer ID (%s).' => 'Ograničite pretragu na tikete sa istim ID klijenta (%s).',
        'Inform Sender' => 'Obavesti pošiljaoca',
        'Need a valid email address.' => 'Potrebna je ispravna imejl adresa.',

        # Template: AgentTicketMove
        'Move %s%s%s' => 'Premesti %s%s%s',
        'New Queue' => 'Novi Red',
        'Move' => 'Premesti',

        # Template: AgentTicketOverviewMedium
        'No ticket data found.' => 'Nisu nađeni podaci o tiketu',
        'Open / Close ticket action menu' => 'Akcioni meni Otvaranja / Zatvaranja tiketa',
        'Select this ticket' => 'Izaberite ovaj tiket',
        'Sender' => 'Pošiljaoc',
        'First Response Time' => 'Vreme prvog odgovora',
        'Update Time' => 'Vreme ažuriranja',
        'Solution Time' => 'Vreme rešavanja',
        'Move ticket to a different queue' => 'Premesti tiket u drugi red',
        'Change queue' => 'Promeni red',

        # Template: AgentTicketOverviewNavBar
        'Remove active filters for this screen.' => 'Ukloni aktivne filtere za ovaj ekran.',
        'Tickets per page' => 'Tiketa po strani',

        # Template: AgentTicketOverviewPreview
        'Missing channel' => 'Nedostaje kanal',

        # Template: AgentTicketOverviewSmall
        'Reset overview' => 'Poništi pregled',
        'Column Filters Form' => 'Forma filtera kolona',

        # Template: AgentTicketPhone
        'Split Into New Phone Ticket' => 'Podeli u novi tiket poziva',
        'Save Chat Into New Phone Ticket' => 'Sačuvaj ćaskanje u novi tiket poziva',
        'Create New Phone Ticket' => 'Otvori novi tiket poziva',
        'Please include at least one customer for the ticket.' => 'Molimo da uključite bar jednog klijenta za tiket.',
        'To queue' => 'U red',
        'Chat protocol' => 'Protokol ćaskanja',
        'The chat will be appended as a separate article.' => 'Ćaskanje će biti dodato kao poseban članak.',

        # Template: AgentTicketPhoneCommon
        'Phone Call for %s%s%s' => 'Poziv za %s%s%s',

        # Template: AgentTicketPlain
        'View Email Plain Text for %s%s%s' => 'Prikaz imejla kao običan tekst za %s%s%s',
        'Plain' => 'Neformatirano',
        'Download this email' => 'Preuzmi ovu poruku',

        # Template: AgentTicketProcess
        'Create New Process Ticket' => 'Napravi novi proces tiket',

        # Template: AgentTicketProcessSmall
        'Enroll Ticket into a Process' => 'Priključi tiket procesu',

        # Template: AgentTicketSearch
        'Profile link' => 'Veza profila',
        'Output' => 'Pregled rezultata',
        'Fulltext' => 'Tekst',
        'Customer ID (complex search)' => 'ID klijenta (složena pretraga)',
        '(e. g. 234*)' => '(npr. 234*)',
        'Customer ID (exact match)' => 'ID klijenta (tačno poklapanje)',
        'Assigned to Customer User Login (complex search)' => 'Dodeljeno klijent korisniku (složena pretraga)',
        '(e. g. U51*)' => '(npr.  U51*)',
        'Assigned to Customer User Login (exact match)' => 'Dodeljeno klijent korisniku (tačno poklapanje)',
        'Accessible to Customer User Login (exact match)' => 'Vidljivo klijent korisniku (tačno poklapanje)',
        'Created in Queue' => 'Otvoreno u redu',
        'Lock state' => 'Staus zaključavanja',
        'Watcher' => 'Praćenje',
        'Article Create Time (before/after)' => 'Vreme kreiranja članka (pre/posle)',
        'Article Create Time (between)' => 'Vreme kreiranja članka (između)',
        'Please set this to value before end date.' => 'Molimo postavite ovaj datum pre kraja.',
        'Please set this to value after start date.' => 'Molimo postavite ovaj datum posle početka.',
        'Ticket Create Time (before/after)' => 'Vreme otvaranja tiketa (pre/posle)',
        'Ticket Create Time (between)' => 'Vreme otvaranja tiketa (između)',
        'Ticket Change Time (before/after)' => 'Vreme promene tiketa (pre/posle)',
        'Ticket Change Time (between)' => 'Vreme promene tiketa (između)',
        'Ticket Last Change Time (before/after)' => 'Vreme poslednje promene tiketa (pre/posle)',
        'Ticket Last Change Time (between)' => 'Vreme poslednje promene tiketa (između)',
        'Ticket Pending Until Time (before/after)' => 'Vreme tiketa na čekanju (pre/posle)',
        'Ticket Pending Until Time (between)' => 'Vreme tiketa na čekanju (između)',
        'Ticket Close Time (before/after)' => 'Vreme zatvaranja tiketa (pre/posle)',
        'Ticket Close Time (between)' => 'Vreme zatvaranja tiketa (između)',
        'Ticket Escalation Time (before/after)' => 'Vreme eskalacije tiketa (pre/posle)',
        'Ticket Escalation Time (between)' => 'Vreme eskalacije tiketa (između)',
        'Archive Search' => 'Pretraga arhiva',

        # Template: AgentTicketZoom
        'Sender Type' => 'Tip pošiljaoca',
        'Save filter settings as default' => 'Sačuvaj podešavanja filtera kao podrazumevana',
        'Event Type' => 'Tip događaja',
        'Save as default' => 'Sačuvaj kao podrazumevano',
        'Drafts' => 'Nacrti',
        'Change Queue' => 'Promeni Red',
        'There are no dialogs available at this point in the process.' =>
            'U ovom trenutku nema slobodnih dijaloga u procesu.',
        'This item has no articles yet.' => 'Ova stavka još uvek nema člkanke.',
        'Ticket Timeline View' => 'Pregled tiketa na vremenskoj liniji',
        'Article Overview - %s Article(s)' => 'Pregled članaka - %s članak(a)',
        'Page %s' => 'Strana %s',
        'Add Filter' => 'Dodaj Filter',
        'Set' => 'Podesi',
        'Reset Filter' => 'Resetuj Filter',
        'No.' => 'Br.',
        'Unread articles' => 'Nepročitani članci',
        'Via' => 'Preko',
        'Important' => 'Važno',
        'Unread Article!' => 'Nepročitani Članci!',
        'Incoming message' => 'Dolazna poruka',
        'Outgoing message' => 'Odlazna poruka',
        'Internal message' => 'Interna poruka',
        'Sending of this message has failed.' => 'Slanje ove poruke nije uspelo.',
        'Resize' => 'Promena veličine',
        'Mark this article as read' => 'Označi ovaj članak kao pročitan',
        'Show Full Text' => 'Prikaži ceo tekst',
        'Full Article Text' => 'Tekst celog članka',
        'No more events found. Please try changing the filter settings.' =>
            'Nema više događaja. Pokušajte da promenite podešavanja filtera.',

        # Template: Chat
        '#%s' => '#%s',
        'via %s' => 'preko %s',
        'by %s' => 'od strane %s',
        'Toggle article details' => 'Preklopi detalje članka',

        # Template: MIMEBase
        'This message is being processed. Already tried to send %s time(s). Next try will be %s.' =>
            'Ova poruka se procesira. Slanje je pokušano već %s put(a). Sledeći pokušaj biće u %s.',
        'To open links in the following article, you might need to press Ctrl or Cmd or Shift key while clicking the link (depending on your browser and OS).' =>
            'Da otvorite veze u ovom članku, možda ćete morati da pritisnete Ctrl ili Cmd ili Shift taster dok kliknete na vezu (zavisi od vašeg pregledača i operativnog sistema). ',
        'Close this message' => 'Zatvori ovu poruku',
        'Image' => 'Slika',
        'PDF' => 'PDF',
        'Unknown' => 'Nepoznato',
        'View' => 'Pregled',

        # Template: LinkTable
        'Linked Objects' => 'Povezani objekti',

        # Template: TicketInformation
        'Archive' => 'Arhiviraj',
        'This ticket is archived.' => 'Ovaj tiket je arhiviran',
        'Note: Type is invalid!' => 'Napomena: tip je nevažeći!',
        'Pending till' => 'Na čekanju do',
        'Locked' => 'Zaključano',
        '%s Ticket(s)' => '%s tiket(a)',
        'Accounted time' => 'Obračunato vreme',

        # Template: Invalid
        'Preview of this article is not possible because %s channel is missing in the system.' =>
            'Pregled ovog članka nije moguć jer %s kanal nedostaje u sistemu.',
        'Please re-install %s package in order to display this article.' =>
            'Molimo ponovo instalirajte paket %s za prikaz ovog članka.',

        # Template: AttachmentBlocker
        'To protect your privacy, remote content was blocked.' => 'Da biste zaštitili svoju privatnost, udaljeni sadržaj je blokiran.',
        'Load blocked content.' => 'Učitaj blokirani sadržaj.',

        # Template: Breadcrumb
        'Home' => 'Početna',
        'Back to admin overview' => 'Nazan na administratorski pregled',

        # Template: CloudServicesDisabled
        'This Feature Requires Cloud Services' => 'Ova funkcija zahteva servise u oblaku',
        'You can' => 'Vi možete',
        'go back to the previous page' => 'idi na prethodnu stranu',

        # Template: CustomerAccept
        'Yes, I accepted your license.' => '',

        # Template: TicketCustomerIDSelection
        'The customer ID is not changeable, no other customer ID can be assigned to this ticket.' =>
            'ID klijenta ne može biti promenjen, nijedan drugi ID ne može biti dodeljen ovom tiketu.',
        'First select a customer user, then you can select a customer ID to assign to this ticket.' =>
            'Prvo odaberite klijent korisnika, onda možete odabrati ID klijenta za dodelu ovom tiketu.',
        'Select a customer ID to assign to this ticket.' => 'Odaberite ID klijenta za dodelu ovom tiketu.',
        'From all Customer IDs' => 'Iz liste svih ID klijenta',
        'From assigned Customer IDs' => 'Iz liste dodeljenih ID klijenta',

        # Template: CustomerDashboard
        'Ticket Search' => '',
        'New Ticket' => 'Novi tiket',

        # Template: CustomerError
        'An Error Occurred' => 'Dogodila se greška',
        'Error Details' => 'Detalji greške',
        'Traceback' => 'Isprati unazad',

        # Template: CustomerFooter
        'Powered by %s' => 'Pokreće %s',

        # Template: CustomerFooterJS
        '%s detected possible network issues. You could either try reloading this page manually or wait until your browser has re-established the connection on its own.' =>
            '%s je detektovao moguće probleme sa vašom mrežnom vezom. Možete pokušati da ručno osvežite ovu stranicu ili da sačekate da vaš pregledač sam ponovo uspostavi vezu.',
        'The connection has been re-established after a temporary connection loss. Due to this, elements on this page could have stopped to work correctly. In order to be able to use all elements correctly again, it is strongly recommended to reload this page.' =>
            'Veza je ponovo uspostavljena nakon privremenog prekida. Zbog toga, elementi na ovoj stranici su mogli da prestanu da korektno funkcionišu. Da bi sve elemente mogli ponovo normalno da koristite, preporučujemo obavezno osvežavanje ove stranice. ',

        # Template: CustomerLogin
        'JavaScript Not Available' => 'JavaScript nije dostupan.',
        'In order to experience this software, you\'ll need to enable JavaScript in your browser.' =>
            'Kako bi ste koristili aplikaciju, neophodno je da aktivirate JavaScript u vašem veb pretraživaču.',
        'Browser Warning' => 'Upozorenje veb pretraživača',
        'The browser you are using is too old.' => 'Veb pretraživač koji koristite je previše star.',
        'This software runs with a huge lists of browsers, please upgrade to one of these.' =>
            'Ova aplikacija funkcioniše na velikom broju veb pretraživača, molimo da instalirate i koristite jedan od ovih.',
        'Please see the documentation or ask your admin for further information.' =>
            'Molimo da pregledate dokumentaciju ili pitate vašeg administratora za dodatne informacije.',
        'The browser you are using doesn\'t support css-grid. It\'s likely too old.' =>
            '',
        'An Internet Explorer compatible version will soon be released nonetheless.' =>
            '',
        'One moment please, you are being redirected...' => 'Sačekajte momenat, bićete preusmereni...',
        'Login' => 'Prijavljivanje',
        'Your user name' => 'Vaše korisničko ime',
        'User name' => 'Korisničko ime',
        'Your password' => 'Vaša lozinka',
        'Forgot password?' => 'Zaboravili ste lozinku?',
        'Your 2 Factor Token' => 'Vaš dvofaktorski token',
        '2 Factor Token' => 'Dvofaktorski token',
        'Log In' => 'Prijavljivanje',
        'Request Account' => '',
        'Request New Password' => 'Zahtev za novu lozinku',
        'Your User Name' => 'Vaše korisničko ime',
        'A new password will be sent to your email address.' => 'Nova lozinka će biti poslata na vašu imejl adresu.',
        'Create Account' => 'Kreirajte nalog',
        'Please fill out this form to receive login credentials.' => 'Molimo da popunite ovaj obrazac da bi ste dobili podatke za prijavu.',
        'How we should address you' => 'Kako da vas oslovljavamo',
        'Your First Name' => 'Vaše ime',
        'Your Last Name' => 'Vaše prezime',
        'Your email address (this will become your username)' => 'Vaša imejl adresa (to će biti vaše korisničko ime)',

        # Template: CustomerNavigationBar
        'Logout' => 'Odjava',

        # Template: CustomerPassword
        'Change Password' => '',
        'Password needs to contain at least 3 of the character classes: lower char, upper char, digit, special character.' =>
            '',

        # Template: CustomerTicketList
        'Nr.' => '',
        'Welcome!' => 'Dobrodošli!',
        'You have no tickets yet. Please click here, to create a new one.' =>
            '',
        'Nothing to show.' => '',
        'Click here for an unfiltered list of all your tickets.' => '',

        # Template: CustomerTicketMessage
        'Issue a new Ticket' => '',
        'Service level agreement' => 'Sporazum o nivou usluge',

        # Template: CustomerTicketOverview
        'Your Tickets' => '',
        'Page' => 'Strana',
        'Tickets' => 'Tiketi',
        'Sort' => '',

        # Template: CustomerTicketSearch
        'Profile' => 'Profil',
        'e. g. 10*5155 or 105658*' => 'npr. 10*5155 ili 105658*',
        'CustomerID' => 'ID klijenta',
        'Fulltext Search in Tickets (e. g. "John*n" or "Will*")' => 'Tekstualno pretraživanje u tiketima (npr. "John*n" ili "Will*")',
        'Types' => 'Tipovi',
        'Time Restrictions' => 'Vremenska ograničenja',
        'No time settings' => 'Nema podešavanja vremena',
        'All' => 'Sve',
        'Specific date' => 'Određeni datum',
        'Only tickets created' => 'Samo kreirani tiketi',
        'Date range' => 'Raspon datuma',
        'Only tickets created between' => 'Samo tiketi kreirani između',
        'Ticket Archive System' => 'Sistem za arhiviranje tiketa',
        'Save Search as Template?' => 'Sačuvaj pretragu kao šablon?',
        'Save as Template?' => 'Sačuvati kao šablon?',
        'Save as Template' => 'Sačuvaj kao šablon',
        'Template Name' => 'Naziv šablona',
        'Pick a profile name' => 'Izaberi naziv profila',
        'Output to' => 'Izlaz na',

        # Template: CustomerTicketSearchResultShort
        'of' => 'od',
        'Search Results for' => 'Rezultati pretraživanja za',
        'Remove this Search Term.' => 'Ukloni ovaj izraz za pretragu.',

        # Template: CustomerTicketZoom
        'Reply' => 'Odgovori',
        'Discard' => '',
        'Ticket Information' => 'Informacije o tiketu',
        'Categories' => '',

        # Template: Chat
        'Expand article' => 'Raširi članak',

        # Template: MIMEBase
        'Article Information' => '',

        # Template: CustomerWarning
        'Warning' => 'Upozorenje',

        # Template: Tile_NewTicket
        'Issue<br/>a ticket' => '',

        # Template: DashboardEventsTicketCalendar
        'Event Information' => 'Informacije o događaju',
        'Ticket fields' => 'Polja tiketa',

        # Template: Error
        'Send a bugreport' => 'Pošalji izveštaj o grešci',
        'Expand' => 'Proširi',

        # Template: AttachmentList
        'Click to delete this attachment.' => 'Kliknite ovde da obrišete prilog.',

        # Template: DraftButtons
        'Update draft' => 'Ažuriraj nacrt',
        'Save as new draft' => 'Sačuvaj kao novi nacrt',

        # Template: DraftNotifications
        'You have loaded the draft "%s".' => 'Već ste učitali nacrt "%s".',
        'You have loaded the draft "%s". You last changed it %s.' => 'Već ste učitali nacrt "%s". Poslednji put ste ga promenili u %s.',
        'You have loaded the draft "%s". It was last changed %s by %s.' =>
            'Već ste učitali nacrt "%s". Poslednji put je promenjen u %s od strane %s.',
        'Please note that this draft is outdated because the ticket was modified since this draft was created.' =>
            'Molimo obratite pažnju da je ovaj nacrt zastareo jer je tiket modifikovan od kada je nacrt kreiran.',

        # Template: Header
        'Edit personal preferences' => 'Uredi lične postavke',
        'Personal preferences' => 'Lična podešavanja',
        'You are logged in as' => 'Prijavljeni ste kao',

        # Template: Installer
        'JavaScript not available' => 'JavaScript nije dostupan.',
        'Step %s' => 'Korak %s',
        'License' => 'Licenca',
        'Database Settings' => 'Podešavanje baze podataka',
        'General Specifications and Mail Settings' => 'Opšte specifikacije i podešavanje pošte',
        'Finish' => 'Završi',
        'Welcome to %s' => 'Dobrodošli u %s',
        'Germany' => 'Nemačka',
        'Phone' => 'Poziv',
        'Switzerland' => '',
        'Web site' => 'Veb sajt',

        # Template: InstallerConfigureMail
        'Configure Outbound Mail' => 'Podešavanje odlazne pošte',
        'Outbound mail type' => 'Tip odlazne pošte',
        'Select outbound mail type.' => 'Izaberite tip odlazne pošte',
        'Outbound mail port' => 'Port za odlaznu poštu',
        'Select outbound mail port.' => 'Izaberite port za odlaznu poštu',
        'SMTP host' => 'SMTP server',
        'SMTP host.' => 'SMTP server.',
        'SMTP authentication' => 'SMTP autentifikacija',
        'Does your SMTP host need authentication?' => 'Da li vaš SMTP server zahteva autentifikaciju?',
        'SMTP auth user' => 'SMTP korisnik',
        'Username for SMTP auth.' => 'Korisničko ime za SMTP autentifikaciju',
        'SMTP auth password' => 'Lozinka SMTP autentifikacije',
        'Password for SMTP auth.' => 'Lozinka za SMTP autentifikaciju',
        'Configure Inbound Mail' => 'Podešavanje dolazne pošte',
        'Inbound mail type' => 'Tip dolazne pošte',
        'Select inbound mail type.' => 'Izaberi tip dolazne pošte',
        'Inbound mail host' => 'Server dolazne pošte',
        'Inbound mail host.' => 'Server dolazne pošte.',
        'Inbound mail user' => 'Korisnik dolazne pošte',
        'User for inbound mail.' => 'Korisnik za dolaznu poštu.',
        'Inbound mail password' => 'Lozinka dolazne pošte',
        'Password for inbound mail.' => 'Lozinka za dolaznu poštu.',
        'Result of mail configuration check' => 'Rezultat provere podešavanja pošte',
        'Check mail configuration' => 'Proveri konfiguraciju mejla',
        'Skip this step' => 'Preskoči ovaj korak',

        # Template: InstallerDBResult
        'Done' => 'Urađeno',
        'Error' => 'Greška',
        'Database setup successful!' => 'Uspešno instaliranje baze',

        # Template: InstallerDBStart
        'Install Type' => 'Instaliraj tip',
        'Create a new database for OTOBO' => 'Kreiraj novu bazu podataka za OTOBO',
        'Use an existing database for OTOBO' => 'Koristi postojeću bazu podataka za OTOBO',

        # Template: InstallerDBmssql
        'If you have set a root password for your database, it must be entered here. If not, leave this field empty.' =>
            'Ako ste postavili rut lozinku za vašu bazu podataka, ona mora biti uneta ovde. Ako niste, ovo polje ostavite prazno.',
        'Database name' => 'Naziv baze podataka',
        'Check database settings' => 'Proverite podešavanja baze',
        'Result of database check' => 'Rezultat provere baze podataka',
        'Database check successful.' => 'Uspešna provera baze podataka.',
        'Database User' => 'Korisnik baze podataka',
        'New' => 'Novo',
        'A new database user with limited permissions will be created for this OTOBO system.' =>
            'Novi korisnik baze sa ograničenim pravima će biti kreiran za ovaj OTOBO sistem.',
        'Repeat Password' => 'Ponovi lozinku',
        'Generated password' => 'Generisana lozinka',

        # Template: InstallerDBmysql
        'Passwords do not match' => 'Lozinke se ne poklapaju',

        # Template: InstallerFinish
        'To be able to use OTOBO you have to enter the following line in your command line (Terminal/Shell) as root.' =>
            'Da bi ste koristili OTOBO morate uneti sledeće u komandnu liniju (Terminal/Shell) kao root.',
        'Restart your webserver' => 'Ponovo pokrenite vaš veb server.',
        'After doing so your OTOBO is up and running.' => 'Posle ovoga vaš OTOBO je uključen i radi.',
        'Start page' => 'Početna strana',
        'Your OTOBO Team' => 'Vaš OTOBO tim',

        # Template: InstallerLicense
        'Don\'t accept license' => 'Ne prihvataj licencu',
        'Accept license and continue' => 'Prihvati licencu i nastavi',

        # Template: InstallerSystem
        'SystemID' => 'Sistemski ID',
        'The identifier of the system. Each ticket number and each HTTP session ID contain this number.' =>
            'Sistemski identifikator. Svaki broj tiketa i svaki ID HTTP sesije sadrži ovaj broj.',
        'System FQDN' => 'Sistemski FQDN',
        'Fully qualified domain name of your system.' => 'Pun naziv domena vašeg sistema',
        'AdminEmail' => 'Administrativni imejl',
        'Email address of the system administrator.' => 'Imejl adresa sistem administratora.',
        'Organization' => 'Organizacija',
        'Log' => 'Log',
        'LogModule' => 'Log modul',
        'Log backend to use.' => 'Log modul u upotrebi.',
        'LogFile' => 'Log datoteka',
        'Webfrontend' => 'Mrežni interfejs',
        'Default language' => 'Podrazumevani jezik',
        'Default language.' => 'Podrazumevani jezik',
        'CheckMXRecord' => 'Proveri MX podatke',
        'Email addresses that are manually entered are checked against the MX records found in DNS. Don\'t use this option if your DNS is slow or does not resolve public addresses.' =>
            'Ručno uneta imejl adresa se proverava pomoću MX podatka pronađenog u DNS. Nemojte koristiti ovu opciju ako je vaš DNS spor ili ne može da razreši javne adrese.',

        # Template: LinkObject
        'Delete link' => 'Obriši vezu',
        'Delete Link' => 'Obriši vezu',
        'Object#' => 'Objekat#',
        'Add links' => 'Dodaj veze',
        'Delete links' => 'Obriši veze',

        # Template: Login
        'Lost your password?' => 'Izgubili ste lozinku?',
        'Back to login' => 'Nazad na prijavljivanje',

        # Template: MetaFloater
        'Scale preview content' => 'Skaliraj sadržaj za prikaz',
        'Open URL in new tab' => 'Otvori URL u novom listu',
        'Close preview' => 'Zatvori pregled',
        'A preview of this website can\'t be provided because it didn\'t allow to be embedded.' =>
            'Pregled ove veb stranice nije moguć jer ona ne dozvoljava da bude ugrađena.',

        # Template: Copy
        'Start migration' => '',
        'Result of data migration' => '',
        'Last successful task:' => '',
        'Migration will restart from the last successfully finished task. Please do a complete rerun if you changed your system in the meantime.' =>
            '',
        'Clean up and finish' => '',

        # Template: Finish
        'The migration is complete, thank you for trying out OTOBO - we hope you will like it.' =>
            '',

        # Template: Intro
        'This migration script will lead you step by step through the process of migrating your ticket system from OTRS or ((OTRS)) Community Edition version 6 to OTOBO 10.' =>
            '',
        'There is no danger whatsoever for your original system: nothing is changed there.' =>
            '',
        'Instructions and details on migration prerequisites can be found in the migration manual. We strongly recommend reading it before starting migration.' =>
            '',
        'In case you have to suspend migration, you can resume it anytime at the same point as long as the cache has not been deleted.' =>
            '',
        'All entered passwords are cached until the migration is finished.' =>
            '',
        ' Anyone with access to this page, or read permission for the OTOBO Home Directory will be able to read them. If you abort the migration, you are given the option to clear the cache by visiting this page again.' =>
            '',
        'If you need support, just ask our experts – either at' => '',
        'OTOBO forum' => '',
        'or directly via mail to' => '',
        'Cached data found' => '',
        'You will continue where you aborted the migration last time. If you do not want this, please discard your previous progress.' =>
            '',
        'An error occured.' => '',
        'Discard previous progress' => '',
        'Insecure HTTP connection' => '',
        'You are using the migration script via http. This is highly insecure as various passwords are required during the process, and will be transferred unencrypted. Anyone between you and the OTOBO server will be able to read them! Please consider setting up https instead.' =>
            '',
        'Continue anyways :(' => '',
        ' Continue anyways :(' => '',

        # Template: OTRSFileSettings
        'OTRS server' => '',
        'SSH User' => '',
        'OTRS home directory' => '',
        'Check settings' => '',
        'Result of settings check' => '',
        'Settings check successful.' => '',

        # Template: PreChecks
        'Execute migration pre-checks' => '',

        # Template: MobileNotAvailableWidget
        'Feature not Available' => 'Svojstvo nije dostupno',
        'Sorry, but this feature of OTOBO is currently not available for mobile devices. If you\'d like to use it, you can either switch to desktop mode or use your regular desktop device.' =>
            'Na žalost, ovo svojstvo momentalno nije dostupno za mobilne uređaje. Ako želite da ga koristite, možete de vratiti na desktop mod ili koristiti standardni desktop uređaj.',

        # Template: Motd
        'Message of the Day' => 'Današnja poruka',
        'This is the message of the day. You can edit this in %s.' => 'Ovo je dnevna poruka. Možete je urediti u %s.',

        # Template: NoPermission
        'Insufficient Rights' => 'Nedovoljna ovlaštenja',
        'Back to the previous page' => 'Vratite se na prethodnu stranu',

        # Template: Alert
        'Alert' => 'Upozorenje',
        'Powered by' => 'Pokreće',

        # Template: Pagination
        'Show first page' => 'Pokaži prvu stranu',
        'Show previous pages' => 'Pokaži prethodne strane',
        'Show page %s' => 'Pokaži stranu %s',
        'Show next pages' => 'Pokaži sledeće strane',
        'Show last page' => 'Pokaži poslednju stranu',

        # Template: PictureUpload
        'Need FormID!' => 'Neophodan FormID!',
        'No file found!' => 'Datoteka nije pronađena!',
        'The file is not an image that can be shown inline!' => 'Datoteka nije slika koja se može neposredno prikazati!',

        # Template: PreferencesNotificationEvent
        'No user configurable notifications found.' => 'Nisu pronađena obaveštenja koja korisnik može da podesi.',
        'Receive messages for notification \'%s\' by transport method \'%s\'.' =>
            'Primite poruke za obaveštavanje \'%s\' prenete putem \'%s\'.',

        # Template: ActivityDialogHeader
        'Process Information' => 'Informacije o procesu',
        'Dialog' => 'Dijalog',

        # Template: Article
        'Inform Agent' => 'Obavesti operatera',

        # Template: PublicDefault
        'Welcome' => 'Dobrodošli',
        'This is the default public interface of OTOBO! There was no action parameter given.' =>
            'Ovo je podrazumevani javni interfejs za OTOBO! Nema datih akcionih parametara.',
        'You could install a custom public module (via the package manager), for example the FAQ module, which has a public interface.' =>
            'Možete instalirati dodatni modul (vidite upravljanje paketima), npr. FAQ, koji ima javni interfejs.',

        # Template: GeneralSpecificationsWidget
        'Permissions' => 'Dozvole',
        'You can select one or more groups to define access for different agents.' =>
            'Možete izabrati jednu ili više grupa za definisanje pristupa za različite operatere.',
        'Result formats' => 'Format rezultata',
        'Time Zone' => 'Vremenska zona',
        'The selected time periods in the statistic are time zone neutral.' =>
            'Izabrani vremenski periodi u statistici su neutralni po pitanju vremenske zone.',
        'Create summation row' => 'Kreiraj red sa zbirom',
        'Generate an additional row containing sums for all data rows.' =>
            'Generiši dodatni red koji sadrži sume za sve redove sa podacima.',
        'Create summation column' => 'Kreiraj kolonu sa zbirom',
        'Generate an additional column containing sums for all data columns.' =>
            'Generiši dodatnu kolonu koja sadrži sume za sve kolone sa podacima.',
        'Cache results' => 'Keširaj rezultate',
        'Stores statistics result data in a cache to be used in subsequent views with the same configuration (requires at least one selected time field).' =>
            'Čuva rezultate statistika u kešu za korišćenje u sledećim pregledima sa istim podešavanjima (zahteva izabrano bar jedno vremensko polje).',
        'Provide the statistic as a widget that agents can activate in their dashboard.' =>
            'Omogući statistiku kao dodatak koji opertateri mogu aktivirati u svojoj kontrolnoj tabli.',
        'Please note that enabling the dashboard widget will activate caching for this statistic in the dashboard.' =>
            'Napominjemo da će omogućavanje dodatka keširati ovu statistiku na kontrolnoj tabli.',
        'If set to invalid end users can not generate the stat.' => 'Ako je podešeno na nevažeće, krajnji korisnici ne mogu generisati statistiku.',

        # Template: PreviewWidget
        'There are problems in the configuration of this statistic:' => 'Postoje neki problemi u podešavanju ove statistike:',
        'You may now configure the X-axis of your statistic.' => 'Sada možete podesiti X osu vaše statistike.',
        'This statistic does not provide preview data.' => 'Ova statistika ne omogućava privremeni prikaz.',
        'Preview format' => 'Format prikaza',
        'Please note that the preview uses random data and does not consider data filters.' =>
            'Napominjemo da prikaz koristi nasumično izabrane podatke i ne uzima u obzir filtere podataka.',
        'Configure X-Axis' => 'Podesi X osu',
        'X-axis' => 'H-osa',
        'Configure Y-Axis' => 'Podesi Y osu',
        'Y-axis' => 'Y-osa',
        'Configure Filter' => 'Podesi filter',

        # Template: RestrictionsWidget
        'Please select only one element or turn off the button \'Fixed\'.' =>
            'Molimo da izaberete samo jedan element ili isključite dugme \'fiksirano\'!',
        'Absolute period' => 'Apsolutni period',
        'Between %s and %s' => 'Između %s i %s',
        'Relative period' => 'Relativni period',
        'The past complete %s and the current+upcoming complete %s %s' =>
            'Kompletna prošlost %s i kompletna trenutna+buduća %s %s',
        'Do not allow changes to this element when the statistic is generated.' =>
            'Onemogući promene ovog elementa pri generisanju statistike.',

        # Template: StatsParamsWidget
        'Format' => 'Format',
        'Exchange Axis' => 'Zameni ose',
        'Configurable Params of Static Stat' => 'Podesivi parametri statičke statistike',
        'No element selected.' => 'Nije izabran ni jedan element.',
        'Scale' => 'Skala',
        'show more' => 'prikaži više',
        'show less' => 'prikaži manje',

        # Template: D3
        'Download SVG' => 'Preuzmi SVG',
        'Download PNG' => 'Preuzme PNG',

        # Template: XAxisWidget
        'The selected time period defines the default time frame for this statistic to collect data from.' =>
            'Odabrani vremenski period definiše podrazumevan vremenski okvir za prikupljanje podataka statistike.',
        'Defines the time unit that will be used to split the selected time period into reporting data points.' =>
            'Definiše vremensku jedinicu koja se koristi za podelu izabranog vremenskog perioda u pojedinačne tačke na izveštaju.',

        # Template: YAxisWidget
        'Please remember that the scale for the Y-axis has to be larger than the scale for the X-axis (e.g. X-axis => Month, Y-Axis => Year).' =>
            'Molimo zapamtite, da skala za Y-osu treba da bude veća od skale za H-osu (npr. H-Osa => mesec; Y-osa => godina).',

        # Template: SettingHistoryListCompare
        'On ' => '',
        'Reset to this value' => '',

        # Template: SettingsList
        'This setting is disabled.' => 'Ovo podešavanje je isključeno.',
        'This setting is fixed but not deployed yet!' => 'Ovo podešavanje je statičko, ali nije još raspoređeno!',
        'This setting is currently being overridden in %s and can\'t thus be changed here!' =>
            'Ovo podešavanje je trenutno pregaženo u %s i ne može biti izmenjeno ovde!',
        'Changing this setting is only available in a higher config level!' =>
            'Promena ovog podešavanja je moguća samo u naprednom konfiguracionom modu.',
        '%s (%s) is currently working on this setting.' => '%s (%s) trenutno radi na ovom podešavanju.',
        'Toggle advanced options for this setting' => 'Preklopi napredne opcije za ovo podešavanje',
        'Disable this setting, so it is no longer effective' => 'Isključi ovo podešavanje, tako da više nije efektivno',
        'Disable' => 'Isključi',
        'Enable this setting, so it becomes effective' => 'Uključi ovo podešavanje, tako da postane efektivno',
        'Enable' => 'Uključi',
        'Reset this setting to its default state' => 'Poništi ovo podešavanje na podrazumevanu vrednost',
        'Reset setting' => 'Poništi podešavanje',
        'Allow users to adapt this setting from within their personal preferences' =>
            'Omogući korisnicima da menjaju ovo podešavanje u njihovim ličnim podešavanjima',
        'Allow users to update' => 'Dozvoli korisnicima da menjaju',
        'Do not longer allow users to adapt this setting from within their personal preferences' =>
            'Onemogući korisnicima da menjaju ovo podešavanje u njihovim ličnim podešavanjima',
        'Forbid users to update' => 'Zabrani korisnicima da menjaju',
        'Show user specific changes for this setting' => 'Prikaži korisničke promene za ovo podešavanje',
        'Show user settings' => 'Prikaži korisničke promene',
        'Copy a direct link to this setting to your clipboard' => 'Kopiraj direktnu vezu za ovo podešavanje',
        'Copy direct link' => 'Kopiraj direktnu vezu',
        'Remove this setting from your favorites setting' => 'Ukloni ovo podešavanje iz omiljenih',
        'Remove from favourites' => 'Ukloni iz omiljenih',
        'Add this setting to your favorites' => 'Dodaj ovo podešavanje u omiljena',
        'Add to favourites' => 'Dodaj u omiljene',
        'Cancel editing this setting' => 'Odustani od promene ovog podešavanja',
        'Save changes on this setting' => 'Sačuvaj promene za ovo podešavanje',
        'Edit this setting' => 'Promeni ovo podešavanje',
        'Enable this setting' => 'Uključi ovo podešavanje',
        'This group doesn\'t contain any settings. Please try navigating to one of its sub groups or another group.' =>
            'Ova grupa ne sadrži nijedno podešavanje. Molimo probajte neku od pod-grupa ili drugu grupu.',

        # Template: SettingsListCompare
        'Now' => 'Sad',
        'User modification' => 'Korisničke promene',
        'enabled' => 'uključeno',
        'disabled' => 'isključeno',
        'Setting state' => 'Vrednost podešavanja',

        # Template: Actions
        'Edit search' => 'Uredi pretragu',
        'Go back to admin: ' => 'Nazad na admin:',
        'Deployment' => 'Raspored',
        'My favourite settings' => 'Moja omiljena podešavanja',
        'Invalid settings' => 'Nevažeća podešavanja',

        # Template: DynamicActions
        'Filter visible settings...' => 'Izfiltriraj vidljiva podešavanja...',
        'Enable edit mode for all settings' => 'Promeni sva podešavanja',
        'Save all edited settings' => 'Snimi sva promenjena podešavanja',
        'Cancel editing for all settings' => 'Odustani od promene svih podešavanja',
        'All actions from this widget apply to the visible settings on the right only.' =>
            'Sve akcije iz ovog dodatka se odnose na vidljiva podešavanja sa desne strane.',

        # Template: Help
        'Currently edited by me.' => 'Trenutno menjate vi.',
        'Modified but not yet deployed.' => 'Promenjeno ali neraspoređeno.',
        'Currently edited by another user.' => 'Trenutno menja drugi korisnik.',
        'Different from its default value.' => 'Razlikuje se od podrazumevane vrednosti.',
        'Save current setting.' => 'Sačuvaj trenutno podešavanje.',
        'Cancel editing current setting.' => 'Odustani od promene trenutnog podešavanja.',

        # Template: Navigation
        'Navigation' => 'Navigacija',

        # Template: UsersSettingListCompare
        'Delete user\'s value.' => '',

        # Template: Test
        'OTOBO Test Page' => 'OTOBO test strana',
        'Unlock' => 'Otključaj',
        'Welcome %s %s' => 'Dobrodošli %s %s',
        'Counter' => 'Brojač',

        # Template: Warning
        'Go back to the previous page' => 'Vratite se na prethodnu stranu',

        # JS Template: CalendarSettingsDialog
        'Show' => 'Prikaži',

        # JS Template: FormDraftAddDialog
        'Draft title' => 'Naslov nacrta',

        # JS Template: ArticleViewSettingsDialog
        'Article display' => 'Prikaz članaka',

        # JS Template: FormDraftDeleteDialog
        'Do you really want to delete "%s"?' => 'Da li zaista želite da obrišete "%s"?',
        'Confirm' => 'Potvrdi',

        # JS Template: WidgetLoading
        'Loading, please wait...' => 'Učitavanje, molimo sačekajte...',

        # JS Template: ToggleMoreLessCustomer
        'Show all' => '',
        'Show less' => '',

        # JS Template: UploadContainer
        'Click to select a file for upload.' => 'Kliknite ovde za otpremanje datoteke.',
        'Click to select or drop files here.' => '',
        'Click to select files or just drop them here.' => 'Kliknite da odaberete datoteke ili ih jednostavno prevucite ovde.',
        'Click to select a file or just drop it here.' => 'Kliknite da odaberete datoteku ili je jednostavno prevucite ovde.',
        'Uploading...' => 'Otpremanje...',

        # JS Template: MigrationState
        'Time needed' => '',

        # JS Template: PackageResolve
        'Package' => '',
        'Uninstall from OTOBO' => '',
        'Ignore' => '',
        'Migrate' => '',

        # JS Template: InformationDialog
        'Process state' => 'Stanje procesa',
        'Running' => 'U toku',
        'Finished' => 'Završeno',
        'No package information available.' => 'Nema informacija o paketu.',

        # JS Template: AddButton
        'Add new entry' => 'Dodaj nov unos',

        # JS Template: AddHashKey
        'Add key' => 'Dodaj ključ',

        # JS Template: DialogDeployment
        'Deployment comment...' => 'Komentar raspoređuvanja...',
        'This field can have no more than 250 characters.' => 'Ovo polje ne može sadržati više od 250 karaktera.',
        'Deploying, please wait...' => 'Raspoređivanje u toku, molimo sačekajte...',
        'Preparing to deploy, please wait...' => 'Priprema za raspoređivanje, molimo sačekajte...',
        'Deploy now' => 'Rasporedi sad',
        'Try again' => 'Pokušajte ponovo',

        # JS Template: DialogReset
        'Reset options' => 'Poništi podešavanja',
        'Reset setting on global level.' => 'Poništi podešavanje na globalnom nivou.',
        'Reset globally' => 'Poništi globalno',
        'Remove all user changes.' => 'Poništi sve korisničke promene.',
        'Reset locally' => 'Poništi lokalno',
        'user(s) have modified this setting.' => 'korisnik(a) je je promenilo ovo podešavanje.',
        'Do you really want to reset this setting to it\'s default value?' =>
            'Da li stvarno želite da poništite ovo podešavanje na njegovu podrazumevanu vrednost?',

        # JS Template: HelpDialog
        'You can use the category selection to limit the navigation tree below to entries from the selected category. As soon as you select the category, the tree will be re-built.' =>
            'Možete odabrati kategoriju za ograničavanje navigacionih stavki ispod. Čim odaberete kategoriju, navigacija će biti osvežena.',

        # Perl Module: Kernel/Config/Defaults.pm
        'Database Backend' => 'Baza podataka',
        'CustomerIDs' => 'ID-evi klijenta',
        'Fax' => 'Faks',
        'Street' => 'Ulica',
        'Zip' => 'PB',
        'City' => 'Mesto',
        'Country' => 'Država',
        'Mr.' => 'G-din',
        'Mrs.' => 'G-đa',
        'Address' => 'Adresa',
        'View system log messages.' => 'Pregled poruka sistemskog loga.',
        'Edit the system configuration settings.' => 'Uredi podešavanja sistemske konfiguracije.',
        'Update and extend your system with software packages.' => 'Ažuriraj i nadogradi sistem softverskim paketima.',

        # Perl Module: Kernel/Modules/AdminACL.pm
        'ACL information from database is not in sync with the system configuration, please deploy all ACLs.' =>
            'ACL informacije iz baze podataka nisu sinhronizovane sa sistemskom konfiguracijom, molimo vas da primenite sve ACL liste.',
        'ACLs could not be Imported due to a unknown error, please check OTOBO logs for more information' =>
            'ACL liste ne mogu da se uvezu zbog nepoznate greške, molimo da proverite OTOBO logove za više informacija',
        'The following ACLs have been added successfully: %s' => 'Sledeće ACL liste su uspešno dodate: %s',
        'The following ACLs have been updated successfully: %s' => 'Sledeće ACL liste su uspešno ažurirane: %s',
        'There where errors adding/updating the following ACLs: %s. Please check the log file for more information.' =>
            'Postoje greške u dodavanju/ažuriranju sledećih ACL: %s. Molimo proverite log datoteku za više informacija.',
        'There was an error creating the ACL' => 'Došlo je do greške pri kreiranju ACL',
        'Need ACLID!' => 'Neophodan ACLID!',
        'Could not get data for ACLID %s' => 'Ne mogu pribaviti podatke za ID ACL liste %s',
        'There was an error updating the ACL' => 'Došlo je do greške pri ažuriranju ACL',
        'There was an error setting the entity sync status.' => 'Došlo je do greške prilikom podešavanja statusa sinhronizacije entiteta.',
        'There was an error synchronizing the ACLs.' => 'Došlo je do greške pri sinhronizaciji ACLs',
        'ACL %s could not be deleted' => 'ACL listu %s nije moguće obrisati',
        'There was an error getting data for ACL with ID %s' => 'Došlo je do greške prilikom pribavljanja podataka za ACL listu sa ID %s',
        '%s (copy) %s' => '%s (kopija) %s',
        'Please note that ACL restrictions will be ignored for the Superuser account (UserID 1).' =>
            'Molimo obratite pažnju da će ACL restrikcije biti ignorisane za super-administratorski nalog (UserID 1).',
        'Exact match' => 'Tačno poklapanje',
        'Negated exact match' => 'Negirano tačno poklapanje',
        'Regular expression' => 'Regularni izraz',
        'Regular expression (ignore case)' => 'Regularni izraz (ignoriši veličinu slova)',
        'Negated regular expression' => 'Negirani regularni izraz',
        'Negated regular expression (ignore case)' => 'Negirani regularni izraz (ignoriši veličinu slova)',

        # Perl Module: Kernel/Modules/AdminAppointmentCalendarManage.pm
        'System was unable to create Calendar!' => 'Sistem nije uspeo da kreira kalendar!',
        'Please contact the administrator.' => 'Molimo kontaktirajte administratora!',
        'No CalendarID!' => 'Nema CalendarID!',
        'You have no access to this calendar!' => 'Nemate pristup ovom kalendaru!',
        'Error updating the calendar!' => 'Greška prilikom izmene kalendara',
        'Couldn\'t read calendar configuration file.' => 'Učitavanje konfiguracije kalendara nije bilo moguće.',
        'Please make sure your file is valid.' => 'Molimo vas da proverite da li je vaš fajl ispravan.',
        'Could not import the calendar!' => 'Nije moguć uvoz kalendara!',
        'Calendar imported!' => 'Kalendar je uvezen!',
        'Need CalendarID!' => 'Neophodan CalendarID!',
        'Could not retrieve data for given CalendarID' => 'Ne mogu pribaviti podatke za dati CalendarID',
        'Successfully imported %s appointment(s) to calendar %s.' => 'Uspešno uvezeno %s termin(a) u kalendar %s.',
        '+5 minutes' => '+5 minuta',
        '+15 minutes' => '+15 minuta',
        '+30 minutes' => '+30 minuta',
        '+1 hour' => '+1 sat',

        # Perl Module: Kernel/Modules/AdminAppointmentImport.pm
        'No permissions' => 'Bez dozvole',
        'System was unable to import file!' => 'Sistem nije uspeo da uveze fajl!',
        'Please check the log for more information.' => 'Molimo proverite log za više informacija.',

        # Perl Module: Kernel/Modules/AdminAppointmentNotificationEvent.pm
        'Notification name already exists!' => 'Obaveštenje sa ovim nazivom već postoji!',
        'Notification added!' => 'Obaveštenje dodato!',
        'There was an error getting data for Notification with ID:%s!' =>
            'Došlo je do greške prilikom pribavljanja podataka za ID obaveštenja:%s!',
        'Unknown Notification %s!' => 'Nepoznato obaveštenje %s!',
        '%s (copy)' => '%s (kopija)',
        'There was an error creating the Notification' => 'Došlo je do greške prilikom kreiranja obaveštenja',
        'Notifications could not be Imported due to a unknown error, please check OTOBO logs for more information' =>
            'Obaveštenja ne mogu da se uvezu zbog nepoznate greške, molimo da proverite OTOBO logove za više informacija',
        'The following Notifications have been added successfully: %s' =>
            'Sledeća obaveštenja su uspešno dodata: %s',
        'The following Notifications have been updated successfully: %s' =>
            'Sledeća obaveštenja su uspešno ažurirana: %s',
        'There where errors adding/updating the following Notifications: %s. Please check the log file for more information.' =>
            'Postoje greške u dodavanju/ažuriranju sledećih obaveštenja: %s. Molimo proverite log datoteku za više informacija.',
        'Notification updated!' => 'Obaveštenje ažurirano!',
        'Agent (resources), who are selected within the appointment' => 'Operater (resurs), koji je izabran u terminu',
        'All agents with (at least) read permission for the appointment (calendar)' =>
            'Svi operateri sa (najmanje) dozvolom pregleda termina (kalendara)',
        'All agents with write permission for the appointment (calendar)' =>
            'Svi operateri sa dozvolom pisanja u terminu (kalendaru)',

        # Perl Module: Kernel/Modules/AdminAttachment.pm
        'Attachment added!' => 'Dodat prilog!',

        # Perl Module: Kernel/Modules/AdminAutoResponse.pm
        'Auto Response added!' => 'Automatski odgovor dodat!',

        # Perl Module: Kernel/Modules/AdminCommunicationLog.pm
        'Invalid CommunicationID!' => 'Nevažeći CommunicationID!',
        'All communications' => 'Sve komunikacije',
        'Last 1 hour' => 'Poslednji 1 sat',
        'Last 3 hours' => 'Poslednja 3 sata',
        'Last 6 hours' => 'Poslednjih 6 sati',
        'Last 12 hours' => 'Poslednjih 12 sati',
        'Last 24 hours' => 'Poslednjih 24 sata',
        'Last week' => 'Prošla nedelja',
        'Last month' => 'Prošli mesec',
        'Invalid StartTime: %s!' => 'Nevažeći StartTime: %s!',
        'Successful' => 'Uspešno',
        'Processing' => 'U procesu',
        'Failed' => 'Neuspešno',
        'Invalid Filter: %s!' => 'Nevažeći filter: %s!',
        'Less than a second' => 'Kraće od sekunde',
        'sorted descending' => 'sortirano opadajuće',
        'sorted ascending' => 'sortirano rastuće',
        'Trace' => 'Ispitivanje',
        'Debug' => 'Otklanjanje neispravnosti',
        'Info' => 'Info',
        'Warn' => 'Upozorenje',
        'days' => 'dani',
        'day' => 'dan',
        'hour' => 'sat',
        'minute' => 'minut',
        'seconds' => 'sekunde',
        'second' => 'sekunda',

        # Perl Module: Kernel/Modules/AdminContactWD.pm
        'No contact is given!' => '',
        'No data found for given contact in given source!' => '',
        'Contact updated!' => '',
        'No field data found!' => '',
        'Contact created!' => '',
        'Error creating contact!' => '',
        'No sources found, at least one "Contact with data" dynamic field must be added to the system!' =>
            '',
        'No data found for given source!' => '',

        # Perl Module: Kernel/Modules/AdminCustomerCompany.pm
        'Customer company updated!' => 'Ažurirana firma klijenta!',
        'Dynamic field %s not found!' => 'Dinamičko polje %s nije pronađeno!',
        'Unable to set value for dynamic field %s!' => 'Nije moguće postaviti vrednost za dinamičko polje %s!',
        'Customer Company %s already exists!' => 'Klijentska firma %s već postoji!',
        'Customer company added!' => 'Dodata firma klijenta!',

        # Perl Module: Kernel/Modules/AdminCustomerGroup.pm
        'No configuration for \'CustomerGroupPermissionContext\' found!' =>
            'Konfiguracija za \'CustomerGroupPermissionContext\' nije pronađena!',
        'Please check system configuration.' => 'Molimo proverite sistemsku konfiguraciju.',
        'Invalid permission context configuration:' => 'Nevažeća konfiguracija konteksta dozvole:',

        # Perl Module: Kernel/Modules/AdminCustomerUser.pm
        'Customer updated!' => 'Ažuriran klijent!',
        'New phone ticket' => 'Novi tiket poziva',
        'New email ticket' => 'Novi imejl tiket',
        'Customer %s added' => 'Dodat klijent %s.',
        'Customer user updated!' => 'Ažuriran klijent korisnik!',
        'Same Customer' => 'Isti klijent',
        'Direct' => 'Direktno',
        'Indirect' => 'Indirektno',

        # Perl Module: Kernel/Modules/AdminCustomerUserGroup.pm
        'Change Customer User Relations for Group' => 'Promeni relacije sa klijent korisnicima za grupu',
        'Change Group Relations for Customer User' => 'Promeni relacije sa grupama za klijent korisnika',

        # Perl Module: Kernel/Modules/AdminCustomerUserService.pm
        'Allocate Customer Users to Service' => 'Pridruži klijent korisnike servisu',
        'Allocate Services to Customer User' => 'Pridruži servise klijent korisniku',

        # Perl Module: Kernel/Modules/AdminDynamicField.pm
        'Fields configuration is not valid' => 'Konfiguracija polja je nevažeća',
        'Objects configuration is not valid' => 'Konfiguracija objekta je nevažeća',
        'Could not reset Dynamic Field order properly, please check the error log for more details.' =>
            'Nije moguće poništiti redosled dinamičkih polja, molimo da proverite OTRS logove za više informacija.',

        # Perl Module: Kernel/Modules/AdminDynamicFieldCheckbox.pm
        'Undefined subaction.' => 'Nedefinisana subakcija.',
        'Need %s' => 'Neophodan %s',
        'Add %s field' => 'Dodaj %s polje',
        'The field does not contain only ASCII letters and numbers.' => 'Polje ne sadrži samo ASCII slova i brojeve.',
        'There is another field with the same name.' => 'Postoji drugo polje sa istim imenom.',
        'The field must be numeric.' => 'Polje mora biti numeričko.',
        'Need ValidID' => 'Neophodan ValidID',
        'Could not create the new field' => 'Nije moguće kreirati novo polje',
        'Need ID' => 'Neophodan ID',
        'Could not get data for dynamic field %s' => 'Ne mogu pribaviti podatke za dinamičko polje %s',
        'Change %s field' => 'Izmeni %s polje',
        'The name for this field should not change.' => 'Naziv ovog polja nije poželjno menjati.',
        'Could not update the field %s' => 'Nije moguće ažurirati polje %s',
        'Currently' => 'Trenutno',
        'Unchecked' => 'Isključeno',
        'Checked' => 'Uključeno',

        # Perl Module: Kernel/Modules/AdminDynamicFieldContactWD.pm
        'This field key is duplicated.' => '',

        # Perl Module: Kernel/Modules/AdminDynamicFieldDB.pm
        'This field value is duplicated.' => 'Vrednost ovog polja je umnožena.',

        # Perl Module: Kernel/Modules/AdminDynamicFieldDateTime.pm
        'Prevent entry of dates in the future' => 'Sprečava unos datuma u budućnosti',
        'Prevent entry of dates in the past' => 'Sprečava unos datuma u prošlosti',

        # Perl Module: Kernel/Modules/AdminDynamicFieldScreen.pm
        'Settings were saved.' => '',
        'System was not able to save the setting!' => '',
        'Setting is locked by another user!' => 'Podešavanje je zaključano od strane drugog korisnika!',
        'System was not able to reset the setting!' => 'Sistem nije uspeo da poništi podešavanje!',
        'Settings were reset.' => '',

        # Perl Module: Kernel/Modules/AdminEmail.pm
        'Select at least one recipient.' => 'Izaberite bar jednog primaoca.',

        # Perl Module: Kernel/Modules/AdminGenericAgent.pm
        'minute(s)' => 'minut(i)',
        'hour(s)' => 'sat(i)',
        'Time unit' => 'Jedinica vremena',
        'within the last ...' => 'u poslednjih ...',
        'within the next ...' => 'u sledećih ...',
        'more than ... ago' => 'pre više od ...',
        'Unarchived tickets' => 'Nearhivirani tiketi',
        'archive tickets' => 'arhiviraj tikete',
        'restore tickets from archive' => 'vrati tikete iz arhive',
        'Need Profile!' => 'Neophodan Profile!',
        'Got no values to check.' => 'Nema vrednosti za proveru.',
        'Please remove the following words because they cannot be used for the ticket selection:' =>
            'Molimo da uklonite sledeće reči jer se ne mogu koristiti za izbor tiketa:',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceDebugger.pm
        'Need WebserviceID!' => 'Neophodan WebserviceID!',
        'Could not get data for WebserviceID %s' => 'Ne mogu pribaviti podatke za ID veb servisa %s',
        'ascending' => 'rastući',
        'descending' => 'opadajući',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceErrorHandlingDefault.pm
        'Need communication type!' => 'Neophodan tip komunikacije!',
        'Communication type needs to be \'Requester\' or \'Provider\'!' =>
            'Tip komunikacije mora da bude \'Requester\' ili \'Provider\'!',
        'Invalid Subaction!' => 'Nevažeća subakcija!',
        'Need ErrorHandlingType!' => 'Neophodan ErrorHandlingType!',
        'ErrorHandlingType %s is not registered' => 'ErrorHandlingType %s nije registrovan',
        'Could not update web service' => 'Nije moguće ažurirati veb servis',
        'Need ErrorHandling' => 'Neophodan ErrorHandling',
        'Could not determine config for error handler %s' => 'Nije moguće utvrditi konfiguraciju za obradu greške %s',
        'Invoker processing outgoing request data' => 'Obrada izlaznih podataka zahteva u pozivaocu',
        'Mapping outgoing request data' => 'Mapiranje izlaznih podataka zahteva',
        'Transport processing request into response' => 'Obrada zahteva u odgovor u transportu',
        'Mapping incoming response data' => 'Mapiranje dolaznih podataka odgovora',
        'Invoker processing incoming response data' => 'Obrada dolaznih podataka odgovara u pozivaocu',
        'Transport receiving incoming request data' => 'Primanje dolaznih podataka zahteva u transportu',
        'Mapping incoming request data' => 'Mapiranje dolaznih podataka zahteva',
        'Operation processing incoming request data' => 'Obrada dolaznih podataka zahteva u operaciji',
        'Mapping outgoing response data' => 'Mapiranje odlaznih podataka odgovora',
        'Transport sending outgoing response data' => 'Slanje odlaznih podataka odgovora u transportu',
        'skip same backend modules only' => 'preskoči samo iste pozadinske module',
        'skip all modules' => 'preskoči sve module',
        'Operation deleted' => 'Operacija obrisana',
        'Invoker deleted' => 'Pozivalac obrisan',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceErrorHandlingRequestRetry.pm
        '0 seconds' => '0 sekundi',
        '15 seconds' => '15 sekundi',
        '30 seconds' => '30 sekundi',
        '45 seconds' => '45 sekundi',
        '1 minute' => '1 minut',
        '2 minutes' => '2 minuta',
        '3 minutes' => '3 minuta',
        '4 minutes' => '4 minuta',
        '5 minutes' => '5 minuta',
        '10 minutes' => '10 minuta',
        '15 minutes' => '15 minuta',
        '30 minutes' => '30 minuta',
        '1 hour' => '1 sat',
        '2 hours' => '2 sata',
        '3 hours' => '3 sata',
        '4 hours' => '4 sata',
        '5 hours' => '5 sati',
        '6 hours' => '6 sati',
        '12 hours' => '12 sati',
        '18 hours' => '18 sati',
        '1 day' => '1 dan',
        '2 days' => '2 dana',
        '3 days' => '3 dana',
        '4 days' => '4 dana',
        '6 days' => '6 dana',
        '1 week' => '1 nedelja',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceInvokerDefault.pm
        'Could not determine config for invoker %s' => 'Nije moguće utvrditi konfiguraciju za pozivaoca %s',
        'InvokerType %s is not registered' => 'Tip pozivaoca %s nije registrovan',
        'MappingType %s is not registered' => 'MappingType %s nije registrovan',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceInvokerEvent.pm
        'Need Invoker!' => 'Neophodan pozivalac!',
        'Need Event!' => 'Neophodan događaj!',
        'Could not get registered modules for Invoker' => 'Nije moguće pronaći registrovani modul pozivaoca',
        'Could not get backend for Invoker %s' => 'Nije moguće pronaći modul za pozivaoca %s',
        'The event %s is not valid.' => 'Događaj %s nije važeći.',
        'Could not update configuration data for WebserviceID %s' => 'Ne mogu ažurirati konfiguracione podatke za ID veb servisa %s',
        'This sub-action is not valid' => 'Ova podakcija je nevažeća',
        'xor' => 'xor',
        'String' => 'Niz znakova',
        'Regexp' => 'Regularni izraz',
        'Validation Module' => 'Modul validacije',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceMappingSimple.pm
        'Simple Mapping for Outgoing Data' => 'Jednostavno mapiranje izlaznih podataka',
        'Simple Mapping for Incoming Data' => 'Jednostavno mapiranje dolaznih podataka',
        'Could not get registered configuration for action type %s' => 'Ne mogu pribaviti registrovanu konfiguraciju za tip akcije %s',
        'Could not get backend for %s %s' => 'Nije moguće pronaći modul za %s %s',
        'Keep (leave unchanged)' => 'Zadrži (ostavi nepromenjeno)',
        'Ignore (drop key/value pair)' => 'Ignoriši (odbaci par ključ/vrednost)',
        'Map to (use provided value as default)' => 'Mapiraj na (upotrebi ponuđenu vrednost kao podrazumevanu)',
        'Exact value(s)' => 'Tačna vrednost(i)',
        'Ignore (drop Value/value pair)' => 'Ignoriši (odbaci par vrednost/vrednost)',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceMappingXSLT.pm
        'XSLT Mapping for Outgoing Data' => 'XSLT mapiranje odlaznih podataka',
        'XSLT Mapping for Incoming Data' => 'XSLT mapiranje dolaznih podataka',
        'Could not find required library %s' => 'Nije moguće pronaći potrebnu biblioteku %s',
        'Outgoing request data before processing (RequesterRequestInput)' =>
            'Podaci odlazećeg zahteva pre izvršavanja (RequesterRequestInput)',
        'Outgoing request data before mapping (RequesterRequestPrepareOutput)' =>
            'Podaci odlazećeg zahteva pre mapiranja (RequesterRequestPrepareOutput)',
        'Outgoing request data after mapping (RequesterRequestMapOutput)' =>
            'Podaci primljenog zahteva posle mapiranja (RequesterRequestMapOutput)',
        'Incoming response data before mapping (RequesterResponseInput)' =>
            'Podaci primljenog odgovora pre mapiranja (RequesterResponseInput)',
        'Outgoing error handler data after error handling (RequesterErrorHandlingOutput)' =>
            'Podaci o odlazećoj grešci posle obrade greške (RequesterErrorHandlingOutput)',
        'Incoming request data before mapping (ProviderRequestInput)' => 'Podaci primljenog zahteva pre mapiranja (ProviderRequestInput)',
        'Incoming request data after mapping (ProviderRequestMapOutput)' =>
            'Podaci primljenog zahteva posle mapiranja (ProviderRequestMapOutput)',
        'Outgoing response data before mapping (ProviderResponseInput)' =>
            'Podaci odlazećeg odgovora pre mapiranja (ProviderResponseInput)',
        'Outgoing error handler data after error handling (ProviderErrorHandlingOutput)' =>
            'Podaci o odlazećoj grešci posle obrade greške (ProviderErrorHandlingOutput)',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceOperationDefault.pm
        'Could not determine config for operation %s' => 'Nije moguće utvrditi konfiguraciju za operaciju %s',
        'OperationType %s is not registered' => 'Tip operacije %s nije registrovan',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceTransportHTTPREST.pm
        'Need valid Subaction!' => 'Neophodan važeći Subaction!',
        'This field should be an integer.' => 'Ovo polje mora biti ceo broj.',
        'File or Directory not found.' => 'Datoteka ili direktorijum nisu pronađeni.',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceWebservice.pm
        'There is another web service with the same name.' => 'Postoji drugi veb servis sa istim imenom.',
        'There was an error updating the web service.' => 'Došlo je do greške pri ažuriranju veb servisa.',
        'There was an error creating the web service.' => 'Došlo je do greške pri kreiranju veb servisa.',
        'Web service "%s" created!' => 'Veb servis "%s" je kreiran!',
        'Need Name!' => 'Neophodan Name!',
        'Need ExampleWebService!' => 'Neophodan ExampleWebService!',
        'Could not load %s.' => 'Nije bilo moguće učitati %s.',
        'Could not read %s!' => 'Nije moguće pročitati %s!',
        'Need a file to import!' => 'Neophodna datoteka za uvoz!',
        'The imported file has not valid YAML content! Please check OTOBO log for details' =>
            'Uvezena datoteka nema ispravan YAML sadržaj! Molimo proverite OTOBO log za detalje',
        'Web service "%s" deleted!' => 'Veb servis "%s" je obrisan!',
        'OTOBO as provider' => 'OTOBO kao pružalac usluga',
        'Operations' => 'Operacije',
        'OTOBO as requester' => 'OTOBO kao naručilac',
        'Invokers' => 'Pozivaoci',

        # Perl Module: Kernel/Modules/AdminGenericInterfaceWebserviceHistory.pm
        'Got no WebserviceHistoryID!' => 'Nema WebserviceHistoryID!',
        'Could not get history data for WebserviceHistoryID %s' => 'Ne mogu pribaviti podatke istorijata za ID veb servisa %s',

        # Perl Module: Kernel/Modules/AdminGroup.pm
        'Group updated!' => 'Ažurirana grupa!',

        # Perl Module: Kernel/Modules/AdminMailAccount.pm
        'Mail account added!' => 'Dodat imejl nalog!',
        'Email account fetch already fetched by another process. Please try again later!' =>
            'Trenutno drugi proces preuzima poštu imejl naloga. Molimo pokušajte kasnije.',
        'Dispatching by email To: field.' => 'Otpremanje putem imejla Za: polje.',
        'Dispatching by selected Queue.' => 'Otpremanje putem izabranog reda.',

        # Perl Module: Kernel/Modules/AdminNotificationEvent.pm
        'Agent who created the ticket' => 'Operater koji je kreirao tiket',
        'Agent who owns the ticket' => 'Operater koji je vlasnik tiketa',
        'Agent who is responsible for the ticket' => 'Operater koji je odgovoran za tiket',
        'All agents watching the ticket' => 'Svi operateri koji nadziru tiket',
        'All agents with write permission for the ticket' => 'Svi operateri sa dozvolom pisanja za tiket',
        'All agents subscribed to the ticket\'s queue' => 'Svi operateri pretplaćeni na red tiketa',
        'All agents subscribed to the ticket\'s service' => 'Svi operateri pretplaćeni na servis tiketa',
        'All agents subscribed to both the ticket\'s queue and service' =>
            'Svi operateri pretplaćeni i na red i na servis tiketa',
        'Customer user of the ticket' => 'Klijent korisnik tiketa',
        'All recipients of the first article' => 'Svi primaoci prvog članka',
        'All recipients of the last article' => 'Svi primaoci poslednjeg članka',
        'Invisible to customer' => 'Nevidljivo klijentu',
        'Visible to customer' => 'Vidljivo klijentu',

        # Perl Module: Kernel/Modules/AdminPGP.pm
        'PGP environment is not working. Please check log for more info!' =>
            'PGP okruženje ne funkcioniše. Za više informacija proverite log.',
        'Need param Key to delete!' => 'Neophodan parametar Key za brisanje!',
        'Key %s deleted!' => 'Ključ %s je obrisan!',
        'Need param Key to download!' => 'Neophodan parametar Key za preuzimanje!',

        # Perl Module: Kernel/Modules/AdminPackageManager.pm
        'Sorry, Apache::Reload is needed as PerlModule and PerlInitHandler in Apache config file. See also scripts/apache2-httpd.include.conf. Alternatively, you can use the command line tool bin/otobo.Console.pl to install packages!' =>
            'Žao nam je, ali Apache::Reload je neophodan kao PerlModule i PerlInitHandler u konfiguraciji Apache-a. Molimo pogledajte scripts/apache2-httpd.include.conf. Alternativno, možete koristiti konzolnu alatku bin/otobo.Console.pl za instalaciju paketa!',
        'No such package!' => 'Nema takvog paketa!',
        'No such file %s in package!' => 'Nema takve datoteke %s u paketu!',
        'No such file %s in local file system!' => 'Nema takve datoteke %s u lokalnom sistemu!',
        'Can\'t read %s!' => 'Nemoguće čitanje %s!',
        'File is OK' => 'Datoteka je u redu',
        'Package has locally modified files.' => 'Paket sadrži lokalno izmenjene datoteke.',
        'Package not verified by the OTOBO Team! It is recommended not to use this package.' =>
            'Paket nije verifikovan od strane OTRS grupe! Preporučuje se da ne koristite ovaj paket.',
        'Not Started' => 'Nije pokrenuto',
        'Updated' => 'Ažurirano',
        'Already up-to-date' => 'Već ažurno',
        'Installed' => 'Instalirano',
        'Not correctly deployed' => 'Nije korektno raspoređeno',
        'Package updated correctly' => 'Paket uspešno ažuriran',
        'Package was already updated' => 'Paket je već ažuran',
        'Dependency installed correctly' => 'Zavisni paketi uspešno instalirani',
        'The package needs to be reinstalled' => 'Paket mora biti reinstaliran.',
        'The package contains cyclic dependencies' => 'Paket sadrži ciklične zavisnosti',
        'Not found in on-line repositories' => 'Nije pronađen u mrežnom spremištu',
        'Required version is higher than available' => 'Neophodna verzija je veća od trenutne',
        'Dependencies fail to upgrade or install' => 'Greška priliko ažuriranja ili instalacije zavisnih paketa',
        'Package could not be installed' => 'Paket nije mogao biti instaliran',
        'Package could not be upgraded' => 'Paket nije mogao biti ažuriran',
        'Repository List' => 'Lista spremišta',
        'No packages found in selected repository. Please check log for more info!' =>
            'U izabranom spremištu nema paketa. Molimo proverite log za više informacija.',
        'Package not verified due a communication issue with verification server!' =>
            'Paket nije verifikovan zbog komunikacijskog problema sa verifikacionim serverom!',
        'Can\'t connect to OTOBO Feature Add-on list server!' => 'Nije moguće povezati se sa OTOBO Feature Add-on serverom!',
        'Can\'t get OTOBO Feature Add-on list from server!' => 'Ne mogu pribaviti OTOBO Feature Add-on listu sa servera!',
        'Can\'t get OTOBO Feature Add-on from server!' => 'Ne mogu pribaviti OTOBO Feature Add-on sa servera!',

        # Perl Module: Kernel/Modules/AdminPostMasterFilter.pm
        'No such filter: %s' => 'Nema takvog filtera: %s',

        # Perl Module: Kernel/Modules/AdminPriority.pm
        'Priority added!' => 'Dodat prioritet!',

        # Perl Module: Kernel/Modules/AdminProcessManagement.pm
        'Process Management information from database is not in sync with the system configuration, please synchronize all processes.' =>
            'Obrađene informacije iz baze podataka nisu sinhronizovane sa sistemskom konfiguracijom, molimo vas da sinhronizujete sve procese.',
        'Need ExampleProcesses!' => 'Neophodan ExampleProcesses!',
        'Need ProcessID!' => 'Neophodan ProcessID!',
        'Yes (mandatory)' => 'Da (obavezno)',
        'Unknown Process %s!' => 'Nepoznat proces %s!',
        'There was an error generating a new EntityID for this Process' =>
            'Došlo je do greške prilikom kreiranja novog ID entiteta za ovaj proces',
        'The StateEntityID for state Inactive does not exists' => 'StateEntityID za neaktivno stanje ne postoji',
        'There was an error creating the Process' => 'Došlo je do greške prilikom kreiranja Procesa',
        'There was an error setting the entity sync status for Process entity: %s' =>
            'Došlo je do greške prilikom podešavanja statusa sinhronizacije za entitet procesa: %s',
        'Could not get data for ProcessID %s' => 'Ne mogu pribaviti podatke za ID procesa %s',
        'There was an error updating the Process' => 'Došlo je do greške prilikom ažuriranja Procesa',
        'Process: %s could not be deleted' => 'Proces: %s se ne može obrisati',
        'There was an error synchronizing the processes.' => 'Došlo je do greške pri sinhronizaciji procesa.',
        'The %s:%s is still in use' => '%s:%s je još u upotrebi',
        'The %s:%s has a different EntityID' => '%s:%s ima različit ID entiteta',
        'Could not delete %s:%s' => 'Nije moguće obrisati %s:%s',
        'There was an error setting the entity sync status for %s entity: %s' =>
            'Došlo je do greške prilikom podešavanja statusa sinhronizacije entiteta za %s entitet: %s',
        'Could not get %s' => 'Nije moguće pribaviti %s',
        'Need %s!' => 'Neophodan %s!',
        'Process: %s is not Inactive' => 'Proces: %s nije neaktivan',

        # Perl Module: Kernel/Modules/AdminProcessManagementActivity.pm
        'There was an error generating a new EntityID for this Activity' =>
            'Došlo je do greške prilikom kreiranja novog ID entiteta za ovu aktivnost',
        'There was an error creating the Activity' => 'Došlo je do greške prilikom kreiranja Aktivnosti',
        'There was an error setting the entity sync status for Activity entity: %s' =>
            'Došlo je do greške prilikom podešavanja statusa sinhronizacije entiteta za  entitet Aktivnosti: %s',
        'Need ActivityID!' => 'Neophodan ActivityID!',
        'Could not get data for ActivityID %s' => 'Ne mogu pribaviti podatke za ID aktivnosti %s',
        'There was an error updating the Activity' => 'Došlo je do greške prilikom ažuriranja Aktivnosti',
        'Missing Parameter: Need Activity and ActivityDialog!' => 'Nedostaju parametri: neophodni Activity i ActivityDialog!',
        'Activity not found!' => 'Aktivnost nije pronađena!',
        'ActivityDialog not found!' => 'Dijalog aktivnosti nije pronađen!',
        'ActivityDialog already assigned to Activity. You cannot add an ActivityDialog twice!' =>
            'Dijalog aktivnosti je već dodeljen aktivnosti. Ne možete dodavati dijalog dva puta.',
        'Error while saving the Activity to the database!' => 'Greška pri čuvanju aktivnosti u bazi podataka!',
        'This subaction is not valid' => 'Ova podakcija je nevažeća',
        'Edit Activity "%s"' => 'Uredi aktivnost "%s"',

        # Perl Module: Kernel/Modules/AdminProcessManagementActivityDialog.pm
        'There was an error generating a new EntityID for this ActivityDialog' =>
            'Došlo je do greške prilikom kreiranja novog ID entiteta za ovaj dijalog aktivnosti',
        'There was an error creating the ActivityDialog' => 'Došlo je do greške prilikom kreiranja Dijaloga aktivnosti',
        'There was an error setting the entity sync status for ActivityDialog entity: %s' =>
            'Došlo je do greške prilikom podešavanja statusa sinhronizacije entiteta za  entitet Diajloga aktivnosti: %s',
        'Need ActivityDialogID!' => 'Neophodan ActivityDialogID!',
        'Could not get data for ActivityDialogID %s' => 'Ne mogu pribaviti podatke za ID dijaloga aktivnosti %s',
        'There was an error updating the ActivityDialog' => 'Došlo je do greške prilikom ažuriranja Dijaloga ktivnosti',
        'Edit Activity Dialog "%s"' => 'Uredi dijalog aktivnosti "%s"',
        'Agent Interface' => 'Operaterski interfejs',
        'Customer Interface' => 'Klijentski interfejs',
        'Agent and Customer Interface' => 'Operaterski i klijentski interfejs',
        'Do not show Field' => 'Ne prikazuj ovo polje',
        'Show Field' => 'Prikaži polje',
        'Show Field As Mandatory' => 'Prikaži polje kao obavezno',

        # Perl Module: Kernel/Modules/AdminProcessManagementPath.pm
        'Edit Path' => 'Uredi putanju',

        # Perl Module: Kernel/Modules/AdminProcessManagementTransition.pm
        'There was an error generating a new EntityID for this Transition' =>
            'Došlo je do greške prilikom kreiranja novog ID entiteta za ovu tranziciju',
        'There was an error creating the Transition' => 'Došlo je do greške prilikom kreiranja Tranzicije',
        'There was an error setting the entity sync status for Transition entity: %s' =>
            'Došlo je do greške prilikom podešavanja statusa sinhronizacije entiteta za  entitet Tranzicije: %s',
        'Need TransitionID!' => 'Neophodan TransitionID!',
        'Could not get data for TransitionID %s' => 'Ne mogu pribaviti podatke za ID tranzicije %s',
        'There was an error updating the Transition' => 'Došlo je do greške prilikom ažuriranja Tranzicije',
        'Edit Transition "%s"' => 'Uredi tranziciju "%s"',
        'Transition validation module' => 'Modul validacije tranzicije',

        # Perl Module: Kernel/Modules/AdminProcessManagementTransitionAction.pm
        'At least one valid config parameter is required.' => 'Neophodan je bar jedan validan konfiguracioni parametar.',
        'There was an error generating a new EntityID for this TransitionAction' =>
            'Došlo je do greške prilikom kreiranja novog ID entiteta za ovu tranzicionu akciju',
        'There was an error creating the TransitionAction' => 'Došlo je do greške prilikom kreiranja Tranzicione akcije',
        'There was an error setting the entity sync status for TransitionAction entity: %s' =>
            'Došlo je do greške prilikom podešavanja statusa sinhronizacije entiteta za  entitet Tranzicione akcije: %s',
        'Need TransitionActionID!' => 'Neophodan TransitionActionID!',
        'Could not get data for TransitionActionID %s' => 'Ne mogu pribaviti podatke za ID tranzicione akcije %s',
        'There was an error updating the TransitionAction' => 'Došlo je do greške prilikom ažuriranja Tranzicione akcije',
        'Edit Transition Action "%s"' => 'Uredi tranzicionu akciju "%s"',
        'Error: Not all keys seem to have values or vice versa.' => 'Greška: Svi ključevi nemaju vrednost ili obrnuto.',

        # Perl Module: Kernel/Modules/AdminQueue.pm
        'Queue updated!' => 'Ažuriran red!',
        'Don\'t use :: in queue name!' => 'Nemojte koristiti :: u nazivu reda!',
        'Click back and change it!' => 'Kliknite na nazad i promenite to!',
        '-none-' => '-ni jedan-',

        # Perl Module: Kernel/Modules/AdminQueueAutoResponse.pm
        'Queues ( without auto responses )' => 'Redovi (bez automatskih odgovora)',

        # Perl Module: Kernel/Modules/AdminQueueTemplates.pm
        'Change Queue Relations for Template' => 'Promeni relacije sa redovima za šablon',
        'Change Template Relations for Queue' => 'Promeni relacije sa šablonima za red',

        # Perl Module: Kernel/Modules/AdminRegistration.pm
        'Production' => 'Produkcija',
        'Test' => 'Test',
        'Training' => 'Trening',
        'Development' => 'Razvoj',

        # Perl Module: Kernel/Modules/AdminRole.pm
        'Role updated!' => 'Ažurirana uloga!',
        'Role added!' => 'Dodata uloga!',

        # Perl Module: Kernel/Modules/AdminRoleGroup.pm
        'Change Group Relations for Role' => 'Promeni relacija sa grupama za ulogu',
        'Change Role Relations for Group' => 'Promeni relacije sa ulogama za grupu',

        # Perl Module: Kernel/Modules/AdminRoleUser.pm
        'Role' => 'Uloga',
        'Change Role Relations for Agent' => 'Promeni relacije sa ulogama za operatera',
        'Change Agent Relations for Role' => 'Promeni relacije sa operaterima za ulogu',

        # Perl Module: Kernel/Modules/AdminSLA.pm
        'Please activate %s first!' => 'Molimo, prvo aktivirajte %s.',

        # Perl Module: Kernel/Modules/AdminSMIME.pm
        'S/MIME environment is not working. Please check log for more info!' =>
            'S/MIME okruženje ne funkcioniše. Za više informacija proverite log.',
        'Need param Filename to delete!' => 'Neophodan parametar Filename za brisanje!',
        'Need param Filename to download!' => 'Neophodan parametar Filename za preuzimanje!',
        'Needed CertFingerprint and CAFingerprint!' => 'Neophodan CertFingerprint i CAFingerprint!',
        'CAFingerprint must be different than CertFingerprint' => 'CAFingerprint mora biti drugačiji od CertFingerprint',
        'Relation exists!' => 'Veza postoji!',
        'Relation added!' => 'Dodata veza!',
        'Impossible to add relation!' => 'Nemoguće dodavanje veze!',
        'Relation doesn\'t exists' => 'Veza ne postoji',
        'Relation deleted!' => 'Veza obrisana!',
        'Impossible to delete relation!' => 'Nemoguće brisanje veze!',
        'Certificate %s could not be read!' => 'Sertifikat %s nije moguće pročitati!',
        'Needed Fingerprint' => 'Neophodan Fingerprint',
        'Handle Private Certificate Relations' => 'Rukovanje vezama privatnih sertifikata',

        # Perl Module: Kernel/Modules/AdminSalutation.pm
        'Salutation added!' => 'Pozdrav dodat!',

        # Perl Module: Kernel/Modules/AdminSignature.pm
        'Signature updated!' => 'Ažuriran potpis!',
        'Signature added!' => 'Dodat potpis!',

        # Perl Module: Kernel/Modules/AdminState.pm
        'State added!' => 'Dodat status!',

        # Perl Module: Kernel/Modules/AdminSupportDataCollector.pm
        'File %s could not be read!' => 'Datoteku %s nije moguće pročitati!',

        # Perl Module: Kernel/Modules/AdminSystemAddress.pm
        'System e-mail address added!' => 'Dodata sistemska imejl adresa!',

        # Perl Module: Kernel/Modules/AdminSystemConfiguration.pm
        'Invalid Settings' => 'Nevažeća podešavanja',
        'There are no invalid settings active at this time.' => 'U ovom trenutku nema nevažećih podešavanja.',
        'You currently don\'t have any favourite settings.' => 'Trenutno nemate nijedno omiljeno podešavanje.',
        'The following settings could not be found: %s' => 'Sledeća podešavanja nisu mogla biti pronađena: %s',
        'Import not allowed!' => 'Uvoz nije dozvoljen!',
        'System Configuration could not be imported due to an unknown error, please check OTOBO logs for more information.' =>
            'Sistemska konfiguracija nije mogla biti uvežena zvog nepoznate greške, moliko proverite OTOBO logove za više informacija.',
        'Category Search' => 'Pretraga kategorija',

        # Perl Module: Kernel/Modules/AdminSystemConfigurationDeployment.pm
        'Some imported settings are not present in the current state of the configuration or it was not possible to update them. Please check the OTOBO log for more information.' =>
            'Neka uvezena podešavanja nisu prisutna u trenutnoj konfiguraciji ili nije bilo moguće ažurirati ih. Molimo proverite OTOBO log za više informacija.',

        # Perl Module: Kernel/Modules/AdminSystemConfigurationDeploymentHistory.pm
        'This deployment does not contain changes in the setting values!' =>
            '',
        'No DeploymentID received!' => '',

        # Perl Module: Kernel/Modules/AdminSystemConfigurationGroup.pm
        'You need to enable the setting before locking!' => 'Morate uključiti podešavanje pre zaključavanja!',
        'You can\'t work on this setting because %s (%s) is currently working on it.' =>
            'Ne možete urediti ovo podešavanje zato što %s (%s) trenutno radi na njemu.',
        'Missing setting name!' => 'Nedostaje naziv podešavanja!',
        'Missing ResetOptions!' => 'Nedostaje ResetOptions!',
        'System was not able to lock the setting!' => 'Sistem nije uspeo da zaključa podešavanje!',
        'System was unable to update setting!' => 'Sistem nije uspeo da sačuva podešavanje!',
        'Missing setting name.' => 'Nedostaje naziv podešavanja.',
        'Setting not found.' => 'Podešavanje nije pronađeno.',
        'Missing Settings!' => 'Nedostaje Settings!',

        # Perl Module: Kernel/Modules/AdminSystemConfigurationSettingHistory.pm
        'No setting name received!' => '',
        'Modified Version' => '',
        'Reset To Default' => '',
        'Default Version' => '',
        'No setting name or modified version id received!' => '',
        'Was not possible to revert the historical value!' => '',

        # Perl Module: Kernel/Modules/AdminSystemConfigurationUser.pm
        'Missing setting name or modified id!' => '',
        'System was not able to delete the user setting values!' => '',

        # Perl Module: Kernel/Modules/AdminSystemMaintenance.pm
        'Start date shouldn\'t be defined after Stop date!' => 'Datum početka ne bi trebalo odrediti posle datuma završetka!',
        'There was an error creating the System Maintenance' => 'Došlo je do greške prilikom kreiranja Održavanja sistema',
        'Need SystemMaintenanceID!' => 'Neophodan SystemMaintenanceID!',
        'Could not get data for SystemMaintenanceID %s' => 'Ne mogu pribaviti podatke za sistemsko održavanje %s',
        'System Maintenance was added successfully!' => 'Sistemsko održavanje je uspešno dodato!',
        'System Maintenance was updated successfully!' => 'Sistemsko održavanje je uspešno ažurirano!',
        'Session has been killed!' => 'Sesija je prekinuta!',
        'All sessions have been killed, except for your own.' => 'Sve sesije su prekinute, osim sopstvene.',
        'There was an error updating the System Maintenance' => 'Došlo je do greške prilikom ažuriranja Održavanja sistema',
        'Was not possible to delete the SystemMaintenance entry: %s!' => 'Nije bilo moguće obrisati unos za sistemsko održavanje: %s!',

        # Perl Module: Kernel/Modules/AdminTemplate.pm
        'Template updated!' => 'Šablon ažuriran!',
        'Template added!' => 'Šablon dodat!',

        # Perl Module: Kernel/Modules/AdminTemplateAttachment.pm
        'Change Attachment Relations for Template' => 'Promeni relacije sa prilozima za šablon',
        'Change Template Relations for Attachment' => 'Promeni relacije sa šablonima za prilog',

        # Perl Module: Kernel/Modules/AdminType.pm
        'Need Type!' => 'Neophodan Type!',
        'Type added!' => 'Dodat tip!',

        # Perl Module: Kernel/Modules/AdminUser.pm
        'Agent updated!' => 'Ažuriran operater!',

        # Perl Module: Kernel/Modules/AdminUserGroup.pm
        'Change Group Relations for Agent' => 'Promeni veze sa grupom za operatera',
        'Change Agent Relations for Group' => 'Promeni veze sa operaterom za grupu',

        # Perl Module: Kernel/Modules/AgentAppointmentAgendaOverview.pm
        'Month' => 'Mesec',
        'Week' => 'Sedmica',
        'Day' => 'Dan',

        # Perl Module: Kernel/Modules/AgentAppointmentCalendarOverview.pm
        'All appointments' => 'Svi termini',
        'Appointments assigned to me' => 'Termini dodeljeni meni',
        'Showing only appointments assigned to you! Change settings' => 'Prikaz samo termina dodeljenih vama! Izmenite podešavanja',

        # Perl Module: Kernel/Modules/AgentAppointmentEdit.pm
        'Appointment not found!' => 'Termin nije pronađen!',
        'Never' => 'Nikada',
        'Every Day' => 'Svaki dan',
        'Every Week' => 'Svake sedmice',
        'Every Month' => 'Svakog meseca',
        'Every Year' => 'Svake godine',
        'Custom' => 'Prilagođeno',
        'Daily' => 'Dnevno',
        'Weekly' => 'Sedmično',
        'Monthly' => 'Mesečno',
        'Yearly' => 'Godišnje',
        'every' => 'svakog(e)',
        'for %s time(s)' => 'ukupno %s put(a)',
        'until ...' => 'do ...',
        'for ... time(s)' => 'ukupno ... put(a)',
        'until %s' => 'do %s',
        'No notification' => 'Bez obaveštenja',
        '%s minute(s) before' => '%s minut(a) pre',
        '%s hour(s) before' => '%s sat(a) pre',
        '%s day(s) before' => '%s dan(a) pre',
        '%s week before' => '%s nedelja pre',
        'before the appointment starts' => 'pre nego što termin započne',
        'after the appointment has been started' => 'pošto termin započne',
        'before the appointment ends' => 'pre nego što se termin završi',
        'after the appointment has been ended' => 'pošto se termin završi',
        'No permission!' => 'Bez dozvole!',
        'Cannot delete ticket appointment!' => 'Nije moguće obrisati termin tiketa!',
        'No permissions!' => 'Bez dozvole!',

        # Perl Module: Kernel/Modules/AgentAppointmentList.pm
        '+%s more' => '+%s više',

        # Perl Module: Kernel/Modules/AgentCustomerSearch.pm
        'Customer History' => 'Istorijat klijenta',

        # Perl Module: Kernel/Modules/AgentCustomerUserAddressBook.pm
        'No RecipientField is given!' => 'Nije dat RecipientField!',

        # Perl Module: Kernel/Modules/AgentDashboardCommon.pm
        'No such config for %s' => 'Nema takve konfiguracije za %s',
        'Statistic' => 'Statistika',
        'No preferences for %s!' => 'Nema postavki za %s!',
        'Can\'t get element data of %s!' => 'Ne mogu pribaviti podatke elementa za %s!',
        'Can\'t get filter content data of %s!' => 'Ne mogu pribaviti podatke sadržaja filtera za %s!',
        'Customer Name' => 'Naziv klijenta',
        'Customer User Name' => 'Naziv klijent korisnika',

        # Perl Module: Kernel/Modules/AgentLinkObject.pm
        'Need SourceObject and SourceKey!' => 'Neophodni SourceObject i SourceKey!',
        'You need ro permission!' => 'Neophodna vam je ro dozvola!',
        'Can not delete link with %s!' => 'Ne može se obrisati veza sa %s!',
        '%s Link(s) deleted successfully.' => '%sveza(e) uspešno obrisana(e).',
        'Can not create link with %s! Object already linked as %s.' => 'Ne može se kreirati veza sa %s! Objekt je već povezan kao %s.',
        'Can not create link with %s!' => 'Ne može se kreirati veza sa %s!',
        '%s links added successfully.' => '%sveza(e) uspešno dodata(e).',
        'The object %s cannot link with other object!' => 'Objekt %s se ne može povezati sa drugim objektom!',

        # Perl Module: Kernel/Modules/AgentPreferences.pm
        'Param Group is required!' => 'Neophodan parametar grupe! ',
        'This feature is not available.' => '',
        'Updated user preferences' => 'Ažurirane korisničke postavke',
        'System was unable to deploy your changes.' => 'Sistem nije uspeo da rasporedi vaše promene.',
        'Setting not found!' => 'Podešavanje nije pronađeno!',
        'System was unable to reset the setting!' => 'Sistem nije uspeo da poništi podešavanje!',

        # Perl Module: Kernel/Modules/AgentSplitSelection.pm
        'Process ticket' => 'Proces tiket',

        # Perl Module: Kernel/Modules/AgentStatistics.pm
        'Parameter %s is missing.' => 'Nedostaje parametar %s.',
        'Invalid Subaction.' => 'Nevažeća subakcija.',
        'Statistic could not be imported.' => 'Statistika se ne može uvesti.',
        'Please upload a valid statistic file.' => 'Molimo da učitate ispravnu datoteku statistike.',
        'Export: Need StatID!' => 'Izvoz: neophodan StatID!',
        'Delete: Get no StatID!' => 'Delete: nema StatID!',
        'Need StatID!' => 'Neophodan StatID!',
        'Could not load stat.' => 'Nije moguće učitavanje statistike.',
        'Add New Statistic' => 'Dodaj novu statistiku',
        'Could not create statistic.' => 'Nije moguće kreiranje statistike.',
        'Run: Get no %s!' => 'Run: Nema %s!',

        # Perl Module: Kernel/Modules/AgentTicketActionCommon.pm
        'No TicketID is given!' => 'Nije dat TicketID!',
        'You need %s permissions!' => 'Neophodne su vam %s dozvole!',
        'Loading draft failed!' => 'Učitavanje nacrta neuspelo!',
        'Sorry, you need to be the ticket owner to perform this action.' =>
            'Na žalost, morate biti vlasnik tiketa za ovu akciju.',
        'Please change the owner first.' => 'Molimo prvo promenite vlasnika.',
        'FormDraft functionality disabled!' => 'Svojstvo FormDraft isključeno!',
        'Draft name is required!' => 'Naziv nacrta je obavezan!',
        'FormDraft name %s is already in use!' => 'Nacrta pod nazivom %s već postoji!',
        'Could not perform validation on field %s!' => 'Nije moguće obaviti validaciju za polje %s!',
        'No subject' => 'Nema predmet',
        'Could not delete draft!' => 'Nije moguće obrisati nacrt!',
        'Previous Owner' => 'Prethodni vlasnik',
        'wrote' => 'napisao/la',
        'Message from' => 'Poruka od',
        'End message' => 'Kraj poruke',

        # Perl Module: Kernel/Modules/AgentTicketBounce.pm
        '%s is needed!' => '%s je neophodno!',
        'Plain article not found for article %s!' => 'Nije pronađen običan članak za članak %s!',
        'Article does not belong to ticket %s!' => 'Članak ne pripada tiketu %s!',
        'Can\'t bounce email!' => 'Ne mogu odbaciti imejl!',
        'Can\'t send email!' => 'Ne mogu poslati imejl!',
        'Wrong Subaction!' => 'Pogrešna subakcija!',

        # Perl Module: Kernel/Modules/AgentTicketBulk.pm
        'Can\'t lock Tickets, no TicketIDs are given!' => 'Tiketi se ne mogu zaključati, nije dat TicketIDs!',
        'Ticket (%s) is not unlocked!' => 'Tiket (%s) nije otključan!',
        'The following tickets were ignored because they are locked by another agent or you don\'t have write access to tickets: %s.' =>
            'Sledeći tiketi su bili ignorisani zato što su zaključani od strane drugog operatera ili zato što nemate pravo upisa u njih: %s.',
        'The following ticket was ignored because it is locked by another agent or you don\'t have write access to ticket: %s.' =>
            'Sledeći tiket je ignorisan zato što je zaključan od strane drugog operatera ili zato što nemate pravo upisa u isti: %s.',
        'You need to select at least one ticket.' => 'Neophodno je da izaberete bar jedan tiket.',
        'Bulk feature is not enabled!' => 'Masovna funkcija nije aktivirana!',
        'No selectable TicketID is given!' => 'Nije dat TicketID koji se može izabrati!',
        'You either selected no ticket or only tickets which are locked by other agents.' =>
            'Niste selektovali ni jedan tiket ili samo tikete koje su zaključali drugi operateri.',
        'The following tickets were ignored because they are locked by another agent or you don\'t have write access to these tickets: %s.' =>
            'Sledeći tiketi su bili ignorisani zato što su zaključani od strane drugog operatera ili zato što nemate pravo upisa u njih: %s.',
        'The following tickets were locked: %s.' => 'Sledeći tiketi su bili zaključani: %s.',

        # Perl Module: Kernel/Modules/AgentTicketCompose.pm
        'Article subject will be empty if the subject contains only the ticket hook!' =>
            '',
        'Address %s replaced with registered customer address.' => 'Adresa %s je zamenjena registrovnom adresom klijenta.',
        'Customer user automatically added in Cc.' => 'Klijent klijent se automatski dodaje u Cc.',

        # Perl Module: Kernel/Modules/AgentTicketEmail.pm
        'Ticket "%s" created!' => 'Tiket "%s" je kreiran!',
        'No Subaction!' => 'Nema subakcije!',

        # Perl Module: Kernel/Modules/AgentTicketEmailOutbound.pm
        'Got no TicketID!' => 'Nema TicketID!',
        'System Error!' => 'Sistemska greška!',

        # Perl Module: Kernel/Modules/AgentTicketEmailResend.pm
        'No ArticleID is given!' => 'Nije dat ArticleID!',

        # Perl Module: Kernel/Modules/AgentTicketEscalationView.pm
        'Next week' => 'Sledeće nedelje',
        'Ticket Escalation View' => 'Eskalacioni pregled tiketa',

        # Perl Module: Kernel/Modules/AgentTicketForward.pm
        'Article %s could not be found!' => 'Članak %s nije pronađen!',
        'Forwarded message from' => 'Prosleđena poruka od',
        'End forwarded message' => 'Kraj prosleđene poruke',

        # Perl Module: Kernel/Modules/AgentTicketHistory.pm
        'Can\'t show history, no TicketID is given!' => 'Ne može se prikazati istorijat, nije dat TicketID!',

        # Perl Module: Kernel/Modules/AgentTicketLock.pm
        'Can\'t lock Ticket, no TicketID is given!' => 'Tiket se ne može zaključati, nije dat TicketID!',
        'Sorry, the current owner is %s!' => 'Na žalost, aktuelni vlasnik je %s!',
        'Please become the owner first.' => 'Molimo prvo preuzmite vlasništvo.',
        'Ticket (ID=%s) is locked by %s!' => 'Tiket (ID=%s) je zaključan od strane %s!',
        'Change the owner!' => 'Promeni vlasnika!',

        # Perl Module: Kernel/Modules/AgentTicketLockedView.pm
        'New Article' => 'Novi članak',
        'Pending' => 'Na čekanju',
        'Reminder Reached' => 'Dostignut podsetnik',
        'My Locked Tickets' => 'Moji zaključani tiketi',

        # Perl Module: Kernel/Modules/AgentTicketMerge.pm
        'Can\'t merge ticket with itself!' => 'Tiket se ne može povezati sa sobom!',

        # Perl Module: Kernel/Modules/AgentTicketMove.pm
        'You need move permissions!' => 'Neophodna vam je dozvola za premeštanje!',

        # Perl Module: Kernel/Modules/AgentTicketPhone.pm
        'Chat is not active.' => 'Ćaskanje nije aktivno.',
        'No permission.' => 'Nema dozvole.',
        '%s has left the chat.' => '%s je napustio ćaskanje.',
        'This chat has been closed and will be removed in %s hours.' => 'Ovo ćaskanje je zatvoreno i biće uklonjeno za %s sati.',

        # Perl Module: Kernel/Modules/AgentTicketPhoneCommon.pm
        'Ticket locked.' => 'Zaključan tiket.',

        # Perl Module: Kernel/Modules/AgentTicketPlain.pm
        'No ArticleID!' => 'Nema ArticleID!',
        'This is not an email article.' => 'Ovo nije imejl članak.',
        'Can\'t read plain article! Maybe there is no plain email in backend! Read backend message.' =>
            'Nemoguće čitanje neformatiranog članka! Možda ne postoji neformatirana poruka u spremištu! Pročitajte poruku iz prikaza.',

        # Perl Module: Kernel/Modules/AgentTicketPrint.pm
        'Need TicketID!' => 'Neophodan TicketID!',

        # Perl Module: Kernel/Modules/AgentTicketProcess.pm
        'Couldn\'t get ActivityDialogEntityID "%s"!' => 'Ne mogu pribaviti ActivityDialogEntityID "%s"!',
        'No Process configured!' => 'Nema konfigurisanog procesa!',
        'The selected process is invalid!' => 'Označeni proces je nevažeći!',
        'Process %s is invalid!' => 'Proces %s je nevažeći!',
        'Subaction is invalid!' => 'Subakcija je nevažeća!',
        'Parameter %s is missing in %s.' => 'Nedostaje parametar %s u %s.',
        'No ActivityDialog configured for %s in _RenderAjax!' => 'Nijedan ActivityDialog nije konfigurisan za %s u _RenderAjax!',
        'Got no Start ActivityEntityID or Start ActivityDialogEntityID for Process: %s in _GetParam!' =>
            'Nema Start ActivityEntityID ili Start ActivityDialogEntityID za proces %s u _GetParam!',
        'Couldn\'t get Ticket for TicketID: %s in _GetParam!' => 'Nema tiketa za TicketID: %s u _GetParam!',
        'Couldn\'t determine ActivityEntityID. DynamicField or Config isn\'t set properly!' =>
            'Ne može se utvrditi ActivityEntityID. DynamicField ili Config nisu pravilno podešeni!',
        'Process::Default%s Config Value missing!' => 'Vrednost konfiguracije za Process::Default%s nedostaje!',
        'Got no ProcessEntityID or TicketID and ActivityDialogEntityID!' =>
            'Nema ProcessEntityID ili TicketID i ActivityDialogEntityID!',
        'Can\'t get StartActivityDialog and StartActivityDialog for the ProcessEntityID "%s"!' =>
            'Ne mogu pribaviti StartActivityDialog i StartActivityDialog za ProcessEntityID "%s"!',
        'Can\'t get Ticket "%s"!' => 'Ne mogu pribaviti tiket "%s"!',
        'Can\'t get ProcessEntityID or ActivityEntityID for Ticket "%s"!' =>
            'Ne mogu pribaviti ProcessEntityID ili ActivityEntityID za tiket "%s"!',
        'Can\'t get Activity configuration for ActivityEntityID "%s"!' =>
            'Ne mogu pribaviti konfiguraciju Activity za ActivityEntityID "%s"!',
        'Can\'t get ActivityDialog configuration for ActivityDialogEntityID "%s"!' =>
            'Ne mogu pribaviti konfiguraciju ActivityDialog za ActivityDialogEntityID "%s"!',
        'Can\'t get data for Field "%s" of ActivityDialog "%s"!' => 'Ne mogu pribaviti podatke za polje "%s" od ActivityDialog "%s"!',
        'PendingTime can just be used if State or StateID is configured for the same ActivityDialog. ActivityDialog: %s!' =>
            'Vreme čekanja tiketa može biti korišćeno ako su State ili StateID podešeni za isti dijalog aktivnosti. ActivityDialog: %s!',
        'Pending Date' => 'Datum čekanja',
        'for pending* states' => 'za stanja* čekanja',
        'ActivityDialogEntityID missing!' => 'Nedostaje ActivityDialogEntityID!',
        'Couldn\'t get Config for ActivityDialogEntityID "%s"!' => 'Ne mogu pribaviti konfiguraciju za ActivityDialogEntityID "%s"!',
        'Couldn\'t use CustomerID as an invisible field.' => 'CustomerID se ne može koristiti kao nevidljivo polje.',
        'Missing ProcessEntityID, check your ActivityDialogHeader.tt!' =>
            'Nema ProcessEntityID, proverite vaš ActivityDialogHeader.tt!',
        'No StartActivityDialog or StartActivityDialog for Process "%s" configured!' =>
            'Nema StartActivityDialog ili StartActivityDialog za proces "%s"!',
        'Couldn\'t create ticket for Process with ProcessEntityID "%s"!' =>
            'Ne mogu kreirati tiket za proces sa ProcessEntityID "%s"!',
        'Couldn\'t set ProcessEntityID "%s" on TicketID "%s"!' => 'Ne mogu postaviti ProcessEntityID "%s" za TicketID "%s"!',
        'Couldn\'t set ActivityEntityID "%s" on TicketID "%s"!' => 'Ne mogu postaviti ActivityEntityID "%s" za TicketID "%s"!',
        'Could not store ActivityDialog, invalid TicketID: %s!' => 'Ne mogu snimiti dijalog aktivnosti, nevažeći TicketID: %s!',
        'Invalid TicketID: %s!' => 'Nevažeći TicketID: %s!',
        'Missing ActivityEntityID in Ticket %s!' => 'Nedostaje ActivityEntityID u tiketu %s!',
        'This step does not belong anymore to the current activity in process for ticket \'%s%s%s\'! Another user changed this ticket in the meantime. Please close this window and reload the ticket.' =>
            'Ovaj korak ne pripada više trenutnoj aktivnosti procesa za tiket \'%s%s%s\'! Drugi korisnik je u međuvremenu promenio ovaj tiket. Molimo da zatvorite ovaj prozor i ponovo učitate tiket.',
        'Missing ProcessEntityID in Ticket %s!' => 'Nedostaje ProcessEntityID u tiketu %s!',
        'Could not set DynamicField value for %s of Ticket with ID "%s" in ActivityDialog "%s"!' =>
            'Ne mogu postaviti vrednost dinamičkog polja za %s za TicketID "%s" u ActivityDialog "%s"!',
        'Could not set PendingTime for Ticket with ID "%s" in ActivityDialog "%s"!' =>
            'Ne mogu postaviti vreme čekanja tiketa za tiket "%s" u ActivityDialog "%s"!',
        'Wrong ActivityDialog Field config: %s can\'t be Display => 1 / Show field (Please change its configuration to be Display => 0 / Do not show field or Display => 2 / Show field as mandatory)!' =>
            'Pogrešna konfiguracija polja u dijalogu aktivnosti: %s ne može biti Display => 1 / prikazano. (Molimo podesite konfiguraciju da bude Display => 0 / nije prikazano ili Display => 2 / prikaži kao obavezno)!',
        'Could not set %s for Ticket with ID "%s" in ActivityDialog "%s"!' =>
            'Ne mogu postaviti %s za tiket "%s" u ActivityDialog "%s"!',
        'Default Config for Process::Default%s missing!' => 'Podrazumevano podešavanje za Process::Default%s nedostaje!',
        'Default Config for Process::Default%s invalid!' => 'Podrazumevano podešavanje za Process::Default%s je nevažeće!',

        # Perl Module: Kernel/Modules/AgentTicketQueue.pm
        'Available tickets' => 'Slobodni tiketi',
        'including subqueues' => 'uključujući podredove',
        'excluding subqueues' => 'isključujući podredove',
        'QueueView' => 'Pregled reda',

        # Perl Module: Kernel/Modules/AgentTicketResponsibleView.pm
        'My Responsible Tickets' => 'Tiketi za koje sam odgovoran',

        # Perl Module: Kernel/Modules/AgentTicketSearch.pm
        'last-search' => 'poslednja pretraga',
        'Untitled' => 'Nema naslov',
        'Ticket Number' => 'Broj tiketa',
        'Ticket' => 'Tiket',
        'printed by' => 'štampao',
        'CustomerID (complex search)' => 'ID klijenta (složena pretraga)',
        'CustomerID (exact match)' => 'ID klijenta (tačno poklapanje)',
        'Invalid Users' => 'Pogrešni korisnici',
        'Normal' => 'Normal',
        'CSV' => 'CSV',
        'Excel' => 'Excel',
        'in more than ...' => 'u više od ...',

        # Perl Module: Kernel/Modules/AgentTicketService.pm
        'Feature not enabled!' => 'Funkcija nije aktivirana!',
        'Service View' => 'Pregled usluge',

        # Perl Module: Kernel/Modules/AgentTicketStatusView.pm
        'Status View' => 'Pregled statusa',

        # Perl Module: Kernel/Modules/AgentTicketWatchView.pm
        'My Watched Tickets' => 'Moji nadzirani tiketi',

        # Perl Module: Kernel/Modules/AgentTicketWatcher.pm
        'Feature is not active' => 'Funkcija nije aktivna',

        # Perl Module: Kernel/Modules/AgentTicketZoom.pm
        'Link Deleted' => 'Obrisana veza',
        'Ticket Locked' => 'Zaključan tiket',
        'Pending Time Set' => 'Vremena čekanja je podešeno',
        'Dynamic Field Updated' => 'Ažurirano dinamičko polje',
        'Outgoing Email (internal)' => 'Odlazni imejl (interni)',
        'Ticket Created' => 'Kreiran tiket',
        'Type Updated' => 'Ažuriran tip',
        'Escalation Update Time In Effect' => 'Aktuelno vreme ažuriranja eskalacije',
        'Escalation Update Time Stopped' => 'Vreme ažuriranja eskalacije je zaustavljeno',
        'Escalation First Response Time Stopped' => 'Vreme prvog odziva eskalacije je zaustavljeno',
        'Customer Updated' => 'Ažuriran klijent',
        'Internal Chat' => 'Interno ćaskanje',
        'Automatic Follow-Up Sent' => 'Poslat automatski nastavak',
        'Note Added' => 'Dodata napomena',
        'Note Added (Customer)' => 'Dodata napomena (klijent)',
        'SMS Added' => 'Dodat SMS',
        'SMS Added (Customer)' => 'Dodat SMS (klijent)',
        'State Updated' => 'Ažurirano stanje',
        'Outgoing Answer' => 'Odlazni odgovor',
        'Service Updated' => 'Ažuriran servis',
        'Link Added' => 'Dodata veza',
        'Incoming Customer Email' => 'Dolazni imejl klijenta',
        'Incoming Web Request' => 'Dolazni veb zahtev',
        'Priority Updated' => 'Ažuriran prioritet',
        'Ticket Unlocked' => 'Otključan tiket',
        'Outgoing Email' => 'Odlazni imejl',
        'Title Updated' => 'Ažuriran naslov',
        'Ticket Merged' => 'Spojen tiket',
        'Outgoing Phone Call' => 'Odlazni poziv',
        'Forwarded Message' => 'Prosleđena poruka',
        'Removed User Subscription' => 'Uklonjena pretplata za korisnika',
        'Time Accounted' => 'Vreme je obračunato',
        'Incoming Phone Call' => 'Dolazni poziv',
        'System Request.' => 'Sistemski zahtev.',
        'Incoming Follow-Up' => 'Dolazni nastavak',
        'Automatic Reply Sent' => 'Poslat automatski odgovor',
        'Automatic Reject Sent' => 'Poslato automatsko odbijanje',
        'Escalation Solution Time In Effect' => 'Aktuelno vreme rešavanja eskalacije',
        'Escalation Solution Time Stopped' => 'Vreme rešenja eskalacije je zaustavljeno',
        'Escalation Response Time In Effect' => 'Aktuelno vreme odgovora na eskalaciju',
        'Escalation Response Time Stopped' => 'Vreme odziva eskalacije je zaustavljeno',
        'SLA Updated' => 'SLA je ažuriran',
        'External Chat' => 'Eksterno ćaskanje',
        'Queue Changed' => 'Promenjen red',
        'Notification Was Sent' => 'Obaveštenje je poslato',
        'This ticket does not exist, or you don\'t have permissions to access it in its current state.' =>
            'Ovaj tiket više ne postoji, ili trenutno nemate dozvolu za pristup istom.',
        'Missing FormDraftID!' => 'Nedostaje FormDraftID!',
        'Can\'t get for ArticleID %s!' => 'Ne mogu pribaviti ArticleID %s!',
        'Article filter settings were saved.' => 'Podešavanja filtera članka su sačuvana.',
        'Event type filter settings were saved.' => 'Podešavanja filtera tipa događaja su sačuvana.',
        'Need ArticleID!' => 'Neophodan ArticleID!',
        'Invalid ArticleID!' => 'Nevažeći ArticleID!',
        'Forward article via mail' => 'Prosledi članak putem mejla',
        'Forward' => 'Prosledi',
        'Fields with no group' => 'Polja bez grupe',
        'Invisible only' => 'Samo nevidljivi',
        'Visible only' => 'Samo vidljivi',
        'Visible and invisible' => 'Vidljivi i nevidljivi',
        'Article could not be opened! Perhaps it is on another article page?' =>
            'Članak se ne može otvoriti! Moguće je da je na drugoj stranici?',
        'Show one article' => 'Prikaži jedan članak',
        'Show all articles' => 'Prikaži sve članke',
        'Show Ticket Timeline View' => 'Prikaži tikete na vremenskoj liniji',

        # Perl Module: Kernel/Modules/AjaxAttachment.pm
        'Got no FormID.' => 'Nije dat FormID.',
        'Error: the file could not be deleted properly. Please contact your administrator (missing FileID).' =>
            'Greška: datoteka nije mogla biti obrisana. Molimo kontaktirajte vašeg administratora (nedostaje FileID).',

        # Perl Module: Kernel/Modules/CustomerTicketArticleContent.pm
        'ArticleID is needed!' => 'Neophodan ArticleID!',
        'No TicketID for ArticleID (%s)!' => 'Nema TicketID za ovaj ArticleID (%s)!',
        'HTML body attachment is missing!' => 'Prilog sa HTML sadržajem nedostaje!',

        # Perl Module: Kernel/Modules/CustomerTicketAttachment.pm
        'FileID and ArticleID are needed!' => 'Neophodni FileID i ArticleID!',
        'No such attachment (%s)!' => 'Nema takvog priloga (%s)!',

        # Perl Module: Kernel/Modules/CustomerTicketMessage.pm
        'Check SysConfig setting for %s::QueueDefault.' => 'Proverite podešavanja za %s::QueueDefault.',
        'Check SysConfig setting for %s::TicketTypeDefault.' => 'Proverite podešavanja za %s::TicketTypeDefault.',
        'You don\'t have sufficient permissions for ticket creation in default queue.' =>
            'Nemaš odgovarajuće dozvole za kreiranje tiketa u podrazumevanom redu.',

        # Perl Module: Kernel/Modules/CustomerTicketOverview.pm
        'Need CustomerID!' => 'Neophodan CustomerID!',
        'My Tickets' => 'Moji tiketi',
        'Company Tickets' => 'Tiketi firmi',
        'Untitled!' => 'Nema naslov!',

        # Perl Module: Kernel/Modules/CustomerTicketSearch.pm
        'Customer Realname' => 'Pravo ime klijenta',
        'Created within the last' => 'Kreirano u poslednjih',
        'Created more than ... ago' => 'Kreirano pre više od ...',
        'Please remove the following words because they cannot be used for the search:' =>
            'Molimo da uklonite sledeće reči  jer se ne mogu koristiti za pretragu:',

        # Perl Module: Kernel/Modules/CustomerTicketZoom.pm
        'Can\'t reopen ticket, not possible in this queue!' => 'Tiket se ne može ponovo otvoriti, nije moguće u ovom redu!',
        'Create a new ticket!' => 'Otvori novi tiket!',

        # Perl Module: Kernel/Modules/Installer.pm
        'SecureMode active!' => 'Siguran režim je aktivan!',
        'If you want to re-run the Installer, disable the SecureMode in the SysConfig.' =>
            'Ukoliko želite da ponovo pokrenete instalaciju, onemogućite SecureMode u podešavanjima.',
        'Directory "%s" doesn\'t exist!' => 'Direktorijum "%s" ne postoji!',
        'Configure "Home" in Kernel/Config.pm first!' => 'Prvo podesite "Home" u Kernel/Config.pm!',
        'File "%s/Kernel/Config.pm" not found!' => 'Datoteka "%s/Kernel/Config.pm" nije pronađena!',
        'Directory "%s" not found!' => 'Direktorijum "%s" nije pronađen!',
        'Install OTOBO' => 'Instaliraj OTOBO',
        'Intro' => 'Uvod',
        'Kernel/Config.pm isn\'t writable!' => 'Nemoguć upis u %s/Kernel/Config.pm!',
        'If you want to use the installer, set the Kernel/Config.pm writable for the webserver user!' =>
            'Ako želite da koristite instalacioni program, podesite dozvolu pisanja u Kernel/Config.pm za veb server korisnika!',
        'Database Selection' => 'Selekcija baze podataka',
        'Unknown Check!' => 'Nepoznata provera!',
        'The check "%s" doesn\'t exist!' => 'Provera "%s" ne postoji!',
        'Enter the password for the database user.' => 'Unesi lozinku za korisnika baze podataka.',
        'Database %s' => 'Baza podataka %s',
        'Configure MySQL' => 'Podesi MySQL',
        'Enter the password for the administrative database user.' => 'Unesi lozinku za korisnika administrativne baze podataka.',
        'Configure PostgreSQL' => 'Podesi PostgreSQL',
        'Configure Oracle' => 'Podesi Oracle',
        'Unknown database type "%s".' => 'Nepoznat tip baze podataka "%s".',
        'Please go back.' => 'Molimo idite nazad.',
        'Create Database' => 'Kreiraj bazu podataka',
        'Install OTOBO - Error' => 'Instaliranje OTOBO - greška',
        'File "%s/%s.xml" not found!' => 'Datoteka "%s/%s.xml" nije pronađena!',
        'Contact your Admin!' => 'Kontaktirajte vašeg administratora!',
        'System Settings' => 'Sistemska podešavanja',
        'Syslog' => 'Sistemski log',
        'Configure Mail' => 'Podesi imejl',
        'Mail Configuration' => 'Podešavanje imejla',
        'Can\'t write Config file!' => 'Ne mogu da upišem konfiguracionu datoteku!',
        'Unknown Subaction %s!' => 'Nepoznata subakcija %s!',
        'Can\'t connect to database, Perl module DBD::%s not installed!' =>
            'Ne mogu se povezati na bazu podataka, Perl modul DBD::%s nije instaliran!',
        'Can\'t connect to database, read comment!' => 'Ne mogu se povezati na bazu podataka, pročitajte komentar!',
        'Database already contains data - it should be empty!' => 'Baza podataka već sadrži podatke - trebalo bi da bude prazna.',
        'Error: Please make sure your database accepts packages over %s MB in size (it currently only accepts packages up to %s MB). Please adapt the max_allowed_packet setting of your database in order to avoid errors.' =>
            'Greška: Molimo da proverite da vaša baza podataka prihvata pakete po veličini veće od %s MB  (trenutno prihvata pakete veličine do %s MB). Molimo da prilagodite parametar max_allowed_packet podešavanje u vašoj bazi podataka kako bi izbegli greške.',
        'Error: Please set the value for innodb_log_file_size on your database to at least %s MB (current: %s MB, recommended: %s MB). For more information, please have a look at %s.' =>
            'Greška: Molimo da podesete vrednost za innodb_log_file_size u vašoj bazi podataka na najmanje %s MB (trenutno: %s MB, preporučeno: %s MB). Za više informacija, molimo pogledajte na %s.',
        'Wrong database collation (%s is %s, but it needs to be utf8).' =>
            'Neispravno podešena baza podataka (%s je %s, a trebalo bi da bude utf8).',

        # Perl Module: Kernel/Modules/MigrateFromOTRS.pm
        'If you want to re-run the MigrateFromOTRS Tool, disable the SecureMode in the SysConfig.' =>
            '',
        'OTRS to OTOBO migration' => '',

        # Perl Module: Kernel/Modules/PublicCalendar.pm
        'No %s!' => 'Bez %s!',
        'No such user!' => 'Nepoznat korisnik!',
        'Invalid calendar!' => 'Neispravan kalendar!',
        'Invalid URL!' => 'Neispravna adresa!',
        'There was an error exporting the calendar!' => 'Greška prilikom eksportovanja kalendara!',

        # Perl Module: Kernel/Modules/PublicRepository.pm
        'Need config Package::RepositoryAccessRegExp' => 'Neophodna konfiguracija Package::RepositoryAccessRegExp',
        'Authentication failed from %s!' => 'Autentifikacija nije uspela od %s!',

        # Perl Module: Kernel/Output/HTML/Article/Chat.pm
        'Chat' => 'Ćaskanje',

        # Perl Module: Kernel/Output/HTML/ArticleAction/AgentTicketBounce.pm
        'Bounce Article to a different mail address' => 'Preusmeravanje članka na drugu imejl adresu',
        'Bounce' => 'Preusmeri',

        # Perl Module: Kernel/Output/HTML/ArticleAction/AgentTicketCompose.pm
        'Reply All' => 'Odgovori na sve',

        # Perl Module: Kernel/Output/HTML/ArticleAction/AgentTicketEmailResend.pm
        'Resend this article' => 'Pošalji ponovo ovaj članak',
        'Resend' => 'Pošalji ponovo',

        # Perl Module: Kernel/Output/HTML/ArticleAction/AgentTicketMessageLog.pm
        'View message log details for this article' => 'Pregled loga poruke za ovaj članak',
        'Message Log' => 'Log poruke',

        # Perl Module: Kernel/Output/HTML/ArticleAction/AgentTicketNote.pm
        'Reply to note' => 'Odgovori na napomenu',

        # Perl Module: Kernel/Output/HTML/ArticleAction/AgentTicketPhone.pm
        'Split this article' => 'Podeli ovaj članak',

        # Perl Module: Kernel/Output/HTML/ArticleAction/AgentTicketPlain.pm
        'View the source for this Article' => 'Pogledaj izvor ovog Članka',
        'Plain Format' => 'Neformatiran format',

        # Perl Module: Kernel/Output/HTML/ArticleAction/AgentTicketPrint.pm
        'Print this article' => 'Odštampaj ovaj članak',

        # Perl Module: Kernel/Output/HTML/ArticleAction/GetHelpLink.pm
        'Contact us at sales@otrs.com' => 'Kontaktirajte nas na sales@otrs.com',
        'Get Help' => 'Traži pomoć',

        # Perl Module: Kernel/Output/HTML/ArticleAction/MarkAsImportant.pm
        'Mark' => 'Označeno',
        'Unmark' => 'Neoznačeno',

        # Perl Module: Kernel/Output/HTML/ArticleAction/ReinstallPackageLink.pm
        'Re-install Package' => 'Instaliraj ponovo paket',
        'Re-install' => 'Instaliraj ponovo',

        # Perl Module: Kernel/Output/HTML/ArticleCheck/PGP.pm
        'Crypted' => 'Šifrovano',
        'Sent message encrypted to recipient!' => 'Poslata šifrovana poruka primaocu!',
        'Signed' => 'Potpisano',
        '"PGP SIGNED MESSAGE" header found, but invalid!' => '"PGP SIGNED MESSAGE" zaglavlje pronađeno, ali je neispravno!',

        # Perl Module: Kernel/Output/HTML/ArticleCheck/SMIME.pm
        '"S/MIME SIGNED MESSAGE" header found, but invalid!' => '"S/MIME SIGNED MESSAGE" zaglavlje pronađeno, ali je neispravno!',
        'Ticket decrypted before' => 'Tiket je dešifrovan pre',
        'Impossible to decrypt: private key for email was not found!' => 'Nemoguće dešifrovanje: privatni ključ za ovu adresu nije pronađen!',
        'Successful decryption' => 'Uspešno dešifrovanje',

        # Perl Module: Kernel/Output/HTML/ArticleCompose/Crypt.pm
        'There are no encryption keys available for the addresses: \'%s\'. ' =>
            'Nisu pronađeni ključevi za šifrovanje za adresu: \'%s\'.',
        'There are no selected encryption keys for the addresses: \'%s\'. ' =>
            'Nisu odabrani ključevi za šifrovanje za adresu: \'%s\'.',
        'Cannot use expired encryption keys for the addresses: \'%s\'. ' =>
            'Nije moguće koristiti istekao ključ za šifrovanje za adrese: \'%s\'.',
        'Cannot use revoked encryption keys for the addresses: \'%s\'. ' =>
            'Nije moguće koristiti povučen ključ za šifrovanje za adrese: \'%s\'.',
        'Encrypt' => 'Šifrovanje',
        'Keys/certificates will only be shown for recipients with more than one key/certificate. The first found key/certificate will be pre-selected. Please make sure to select the correct one.' =>
            'Ključevi/sertifikati će biti prikazani samo za primaoce sa više od jednog ključeva/sertifikata. Prvi pronađeni ključ/sertifikat će biti automatski odabran. Molimo proverite da li je odabran ispravan.',

        # Perl Module: Kernel/Output/HTML/ArticleCompose/Security.pm
        'Email security' => 'Imejl bezbednost',
        'PGP sign' => 'PGP potpisivanje',
        'PGP sign and encrypt' => 'PGP potpis i šifrovanje',
        'PGP encrypt' => 'PGP šifrovanje',
        'SMIME sign' => 'SMIME potpisivanje',
        'SMIME sign and encrypt' => 'SMIME potpis i šifrovanje',
        'SMIME encrypt' => 'SMIME šifrovanje',

        # Perl Module: Kernel/Output/HTML/ArticleCompose/Sign.pm
        'Cannot use expired signing key: \'%s\'. ' => 'Nije moguće koristiti istekao ključ za potpisivanje: \'%s\'.',
        'Cannot use revoked signing key: \'%s\'. ' => 'Nije moguće koristiti povučen ključ za potpisivanje: \'%s\'.',
        'There are no signing keys available for the addresses \'%s\'.' =>
            'Nema ključeva za potpisivanje za adrese \'%s\'.',
        'There are no selected signing keys for the addresses \'%s\'.' =>
            'Nema odabranih ključeva za potpisivanje za adrese \'%s\'.',
        'Sign' => 'Potpis',
        'Keys/certificates will only be shown for a sender with more than one key/certificate. The first found key/certificate will be pre-selected. Please make sure to select the correct one.' =>
            'Ključevi/sertifikati će biti prikazani samo za pošiljaoce sa više od jednog ključeva/sertifikata. Prvi pronađeni ključ/sertifikat će biti automatski odabran. Molimo proverite da li je odabran ispravan.',

        # Perl Module: Kernel/Output/HTML/Dashboard/AppointmentCalendar.pm
        'Shown' => 'Prikazan',
        'Refresh (minutes)' => 'Osveži (minuta)',
        'off' => 'isključeno',

        # Perl Module: Kernel/Output/HTML/Dashboard/CustomerIDList.pm
        'Shown customer ids' => 'Prikazani klijent ID',

        # Perl Module: Kernel/Output/HTML/Dashboard/CustomerUserList.pm
        'Shown customer users' => 'Prikazani klijenti korisnici',
        'Offline' => 'Nije na vezi',
        'User is currently offline.' => 'Korisnik trenutno nije na vezi.',
        'User is currently active.' => 'Korisnik je trenutno aktivan.',
        'Away' => 'Odsutan',
        'User was inactive for a while.' => 'Korisnik nije bio aktivan neko vreme.',

        # Perl Module: Kernel/Output/HTML/Dashboard/EventsTicketCalendar.pm
        'The start time of a ticket has been set after the end time!' => 'Vreme početka tiketa je podešeno posle vremena završetka!',

        # Perl Module: Kernel/Output/HTML/Dashboard/News.pm
        'Can\'t connect to OTOBO News server!' => 'Nije moguće povezati se sa OTOBO News serverom!',
        'Can\'t get OTOBO News from server!' => 'Ne mogu pribaviti OTOBO News sa servera!',

        # Perl Module: Kernel/Output/HTML/Dashboard/ProductNotify.pm
        'Can\'t connect to Product News server!' => 'Nije moguće povezazi se sa Product News serverom!',
        'Can\'t get Product News from server!' => 'Ne mogu pribaviti Product News sa servera!',

        # Perl Module: Kernel/Output/HTML/Dashboard/RSS.pm
        'Can\'t connect to %s!' => 'Nije moguće povezati se sa %s!',

        # Perl Module: Kernel/Output/HTML/Dashboard/TicketGeneric.pm
        'Shown Tickets' => 'Prikazani tiketi',
        'Shown Columns' => 'Prikazane kolone',
        'filter not active' => 'filter nije aktivan',
        'filter active' => 'filter je aktivan',
        'This ticket has no title or subject' => 'Ovaj tiket nema naslov ili predmet',

        # Perl Module: Kernel/Output/HTML/Dashboard/TicketStatsGeneric.pm
        '7 Day Stats' => 'Sedmodnevna statistika',

        # Perl Module: Kernel/Output/HTML/Dashboard/UserOnline.pm
        'User set their status to unavailable.' => 'Korisnik je nedostupan.',
        'Unavailable' => 'Nedostupno',

        # Perl Module: Kernel/Output/HTML/Layout.pm
        'Standard' => 'Standardan',
        'The following tickets are not updated: %s.' => 'Sledeći tiketi nisu ažurirani: %s.',
        'h' => 'č',
        'm' => 'm',
        'd' => 'd',
        'This ticket does not exist, or you don\'t have permissions to access it in its current state. You can take one of the following actions:' =>
            'Ovaj tiket više ne postoji, ili trenutno nemate dozvolu za pristup istom. Možete preduzeti jednu od sledećih akcija:',
        'This is a' => 'Ovo je',
        'email' => 'imejl',
        'click here' => 'kliknite ovde',
        'to open it in a new window.' => 'za otvaranje u novom prozoru.',
        'Year' => 'Godina',
        'Hours' => 'Sati',
        'Minutes' => 'Minuti',
        'Check to activate this date' => 'Proverite za aktiviranje ovog datuma',
        '%s TB' => '%s TB',
        '%s GB' => '%s GB',
        '%s MB' => '%s MB',
        '%s KB' => '%s KB',
        '%s B' => '%s B',
        'No Permission!' => 'Nemate dozvolu!',
        'No Permission' => 'Nema dozvole',
        'Show Tree Selection' => 'Prikaži drvo izbora',
        'Split Quote' => 'Podeli kvotu',
        'Remove Quote' => 'Ukloni kvotu.',

        # Perl Module: Kernel/Output/HTML/Layout/LinkObject.pm
        'Linked as' => 'Povezano kao',
        'Search Result' => 'Rezultat pretrage',
        'Linked' => 'Povezano',
        'Bulk' => 'Masovno',

        # Perl Module: Kernel/Output/HTML/Layout/Ticket.pm
        'Lite' => 'Jednostavan',
        'Unread article(s) available' => 'Raspoliživi nepročitani članci',

        # Perl Module: Kernel/Output/HTML/LinkObject/Appointment.pm
        'Appointment' => 'Termin',

        # Perl Module: Kernel/Output/HTML/LinkObject/Ticket.pm
        'Archive search' => 'Pretraga arhive',

        # Perl Module: Kernel/Output/HTML/Notification/AgentOnline.pm
        'Online Agent: %s' => 'Operater na vezi: %s',

        # Perl Module: Kernel/Output/HTML/Notification/AgentTicketEscalation.pm
        'There are more escalated tickets!' => 'Ima još eskaliralih tiketa!',

        # Perl Module: Kernel/Output/HTML/Notification/AgentTimeZoneCheck.pm
        'Please select a time zone in your preferences and confirm it by clicking the save button.' =>
            'Molimo odaberite vremensku zonu u ličnim podešavanjima i potvrdite klikom na dugme za čuvanje.',

        # Perl Module: Kernel/Output/HTML/Notification/CustomerOnline.pm
        'Online Customer: %s' => 'Klijent na vezi: %s',

        # Perl Module: Kernel/Output/HTML/Notification/CustomerSystemMaintenanceCheck.pm
        'System maintenance is active!' => 'Održavanje sistema je aktivno!',
        'A system maintenance period will start at: %s and is expected to stop at: %s' =>
            'Period održavanja sistema će otpočeti u: %s i očekivano je da se završi u: %s',

        # Perl Module: Kernel/Output/HTML/Notification/DaemonCheck.pm
        'OTOBO Daemon is not running.' => 'OTOBO sistemski servis ne radi.',

        # Perl Module: Kernel/Output/HTML/Notification/OutofOfficeCheck.pm
        'You have Out of Office enabled, would you like to disable it?' =>
            'Aktivirana je opcija van kancelarije, želite li da je isključite?',

        # Perl Module: Kernel/Output/HTML/Notification/SystemConfigurationInvalidCheck.pm
        'You have %s invalid setting(s) deployed. Click here to show invalid settings.' =>
            'Imate %s raspoređeno(a) nevažeće(a) podešavanje(a). Kliknite ovde za prikaz nevažećih podešavanja.',

        # Perl Module: Kernel/Output/HTML/Notification/SystemConfigurationIsDirtyCheck.pm
        'You have undeployed settings, would you like to deploy them?' =>
            'Imate neraspoređenih podešavanja, da li želite da ih rasporedite?',

        # Perl Module: Kernel/Output/HTML/Notification/SystemConfigurationOutOfSyncCheck.pm
        'The configuration is being updated, please be patient...' => 'Konfiguracija se osvežava, molimo sačekajte...',
        'There is an error updating the system configuration!' => 'Greška prilikom osvežavanja sistemske konfiguracije!',

        # Perl Module: Kernel/Output/HTML/Notification/UIDCheck.pm
        'Don\'t use the Superuser account to work with %s! Create new Agents and work with these accounts instead.' =>
            'Ne koristite superkorisnički nalog za rad sa %s! Napravite nove naloge za operatere i koristite njih.',

        # Perl Module: Kernel/Output/HTML/Preferences/AppointmentNotificationEvent.pm
        'Please make sure you\'ve chosen at least one transport method for mandatory notifications.' =>
            'Molimo vas da proverite da ste izabrali bar jedan metod transporta za obavezna obaveštenja.',
        'Preferences updated successfully!' => 'Postavke su uspešno ažurirane!',

        # Perl Module: Kernel/Output/HTML/Preferences/Language.pm
        '(in process)' => '(u toku)',

        # Perl Module: Kernel/Output/HTML/Preferences/OutOfOffice.pm
        'Please specify an end date that is after the start date.' => 'Molimo da odredite datum završetka koji je posle datuma početka.',

        # Perl Module: Kernel/Output/HTML/Preferences/Password.pm
        'Verify password' => 'Potvrdi lozinku',
        'The current password is not correct. Please try again!' => 'Aktuelna lozinka je netačna. Molimo pokušajte ponovo!',
        'Please supply your new password!' => 'Molimo da obezbedite novu lozinku!',
        'Can\'t update password, the new password and the repeated password do not match.' =>
            '',
        'This password is forbidden by the current system configuration. Please contact the administrator if you have additional questions.' =>
            'Ova lozinka je zabranjena trenutnom sistemskom konfiguracijom. Molimo kontaktirajte adminstratora za dodatna pitanja.',
        'Can\'t update password, it must be at least %s characters long!' =>
            'Lozinka ne može biti ažurirana. Minimalna dužina lozinke je %s znakova.',
        'Can\'t update password, it must contain at least 2 lowercase and 2 uppercase letter characters!' =>
            'Lozinka ne može biti ažurirana, mora sadržati najmanje 2 mala i 2 velika slova!',
        'Can\'t update password, it must contain at least 1 digit!' => 'Lozinka ne može biti ažurirana. Mora da sadrži najnmanje jednu brojku.',
        'Can\'t update password, it must contain at least 2 letter characters!' =>
            'Lozinka ne može biti ažurirana, mora sadržati najmanje 2 slova!',
        'Can\'t update password, it must contain at least 3 of 4 (lower char, upper char, digit, special character)!' =>
            '',

        # Perl Module: Kernel/Output/HTML/Preferences/TimeZone.pm
        'Time zone updated successfully!' => 'Vremenska zona uspešno ažurirana!',

        # Perl Module: Kernel/Output/HTML/Statistics/View.pm
        'invalid' => 'nevažeći',
        'valid' => 'važeći',
        'No (not supported)' => 'Ne (nije podržano)',
        'No past complete or the current+upcoming complete relative time value selected.' =>
            'Nije odabrana vremenska vrednost sa kompletnom prošlošću ili kompletnim trenutnim i budućim relativnim periodom.',
        'The selected time period is larger than the allowed time period.' =>
            'Izabrani vremenski period je duži od dozvoljenog.',
        'No time scale value available for the current selected time scale value on the X axis.' =>
            'Nema dostupnog vremenskog opsega za aktuelnu izabranu vrednost opsega na X osi.',
        'The selected date is not valid.' => 'Izabrani datum nije važeći.',
        'The selected end time is before the start time.' => 'Izabrano vreme završetka je pre vremena početka.',
        'There is something wrong with your time selection.' => 'Nešto nije u redu sa vašim izborom vremena.',
        'Please select only one element or allow modification at stat generation time.' =>
            'Molimo da izaberete samo jedan element ili dozvolite izmene u vreme generisanja starta!',
        'Please select at least one value of this field or allow modification at stat generation time.' =>
            'Molimo da izaberete barem jednu vrednost ovog polja ili dozvolite izmenu u vreme generisanja statistike.',
        'Please select one element for the X-axis.' => 'Molimo da izaberete jedan element za X-osu.',
        'You can only use one time element for the Y axis.' => 'Možete koristiti samo jedan vremenski element za Y osu.',
        'You can only use one or two elements for the Y axis.' => 'Možete da koristite samo jedan ili dva elementa za Y osu.',
        'Please select at least one value of this field.' => 'Molimo da izaberete bar jednu vrednost za ovo polje.',
        'Please provide a value or allow modification at stat generation time.' =>
            'Molimo da obezbedite vrednost ili dozvolite izmene u vreme generisanja starta.',
        'Please select a time scale.' => 'Molimo da odaberete vremenski opseg.',
        'Your reporting time interval is too small, please use a larger time scale.' =>
            'Vaš interval izveštavanja je prekratak, molimo upotrebite veći raspon vremena.',
        'second(s)' => 'sekunde(e)',
        'quarter(s)' => 'tromesečje(a)',
        'half-year(s)' => 'polugodište(a)',
        'Please remove the following words because they cannot be used for the ticket restrictions: %s.' =>
            'Molimo da uklonite sledeće reči jer se ne mogu koristiti zbog ograničenja tiketa: %s.',

        # Perl Module: Kernel/Output/HTML/SysConfig.pm
        'Cancel editing and unlock this setting' => 'Odustani od promene i otključaj ovo podešavanje',
        'Reset this setting to its default value.' => 'Poništi ovo podešavanje na podrazumevanu vrednost',
        'Unable to load %s!' => 'Nije moguće učitati %s!',
        'Content' => 'Sadržaj',

        # Perl Module: Kernel/Output/HTML/TicketMenu/Lock.pm
        'Unlock to give it back to the queue' => 'Otključajte za vraćanje u red',
        'Lock it to work on it' => 'Zaključajte za rad na tiketu',

        # Perl Module: Kernel/Output/HTML/TicketMenu/TicketWatcher.pm
        'Unwatch' => 'Prekini nadzor',
        'Remove from list of watched tickets' => 'Ukloni sa liste praćenih tiketa',
        'Watch' => 'Posmatraj',
        'Add to list of watched tickets' => 'Dodaj na listu praćenih tiketa',

        # Perl Module: Kernel/Output/HTML/TicketOverviewMenu/Sort.pm
        'Order by' => 'Sortiraj po',

        # Perl Module: Kernel/Output/HTML/ToolBar/TicketLocked.pm
        'Locked Tickets New' => 'Novi zaključani tiketi',
        'Locked Tickets Reminder Reached' => 'Dostignut podsetnik zaključanih tiketa',
        'Locked Tickets Total' => 'Ukupno zaključnih tiketa',

        # Perl Module: Kernel/Output/HTML/ToolBar/TicketResponsible.pm
        'Responsible Tickets New' => 'Novi odgovorni tiketi',
        'Responsible Tickets Reminder Reached' => 'Dostignut podsetnik odgovornih tiketa',
        'Responsible Tickets Total' => 'Ukupno odgovornih tiketa',

        # Perl Module: Kernel/Output/HTML/ToolBar/TicketWatcher.pm
        'Watched Tickets New' => 'Novi praćeni tiketi',
        'Watched Tickets Reminder Reached' => 'Dostignut podsetnik praćenih tiketa',
        'Watched Tickets Total' => 'Ukupno praćenih tiketa',

        # Perl Module: Kernel/Output/PDF/Ticket.pm
        'Ticket Dynamic Fields' => 'Dinamička polja tiketa',

        # Perl Module: Kernel/System/ACL/DB/ACL.pm
        'Couldn\'t read ACL configuration file. Please make sure the file is valid.' =>
            'Učitavanje ACL konfiguracije nije bilo moguće. Molimo proverite da li je fajl ispravan.',

        # Perl Module: Kernel/System/Auth.pm
        'It is currently not possible to login due to a scheduled system maintenance.' =>
            'Prijava trenutno nije moguća zbog planiranog održavanja sistema.',

        # Perl Module: Kernel/System/AuthSession/DB.pm
        'Session invalid. Please log in again.' => 'Sesija je nevažeća. Molimo prijavite se ponovo.',
        'Session has timed out. Please log in again.' => 'Vreme sesije je isteklo. Molimo prijavite se ponovo.',

        # Perl Module: Kernel/System/Calendar/Event/Transport/Email.pm
        'PGP sign only' => 'Samo PGP potpis',
        'PGP encrypt only' => 'Samo PGP šifrovanje',
        'SMIME sign only' => 'Samo SMIME potpis',
        'SMIME encrypt only' => 'Samo SMIME šifrovanje',
        'PGP and SMIME not enabled.' => 'PGP i SMIME nisu omogućeni!',
        'Skip notification delivery' => 'Preskoči dostavu obaveštenja',
        'Send unsigned notification' => 'Pošalji nepotpisano obaveštenje',
        'Send unencrypted notification' => 'Pošalji nešifovano obaveštenje',

        # Perl Module: Kernel/System/Console/Command/Dev/Tools/Config2Docbook.pm
        'Configuration Options Reference' => 'Referentni spisak konfiguracionih opcija',
        'This setting can not be changed.' => 'Ovo podešavanje se ne može menjati.',
        'This setting is not active by default.' => 'Ovo podešavanje nije podrazumevano aktivno.',
        'This setting can not be deactivated.' => 'Ovo podešavanje se ne može deaktivirati.',
        'This setting is not visible.' => 'Ovo podešavanje nije vidljivo.',
        'This setting can be overridden in the user preferences.' => 'Ovo podešavanje može biti pregaženo u ličnim podešavanjima korisnika.',
        'This setting can be overridden in the user preferences, but is not active by default.' =>
            'Ovo podešavanje može biti pregaženo u ličnim podešavanjima korisnika, ali nije podrazumevano aktivno.',

        # Perl Module: Kernel/System/CustomerUser.pm
        'Customer user "%s" already exists.' => 'Klijent korisnik "%s" već postoji.',

        # Perl Module: Kernel/System/CustomerUser/DB.pm
        'This email address is already in use for another customer user.' =>
            'Ova adresa elektronske pošte je već iskorišćena za drugog klijent korisnika.',

        # Perl Module: Kernel/System/DynamicField/Driver/BaseDateTime.pm
        'before/after' => 'pre/posle',
        'between' => 'između',

        # Perl Module: Kernel/System/DynamicField/Driver/BaseText.pm
        'e.g. Text or Te*t' => 'npr. Text ili Te*t',

        # Perl Module: Kernel/System/DynamicField/Driver/Checkbox.pm
        'Ignore this field.' => 'Ignoriši ovo polje.',

        # Perl Module: Kernel/System/DynamicField/Driver/TextArea.pm
        'This field is required or' => 'Ovo polje je obavezno ili',
        'The field content is too long!' => 'Sadržaj polja je predugačak!',
        'Maximum size is %s characters.' => 'Maksimalna veličina je %s karaktera.',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOACLDeploy.pm
        'Deploy the ACL configuration.' => '',
        'Deployment completed, perfect!' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOAutoResponseTemplatesMigrate.pm
        'Migrate database table auto_responses.' => '',
        'Migration failed.' => '',
        'Migrate database table auto_response.' => '',
        'Migration completed, perfect!' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOCacheCleanup.pm
        'OTOBO Cache cleanup.' => '',
        'Completed.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOCopyFilesFromOTRS.pm
        'Check if OTOBO version is correct.' => '',
        'Check if OTOBO and OTRS connect is possible.' => '',
        'Can\'t open RELEASE file from OTRSHome: %s!' => '',
        'Copy and migrate files from OTRS' => '',
        'All needed files copied and migrated, perfect!' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBODatabaseMigrate.pm
        'Need %s for Oracle db!' => '',
        'Copy database.' => '',
        'System was unable to connect to OTRS database.' => '',
        'System was unable to complete data transfer.' => '',
        'Data transfer completed.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOFrameworkVersionCheck.pm
        'Check if OTOBO and OTRS version is correct.' => '',
        '%s does not exist!' => '',
        'Can\'t read OTOBO RELEASE file: %s: %s!' => '',
        'No OTOBO system found!' => '',
        'You are trying to run this script on the wrong framework version %s!' =>
            '',
        'OTOBO Version is correct: %s.' => '',
        'Check if OTRS version is correct.' => '',
        'Can\'t read OTRS RELEASE file: %s: %s!' => '',
        'No OTRS system found!' => '',
        'OTRS Version is correct: %s.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOInvalidSettingsCheck.pm
        'Check for invalid configuration settings.' => '',
        'Invalid setting detected.' => '',
        'No invalid setting detected, perfect!' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOMigrateConfigFromOTRS.pm
        'Migrate configuration settings.' => '',
        'An error occured during SysConfig data migration or no configuration exists.' =>
            '',
        'An error occured during SysConfig data migration.' => '',
        'SysConfig data migration completed.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOMigrateWebServiceConfiguration.pm
        'Migrate web service configuration.' => '',
        'No web service existent, done.' => '',
        'Can\'t add web service for Elasticsearch. File %s not found!.' =>
            '',
        'Migration completed. Please activate the web service in Admin -> Web Service when ElasticSearch installation is completed.' =>
            '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBONotificationMigrate.pm
        'Migrate database table notification.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOOTRSConnectionCheck.pm
        'Can\'t open Kernel/Config.pm file from OTRSHome: %s!' => '',
        'OTOBO Home exists.' => '',
        'Check if we are able to connect to OTRS Home.' => '',
        'Can\'t connect to OTRS file directory.' => '',
        'Connect to OTRS file directory is possible.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOOTRSDBCheck.pm
        'Try database connect and sanity checks.' => '',
        'Connect to OTRS database or sanity checks failed.' => '',
        'Database connect and sanity checks completed.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOOTRSPackageCheck.pm
        'Check if all necessary packages are installed.' => '',
        'The following packages are only installed in OTRS:' => '',
        'Please install (or uninstall) the packages before migration. If a package doesn\'t exist for OTOBO so far, please contact the OTOBO Team at bugs\@otobo.org. We will find a solution.' =>
            '',
        'The same packages are installed on both systems, perfect!' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOOTRSPackageMigration.pm
        'Check if %s!' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOPerlModulesCheck.pm
        'Check if all needed Perl modules have been installed.' => '',
        '%s script does not exist.' => '',
        'One or more required Perl modules are missing. Please install them as recommended, and run the migration script again.' =>
            '',
        'All required Perl modules have been installed, perfect!' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOProcessDeploy.pm
        'Deploy the process management configuration.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBORebuildConfig.pm
        'OTOBO config rebuild.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBORebuildConfigCleanup.pm
        'OTOBO Config cleanup.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOResponseTemplatesMigrate.pm
        'Migrate database table response_template.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOSalutationsMigrate.pm
        'Migrate database table salutation.' => '',

        # Perl Module: Kernel/System/MigrateFromOTRS/OTOBOSignaturesMigrate.pm
        'Migrate database table signature.' => '',

        # Perl Module: Kernel/System/NotificationEvent.pm
        'Couldn\'t read Notification configuration file. Please make sure the file is valid.' =>
            'Učitavanje konfiguracije obaveštenja nije bilo moguće. Molimo proverite da li je fajl ispravan.',
        'Imported notification has body text with more than 4000 characters.' =>
            'Tekst sadržaja uvezenog obaveštenja ima više od 4000 karaktera.',

        # Perl Module: Kernel/System/Package.pm
        'not installed' => 'nije instalirano',
        'installed' => 'instalirano',
        'Unable to parse repository index document.' => 'Nije moguće raščlaniti spremište indeksa dokumenta.',
        'No packages for your framework version found in this repository, it only contains packages for other framework versions.' =>
            'Nema paketa za verziju vašeg sistema, u spremištu su samo paketi za druge verzije.',
        'File is not installed!' => 'Datoteka nije instalirana!',
        'File is different!' => 'Datoteka je različita!',
        'Can\'t read file!' => 'Nemoguće čitanje datoteke!',
        '<p>If you continue to install this package, the following issues may occur:</p><ul><li>Security problems</li><li>Stability problems</li><li>Performance problems</li></ul><p>Please note that issues that are caused by working with this package are not covered by OTOBO service contracts.</p>' =>
            '<p>Ako nastavite sa instalacijom ovog paketa, mogu se javiti sledeći problemi:</p><ul><li>Bezbednosni problemi</li><li>Problemi stabilnosti</li><li>Problemi u performansama</li></ul><p>Napominjemo da problemi nastali usled rada sa ovim paketom nisu pokriveni OTOBO servisnim ugovorom.</p>',
        '<p>The installation of packages which are not verified by the OTOBO Team is not possible by default. You can activate the installation of not verified packages via the "AllowNotVerifiedPackages" system configuration setting.</p>' =>
            '<p>Instalacija paketa koji nisu verifikovani od strane OTRS grupe nije podrazumevano omogućena. Možete aktivirati instalaciju neverifikovanih paketa putem "AllowNotVerifiedPackages" opcije u sistemskoj konfiguraciji.</p>',

        # Perl Module: Kernel/System/ProcessManagement/DB/Process.pm
        'The process "%s" and all of its data has been imported successfully.' =>
            'Proces "%s" i sve informacije vezane za njega su uspešno uvezeni.',

        # Perl Module: Kernel/System/ProcessManagement/DB/Process/State.pm
        'Inactive' => 'Neaktivno',
        'FadeAway' => 'U gašenju',

        # Perl Module: Kernel/System/Registration.pm
        'Can\'t contact registration server. Please try again later.' => 'Ne možete da kontaktirate server za registraciju. Molimo pokušajte ponovo kasnije.',
        'No content received from registration server. Please try again later.' =>
            'Sadržaj nije primljen od servera za registraciju. Molimo pokušajte ponovo kasnije.',
        'Can\'t get Token from sever' => 'Ne mogu pribaviti token od servera',
        'Username and password do not match. Please try again.' => 'Korisničko ime i lozinka se ne poklapaju. Molimo pokušajte ponovo.',
        'Problems processing server result. Please try again later.' => 'Problemi u obradi rezultata servera. Molimo pokušajte ponovo kasnije.',

        # Perl Module: Kernel/System/Stats.pm
        'Sum' => 'Zbir',
        'week' => 'nedelja',
        'quarter' => 'tromesečje',
        'half-year' => 'polugodište',

        # Perl Module: Kernel/System/Stats/Dynamic/Ticket.pm
        'State Type' => 'Tip statusa',
        'Created Priority' => 'Napravljeni prioriteti',
        'Created State' => 'Kreirani status',
        'Create Time' => 'Vreme kreiranja',
        'Pending until time' => 'Vreme čekanja',
        'Close Time' => 'Vreme zatvaranja',
        'Escalation' => 'Eskalacija',
        'Escalation - First Response Time' => 'Eskalacija - vreme prvog odziva',
        'Escalation - Update Time' => 'Eskalacija - vreme ažuriranja',
        'Escalation - Solution Time' => 'Eskalacija - vreme rešavanja',
        'Agent/Owner' => 'Operater/Vlasnik',
        'Created by Agent/Owner' => 'Kreirao Operater/Vlasnik',
        'Assigned to Customer User Login' => 'Dodeljeni klijent korisnik',

        # Perl Module: Kernel/System/Stats/Dynamic/TicketAccountedTime.pm
        'Evaluation by' => 'Procenio',
        'Ticket/Article Accounted Time' => 'Obračunato vreme',
        'Ticket Create Time' => 'Vreme otvaranja tiketa',
        'Ticket Close Time' => 'Vreme zatvaranja tiketa',
        'Accounted time by Agent' => 'Obračunato vreme po operateru',
        'Total Time' => 'Ukupno vreme',
        'Ticket Average' => 'Prosečno vreme po tiketu',
        'Ticket Min Time' => 'Minimalno vreme tiketa',
        'Ticket Max Time' => 'Maksimalno vreme tiketa',
        'Number of Tickets' => 'Broj tiketa',
        'Article Average' => 'Prosečno vreme po članku',
        'Article Min Time' => 'Minimalno vreme članka',
        'Article Max Time' => 'Maksimalno vreme članka',
        'Number of Articles' => 'Broj članaka',

        # Perl Module: Kernel/System/Stats/Dynamic/TicketList.pm
        'unlimited' => 'neograničeno',
        'Attributes to be printed' => 'Atributi za štampu',
        'Sort sequence' => 'Redosled sortiranja',
        'State Historic' => 'Istorijat statusa',
        'State Type Historic' => 'Istorijat tipa statusa',
        'Historic Time Range' => 'Vremenski opseg istorijata',
        'Number' => 'Broj',
        'Last Changed' => 'Posledni put promenjeno',

        # Perl Module: Kernel/System/Stats/Dynamic/TicketSolutionResponseTime.pm
        'Solution Average' => 'Prosečno vreme rešenja',
        'Solution Min Time' => 'Minimalno vreme rešenja',
        'Solution Max Time' => 'Maksimalno vreme rešenja',
        'Solution Average (affected by escalation configuration)' => 'Prosečno vreme rešenja (pod uticajem postavki eskalacije)',
        'Solution Min Time (affected by escalation configuration)' => 'Minimalno vreme rešenja (pod uticajem postavki eskalacije)',
        'Solution Max Time (affected by escalation configuration)' => 'Maksimalno vreme rešenja (pod uticajem postavki eskalacije)',
        'Solution Working Time Average (affected by escalation configuration)' =>
            'Prosečno radno vreme rešenja (pod uticajem postavki eskalacije)',
        'Solution Min Working Time (affected by escalation configuration)' =>
            'Minimalno radno vreme rešenja (pod uticajem postavki eskalacije)',
        'Solution Max Working Time (affected by escalation configuration)' =>
            'Maksimalno radno vreme rešenja (pod uticajem postavki eskalacije)',
        'First Response Average (affected by escalation configuration)' =>
            'Prosečno vreme prvog odgovora (pod uticajem postavki eskalacije)',
        'First Response Min Time (affected by escalation configuration)' =>
            'Minimalno vreme prvog odgovora (pod uticajem postavki eskalacije)',
        'First Response Max Time (affected by escalation configuration)' =>
            'Maksimalno vreme prvog odgovora (pod uticajem postavki eskalacije)',
        'First Response Working Time Average (affected by escalation configuration)' =>
            'Prosečno radno vreme prvog odgovora (pod uticajem postavki eskalacije)',
        'First Response Min Working Time (affected by escalation configuration)' =>
            'Minimalno radno vreme prvog odgovora (pod uticajem postavki eskalacije)',
        'First Response Max Working Time (affected by escalation configuration)' =>
            'Maksimalno radno vreme prvog odgovora (pod uticajem postavki eskalacije)',
        'Number of Tickets (affected by escalation configuration)' => 'Broj tiketa (pod uticajem postavki eskalacije)',

        # Perl Module: Kernel/System/Stats/Static/OpenTicketCountPerDayPeriod.pm
        'Days' => 'Dani',
        'Queues / Tickets' => '',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/OutdatedTables.pm
        'Outdated Tables' => 'Zastarele tabele',
        'Outdated tables were found in the database. These can be removed if empty.' =>
            'U bazi podataka su pronađene zastarele tabele. Ukoliko su prazne, tabele mogu biti slobodno uklonjene.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/TablePresence.pm
        'Table Presence' => 'Prisustvo tabele',
        'Internal Error: Could not open file.' => 'Interna greška: Nije moguće otvoriti datoteku.',
        'Table Check' => 'Provera tabele',
        'Internal Error: Could not read file.' => 'Interna greška: Nije moguće pročitati datoteku.',
        'Tables found which are not present in the database.' => 'Pronađene tabele koje nisu prisutne u bazi podataka.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/mssql/Size.pm
        'Database Size' => 'Veličina baze podataka',
        'Could not determine database size.' => 'Nije moguće utvrditi veličinu baze podataka.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/mssql/Version.pm
        'Database Version' => 'Verzija baze podataka',
        'Could not determine database version.' => 'Nije moguće utvrditi verziju baze podataka',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/mysql/Charset.pm
        'Client Connection Charset' => 'Karakterset za povezivanje klijenta',
        'Setting character_set_client needs to be utf8.' => 'Podešavanje character_set_client mora biti utf8.',
        'Server Database Charset' => 'Karakterset serverske baze podataka',
        'The setting character_set_database needs to be \'utf8\'.' => 'Podešavanje character_set_database mora biti \'utf8\'.',
        'Table Charset' => 'Tabela karakterseta',
        'There were tables found which do not have \'utf8\' as charset.' =>
            'Pronađene su tabele koje nemaju \'utf8\' kao karakterset.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/mysql/InnoDBLogFileSize.pm
        'InnoDB Log File Size' => 'Veličina InnoDB log datoteke',
        'The setting innodb_log_file_size must be at least 256 MB.' => 'Podešavanje innodb_log_file_size mora biti barem 256 MB.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/mysql/InvalidDefaultValues.pm
        'Invalid Default Values' => 'Neispravne podrazumevane vrednosti',
        'Tables with invalid default values were found. In order to fix it automatically, please run: bin/otobo.Console.pl Maint::Database::Check --repair' =>
            'Pronađene su tabele sa neispravnim podrazumevanim vrednostima. Da biste ih automatski ispravili, molimo pokrenite bin/otobo.Console.pl Maint::Database::Check --repair',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/mysql/MaxAllowedPacket.pm
        'Maximum Query Size' => 'Maksimalna veličina upita',
        'The setting \'max_allowed_packet\' must be higher than 64 MB.' =>
            'Podešavanje \'max_allowed_packet\' mora biti više od 64 MB.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/mysql/Performance.pm
        'Query Cache Size' => 'Veličina keš upita',
        'The setting \'query_cache_size\' should be used (higher than 10 MB but not more than 512 MB).' =>
            'Podešavanje \'query_cache_size\' mora biti korišćeno (veće od 10 MB, ali ne više od 512 MB)',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/mysql/StorageEngine.pm
        'Default Storage Engine' => 'Podrazumevani mehanizam za skladištenje',
        'Table Storage Engine' => 'Mehanizam za skladištenje tabele',
        'Tables with a different storage engine than the default engine were found.' =>
            'Pronađene su tabele sa različitim mehanizmom za skladištenje nego što je predefinisani mehanizam.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/mysql/Version.pm
        'MySQL 5.x or higher is required.' => 'Neophodan je MySQL 5.x ili više.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/oracle/NLS.pm
        'NLS_LANG Setting' => 'NLS_LANG podešavanje',
        'NLS_LANG must be set to al32utf8 (e.g. GERMAN_GERMANY.AL32UTF8).' =>
            'NLS_LANG mora biti podešen na al32utf8 (npr. GERMAN_GERMANY.AL32UTF8).',
        'NLS_DATE_FORMAT Setting' => 'NLS_DATE_FORMAT podešavanje',
        'NLS_DATE_FORMAT must be set to \'YYYY-MM-DD HH24:MI:SS\'.' => 'NLS_DATE_FORMAT mora biti podešen na \'YYYY-MM-DD HH24:MI:SS\'.',
        'NLS_DATE_FORMAT Setting SQL Check' => 'SQL provera NLS_DATE_FORMAT podešavanja',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/oracle/PrimaryKeySequencesAndTriggers.pm
        'Primary Key Sequences and Triggers' => 'Sekvence i okidači primarnih ključeva',
        'The following sequences and/or triggers with possible wrong names have been found. Please rename them manually.' =>
            'Pronađene su sekvence i/ili okidači sa mogućim pogrešnim nazivima. Molimo vas da im ručno promenite nazive.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/postgresql/Charset.pm
        'Setting client_encoding needs to be UNICODE or UTF8.' => 'Podešavanje client_encoding mora biti UNICODE ili UTF8.',
        'Setting server_encoding needs to be UNICODE or UTF8.' => 'Podešavanje server_encoding mora biti UNICODE ili UTF8.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/postgresql/DateStyle.pm
        'Date Format' => 'Format datuma',
        'Setting DateStyle needs to be ISO.' => 'Podešavanje DateStyle mora biti ISO.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/postgresql/PrimaryKeySequences.pm
        'Primary Key Sequences' => 'Sekvence primarnih ključeva',
        'The following sequences with possible wrong names have been found. Please rename them manually.' =>
            'Pronađene su sekvence sa mogućim pogrešnim nazivima. Molimo vas da im ručno promenite nazive.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Database/postgresql/Version.pm
        'PostgreSQL 9.2 or higher is required.' => 'Neophodan je PostgreSQL 9.2 ili više.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OS/DiskPartitionOTOBO.pm
        'OTOBO Disk Partition' => 'OTOBO particija na disku',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OS/DiskSpace.pm
        'Disk Usage' => 'Korišćenje diska',
        'The partition where OTOBO is located is almost full.' => 'Particija na kojoj je smešten OTRS je skoro puna.',
        'The partition where OTOBO is located has no disk space problems.' =>
            'Particija na kojoj je smešten OTRS nema probleme sa prostorom.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OS/DiskSpacePartitions.pm
        'Disk Partitions Usage' => 'Korišćenje particije na disku',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OS/Distribution.pm
        'Distribution' => 'Raspodela',
        'Could not determine distribution.' => 'Nije moguće utvrditi raspodelu.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OS/KernelVersion.pm
        'Kernel Version' => 'Kernel verzija',
        'Could not determine kernel version.' => 'Nije moguće utvrditi kernel verziju',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OS/Load.pm
        'System Load' => 'Opterećenje sistema',
        'The system load should be at maximum the number of CPUs the system has (e.g. a load of 8 or less on a system with 8 CPUs is OK).' =>
            'Opterećenje sistema može biti najviše broj procesora koje sistem poseduje (npr. opterećenje od 8 ili manje na sistemu sa 8 jezgara je u redu).',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OS/PerlModules.pm
        'Perl Modules' => 'Perl moduli',
        'Not all required Perl modules are correctly installed.' => 'Svi zahtevani Perl moduli nisu korektno instalirani.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OS/PerlModulesAudit.pm
        'Perl Modules Audit' => 'Sigurnosna provera Perl modula',
        'CPAN::Audit reported that one or more installed Perl modules have known vulnerabilities. Please note that there might be false positives for distributions patching Perl modules without changing their version number.' =>
            'CPAN::Audit je detektovao jedan ili više ranjivih Perl modula instaliranih na sistemu. Molimo obratite pažnju da su mogući lažno pozitivni rezultati za distribucije koje osvežavaju Perl module bez promene njihove verzije.',
        'CPAN::Audit did not report any known vulnerabilities in the installed Perl modules.' =>
            'CPAN::Audit nije detektovao ranjive Perl module instalirane na sistemu.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OS/Swap.pm
        'Free Swap Space (%)' => 'Slobodni Swap prostor (%)',
        'No swap enabled.' => 'Razmenjivanje nije aktivirano.',
        'Used Swap Space (MB)' => 'Upotrebljen Swap prostor (MB)',
        'There should be more than 60% free swap space.' => 'Mora postojati više od 60 % slobodnog swap prostora',
        'There should be no more than 200 MB swap space used.' => 'Ne treba da bude više od 200 MB upotrebljenog Swap prostora.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/ArticleSearchIndexStatus.pm
        'OTOBO' => 'OTOBO',
        'Article Search Index Status' => 'Stanje indeksa pretrage članaka',
        'Indexed Articles' => 'Indeksiranih članaka',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/ArticlesPerCommunicationChannel.pm
        'Articles Per Communication Channel' => 'Članaka po komunikacionom kanalu',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/CommunicationLog.pm
        'Incoming communications' => 'Dolazne komunikacije',
        'Outgoing communications' => 'Odlazne komunikacije',
        'Failed communications' => 'Neuspele komunikacije',
        'Average processing time of communications (s)' => 'Prosečno vreme trajanja komunikacija (s)',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/CommunicationLogAccountStatus.pm
        'Communication Log Account Status (last 24 hours)' => 'Stanje naloga komunikacionog loga (poslednjih 24 sata)',
        'No connections found.' => 'Nisu pronađene konekcije.',
        'ok' => 'u redu',
        'permanent connection errors' => 'trajne greške u konekciji',
        'intermittent connection errors' => 'povremene greške u konekciji',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/ConfigSettings.pm
        'Config Settings' => 'Podešavanja konfiguracije',
        'Could not determine value.' => 'Nije moguće utvrditi vrednost.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/DaemonRunning.pm
        'Daemon' => 'Sistemski servis',
        'Daemon is running.' => 'Servis radi.',
        'Daemon is not running.' => 'Servis ne radi.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/DatabaseRecords.pm
        'Database Records' => 'Zapisi u bazi podataka',
        'Ticket History Entries' => 'Istorija unosa tiketa',
        'Articles' => 'Članci',
        'Attachments (DB, Without HTML)' => 'Prilozi (baza podataka, bez HTML)',
        'Customers With At Least One Ticket' => 'Klijenti sa bar jednim tiketom',
        'Dynamic Field Values' => 'Vrednosti dinamičkog polja',
        'Invalid Dynamic Fields' => 'Nevažeća dinamička polja.',
        'Invalid Dynamic Field Values' => 'Nevažeće vrednosti dinamičkih polja.',
        'GenericInterface Webservices' => 'GenericInterface veb servis',
        'Process Tickets' => 'Proces tiketi',
        'Months Between First And Last Ticket' => 'Meseci između prvog i poslednjeg tiketa',
        'Tickets Per Month (avg)' => 'Tiketi mesečno (prosečno)',
        'Open Tickets' => 'Otvoreni tiketi',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/DefaultSOAPUser.pm
        'Default SOAP Username And Password' => 'Podrazumevano SOAP korisničko ime i lozinka',
        'Security risk: you use the default setting for SOAP::User and SOAP::Password. Please change it.' =>
            'Sigurnosni rizik: koristite podrazumevana podešavanja za SOAP::User i SOAP::Password. Molimo promenite ga.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/DefaultUser.pm
        'Default Admin Password' => 'Predefinisana lozinka administratora',
        'Security risk: the agent account root@localhost still has the default password. Please change it or invalidate the account.' =>
            'Sigurnosni rizik: agent nalog root@localhost još uvek ima predefinisanu lozinku. Molimo promenite je ili deaktivirajte nalog.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/EmailQueue.pm
        'Email Sending Queue' => 'Red za slanje imejlova',
        'Emails queued for sending' => 'Broj imejlova zakazanih za slanje',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/FQDN.pm
        'FQDN (domain name)' => 'FQDN (naziv domena)',
        'Please configure your FQDN setting.' => 'Molimo da konfigurišete FQDN podešavanje.',
        'Domain Name' => 'Naziv domena',
        'Your FQDN setting is invalid.' => 'Vaša FQDN podešavanja su nevažeća.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/FileSystemWritable.pm
        'File System Writable' => 'Omogućeno pisanje u sistem datoteka.',
        'The file system on your OTOBO partition is not writable.' => 'Nije moguće pisanje u sistem datoteka na vašoj OTOBO particiji.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/LegacyConfigBackups.pm
        'Legacy Configuration Backups' => 'Rezervne kopije prošlih konfiguracija',
        'No legacy configuration backup files found.' => 'Nisu pronađene rezervne kopije prošlih konfiguracija.',
        'Legacy configuration backup files found in Kernel/Config/Backups folder, but they might still be required by some packages.' =>
            'Pronađene su rezervne kopije prošlih konfiguracija u Kernel/Config/Backups, međutim mogu biti neophodne za rad instaliranih paketa.',
        'Legacy configuration backup files are no longer needed for the installed packages, please remove them from Kernel/Config/Backups folder.' =>
            'Rezervne kopije prošlih konfiguracija više nisu neophodne za rad instaliranih paketa, molimo uklonite ih iz Kernel/Config/Backups.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/PackageDeployment.pm
        'Package Installation Status' => 'Status instalacije paketa',
        'Some packages have locally modified files.' => 'Neki paketi sadrže lokalno izmenjene datoteke.',
        'Some packages are not correctly installed.' => 'Neki paketi nisu ispravno instalirani.',
        'Package Verification Status' => 'Status verifikacije paketa',
        'Some packages are not verified by the OTOBO Team! It is recommended not to use this packages.' =>
            'Neki paketi nisu verifikovani od strane OTRS grupe! Preporučuje se da ne koristite ove pakete.',
        'Package Framework Version Status' => 'Status paketa za verziju sistema',
        'Some packages are not allowed for the current framework version.' =>
            'Neki paketi nisu dozvoljeni za verziju vašeg sistema. ',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/PackageList.pm
        'Package List' => 'Lista paketa',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/SessionConfigSettings.pm
        'Session Config Settings' => 'Podešavanja sesija',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/SpoolMails.pm
        'Spooled Emails' => 'Imejlovi u redu čekanja',
        'There are emails in var/spool that OTOBO could not process.' => 'Postoje imejlovi u var/spool koje OTOBO ne može da obradi.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/SystemID.pm
        'Your SystemID setting is invalid, it should only contain digits.' =>
            'Vaša podešavanje SystemID je nevažeće, treba da sadrži samo cifre.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/Ticket/DefaultType.pm
        'Default Ticket Type' => 'Podrazumevani tip tiketa',
        'The configured default ticket type is invalid or missing. Please change the setting Ticket::Type::Default and select a valid ticket type.' =>
            'Podešeni podrazumevani tip tiketa je nevažeći ili nedostaje. Molimo promenite podešavanje Ticket::Type::Default i izaberite važeći tip tiketa.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/Ticket/IndexModule.pm
        'Ticket Index Module' => 'Tiket indeks modul',
        'You have more than 60,000 tickets and should use the StaticDB backend. See admin manual (Performance Tuning) for more information.' =>
            'Imate više od 60.000 tiketa i treba da koristite StaticDB modul. Pogledajte administratorsko uputstvo (Podešavanje performansi) za više informacija.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/Ticket/InvalidUsersWithLockedTickets.pm
        'Invalid Users with Locked Tickets' => 'Neispravni korisnici sa zaključanim tiketima',
        'There are invalid users with locked tickets.' => 'Postoje neispravni korisnici sa zaključanim tiketima.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/Ticket/OpenTickets.pm
        'You should not have more than 8,000 open tickets in your system.' =>
            'Ne bi trebalo da imate više od 8.000 otvorenih tiketa u sistemu.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/Ticket/SearchIndexModule.pm
        'Ticket Search Index Module' => 'Modul za indeksnu pretragu tiketa',
        'The indexing process forces the storage of the original article text in the article search index, without executing filters or applying stop word lists. This will increase the size of the search index and thus may slow down fulltext searches.' =>
            'Proces indeksiranja će uključiti spremanje originalnog teksta članka u indeksu pretrage, bez izvršavanja filtera ili uklanjanja zaustavnih reči. Ovo će uvećati veličinu indeksa pretrage i može usporiti tekstualnu pretragu.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/Ticket/StaticDBOrphanedRecords.pm
        'Orphaned Records In ticket_lock_index Table' => 'Napušteni zapisi u ticket_lock_index tabeli',
        'Table ticket_lock_index contains orphaned records. Please run bin/otobo.Console.pl "Maint::Ticket::QueueIndexCleanup" to clean the StaticDB index.' =>
            'Tabela ticket_lock_index sadrži nepovezane zapise. Molimo da pokrenete bin/otobo.Console.pl Maint::Ticket::QueueIndexCleanup da bi očistili StaticDB indeks.',
        'Orphaned Records In ticket_index Table' => 'Napušteni zapisi u ticket_index tabeli',
        'Table ticket_index contains orphaned records. Please run bin/otobo.Console.pl "Maint::Ticket::QueueIndexCleanup" to clean the StaticDB index.' =>
            'Tabela ticket_lindex sadrži nepovezane zapise. Molimo da pokrenete bin/otobo.Console.pl Maint::Ticket::QueueIndexCleanup da bi očistili StaticDB indeks.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/TimeSettings.pm
        'Time Settings' => 'Podešavanja vremena',
        'Server time zone' => 'Vremenska zona servera',
        'OTOBO time zone' => 'OTOBO vremenska zona',
        'OTOBO time zone is not set.' => 'OTOBO vremenska zona nije podešena.',
        'User default time zone' => 'Podrazumevana vremenska zona korisnika',
        'User default time zone is not set.' => 'Podrazumevana vremenska zona korisnika nije podešena.',
        'Calendar time zone is not set.' => 'Vremenska zona kalendara nije podešena.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/UI/AgentSkinUsage.pm
        'UI - Agent Skin Usage' => 'UI - izgledi interfejsa operatera u korišćenju',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/UI/AgentThemeUsage.pm
        'UI - Agent Theme Usage' => 'UI - teme interfejsa operatera u korišćenju',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/OTOBO/UI/SpecialStats.pm
        'UI - Special Statistics' => 'UI - posebne statistike',
        'Agents using custom main menu ordering' => 'Operateri sa prilagođenim redosledom glavnog menija',
        'Agents using favourites for the admin overview' => 'Operateri sa omiljenim stavkama za administratorski pregled',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Webserver/Apache/LoadedModules.pm
        'Webserver' => 'Veb server',
        'Loaded Apache Modules' => 'Učitani Apache moduli',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Webserver/Apache/MPMModel.pm
        'MPM model' => 'MPM model',
        'OTOBO requires apache to be run with the \'prefork\' MPM model.' =>
            'OTOBO zahteva da Apache bude pokrenut sa \'prefork\' MPM modelom.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Webserver/Apache/Performance.pm
        'CGI Accelerator Usage' => 'Upotreba CGI Accelerator',
        'You should use FastCGI or mod_perl to increase your performance.' =>
            'Za povećanje performansi treba da koristite FastCGI ili mod_perl.',
        'mod_deflate Usage' => 'Upotreba mod_deflate',
        'Please install mod_deflate to improve GUI speed.' => 'Molimo instalirajte mod_deflate za ubrzavanje grafičkog interfejsa.',
        'mod_filter Usage' => 'Korišćenje mod_filter',
        'Please install mod_filter if mod_deflate is used.' => 'Molimo da instalirate mod_filter ako je mod_deflate upotrebljen.',
        'mod_headers Usage' => 'Upotreba mod_headers',
        'Please install mod_headers to improve GUI speed.' => 'Molimo instalirajte mod_headers za ubrzavanje grafičkog interfejsa.',
        'Apache::Reload Usage' => 'Upotreba Apache::Reload',
        'Apache::Reload or Apache2::Reload should be used as PerlModule and PerlInitHandler to prevent web server restarts when installing and upgrading modules.' =>
            'Apache::Reload ili Apache2::Reload se koriste kao Perl modul i PerlInitHandler radi zaštite od restartovanja veb servera tokom instaliranja ili nadogradnje modula.',
        'Apache2::DBI Usage' => 'Upotreba Apache2::DBI',
        'Apache2::DBI should be used to get a better performance  with pre-established database connections.' =>
            'Apache2::DBI bi trebalo koristiti za bolje performanse sa unapred uspostavljenim vezama sa bazom podataka.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Webserver/EnvironmentVariables.pm
        'Environment Variables' => 'Promenljive za okruženje',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Webserver/InternalWebRequest.pm
        'Support Data Collection' => 'Sakupljanje podataka podrške',
        'Support data could not be collected from the web server.' => 'Podaci podrške ne mogu biti prikupljeni sa veb servera.',

        # Perl Module: Kernel/System/SupportDataCollector/Plugin/Webserver/Version.pm
        'Webserver Version' => 'Veb server verzija',
        'Could not determine webserver version.' => 'Ne može da prepozna veb server verziju.',

        # Perl Module: Kernel/System/SupportDataCollector/PluginAsynchronous/OTOBO/ConcurrentUsers.pm
        'Concurrent Users Details' => 'Detalji istovremenih korisnika',
        'Concurrent Users' => 'Istovremeni korisnici',

        # Perl Module: Kernel/System/SupportDataCollector/PluginBase.pm
        'OK' => 'U redu',
        'Problem' => 'Problem',

        # Perl Module: Kernel/System/SysConfig.pm
        'Setting %s does not exists!' => 'Podešavanje %s ne postoji!',
        'Setting %s is not locked to this user!' => 'Podešavanje %s nije zaključano na ovog korisnika!',
        'Setting value is not valid!' => 'Vrednost podešavanja je nevažeća!',
        'Could not add modified setting!' => 'Nije moguće dodati promenjeno podešavanje!',
        'Could not update modified setting!' => 'Nije moguće ažurirati promenjeno podešavanje!',
        'Setting could not be unlocked!' => 'Nije moguće otključati podešavanje!',
        'Missing key %s!' => 'Nedostaje ključ %s!',
        'Invalid setting: %s' => 'Nevažeće podešavanje: %s',
        'Could not combine settings values into a perl hash.' => 'Nije bilo moguće iskombinovati vrednost podešavanja u perl mapu.',
        'Can not lock the deployment for UserID \'%s\'!' => 'Nije bilo moguće obezbediti raspoređivanje za UserID \'%s\'!',
        'All Settings' => 'Sva podešavanja',

        # Perl Module: Kernel/System/SysConfig/BaseValueType.pm
        'Default' => 'Podrazumevano',
        'Value is not correct! Please, consider updating this field.' => 'Vrednost nije ispravna! Molimo osvežite ovo polje.',
        'Value doesn\'t satisfy regex (%s).' => 'Vrednost ne zadovoljava regularni izraz (%s).',

        # Perl Module: Kernel/System/SysConfig/ValueType/Checkbox.pm
        'Enabled' => 'Omogućen',
        'Disabled' => 'Onemogućen',

        # Perl Module: Kernel/System/SysConfig/ValueType/Date.pm
        'System was not able to calculate user Date in OTOBOTimeZone!' =>
            'Sistem nije uspeo da izračuna korisnički Date u OTOBOTimeZone!',

        # Perl Module: Kernel/System/SysConfig/ValueType/DateTime.pm
        'System was not able to calculate user DateTime in OTOBOTimeZone!' =>
            'Sistem nije uspeo da izračuna korisnički DateTime u OTOBOTimeZone!',

        # Perl Module: Kernel/System/SysConfig/ValueType/FrontendNavigation.pm
        'Value is not correct! Please, consider updating this module.' =>
            'Vrednost nije ispravna! Molimo osvežite ovaj modul.',

        # Perl Module: Kernel/System/SysConfig/ValueType/VacationDays.pm
        'Value is not correct! Please, consider updating this setting.' =>
            'Vrednost nije ispravna! Molimo osvežite ovo podešavanje.',

        # Perl Module: Kernel/System/Ticket.pm
        'Reset of unlock time.' => 'Poništavanje vremena otključavanja.',

        # Perl Module: Kernel/System/Ticket/Article/Backend/Chat.pm
        'Chat Participant' => 'Učesnik ćaskanja',
        'Chat Message Text' => 'Poruka ćaskanja',

        # Perl Module: Kernel/System/Web/InterfaceAgent.pm
        'Too many fail attempts, please retry again later' => '',
        'Login failed! Your user name or password was entered incorrectly.' =>
            'Neuspešna prijava! Netačno je uneto vaše korisničko ime ili lozinka.',
        'Authentication succeeded, but no user data record is found in the database. Please contact the administrator.' =>
            'Autentifikacija je uspela, ali podaci o klijentu nisu pronađeni u bazi. Molimo kontaktirajte administratora.',
        'Can`t remove SessionID.' => 'SessionID se ne može ukloniti.',
        'Logout successful.' => 'Uspešna odjava.',
        'Feature not active!' => 'Funkcija nije aktivna!',
        'Sent password reset instructions. Please check your email.' => 'Uputstvo za reset lozinke je poslato. Molimo proverite vaše imejlove.',
        'Invalid Token!' => 'Nevažeći Token!',
        'Sent new password to %s. Please check your email.' => 'Poslata nova lozinka za %s. Molimo proverite vaše imejlove.',
        'Error: invalid session.' => 'Greška: nevažeća sesija.',
        'No Permission to use this frontend module!' => 'Nemate dozvolu za  upotrebu ovog korisničkog modula!',

        # Perl Module: Kernel/System/Web/InterfaceCustomer.pm
        'Authentication succeeded, but no customer record is found in the customer backend. Please contact the administrator.' =>
            'Autentifikacija je uspela, ali podaci o klijentu nisu pronađeni u izvoru klijenata. Molimo kontaktirajte administratora.',
        'Reset password unsuccessful. Please contact the administrator.' =>
            'Poništavanje lozinke nije uspelo. Molimo kontaktirajte administratora',
        'This e-mail address already exists. Please log in or reset your password.' =>
            'Ova imejl adresa već postoji. Molimo, prijavite se ili resetujte vašu lozinku.',
        'This email address is not allowed to register. Please contact support staff.' =>
            'Registracija ove imejl adrese nije dozvoljeno. Molimo da kontaktirate podršku.',
        'Added via Customer Panel (%s)' => 'Dodato preko klijentskog panela (%s)',
        'Customer user can\'t be added!' => 'Ne može se dodati klijent korisnik!',
        'Can\'t send account info!' => 'Ne mogu poslati info o nalogu!',
        'New account created. Sent login information to %s. Please check your email.' =>
            'Kreiran je novi nalog. Podaci za prijavu poslati %s. Molimo proverite vaš imejl.',

        # Perl Module: Kernel/System/Web/InterfaceInstaller.pm
        'Action "%s" not found!' => 'Akcija "%s" nije pronađena!',

        # Perl Module: Kernel/System/Web/InterfaceMigrateFromOTRS.pm
        'If you want to re-run the MigrateFromOTRS, disable the SecureMode in the SysConfig.' =>
            '',

        # Database XML Definition: scripts/database/otobo-initial_insert.xml
        'invalid-temporarily' => 'nevažeći-privremeno',
        'Group for default access.' => 'Grupa za podrazumevan pristup.',
        'Group of all administrators.' => 'Grupa svih administratora.',
        'Group for statistics access.' => 'Grupa za pristup statistici.',
        'new' => 'novo',
        'All new state types (default: viewable).' => 'Svi novi tipovi stanja (podrazumevano: vidljivo).',
        'open' => 'otvoreni',
        'All open state types (default: viewable).' => 'Svi otvoreni tipovi stanja (podrazumevano: vidljivo).',
        'closed' => 'zatvoreni',
        'All closed state types (default: not viewable).' => 'Svi zatvoreni tipovi stanja (podrazumevano: vidljivo).',
        'pending reminder' => 'podsetnik čekanja',
        'All \'pending reminder\' state types (default: viewable).' => 'Svi tipovi stanja "podsetnik na čekanju" (podrazumevano: vidljivo).',
        'pending auto' => 'automatsko čekanje',
        'All \'pending auto *\' state types (default: viewable).' => 'Svi tipovi stanja "podsetnik automatski *" (podrazumevano: vidljivo).',
        'removed' => 'uklonjeni',
        'All \'removed\' state types (default: not viewable).' => 'Svi tipovi stanja "uklonjeno" (podrazumevano: vidljivo).',
        'merged' => 'spojeno',
        'State type for merged tickets (default: not viewable).' => 'Tip stanja za spojene tikete (podrazumevano: nije vidljivo).',
        'New ticket created by customer.' => 'Novi tiket koji je otvorio klijent.',
        'closed successful' => 'zatvoreno uspešno',
        'Ticket is closed successful.' => 'Tiket je zatvoren uspešno.',
        'closed unsuccessful' => 'zatvoreno neuspešno',
        'Ticket is closed unsuccessful.' => 'Tiket je zatvoren neuspešno.',
        'Open tickets.' => 'Otvoreni tiketi.',
        'Customer removed ticket.' => 'Klijent je uklonio tiket.',
        'Ticket is pending for agent reminder.' => 'Tiket je na čekanju za operaterski podsetnik.',
        'pending auto close+' => 'čekanje na automatsko zatvaranje+',
        'Ticket is pending for automatic close.' => 'Tiket je na čekanju za automatsko zatvaranje.',
        'pending auto close-' => 'čekanje na automatsko zatvaranje-',
        'State for merged tickets.' => 'Status za spojene tikete.',
        'system standard salutation (en)' => 'standardni sistemski pozdrav (en)',
        'Standard Salutation.' => 'Standardni Pozdrav',
        'system standard signature (en)' => 'standardni sistemski potpis (en)',
        'Standard Signature.' => 'Standardni potpis.',
        'Standard Address.' => 'Standardna adresa.',
        'possible' => 'moguće',
        'Follow-ups for closed tickets are possible. Ticket will be reopened.' =>
            'Nastavljanje na zatvorene tikete je moguće. Tiketi će biti ponovo otvoreni.',
        'reject' => 'odbaci',
        'Follow-ups for closed tickets are not possible. No new ticket will be created.' =>
            'Nastavljanje na zatvorene tikete nije moguće. Novi tiket neće biti kreiran.',
        'new ticket' => 'novi tiket',
        'Follow-ups for closed tickets are not possible. A new ticket will be created.' =>
            'Nastavljanje na zatvorene tikete nije moguće. Novi tiket će biti kreiran.',
        'Postmaster queue.' => 'Postmaster red.',
        'All default incoming tickets.' => ' Svi podrazumevani dolazni tiketi.',
        'All junk tickets.' => 'Svi besmisleni tiketi junk.',
        'All misc tickets.' => 'Svi drugi tiketi.',
        'auto reply' => 'automatski odgovor',
        'Automatic reply which will be sent out after a new ticket has been created.' =>
            'Automatski odgovor koji će biti poslat posle kreiranja novog tiketa.',
        'auto reject' => 'automatsko odbacivanje',
        'Automatic reject which will be sent out after a follow-up has been rejected (in case queue follow-up option is "reject").' =>
            'Automatska poruka koja će biti poslata nakon odbacivanja nastavka (u slučaju da je opcija nastavka za red postavljena na "odbaci").',
        'auto follow up' => 'automatsko praćenje',
        'Automatic confirmation which is sent out after a follow-up has been received for a ticket (in case queue follow-up option is "possible").' =>
            'Automatska potvrda koja će biti poslata nakon primanja nastavka u tiketu (u slučaju da je opcija nastavka za red postavljena na "moguće").',
        'auto reply/new ticket' => 'automatski odgovor/novi tiket',
        'Automatic response which will be sent out after a follow-up has been rejected and a new ticket has been created (in case queue follow-up option is "new ticket").' =>
            'Automatski odgovor koji će biti poslat nakon odbacivanja nastavka i kreiranja novog tiketa (u slučaju da je opcija nastavka za red postavljena na "novi tiket").',
        'auto remove' => 'automatsko uklanjanje',
        'Auto remove will be sent out after a customer removed the request.' =>
            'Automatsko uklanjanje će biti poslato kad klijent ukloni zahtev.',
        'default reply (after new ticket has been created)' => 'podrazumevani odgovor (posle kreiranja novog tiketa)',
        'default reject (after follow-up and rejected of a closed ticket)' =>
            'podrazumevano odbacivanje (posle nastavljanja i odbacivanja zatvorenog tiketa)',
        'default follow-up (after a ticket follow-up has been added)' => 'podrazumevano nastvljanje (posle dodavanja nastavljanja na tiket)',
        'default reject/new ticket created (after closed follow-up with new ticket creation)' =>
            'podrazumevano odbacivanje/kreiran novi tiket (posle zatvorenog nastavljanja sa kreiranjem novog tiketa)',
        'Unclassified' => 'Nerazvrstano',
        '1 very low' => '1 vrlo nizak',
        '2 low' => '2 nizak',
        '3 normal' => '3 normalan',
        '4 high' => '4 visok',
        '5 very high' => '5 vrlo visok',
        'unlock' => 'otključan',
        'lock' => 'zaključan',
        'tmp_lock' => 'tmp_lock',
        'agent' => 'operater',
        'system' => 'sistem',
        'customer' => 'klijent',
        'Ticket create notification' => 'Obaveštenje o kreiranju tiketa',
        'You will receive a notification each time a new ticket is created in one of your "My Queues" or "My Services".' =>
            'Dobićete obaveštenje svaki put kad se kreira novi tiket u jednom od vaših "Moji redovi" ili "Moji servisi".',
        'Ticket follow-up notification (unlocked)' => 'Obaveštenje o nastavljanju tiketa (otključano)',
        'You will receive a notification if a customer sends a follow-up to an unlocked ticket which is in your "My Queues" or "My Services".' =>
            'Dobićete obaveštenje kada korisnik pošalje nastavak u otključanom tiketu koji se nalazi u "Moji redovi" ili "Moje usluge".',
        'Ticket follow-up notification (locked)' => 'Obaveštenje o nastavljanju tiketa (zaključano)',
        'You will receive a notification if a customer sends a follow-up to a locked ticket of which you are the ticket owner or responsible.' =>
            'Dobićete obaveštenje kada korisnik pošalje nastavak u zaključanom tiketu čiji ste vlasnik ili odgovorni.',
        'Ticket lock timeout notification' => 'Obaveštenje o isticanju zaključavanja tiketa',
        'You will receive a notification as soon as a ticket owned by you is automatically unlocked.' =>
            'Dobićete obaveštenje odmah nakon automatskog otključavanja tiketa čiji ste vlasnik.',
        'Ticket owner update notification' => 'Obaveštenje o ažuriranju vlasnika tiketa',
        'Ticket responsible update notification' => 'Obaveštenje o ažuriranju odgovornog za tiket',
        'Ticket new note notification' => 'Obaveštenje o novoj napomeni tiketa',
        'Ticket queue update notification' => 'Obaveštenje o ažuriranju reda tiketa',
        'You will receive a notification if a ticket is moved into one of your "My Queues".' =>
            'Dobićete obaveštenje ako se tiket premesti u jedan od vaših "Moji redovi".',
        'Ticket pending reminder notification (locked)' => 'Obaveštenje - podsetnik tiketa na čekanju (zaključano)',
        'Ticket pending reminder notification (unlocked)' => 'Obaveštenje - podsetnik tiketa na čekanju (otključano)',
        'Ticket escalation notification' => 'Obaveštenje o eskalaciji tiketa',
        'Ticket escalation warning notification' => 'Obaveštenje o upozorenju na eskalaciju tiketa',
        'Ticket service update notification' => 'Obaveštenje o ažuriranju usluge tiketa',
        'You will receive a notification if a ticket\'s service is changed to one of your "My Services".' =>
            'Dobićete obaveštenje ako se servis tiketa promeni u jedan od vaših "Moji servisi".',
        'Appointment reminder notification' => 'Obaveštenje podsetnika o terminu',
        'You will receive a notification each time a reminder time is reached for one of your appointments.' =>
            'Dobićete obaveštenje svaki put kada dođe do vremena podsetnika za neki od vaših termina.',
        'Ticket email delivery failure notification' => 'Obaveštenje o neuspelom slanju imejla tiketa',

        # JS File: Core.AJAX
        'Error during AJAX communication. Status: %s, Error: %s' => 'Greška prilikom AJAX komunikacije. Status: %s, greška %s',
        'This window must be called from compose window.' => 'Ovaj prozor mora biti pozvan od strane prozora za pisanje.',

        # JS File: Core.Agent.Admin.ACL
        'Add all' => 'Dodaj sve',
        'An item with this name is already present.' => 'Već je prisutna tavka pod ovim imenom.',
        'This item still contains sub items. Are you sure you want to remove this item including its sub items?' =>
            'Ova stavka i dalje sadrži podstavke. Da li ste sigurni da želite da uklonite ovu stavku uključujući i njene podstavke?',

        # JS File: Core.Agent.Admin.AppointmentCalendar.Manage
        'More' => 'Više',
        'Less' => 'Manje',
        'Press Ctrl+C (Cmd+C) to copy to clipboard' => 'Pritisnite Ctrl+C (Cmd+C) za kopiranje',

        # JS File: Core.Agent.Admin.Attachment
        'Delete this Attachment' => 'Obriši ovaj prilog',
        'Deleting attachment...' => 'Brisanje priloga...',
        'There was an error deleting the attachment. Please check the logs for more information.' =>
            'Greška prilikom brisanja priloga. Molimo proverite log datoteku za više informacija.',
        'Attachment was deleted successfully.' => 'Prilog je uspešno obrisan.',

        # JS File: Core.Agent.Admin.DynamicField
        'Do you really want to delete this dynamic field? ALL associated data will be LOST!' =>
            'Da li stvarno želite da obrišete ovo dinamičko polje? Svi povezani podaci će biti IZGUBLJENI!',
        'Delete field' => 'Obriši polje',
        'Deleting the field and its data. This may take a while...' => 'Brisanje polja i konfiguracije. Ovo može malo potrajati...',

        # JS File: Core.Agent.Admin.GenericAgent
        'Remove this dynamic field' => '',
        'Remove selection' => 'Ukloni izbor',
        'Do you really want to delete this generic agent job?' => 'Da li stvarno želite da obrišete ovaj posao generičkog operatera?',
        'Delete this Event Trigger' => 'Obriši ovaj okidač događaja',
        'Duplicate event.' => 'Napravi duplikat događaja.',
        'This event is already attached to the job, Please use a different one.' =>
            'Ovaj događaj je priložen poslu. Molimo koristite neki drugi.',

        # JS File: Core.Agent.Admin.GenericInterfaceDebugger
        'An error occurred during communication.' => 'Došlo je do greške prilikom komunikacije.',
        'Request Details' => 'Detalji zahteva',
        'Request Details for Communication ID' => 'Detalji zahteva za ID komunikacije',
        'Show or hide the content.' => 'Pokaži ili sakrij sadržaj.',
        'Clear debug log' => 'Očisti otklanjanje grešaka u logu',

        # JS File: Core.Agent.Admin.GenericInterfaceErrorHandling
        'Delete error handling module' => 'Obriši modul za obradu greške',

        # JS File: Core.Agent.Admin.GenericInterfaceInvoker
        'It is not possible to add a new event trigger because the event is not set.' =>
            'Nije moguće dodati novi okidač događaja zato što događaj još uvek nije definisan.',
        'Delete this Invoker' => 'Obriši ovog pozivaoca',

        # JS File: Core.Agent.Admin.GenericInterfaceInvokerEvent
        'Sorry, the only existing condition can\'t be removed.' => 'Žao nam je, poslednji uslov ne može biti uklonjen.',
        'Sorry, the only existing field can\'t be removed.' => 'Žao nam je, poslednje polje ne može biti uklonjeno.',
        'Delete conditions' => 'Obriši uslove',

        # JS File: Core.Agent.Admin.GenericInterfaceMapping
        'Mapping for Key %s' => 'Mapiranje za ključ %s',
        'Mapping for Key' => 'Mapiranje za ključ',
        'Delete this Key Mapping' => 'Obriši mapiranje za ovaj ključ',

        # JS File: Core.Agent.Admin.GenericInterfaceOperation
        'Delete this Operation' => 'Obriši ovu operaciju',

        # JS File: Core.Agent.Admin.GenericInterfaceWebservice
        'Clone web service' => 'Kloniraj veb servis',
        'Delete operation' => 'Obriši operaciju',
        'Delete invoker' => 'Obriši pozivaoca',

        # JS File: Core.Agent.Admin.Group
        'WARNING: When you change the name of the group \'admin\', before making the appropriate changes in the SysConfig, you will be locked out of the administrations panel! If this happens, please rename the group back to admin per SQL statement.' =>
            'UPOZORENJE: Ako promenite naziv grupe \'admin\' pre adekvatnog podešavanja u sistemskoj konfiguraciji, izgubićete pristup administrativnom panelu! Ukoliko se to desi, vratite naziv grupi u admin pomoću SQL komande.',

        # JS File: Core.Agent.Admin.MailAccount
        'Delete this Mail Account' => 'Obriši ovaj imejl nalog',
        'Deleting the mail account and its data. This may take a while...' =>
            'Brisanje imejl naloga i konfiguracije. Ovo može malo potrajati...',

        # JS File: Core.Agent.Admin.NotificationEvent
        'Do you really want to delete this notification language?' => 'Da li stvarno želite da izbrišete ovaj jezik za obaveštenja?',
        'Do you really want to delete this notification?' => 'Da li stvarno želite da obrišete ovo obaveštenje?',

        # JS File: Core.Agent.Admin.PGP
        'Do you really want to delete this key?' => 'Da li zaista želite da obrišete ovaj ključ?',

        # JS File: Core.Agent.Admin.PackageManager
        'There is a package upgrade process running, click here to see status information about the upgrade progress.' =>
            'Ažuriranje paketa je u toku, kliknite ovde za status napredovanja.',
        'A package upgrade was recently finished. Click here to see the results.' =>
            'Ažuriranje paketa je završeno. Kliknite ovde za rezultate.',
        'No response from get package upgrade result.' => 'Bez odgovora od komande za unapređenje paketa.',
        'Update all packages' => 'Ažuriraj sve pakete',
        'Dismiss' => 'Poništi',
        'Update All Packages' => 'Ažuriraj sve pakete',
        'No response from package upgrade all.' => 'Bez odgovora od komande za unapređenje svih paketa.',
        'Currently not possible' => 'Trenutno nije moguće',
        'This is currently disabled because of an ongoing package upgrade.' =>
            'Ova funkcija je trenutno isključena zbog ažuriranja paketa u toku.',
        'This option is currently disabled because the OTOBO Daemon is not running.' =>
            'Ova funkcija je trenutno isključena zato što OTOBO servis ne radi.',
        'Are you sure you want to update all installed packages?' => 'Da li ste sigurni da želite da unapredite sve instalirane pakete?',
        'No response from get package upgrade run status.' => 'Bez odgovora od komande za status unapređenja paketa.',

        # JS File: Core.Agent.Admin.PostMasterFilter
        'Delete this PostMasterFilter' => 'Obriši ovaj PostMaster filter',
        'Deleting the postmaster filter and its data. This may take a while...' =>
            'Brisanje PostMaster filtera i konfiguracije. Ovo može malo potrajati...',

        # JS File: Core.Agent.Admin.ProcessManagement.Canvas
        'Remove Entity from canvas' => 'Ukloni objekat sa površine',
        'No TransitionActions assigned.' => 'Nema dodeljenih tranzicionih aktivnosti.',
        'No dialogs assigned yet. Just pick an activity dialog from the list on the left and drag it here.' =>
            'Još uvek nema dodeljenih dijaloga. Samo izaberite jedan dijalog aktivnosti iz liste sa leve strane i prevucite ga ovde.',
        'This Activity cannot be deleted because it is the Start Activity.' =>
            'Ova aktivnost se ne može brisati, zato što je to početak aktivnosti.',
        'Remove the Transition from this Process' => 'Ukloni tranziciju iz ovog procesa',

        # JS File: Core.Agent.Admin.ProcessManagement
        'As soon as you use this button or link, you will leave this screen and its current state will be saved automatically. Do you want to continue?' =>
            'Ukoliko koristite ovo dugme ili vezu, napustićete ekran i njegov trenutni sadržaj će biti automatski sačuvan. Želite li da nastavite?',
        'Delete Entity' => 'Izbriši objekat',
        'This Activity is already used in the Process. You cannot add it twice!' =>
            'Ova aktivnost je već korišćena u procesu. Ne možete je dodavati dva puta.',
        'Error during AJAX communication' => 'Greška prilikom AJAX komunikacije',
        'An unconnected transition is already placed on the canvas. Please connect this transition first before placing another transition.' =>
            'Nepovezana tranzicija je već postavljena na površinu. Molimo povežite prvu tranziciju pre nego što postavite drugu tranziciju.',
        'This Transition is already used for this Activity. You cannot use it twice!' =>
            'Ova tranzicija je već korišćena za ovu aktivnost. Ne možete je koristiti dva puta.',
        'This TransitionAction is already used in this Path. You cannot use it twice!' =>
            'Ova tranziciona tktivnost je već korišćena u ovoj putanji. Ne možete je koristiti dva puta.',
        'Hide EntityIDs' => 'Sakrij EntityIDs',
        'Edit Field Details' => 'Uredi detalje polja',
        'Customer interface does not support articles not visible for customers.' =>
            'Klijentski interfejs ne podržava članke koji nisu vidljivi klijentima.',
        'Sorry, the only existing parameter can\'t be removed.' => 'Žao nam je, poslednji parametar ne može biti uklonjen.',

        # JS File: Core.Agent.Admin.SMIME
        'Do you really want to delete this certificate?' => 'Da li stvarno želite da obrišete ovaj sertifikat?',

        # JS File: Core.Agent.Admin.SupportDataCollector
        'Sending Update...' => 'Slanje ažuriranja...',
        'Support Data information was successfully sent.' => 'Informacije podržanih podataka su uspešno poslate.',
        'Was not possible to send Support Data information.' => 'Nije moguće poslati informacije podržanih podataka.',
        'Update Result' => 'Rezultat ažuriranja',
        'Generating...' => 'Generisanje...',
        'It was not possible to generate the Support Bundle.' => 'Nije moguće generisati Paket podrške.',
        'Generate Result' => 'Generiši rezultat',
        'Support Bundle' => 'Paket podrške',
        'The mail could not be sent' => 'Imejl se ne može poslati',

        # JS File: Core.Agent.Admin.SysConfig.Entity
        'It is not possible to set this entry to invalid. All affected configuration settings have to be changed beforehand.' =>
            'Nije moguće obeležiti ovu stavku kao nevažeću. Sva zavisna podešavanja u konfiguraciji moraju biti prvo izmenjena.',
        'Cannot proceed' => 'Nije moguće nastaviti',
        'Update manually' => 'Ažuriraj ručno',
        'You can either have the affected settings updated automatically to reflect the changes you just made or do it on your own by pressing \'update manually\'.' =>
            'Možete ili ažurirati sva zavisna podešavanja automatski na promene koje ste napravili ili da to odradite ručno klikom na \'Ažuriraj ručno\'.',
        'Save and update automatically' => 'Sačuvaj i ažuriraj automatski',
        'Don\'t save, update manually' => 'Odustani i ažuriraj ručno',
        'The item you\'re currently viewing is part of a not-yet-deployed configuration setting, which makes it impossible to edit it in its current state. Please wait until the setting has been deployed. If you\'re unsure what to do next, please contact your system administrator.' =>
            'Stavka koju trenutno gledate je deo neraspoređene konfiguracije, i nije moguće urediti je u trenutnom stanju. Molimo sačekajte dok podešavanje ne bude raspoređeno. Ukoliko niste sigurni kako da nastavite, molimo kontaktirajte vašeg administratora.',

        # JS File: Core.Agent.Admin.SystemConfiguration
        'Loading...' => 'Učitavanje...',
        'Search the System Configuration' => 'Pretraga sistemske konfiguracije',
        'Please enter at least one search word to find anything.' => 'Molimo unesite barem jednu ključnu reč da bi ste nešto pronašli.',
        'Unfortunately deploying is currently not possible, maybe because another agent is already deploying. Please try again later.' =>
            'Nažalost, raspoređivanje trenutno nije moguće, verovatno zato što drugi korisnik već raspoređuje. Molimo pokušajte kasnije.',
        'Deploy' => 'Rasporedi',
        'The deployment is already running.' => 'Raspoređivanje je već u toku.',
        'Deployment successful. You\'re being redirected...' => 'Raspoređivanje uspešno, bićete preusmereni...',
        'There was an error. Please save all settings you are editing and check the logs for more information.' =>
            'Dogodila se greška. Molimo sačuvajte sva podešavanja koja uređujete i proverite log datoteku za više informacija.',
        'Reset option is required!' => 'Poništavanje je obavezno!',
        'By restoring this deployment all settings will be reverted to the value they had at the time of the deployment. Do you really want to continue?' =>
            'Obnavljanjem ovog rasporeda sva podešavanja će biti vraćena na vrednost koju su imala u vreme rasporeda. Da li stvarno želite da nastavite?',
        'Keys with values can\'t be renamed. Please remove this key/value pair instead and re-add it afterwards.' =>
            'Ključevi sa vrednostima ne mogu biti promenjeni. Molimo uklonite ovaj par ključ/vrednost i dodajte ga ponovo.',
        'Unlock setting.' => 'Otključaj podešavanje.',

        # JS File: Core.Agent.Admin.SystemConfigurationUser
        'Are you sure you want to remove all user values?' => '',

        # JS File: Core.Agent.Admin.SystemMaintenance
        'Do you really want to delete this scheduled system maintenance?' =>
            'Da li stvarno želite da obrišete ovo planirano oržavanje sistema?',

        # JS File: Core.Agent.Admin.Template
        'Delete this Template' => 'Obriši ovaj šablon',
        'Deleting the template and its data. This may take a while...' =>
            'Brisanje šablona i konfiguracije. Ovo može malo potrajati...',

        # JS File: Core.Agent.AppointmentCalendar
        'Jump' => 'Skoči',
        'Timeline Month' => 'Mesečna osa',
        'Timeline Week' => 'Sedmična osa',
        'Timeline Day' => 'Dnevna osa',
        'Previous' => 'Nazad',
        'Resources' => 'Resursi',
        'Su' => 'ne',
        'Mo' => 'po',
        'Tu' => 'ut',
        'We' => 'sr',
        'Th' => 'če',
        'Fr' => 'pe',
        'Sa' => 'su',
        'This is a repeating appointment' => 'Ovaj termin se ponavlja',
        'Would you like to edit just this occurrence or all occurrences?' =>
            'Da li želite da izmeni samo ovo ili sva ponavljanja?',
        'All occurrences' => 'Sva ponavljanja',
        'Just this occurrence' => 'Samo ovo ponavljanje',
        'Too many active calendars' => 'Previše aktivnih kalendara',
        'Please either turn some off first or increase the limit in configuration.' =>
            'Ili prvo isključite prikaz nekog kalendara ili povećajte limit u konfiguraciji.',
        'Restore default settings' => 'Vratite podrazumevana podešavanja',
        'Are you sure you want to delete this appointment? This operation cannot be undone.' =>
            'Da li ste sigurni da želite da izbrišete ovaj termin? Ovu operaciju nije moguće opozvati.',

        # JS File: Core.Agent.CustomerSearch
        'First select a customer user, then select a customer ID to assign to this ticket.' =>
            'Prvo odaberite klijent korisnika, onda možete odabrati ID klijenta za dodelu ovom tiketu.',
        'Duplicated entry' => 'Dvostruki unos',
        'It is going to be deleted from the field, please try again.' => 'Biće obrisano iz polja, molimo pokušajte ponovo.',

        # JS File: Core.Agent.CustomerUserAddressBook
        'Please enter at least one search value or * to find anything.' =>
            'Molimo unesite barem jednu vrednost pretrage ili * da bi ste nešto pronašli.',

        # JS File: Core.Agent.Daemon
        'Information about the OTOBO Daemon' => 'Informacije o OTOBO sistemskom servisu',

        # JS File: Core.Agent.Dashboard
        'Please check the fields marked as red for valid inputs.' => 'Molimo proverite polja označena crvenim za važeće unose.',
        'month' => 'mesec',
        'Remove active filters for this widget.' => 'Ukloni aktivne filtere za ovaj dodatak.',

        # JS File: Core.Agent.DynamicFieldDBSearch
        'This dynamic field database value is already selected.' => '',

        # JS File: Core.Agent.LinkObject.SearchForm
        'Please wait...' => 'Molimo sačekajte...',
        'Searching for linkable objects. This may take a while...' => 'Pretraga objekata za povezivanje. Ovo može malo potrajati...',

        # JS File: Core.Agent.LinkObject
        'Do you really want to delete this link?' => 'Da li zaista želite da obrišete ovu vezu?',

        # JS File: Core.Agent.Login
        'Are you using a browser plugin like AdBlock or AdBlockPlus? This can cause several issues and we highly recommend you to add an exception for this domain.' =>
            'Da li koristite dodatak za pretraživač kao što su AdBlock ili AdBlockPlus? Ovo može rezultirati u nekoliko problema i toplo preporučujemo da dodate izuzetak za ovu stranu.',
        'Do not show this warning again.' => 'Ne prikazuj ponovo ovo upozorenje.',

        # JS File: Core.Agent.Preferences
        'Sorry, but you can\'t disable all methods for notifications marked as mandatory.' =>
            'Izvinite ali ne možete isključiti sve metode za obaveštenja označena kao obavezna.',
        'Sorry, but you can\'t disable all methods for this notification.' =>
            'Izvinite ali ne možete isključiti sve metode za ovo obaveštenje.',
        'Please note that at least one of the settings you have changed requires a page reload. Click here to reload the current screen.' =>
            'Napominjemo da najmanje jedno podešavanje koje ste izmenili zahteva ponovno učitavanje stranice. Kliknite ovde za ponovno učitavanje ekrana.',
        'An unknown error occurred. Please contact the administrator.' =>
            'Dogodila se nepoznata greška. Molimo kontaktirajte administratora.',

        # JS File: Core.Agent.Responsive
        'Switch to desktop mode' => 'Pređi na desktop mod',

        # JS File: Core.Agent.Search
        'Please remove the following words from your search as they cannot be searched for:' =>
            'Molimo da uklonite sledeće reči iz vaše pretrage jer se ne mogu tražiti:',

        # JS File: Core.Agent.SharedSecretGenerator
        'Generate' => 'Generiši',

        # JS File: Core.Agent.SortedTree
        'This element has children elements and can currently not be removed.' =>
            'Ovaj element ima decu i trenutno ne može biti uklonjen.',

        # JS File: Core.Agent.Statistics
        'Do you really want to delete this statistic?' => 'Da li stvarno želite da obrišete ovu statistiku?',

        # JS File: Core.Agent.TicketAction
        'Select a customer ID to assign to this ticket' => 'Odaberite ID klijenta za dodelu ovom tiketu',
        'Do you really want to continue?' => 'Da li stvarno želite da nastavite?',

        # JS File: Core.Agent.TicketBulk
        ' ...and %s more' => '...i još %s',
        ' ...show less' => '...prikaži manje',

        # JS File: Core.Agent.TicketFormDraft
        'Add new draft' => 'Dodaj novi nacrt',
        'Delete draft' => 'Obriši nacrt',
        'There are no more drafts available.' => 'Trenutno nema više nacrta.',
        'It was not possible to delete this draft.' => 'Nije bilo moguće obrisati ovaj nacrt.',

        # JS File: Core.Agent.TicketZoom
        'Article filter' => 'Filter za članke',
        'Apply' => 'Primeni',
        'Event Type Filter' => 'Filter tipa događaja',

        # JS File: Core.Agent
        'Slide the navigation bar' => 'Pomerite navigacionu traku',
        'Please turn off Compatibility Mode in Internet Explorer!' => 'Molimo da isključite mod kompatibilnosti u Internet eksploreru!',

        # JS File: Core.App.Responsive
        'Switch to mobile mode' => 'Pređi na mobilni mod',

        # JS File: Core.App
        'Error: Browser Check failed!' => 'Greška: provera pretraživača nije uspela!',
        'Reload page' => 'Osveži stranicu',
        'Reload page (%ss)' => 'Osveži stranicu (%ss)',

        # JS File: Core.Debug
        'Namespace %s could not be initialized, because %s could not be found.' =>
            'Skript %s nije bilo moguće inicijalizovati, jer %s nije pronađen.',

        # JS File: Core.Exception
        'An error occurred! Please check the browser error log for more details!' =>
            'Dogodila se greška! Molimo proverite log pretraživača za više informacija!',

        # JS File: Core.Form.Validate
        'One or more errors occurred!' => 'Došlo je do jedne ili više grešaka!',

        # JS File: Core.Installer
        'Mail check successful.' => 'Uspešna provera imejl podešavanja.',
        'Error in the mail settings. Please correct and try again.' => 'Greška u podešavanju imejla. Molimo ispravite i pokušajte ponovo.',

        # JS File: Core.SystemConfiguration
        'Open this node in a new window' => 'Otvori ovu stavku u novom prozoru',
        'Please add values for all keys before saving the setting.' => 'Molimo unesite vrednosti za sve ključeve pre nego što sačuvate podešavanje.',
        'The key must not be empty.' => 'Ključ ne sme biti prazan.',
        'A key with this name (\'%s\') already exists.' => 'Ključ sa ovim nazivom (\'%s\') već postoji.',
        'Do you really want to revert this setting to its historical value?' =>
            'Da li stvarno želite da poništite ovo podešavanje na njegovu prethodnu vrednost?',

        # JS File: Core.UI.Datepicker
        'Open date selection' => 'Otvori izbor datuma',
        'Invalid date (need a future date)!' => 'Neispravan datum (neophodan datum u budućnosti)!',
        'Invalid date (need a past date)!' => 'Neispravan datum (neophodan datum u prošlosti)!',

        # JS File: Core.UI.InputFields
        'Not available' => 'Nije dostupno',
        'and %s more...' => 'i %s više...',
        'Show current selection' => 'Prikaži trenutni izbor',
        'Current selection' => 'Trenutni izbor',
        'Clear all' => 'Očisti sve',
        'Filters' => 'Filteri',
        'Clear search' => 'Očisti pretragu',

        # JS File: Core.UI.Popup
        'If you now leave this page, all open popup windows will be closed, too!' =>
            'Ako napustite ovu stranicu, svi otvoreni prozori će biti zatvoreni!',
        'A popup of this screen is already open. Do you want to close it and load this one instead?' =>
            'Prikaz ovog ekrana je već otvoren. Želite li da ga zatvorite i učitate ovaj umesto njega?',
        'Could not open popup window. Please disable any popup blockers for this application.' =>
            'Nije moguće otvoriti iskačući prozor. Molimo da isključite blokadu iskačućih prozora za ovu aplikaciju.',

        # JS File: Core.UI.Table.Sort
        'Ascending sort applied, ' => 'Rastuće sortiranje,',
        'Descending sort applied, ' => 'Opadajuće sortiranje,',
        'No sort applied, ' => 'Bez sortiranja,',
        'sorting is disabled' => 'sortiranje je isključeno',
        'activate to apply an ascending sort' => 'sortiraj rastuće',
        'activate to apply a descending sort' => 'sortiraj opadajuće',
        'activate to remove the sort' => 'isključi sortiranje',

        # JS File: Core.UI.Table
        'Remove the filter' => 'Ukloni filter',

        # JS File: Core.UI.TreeSelection
        'There are currently no elements available to select from.' => 'Trenutno nema slobodnih elemenata za odabir.',

        # JS File: Core.UI
        'Please only select one file for upload.' => 'Molimo da izaberete samo jednu datoteku za otpremanje.',
        'Sorry, you can only upload one file here.' => 'Žao nam je, ovde možete otpremiti samo jednu datoteku.',
        'Sorry, you can only upload %s files.' => 'Žao namo je, možete otpremiti samo %s datoteke(a).',
        'Please only select at most %s files for upload.' => 'Molimo da izaberete najviše %s datoteke(a) za otpremanje.',
        'The following files are not allowed to be uploaded: %s' => 'Nije dozvoljeno otpremanje sledećih datoteka: %s',
        'The following files exceed the maximum allowed size per file of %s and were not uploaded: %s' =>
            'Sledeće datoteke premašuju najveću dozvoljenu veličinu od %s i nisu bile otpremljene: %s',
        'The following files were already uploaded and have not been uploaded again: %s' =>
            'Sledeće datoteke su već bile otpremljene i nisu dodate ponovo: %s',
        'No space left for the following files: %s' => 'Za sledeće datoteke nema više mesta: %s',
        'Available space %s of %s.' => 'Raspoloživ prostor %s od %s.',
        'Upload information' => 'Informacije o otpremanju',
        'An unknown error occurred when deleting the attachment. Please try again. If the error persists, please contact your system administrator.' =>
            'Dogodila se nepoznata greška prilikom brisanja priloga. Molimo pokušajte ponovo. Ako se greška ponovo, molimo kontaktirajte vašeg administratora.',

        # JS File: Core.Language.UnitTest
        'yes' => 'da',
        'no' => 'ne',
        'This is %s' => 'Ovo je %s',
        'Complex %s with %s arguments' => 'Kompleksan %s sa %s argumenata',

        # JS File: OTOBOLineChart
        'No Data Available.' => 'Nema informacija.',

        # JS File: OTOBOMultiBarChart
        'Grouped' => 'Grupisano',
        'Stacked' => 'Naslagano',

        # JS File: OTOBOStackedAreaChart
        'Stream' => 'Protok',
        'Expanded' => 'Prošireno',

    };

    $Self->{JavaScriptStrings} = [
        ' ...and %s more',
        ' ...show less',
        '%s B',
        '%s GB',
        '%s KB',
        '%s MB',
        '%s TB',
        'A key with this name (\'%s\') already exists.',
        'A package upgrade was recently finished. Click here to see the results.',
        'A popup of this screen is already open. Do you want to close it and load this one instead?',
        'A preview of this website can\'t be provided because it didn\'t allow to be embedded.',
        'Add',
        'Add Event Trigger',
        'Add all',
        'Add entry',
        'Add key',
        'Add new draft',
        'Add new entry',
        'Add to favourites',
        'Agent',
        'All occurrences',
        'All-day',
        'An error occurred during communication.',
        'An error occurred! Please check the browser error log for more details!',
        'An item with this name is already present.',
        'An unconnected transition is already placed on the canvas. Please connect this transition first before placing another transition.',
        'An unknown error occurred when deleting the attachment. Please try again. If the error persists, please contact your system administrator.',
        'An unknown error occurred. Please contact the administrator.',
        'Apply',
        'Appointment',
        'Apr',
        'April',
        'Are you sure you want to delete this appointment? This operation cannot be undone.',
        'Are you sure you want to remove all user values?',
        'Are you sure you want to update all installed packages?',
        'Are you using a browser plugin like AdBlock or AdBlockPlus? This can cause several issues and we highly recommend you to add an exception for this domain.',
        'Article display',
        'Article filter',
        'As soon as you use this button or link, you will leave this screen and its current state will be saved automatically. Do you want to continue?',
        'Ascending sort applied, ',
        'Attachment was deleted successfully.',
        'Attachments',
        'Aug',
        'August',
        'Available space %s of %s.',
        'Basic information',
        'By restoring this deployment all settings will be reverted to the value they had at the time of the deployment. Do you really want to continue?',
        'Calendar',
        'Cancel',
        'Cannot proceed',
        'Clear',
        'Clear all',
        'Clear debug log',
        'Clear search',
        'Click to delete this attachment.',
        'Click to select a file for upload.',
        'Click to select a file or just drop it here.',
        'Click to select files or just drop them here.',
        'Click to select or drop files here.',
        'Clone web service',
        'Close preview',
        'Close this dialog',
        'Complex %s with %s arguments',
        'Confirm',
        'Could not open popup window. Please disable any popup blockers for this application.',
        'Current selection',
        'Currently not possible',
        'Customer interface does not support articles not visible for customers.',
        'Data Protection',
        'Date/Time',
        'Day',
        'Dec',
        'December',
        'Delete',
        'Delete Entity',
        'Delete conditions',
        'Delete draft',
        'Delete error handling module',
        'Delete field',
        'Delete invoker',
        'Delete operation',
        'Delete this Attachment',
        'Delete this Event Trigger',
        'Delete this Invoker',
        'Delete this Key Mapping',
        'Delete this Mail Account',
        'Delete this Operation',
        'Delete this PostMasterFilter',
        'Delete this Template',
        'Delete web service',
        'Deleting attachment...',
        'Deleting the field and its data. This may take a while...',
        'Deleting the mail account and its data. This may take a while...',
        'Deleting the postmaster filter and its data. This may take a while...',
        'Deleting the template and its data. This may take a while...',
        'Deploy',
        'Deploy now',
        'Deploying, please wait...',
        'Deployment comment...',
        'Deployment successful. You\'re being redirected...',
        'Descending sort applied, ',
        'Description',
        'Dismiss',
        'Do not show this warning again.',
        'Do you really want to continue?',
        'Do you really want to delete "%s"?',
        'Do you really want to delete this certificate?',
        'Do you really want to delete this dynamic field? ALL associated data will be LOST!',
        'Do you really want to delete this generic agent job?',
        'Do you really want to delete this key?',
        'Do you really want to delete this link?',
        'Do you really want to delete this notification language?',
        'Do you really want to delete this notification?',
        'Do you really want to delete this scheduled system maintenance?',
        'Do you really want to delete this statistic?',
        'Do you really want to reset this setting to it\'s default value?',
        'Do you really want to revert this setting to its historical value?',
        'Don\'t save, update manually',
        'Draft title',
        'Duplicate event.',
        'Duplicated entry',
        'Edit Field Details',
        'Edit this setting',
        'Edit this transition',
        'End date',
        'Error',
        'Error during AJAX communication',
        'Error during AJAX communication. Status: %s, Error: %s',
        'Error in the mail settings. Please correct and try again.',
        'Error: Browser Check failed!',
        'Event Type Filter',
        'Expanded',
        'Feb',
        'February',
        'Filters',
        'Finished',
        'First select a customer user, then select a customer ID to assign to this ticket.',
        'Fr',
        'Fri',
        'Friday',
        'Generate',
        'Generate Result',
        'Generating...',
        'Grouped',
        'Help',
        'Hide EntityIDs',
        'If you now leave this page, all open popup windows will be closed, too!',
        'Ignore',
        'Import web service',
        'Information about the OTOBO Daemon',
        'Invalid date (need a future date)!',
        'Invalid date (need a past date)!',
        'Invalid date!',
        'It is going to be deleted from the field, please try again.',
        'It is not possible to add a new event trigger because the event is not set.',
        'It is not possible to set this entry to invalid. All affected configuration settings have to be changed beforehand.',
        'It was not possible to delete this draft.',
        'It was not possible to generate the Support Bundle.',
        'Jan',
        'January',
        'Jul',
        'July',
        'Jump',
        'Jun',
        'June',
        'Just this occurrence',
        'Keys with values can\'t be renamed. Please remove this key/value pair instead and re-add it afterwards.',
        'Less',
        'Link',
        'Loading, please wait...',
        'Loading...',
        'Location',
        'Mail check successful.',
        'Mapping for Key',
        'Mapping for Key %s',
        'Mar',
        'March',
        'May',
        'May_long',
        'Migrate',
        'Mo',
        'Mon',
        'Monday',
        'Month',
        'More',
        'Name',
        'Namespace %s could not be initialized, because %s could not be found.',
        'Next',
        'No Data Available.',
        'No TransitionActions assigned.',
        'No data found.',
        'No dialogs assigned yet. Just pick an activity dialog from the list on the left and drag it here.',
        'No matches found.',
        'No package information available.',
        'No response from get package upgrade result.',
        'No response from get package upgrade run status.',
        'No response from package upgrade all.',
        'No sort applied, ',
        'No space left for the following files: %s',
        'Not available',
        'Notice',
        'Notification',
        'Nov',
        'November',
        'OK',
        'Oct',
        'October',
        'One or more errors occurred!',
        'Open URL in new tab',
        'Open date selection',
        'Open this node in a new window',
        'Package',
        'Please add values for all keys before saving the setting.',
        'Please check the fields marked as red for valid inputs.',
        'Please either turn some off first or increase the limit in configuration.',
        'Please enter at least one search value or * to find anything.',
        'Please enter at least one search word to find anything.',
        'Please note that at least one of the settings you have changed requires a page reload. Click here to reload the current screen.',
        'Please only select at most %s files for upload.',
        'Please only select one file for upload.',
        'Please remove the following words from your search as they cannot be searched for:',
        'Please see the documentation or ask your admin for further information.',
        'Please turn off Compatibility Mode in Internet Explorer!',
        'Please wait...',
        'Preparing to deploy, please wait...',
        'Press Ctrl+C (Cmd+C) to copy to clipboard',
        'Previous',
        'Process state',
        'Queues',
        'Reload page',
        'Reload page (%ss)',
        'Remove',
        'Remove Entity from canvas',
        'Remove active filters for this widget.',
        'Remove all user changes.',
        'Remove from favourites',
        'Remove selection',
        'Remove the Transition from this Process',
        'Remove the filter',
        'Remove this dynamic field',
        'Remove this entry',
        'Repeat',
        'Request Details',
        'Request Details for Communication ID',
        'Reset',
        'Reset globally',
        'Reset locally',
        'Reset option is required!',
        'Reset options',
        'Reset setting',
        'Reset setting on global level.',
        'Resource',
        'Resources',
        'Restore default settings',
        'Restore web service configuration',
        'Results',
        'Rule',
        'Running',
        'Sa',
        'Sat',
        'Saturday',
        'Save',
        'Save and update automatically',
        'Scale preview content',
        'Search',
        'Search attributes',
        'Search the System Configuration',
        'Searching for linkable objects. This may take a while...',
        'Select a customer ID to assign to this ticket',
        'Select a customer ID to assign to this ticket.',
        'Select all',
        'Sending Update...',
        'Sep',
        'September',
        'Setting a template will overwrite any text or attachment.',
        'Settings',
        'Show',
        'Show EntityIDs',
        'Show all',
        'Show current selection',
        'Show less',
        'Show or hide the content.',
        'Slide the navigation bar',
        'Sorry, but you can\'t disable all methods for notifications marked as mandatory.',
        'Sorry, but you can\'t disable all methods for this notification.',
        'Sorry, the only existing condition can\'t be removed.',
        'Sorry, the only existing field can\'t be removed.',
        'Sorry, the only existing parameter can\'t be removed.',
        'Sorry, you can only upload %s files.',
        'Sorry, you can only upload one file here.',
        'Split',
        'Stacked',
        'Start date',
        'Status',
        'Stream',
        'Su',
        'Sun',
        'Sunday',
        'Support Bundle',
        'Support Data information was successfully sent.',
        'Switch to desktop mode',
        'Switch to mobile mode',
        'System Registration',
        'Team',
        'Th',
        'The browser you are using is too old.',
        'The deployment is already running.',
        'The following files are not allowed to be uploaded: %s',
        'The following files exceed the maximum allowed size per file of %s and were not uploaded: %s',
        'The following files were already uploaded and have not been uploaded again: %s',
        'The item you\'re currently viewing is part of a not-yet-deployed configuration setting, which makes it impossible to edit it in its current state. Please wait until the setting has been deployed. If you\'re unsure what to do next, please contact your system administrator.',
        'The key must not be empty.',
        'The mail could not be sent',
        'There are currently no elements available to select from.',
        'There are no more drafts available.',
        'There is a package upgrade process running, click here to see status information about the upgrade progress.',
        'There was an error deleting the attachment. Please check the logs for more information.',
        'There was an error. Please save all settings you are editing and check the logs for more information.',
        'This Activity cannot be deleted because it is the Start Activity.',
        'This Activity is already used in the Process. You cannot add it twice!',
        'This Transition is already used for this Activity. You cannot use it twice!',
        'This TransitionAction is already used in this Path. You cannot use it twice!',
        'This address already exists on the address list.',
        'This dynamic field database value is already selected.',
        'This element has children elements and can currently not be removed.',
        'This event is already attached to the job, Please use a different one.',
        'This field can have no more than 250 characters.',
        'This field is required.',
        'This is %s',
        'This is a repeating appointment',
        'This is currently disabled because of an ongoing package upgrade.',
        'This item still contains sub items. Are you sure you want to remove this item including its sub items?',
        'This option is currently disabled because the OTOBO Daemon is not running.',
        'This software runs with a huge lists of browsers, please upgrade to one of these.',
        'This window must be called from compose window.',
        'Thu',
        'Thursday',
        'Time needed',
        'Timeline Day',
        'Timeline Month',
        'Timeline Week',
        'Title',
        'Today',
        'Too many active calendars',
        'Try again',
        'Tu',
        'Tue',
        'Tuesday',
        'Unfortunately deploying is currently not possible, maybe because another agent is already deploying. Please try again later.',
        'Uninstall from OTOBO',
        'Unknown',
        'Unlock setting.',
        'Update All Packages',
        'Update Result',
        'Update all packages',
        'Update manually',
        'Upload information',
        'Uploading...',
        'Use options below to narrow down for which tickets appointments will be automatically created.',
        'WARNING: When you change the name of the group \'admin\', before making the appropriate changes in the SysConfig, you will be locked out of the administrations panel! If this happens, please rename the group back to admin per SQL statement.',
        'Warning',
        'Was not possible to send Support Data information.',
        'We',
        'Wed',
        'Wednesday',
        'Week',
        'Would you like to edit just this occurrence or all occurrences?',
        'Yes',
        'You can either have the affected settings updated automatically to reflect the changes you just made or do it on your own by pressing \'update manually\'.',
        'You can use the category selection to limit the navigation tree below to entries from the selected category. As soon as you select the category, the tree will be re-built.',
        'You have undeployed settings, would you like to deploy them?',
        'activate to apply a descending sort',
        'activate to apply an ascending sort',
        'activate to remove the sort',
        'and %s more...',
        'day',
        'month',
        'more',
        'no',
        'none',
        'or',
        'sorting is disabled',
        'user(s) have modified this setting.',
        'week',
        'yes',
    ];

    # $$STOP$$
    return;
}

1;
